<?php


class Customers extends Eloquent {

	

	/**
	 * The database table used by the model.
	 *
	 * @var string
	 */
	//protected $table = 'logindetails';
	protected $table = 'customers';
	protected $primaryKey='customer_id';

	


    /**
    * Nandhini On 10 Mar 2017  10:17 AM
    * 
    * Get list Customer and filter with pagination
    */   
    
    public Static function usp_get_customers($name = null, $email = null,$mob = null,$customer_id = null,$address_type = null,$address = null, $orderby = null, $page_no = 1,$page_size = 10)
    {
        try
        {
            // var_dump($name);
            // var_dump($email);
            // var_dump($mob);
            // exit();
   
            $customers  = array();
            $count  = array();
            // $authors    = array();            
            // $engagedAbstracts = array(); 
           
            $pdo = DB::connection()->getPdo();
            $pdo->setAttribute(PDO::ATTR_EMULATE_PREPARES, true);
            $stmt = $pdo->prepare("CALL usp_get_customers(:name,:email,:mob,:customer_id,:address_type,:address,:orderby,:page_no,:page_size);");
            
            $stmt->execute(array(':name' =>  $name ,':email' => $email ,':mob' => $mob,':customer_id' => $customer_id, ':address_type' => $address_type,':address' => $address,':orderby' => $orderby,':page_no' => $page_no,':page_size' => $page_size));
            
            $i = 1;
            do
            {

                if($i == 1)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($customers, (object)$row);                        
                    }

                }
 
                elseif($i == 2)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($count,(object)$row);

                    }
                }   
          
                // elseif($i == 3)
                // {
                //     while ($row = $stmt->fetch())
                //     {
                //         array_push($engagedAbstracts,(object)$row);
                //     }
                // }
   
                $i++;
            } while ($stmt->nextRowset());

            // var_dump($customers);
            // exit();
            return array('customers' => $customers,'count' => $count[0]->count/*,'engaged'=>$engagedAbstracts*/);

        }catch (Exception $e)
        {
           Log::error('Customerinfo->usp_get_customers '.$e->getMessage());
           //echo $e->getMessage();
           return array('customers' => [],'count' => 0/*,'engaged' =>[]*/);
        }
    }

	
}