<?php

use Auth;
use Illuminate\Auth\UserTrait;
use Illuminate\Auth\UserInterface;
use Illuminate\Auth\Reminders\RemindableTrait;
use Illuminate\Auth\Reminders\RemindableInterface;

class Measurements extends Eloquent {
// 	public $timestamps = false;
	

	/**
	 * The database table used by the model.
	 *
	 * @var string
	 */
	protected $table = 'measurements';

	protected $primaryKey = "measurement_id";

/**
    * Nandhini On 10 Mar 2017  10:17 AM
    * 
    * Get list Customer and filter with pagination
    */
    
    // <!-- added by Balaji Feb 12, 2020   -->
    public Static function usp_get_measurements_list($name = null, $customer_id = null, $measurement_id=null,$from_date=null,$to_date=null,$orderby = null,$page_no = null,$page_size = null,$item_name = null,$accessory_ids = null,$admin_id = null)
    {
        
        $name               = empty($name)?null:$name;
		$customer_id        = empty($customer_id)?null:$customer_id;
		$measurement_id     = empty($measurement_id)?null:$measurement_id;
		$from_date          = empty($from_date)?null:$from_date;
		$to_date            = empty($to_date)?null:$to_date;
		$con_order_by       = empty($con_order_by)?null:$con_order_by;
		$orderby            = empty($orderby)?null:$orderby;
		$ordertype          = empty($ordertype)?null:$ordertype;
		$page_size          = empty($page_size)?null:$page_size;
		$page_size          = empty($page_size)?null:$page_size;
        $item_name          = empty($item_name)?null:$item_name;
        $accessory_ids      = empty($accessory_ids)?null:$accessory_ids;
        
        if(isset($admin_id)){
           $admin_id           = empty($admin_id)?null:$admin_id;
        }
        else{
            if (Auth::User()->role  ==  "SUPER ADMIN"){
                $admin_id           =   null;
            }
            else{
                $admin_id           =   Auth::user()->admin_id; 
            }
                
        }
        //log::info($admin_id);
        // var_dump($name);
        // var_dump($customer_id);
        //var_dump($measurement_id);
        // var_dump($from_date);
        // var_dump($to_date);
        // var_dump($con_orderby);
        // var_dump($orderby);
        // var_dump($page_no);
        // var_dump($page_size);
        // var_dump($item_name);
        // var_dump($accessory_ids);
        //exit();
        
        
        // try
        // {

            $measurements       = array();
            $count              = array();
            $measure_items      = array(); 
            $measure_accessorys = array();            
            
           
            $pdo = DB::connection()->getPdo();
            $pdo->setAttribute(PDO::ATTR_EMULATE_PREPARES, true);
            $stmt = $pdo->prepare("CALL usp_get_measurements_list(:name,:customer_id,:measurement_id,:from_date,:to_date,:orderby,:page_no,:page_size,:item_name,:accessory_ids,:admin_id);");
            
            $stmt->execute(array
            (':name'=>$name,':customer_id'=>$customer_id,':measurement_id'=>$measurement_id,':from_date'=>$from_date,':to_date'=>$to_date,
            ':orderby'=>$orderby,':page_no'=>$page_no,':page_size'=>$page_size,':item_name'=>$item_name,':accessory_ids'=>$accessory_ids,':admin_id'=>$admin_id));
            // var_dump($stmt);
            // exit();
 
            $i = 1;
            do
            {

                if($i == 1)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($measurements, (object)$row);                        
                    }

                }
              elseif($i == 2)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($measure_items, (object)$row);                        
                    }

                }
                elseif($i == 3)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($measure_accessorys,(object)$row);
                    }
                }
                elseif($i == 4)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($count,(object)$row);

                    }
                }   
          


                $i++;
            } while ($stmt->nextRowset());
            return array('measurements' => $measurements,'measure_items'=>$measure_items,'measure_accessorys'=>$measure_accessorys,'count' => $count[0]->count);

            //return array('measurement' => $measurement,'count' => $count[0]->count,'measurequote'=>$measurequote);
            // var_dump($measure_accessory);
            // exit();
        
        }
    
    // <!-- END -->    
    
    public Static function usp_get_measurements_jun($name = null, $measurement_id=null,$from_date=null,$to_date=null,$orderby = null,$page_no = null,$page_size = null,$item_name = null,$accessory_ids = null)
    {
        // try
        // {

            $measurements  = array();
            $count  = array();
            $measure_items = array(); 
            $measure_accessorys  = array();            
            
           
            $pdo = DB::connection()->getPdo();
            $pdo->setAttribute(PDO::ATTR_EMULATE_PREPARES, true);
            $stmt = $pdo->prepare("CALL usp_get_measurements_jun(:name,:measurement_id,:from_date,:to_date,:orderby,:page_no,:page_size,:item_name,:accessory_ids);");
            //$stmt = $pdo->prepare("CALL usp_search_accessorys($storeId,$currencyId,null,null,null,null,null,null,$page,$pageSize );");
            $stmt->execute(array(':name' =>  $name,':measurement_id'=>$measurement_id,':from_date' => $from_date ,':to_date' => $to_date,':orderby'=>$orderby,':page_no' => $page_no,':page_size' => $page_size,':item_name' => $item_name, ':accessory_ids' => $accessory_ids));
            
 
            $i = 1;
            do
            {

                if($i == 1)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($measurements, (object)$row);                        
                    }

                }
              if($i == 2)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($measure_items, (object)$row);                        
                    }

                }
                elseif($i == 3)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($measure_accessorys,(object)$row);
                    }
                }
                elseif($i == 4)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($count,(object)$row);

                    }
                }   
          


                $i++;
            } while ($stmt->nextRowset());
            return array('measurements' => $measurements,'measure_items'=>$measure_items,'measure_accessorys'=>$measure_accessorys,'count' => $count[0]->count);

            //return array('measurement' => $measurement,'count' => $count[0]->count,'measurequote'=>$measurequote);
            // var_dump($measure_accessory);
            // exit();
        
        }
        // catch (Exception $e)
        // {
        //    Log::error('Measurementquotation->usp_get_measurements '.$e->getMessage());
        //    //echo $e->getMessage();
        //    return array('measurement' => [],'count'=>[],'measurequote' =>[]);
    //     // }
    // }

	


}

?>
