<?php

use Auth;
use Illuminate\Auth\UserTrait;
use Illuminate\Auth\UserInterface;
use Illuminate\Auth\Reminders\RemindableTrait;
use Illuminate\Auth\Reminders\RemindableInterface;

class QuotMeasurements extends Eloquent {
	//public $timestamps = false;
	

	/**
	 * The database table used by the model.
	 *
	 * @var string
	 */
	protected $table = 'quot_measurements';

	protected $primaryKey = "quot_measurement_id";

/**
    * Nandhini On 10 Mar 2017  10:17 AM
    * 
    * Get list Customer and filter with pagination
    */   
    public Static function usp_get_quot_measurements_list($name = null, $customer_id = null, $measurement_id=null,$from_date=null,$to_date=null,$orderby = null,$page_no = null,$page_size = null,$item_name = null,$accessory_ids = null)
    {
        // try
        // {

            $measurements       = array();
            $count              = array();
            $measure_items      = array(); 
            $measure_accessorys   = array();            
            
           
            $pdo = DB::connection()->getPdo();
            $pdo->setAttribute(PDO::ATTR_EMULATE_PREPARES, true);
            $stmt = $pdo->prepare("CALL usp_get_quot_measurements_list(:name,:customer_id,:measurement_id,:from_date,:to_date,:orderby,:page_no,:page_size,:item_name,:accessory_ids);");
            
            $stmt->execute(array(':name' =>  $name,':customer_id' =>  $customer_id,':measurement_id'=>$measurement_id,':from_date' => $from_date ,':to_date' => $to_date,':orderby'=>$orderby,':page_no' => $page_no,':page_size' => $page_size,':item_name' => $item_name, ':accessory_ids' => $accessory_ids));
            
 
            $i = 1;
            do
            {

                if($i == 1)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($measurements, (object)$row);                        
                    }

                }
              if($i == 2)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($measure_items, (object)$row);                        
                    }

                }
                elseif($i == 3)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($measure_accessorys,(object)$row);
                    }
                }
                elseif($i == 4)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($count,(object)$row);

                    }
                }   
          


                $i++;
            } while ($stmt->nextRowset());
            return array('measurements' => $measurements,'measure_items'=>$measure_items,'measure_accessorys'=>$measure_accessorys,'count' => $count[0]->count);

            //return array('measurement' => $measurement,'count' => $count[0]->count,'measurequote'=>$measurequote);
            // var_dump($measure_accessory);
            // exit();
        
        }


	


    }

?>
