@extends('layout.layout')
@section('title','Accessories Information ') 
@section('head_title','Accessories Information')
@section('content') 

<!-- 
{{ HTML::style('css/accessorystyle.css') }} -->

<!-- @if (Session::has('flash_message'))
  <div class="alert alert-success">
     {{Session::get('flash_message')}}
  </div>
@endif -->
<form action="{{url('accessorys/accessory')}}" method="post">
 <div class="row">
      <div class="col-sm-12">
         <div class="card">         
            <div id="header_id" class="card-header text-white bg-primary">              
               <div class="row">
                     <div class="col-sm-7">       
                        <i class="fa fa-plus" aria-hidden="true"></i> Add New Accessory
                     </div>
               </div>                    
            </div>


            <div class="card-body"> 
            <br/><br/>  
            <!-- Added by Balaji on Mar 18, 2020 -->
            <div class="row">      
               <div class="col-sm-3 text-right"> 
                  <label for="validationServer013">Accessory Type</label>
               </div>
               <div class="col-sm-7">
                  <div class="form-group"> 
                     {{Form::select('accessory_type', $accessory_type, isset($measurement_item->accessory_type)?$measurement_item->accessory_type:null, ['class' => 'form-control is-valid', 'id' =>'validationServer013', 'name' =>'accessory_type'])}}                     
                     <label class="red">{{$errors->first('accessory_type');}}</label>
                  </div>
               </div>
               <div class="col-sm-2">
               </div>
            </div>
            <!-- End -->    
      
      
      <div class="row">
      
      <div class="col-sm-3 text-right">
       <label for="validationServer013">Accessory Name</label>
      </div>
                <div class="col-sm-7">
                   <div class="form-group"> 
                      <input type="text" class="form-control is-valid" id="validationServer013" placeholder="name" name="name" value="{{ Input::old('name')}}">
             <label class="red">{{$errors->first('name');}}</label>
          </div>
          </div>
          <div class="col-sm-2">
          </div>
          </div>
     
          <div class="row">
      <div class="col-sm-3 text-right">
           <label for="validationServer013">Accessory Number</label>
           </div>
                <div class="col-sm-7">
              <div class="form-group"> 
              <input type="text" class="form-control is-valid" id="validationServer013" placeholder="accessory Number" name="accessory_no" value="{{ Input::old('accessory_no')}}">
              <label class="red">{{$errors->first('accessory_no');}}</label>
              </div>
          </div>
           <div class="col-sm-2">
          </div> 
          </div>

  <div class="form-row">
        <div class="col-sm-3 text-right">
            <label for="validationServer013">Segment Type</label>
            </div>
        <div class="col-sm-7">
        <div class="form-group">     
             {{ Form::select('segment', $segment, null, array('class' =>'form-control is-valid')) }}
             <label class="red">{{$errors->first('segment');}}</label>
        </div>
        </div>
         <div class="col-sm-2">
          </div> 
          </div>
  
        <!--<div class="row">-->
        <!--    <div class="col-sm-3 text-right">-->
        <!--        <label for="validationServer013">Supplier</label>-->
        <!--    </div>-->
        <!--   <div class="col-sm-7">-->
        <!--        <div class="form-group">       -->
        <!--            {{ Form::select('supplier_name', $supplier_name, null, array('class' =>'form-control is-valid')) }}-->
        <!--              <label class="red">{{$errors->first('supplier_name');}}</label>-->
        <!--        </div>-->
        <!--    </div>-->
        <!--</div>-->
        
          <div class="row">
      <div class="col-sm-3 text-right">
           <label for="validationServer013">Price</label>
           </div>
                <div class="col-sm-7">
             
              <input type="text" class="form-control is-valid" id="validationServer013" placeholder="price" name="unit_price" value="{{ Input::old('unit_price')}}">
              <label class="red">{{$errors->first('unit_price');}}</label>
          </div>
           <div class="col-sm-2">
          </div> 
          </div>

   </div>  <!-- div card end -->
            <div class="card-header text-muted">
             <div class="row">
                <div class="col-sm-12 text-right">
                   <div class="">
                     <input type="submit" class="btn btn-md btn-success" name="save_continue" value="Save and Continue"></input>


                      
                      <button  name="save_exit" type="submit" class="btn btn-md btn-warning" > <a href="{{URL('accessorys')}}"></a><strong>Save and Exit</strong></button>
    

                      <button name="cancel" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('accessorys')}}'"><strong>Cancel</strong></button>
                   </div>
                </div>
             </div>
             </div>                 
      </div>
  </div>   
</div> 
</form>
@stop
@section('bottom_script')
<script>
   // Wait for the DOM to be ready
   // $(function() {
   // // Initialize form validation on the registration form.
   // // It has the name attribute "registration"
   // $("form[name='myForm']").validate({
   //  // Specify validation rules
   //  rules: {
   //    // The key name on the left side is the name attribute
   //    // of an input field. Validation rules are defined
   //    // on the right side
   //    name: 
   //    {
   //       required: true         
   //    },
   //    accessory_no: 
   //    {
   //      required: true         
   //    },
   //    segment: 
   //    {
   //      required: true         
   //    },
   //    supplier_name: 
   //    {
   //      required: true         
   //    },
   //    unit_price: 
   //    {
   //      required: true         
   //    },
   //     // Specify validation error messages
   //        messages: {
   //            name              : "Please enter your accessory name",
   //            accessory_number    : "Please enter a accessory number", 
   //            segment           : "Please enter a sagment", 
   //            supplier_name     : "Please enter a supplier_name", 
   //            unit_price        : "Please enter a unit_price for accessory",
   //        },
   //  // Make sure the form is submitted to the destination defined
   //  // in the "action" attribute of the form when valid
   //  submitHandler: function(form) {
   //    form.submit();
   //  }
   // }
   // });
   // });
</script>
@stop