@extends('layout.layout')
@section('title','Measurement Index') 
@section('head_title','Measurement Index')


@section('content') 

<!-- <td colspan=1>
	<button type="button" class="btn btn-sm btn-success pull-right"><a href="{{ URL::to('/measurements/addmeasurement') }}"><span class=" fa fa-plus " style="color:white"><b>Add Measurement</b></span>
	</button>
</td><br><br> -->
<td colspan=1>
	<button type="button" class="btn btn-sm btn-info"><a href="{{ URL::to('/measurements/addmeasurement') }}"><span class=" fa fa-plus " style="color:white"><b>Add New Number</b></span>
	</button>
</td><br><br>
<!-- Filter  -->
<div class="row" width="auto">
   <div class="col-sm-12">
      <form action="{{ url('/measurements/filter') }}">
         <div id="accordion" role="tablist">
            <div class="card card-collapse">
               <div class="card-header text-white bg-primary" role="tab" id="headingOne">
                  <!-- <h5 class="mb-0"> -->
                  <strong><a class="text-white collapsed" data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                  <i class="fa fa-filter"></i> Filter </strong> 
                  </a>
                  <!-- </h5> -->
               </div>
               <div id="collapseOne" class="collapse" role="tabpanel" aria-labelledby="headingOne" data-parent="#accordion">
                  <div class="card-body">
                     <div class="row">
                        <div class="col-sm-4" id="mname">
                           <label>Customer Name</label>
                           <input type="text" name="MName" class="form-control" value="{{ $filter_name }}">
                        </div>
                        <div class="col-sm-4" id="mitem">
                           <label>Item</label>
                           <input name="MItem" type="text" class="form-control" value="{{ $filter_item }}">
                        </div>
                        <div class="col-sm-4" id="mid">
                           <label>Measurement Id</label>
                           <input name="MeasurementId" type="text" class="form-control" value="{{ $filter_measurement_id }}">
                        </div>
                     </div>
                 
                     <div class="row">
                        <div class="col-sm-4" id="orderby"> 
                            <label>Order_by</label>
                     {{ Form::select('orderby', 
                     array(''=> '--Select--','name'=>'name','item_name'=>'item_name','accessory'=>'accessory'),$order_by, ["class"=>"form-control col"]) }}
                     
                        </div>
                        <div class="col-sm-4" id="ordertype">
                            <label>Order_type</label>
                     {{ Form::select('ordertype', 
                     array('asc'=>'ascending','desc'=>'descending'),$order_type, ["class"=>"form-control col"]) }}
                        </div>
                     </div>                     
                  </div>
                   <div class="card-footer text-muted">   
                     <div class="row">                      
                        <div class="col-sm-12 text-right">

                           <input name="Remove" type="submit"  class="btn btn-sm btn-danger" value="Remove Filter" />
                           <input  name="Apply" type="submit" class="btn btn-sm btn-primary" value="Apply Filter">

                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
<!--End Filter  -->
<div class="clear"></div>

<!-- Index Table  -->

<form id="page_size" action="{{ url('/measurements') }}"  method="post">
   <!-- panel table design -->
  <div class="row">
      <div class="col-sm-12">
         <div class="card  card-collapse">
            <div id="header_id" class="card-header text-white bg-primary">               
                  <div class="row">
                     <div class="col-6 col-md-4">       
                        <i class="fa fa-list" aria-hidden="true"></i> Index
                     </div>
                     <div class="col-6  col-md-5  from-group text-right">                     
                        <label class="dataTables_length" id="example_length">
                        Show 
                        </label>
                     
                         <select name="page_size" id="ddl_page_size" aria-controls="example" value="{{ $page_size }}" class="form-control-sm">
                        <option value="1" {{ $page_size=="1"?"selected":"" }}>1</option>
                         <option value="2" {{ $page_size=="2"?"selected":"" }}>2</option>
                        <option value="5" {{ $page_size=="5"?"selected":"" }}>5</option>
                        <option value="10" {{ $page_size=="10"?"selected":"" }}>10</option>
                        <option value="25" {{ $page_size=="25"?"selected":"" }}>25</option>
                        <option value="50" {{ $page_size=="50"?"selected":"" }}>50</option>
                        <option value="100" {{ $page_size=="100"?"selected":"" }}>100</option>
                        </select>                     
                        <label class="dataTables_length" id="example_length"> entries
                        </label>
                     </div>        
               </div>
            </div>
  <?php $sno = 1;?>
<div class="card">
<div id="collapseTwo" class="form-group row">
	<div class="col-md-12">
		<table class="table table-hover"> 
		
    @if(isset($measurements) )
		<!-- measurements -->
      <thead  class="thead-light">
        <tr>          
          <th width="10%;">S No</th>
          <th width="40%;">Customer name / Mobile / Email</th>
          <th width="15%;">Measurement Id</th>
          <th width="15%;">Date</th>
          <!-- <th width="10%;">Edit</th> -->
          <th width="10%;">View</th>
          <th width="10%;"></th>
          <th width="10%;"></th>
            
        </tr>
      </thead>
      
      
		@foreach ($measurements as $key => $measurement)
			<tbody>
				<tr>
					<!-- <td id="name" colspan="1" class="text-green">{{ $sno++ }}</td> -->
              <!-- added by Balaji on July 09, 2020 -->
              <td id="name" colspan="1" class="text-green">{{ $measurement->serial_number }}</td>
              <!-- End -->
               <td id="name" colspan="1" class="text-green" 
					 >{{$measurement->name}}  /  {{$measurement->mobile}}  /  {{$measurement->email}}</td>
					<td id="name" colspan="1" class="text-green"> 
					 {{$measurement->measurement_id}}</td> 
					 <td id="name" colspan="1" class="text-green">{{ date("d/m/yy", strtotime($measurement->measurement_date))}}</td>
					<!-- <td colspan=1>
					<button type="button" class="btn btn-sm btn-primary"><a href="{{ URL::to('/measurements/step1/'.$measurement->measurement_id) }}"><span class=" fa fa-edit " style="color:white"></span></button></a>
					</td> -->
               <td colspan=1>
					<button type="button" class="btn btn-sm btn-primary"><a href="{{ URL::to('/measurements/views/'.$measurement->measurement_id) }}"><span class=" fa fa-eye " style="color:white"></span></button></a>
					</td>
					<td colspan=1>
					<!-- <button type="button" class="btn btn-sm btn-info"><a href="{{ URL::to('/measurements/duplicate/'.$measurement->measurement_id) }}"><span style="color:white"><b>Duplicate</b></span></button></a> -->
               <!--<button type="button" class="btn btn-sm btn-info btnduplicate" data-id="{{ $measurement->measurement_id }}">-->
               <!--Duplicate-->
               <!--</button>-->
               <!-- <a href="#ex1" rel="modal:open"><span style="color:white"><b>Duplicate</b></span></a> -->
               
					<!--</td>-->
     <!--          <td colspan=2>-->
					<!--<button type="button" class="btn btn-sm btn-success"><a href="{{ URL::to('/quotations/quotationsave?measurement_id='.$measurement->measurement_id) }}"><span class=" fa fa-check " style="color:white"><b>Confirm</b></span></button></a>-->
					<!--</td>-->
					<!-- <td colspan=1> 
					<strong><a  href="#" onclick="return hideshow({{$measurement->measurement_id}})">
                  	<i id="btn_{{$measurement->measurement_id}}" class="fa fa-plus"></i></a> </strong>
                  	</td> -->
				</tr>
			</body>

			<tbody class="child" id="child_{{$measurement->measurement_id}}">

			<tr>
				<th colspan=1 style="color:blue">S.no</th>
				<th colspan=3 style="color:blue">Room</th>
				<th colspan=2 style="color:blue">Item</th>
				<th colspan=2 style="color:blue">Number</th>
				<th colspan=2 style="color:blue">H x W <br>(in)</th>
				<th colspan=2 style="color:blue">Parts</th>				
			</tr>
			
			@if(isset($measurementitems[$measurement->measurement_id]))
			<?php $tno=count($measurementitems[$measurement->measurement_id]);?>
			<!-- measurement items --> 

			@foreach ($measurementitems[$measurement->measurement_id] as $measurementsitem)			
			<tr>							
				<td colspan=1 >{{ $tno-- }}</td>
				<td colspan=3 >{{ $measurementsitem->room }}</td>
				<td colspan=2 >{{ $measurementsitem->item_name }}</td>
				<td colspan=2 >{{ $measurementsitem->item_number }}</td>
				<td colspan=2 >{{ $measurementsitem->dimensions }}</td>
				<td colspan=2 >{{ $measurementsitem->parts }}</td>				
			</tr>			
			<tr>
				<th colspan=1></th>
				<th colspan=3 style="color:red">Fabric</th>
				<th colspan=4 style="color:red">Color</th>
				<th colspan=4 style="color:red">Length</th>
				
			</tr>
			<!-- measurement accessorys -->
			@if(isset($measurementaccessorys[$measurementsitem->measurement_item_id]))
			@foreach($measurementaccessorys[$measurementsitem->measurement_item_id] as $measurementaccessory)
			
 			<tr>
				<td colspan=1 ></td>
				<td colspan=3 >{{ $measurementaccessory->accessory }}</td>
				<td colspan=4 >{{ $measurementaccessory->color }}</td>
				<td colspan=4 >{{ $measurementaccessory->length }}</td>
				
			</tr>
			@endforeach <!-- end measurement accessorys -->
			@endif			
			@endforeach		
			@endif
			<!-- end measurement items --> 
							
			</tbody>
		@endforeach <!-- end measurements --> 
		@endif 
		</table>
    </div>
    </div>
		<div class="card-footer text-muted">
            <div class="row">
                <div class="text-left col-md-8">                  
               @if ($measurementitems_count > $page_size)
                  <!--    {{ $measurements_pagination->links(); }} -->
                     {{ CustomPagination::link($measurements_pagination,$page_no) }}
               @endif
                </div>

                @if (isset($page_size) && count($page_size)>0)
                <div class="text-right col-md-4">
                     Showing {{$measurementitems_db_count}}</label> of {{$measurementitems_count}} records
                </div>
                @endif   
            </div>
        </div>
        </div>
	</div>
</div>
</form>

<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add accessory</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>            
      <div class="modal-body">
			<div id="demo">
         <div class="col-12">
	<div class="card mb-12"><br>
		<h4 class="card-title" align="center" style="color: blue"><b>Change Customer?</b></h4>
		<!-- <h3 class="card-title" align="center" style="color: blue"><b>Customer Information</b></h3> -->
			<form id="frm_duplicate" method="POST">  	
			<div class="container-fluid">
				<div class="form-group row">
				<div class="col-10"><br>            
					<label class="col-md-3 col-form-label"><b>Mobile</b></label>
					<input type="text" placeholder="Search.." name="mobile" id="mobile">							
					<button id="searchicon" type="button" name="search" class=" btn-dark">
						<b><i class="fa fa-search" id="" ></i></b>
					</button><br>
					<span id="msg_mob" class="error"></span>						
				</div>
				<div class="col-2"><br>

					<div id="div_name" style="color: blue"></div>	
					<div id="div_address1" style="color: blue"></div>
					<div id="div_address2" style="color: blue"></div>
					<div id="div_address3" style="color: blue"></div>
											
				</div>	
				</div>	
				<!-- <div class="form-group row">				
					<div class="col-8">
						<label class="col-md-3 col-form-label"><b>Date</b></label>
						<input type="text" name="date"id="date" value="{{isset($measurements->measurement_date)?$measurements->measurement_date : null}}"><br>
						<span id="msg_date" class="error"></span>
					</div>
				</div> -->
				<div class="form-group row">
				<div class="col-4"></div>						
				<div class="col-4">
					<div>
						<!-- <input type="submit" class="btn btn-primary" id="next" name="next" value="Next"></input>  -->
						<button type="button" id="addCus" class="btn btn-sm btn-success " onclick="location.href='{{URL('customers/customer')}}'"> Add as New Customer</button>						
                  <button type="button" id="next" class="btn btn-sm btn-info">Next</button>
                  
						
					</div>						
				</div>
				<div class="col-4"></div>												
				</div>
										
			</div>	
         </form>
		</div>
			</div>							
      </div>      
    </div>
  </div>
</div>

<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>					
	<!-- 					
		<section class="row">
			<div class="col-12 mt-1 mb-4">Supported by <a href="https://www.numerotec.com">Numero Technologies</a></div>
		</section> -->
				

  @stop
    @section('bottom_script')

<script type="text/javascript">
   var mobile = $('#mobile');			 
   var m_id = 0;
   var c_id = 0;

   $("#next").hide(); 
   $("#addCus").hide(); 

	$(document).ready(function()
	{
 		$(".child").hide();

      //-----------------------
       $('.btnduplicate').click(function()
		{
			$('#myModal').modal('show')
         m_id = $(this).attr('data-id');         
         alert(m_id);

				
		});

      $('#next').click(function()
		{
         url=baseUrl + "/measurements/duplicate/"+ m_id + "/"+c_id;
         $("#frm_duplicate").attr('action',url);
         $("#frm_duplicate").submit();
      });

      //-----------------------
      $("#searchicon").click(function(){
         var valid = true;         
         
         $("#msg_mob").text("");
         $("#next").hide(); 
         $("#addCus").hide(); 
      
         if(mobile.length < 1) {           
            valid=false;			         
            $("#msg_mob").text("Please enter the customer mobile number.");  
            mobile.focus() ;
            return false;
         }			              

         //     var val2 = $('#date').val();
         //    if (val2.length < 1) {
         //    valid=false;                
         //        $("#msg_date").text("Please enter your date.");            
         //   	}

         var result = '';

         $.ajax({
            url : baseUrl+'/measurements/getaddress',
            type: "POST",
            dataType: 'json',
            data: { mob : mobile.val()},
            success: function (data) {
               console.log(data);	          	
               if(data.code=="1")
               {
                  c_id = data.customer_id;
                  //$("#div_name").text(data.name);
                  //  $("#div_address1").text(data.address1);
                  //  $("#div_address2").text(data.address2);
                  //  $("#div_address3").text(data.address3);
                  //$("#msg_mob").text("The mobile number is already registered. Click on Next.");
                  $("#next").show();
                  $("#addCus").hide();

               }
               else if(data.code=="-1") // -1
               {
                  $("#div_name").text("");
                  $("#div_address1").text("");
                  $("#div_address2").text("");
                  $("#div_address3").text("");
                  $("#msg_mob").text("Please add as new customer.");
                  $("#addCus").show();  
               }
               

            },

            error: function (jqXhr, textStatus, errorMessage) {
                  alert('Error' + errorMessage);
            }
         }); 
         return result;
      });


	});
   

	// function hideshow(measurement_id)
	// {

	// 	   $("#child_"+measurement_id).toggle(1000);
   //       $("#btn_"+measurement_id).toggleClass("fa-minus fa-plus");		 
	// }
	
     $("#ddl_page_size").change(function(){    
         $("#page_size").submit();
    });
</script>

  @stop


