@extends('layout.layout')
@section('title','Jobcard') 
@section('head_title','Jobcard')
@section('content') 
<style>
   .line
   {
   color:#7376df;
   }
   .col {
   border: 1px solid black;
   }
   .lines {
   border: 1px solid black;
   margin-left: 100px;
   }
   th,td
   {
   text-align: center;
   }
</style>

@if(isset($measurements) )
    @foreach ($measurements as $measurement)
<form id="form_one"  action="{{ url('/jobcardsave/'.$measurement->measurement_id) }}"  method="post">    
<!--<form id="form_one"  action="{{ url('/jobcardsave/'.$quotations->quotation_id) }}"  method="post">    -->
   
   
        
   <div class="row">
   <div class="col-sm-12">
      <div class="card">
         <div id="header_id" class="card-header text-white bg-primary">
            <div class="row">
               <div class="col-sm-7">       
                  <i class="fa fa-list" aria-hidden="true"></i> Jobcard
               </div>
            </div>
         </div>
         <div class="card-body">
            <hr class="line">
            <div class="row">
               <div class="col-sm-5">
                  <div class="form-group">
                     <label><strong>Measurement ID :</strong></label>
                     <label> {{ $measurement->measurement_id}} </label>
                     <br/>
                  </div>
               </div>
               <!--<div class="col-sm-5">-->
               <!--   <div class="form-group">-->
                     
               <!--   </div>-->
               <!--</div>-->
               <div class="col-sm-7 text-right">
                  <div class="form-group">
                     <label><strong>Sales Person :</strong></label>
                     <label> {{ $measurement->created_admin_name}}</label>
                  </div>
               </div>
            </div>
            <!--<div class="row">-->
            <!--   <div class="col-sm-5">-->
            <!--      <div class="form-group">-->
            <!--         <label><strong>Quotation ID :</strong></label>-->
            <!--         <label>{{ $quotations->quotation_id }}</label>-->
            <!--         <br/>-->
            <!--      </div>-->
            <!--   </div>-->
            <!--</div>-->
            <div class="row">
               <div class="col-sm-12 text-center">
               </div>
            </div>
        @endforeach
           <!-- {{ var_dump($measurementitems_db) }}  -->
            <div class="responsive">
               <table class="table table-bordered table-striped">
                  <thead class="thead-dark">
                     <tr>
                        <th>#</th>
                        <th>Room</th>
                        <th>Item</th>
                        <!--<th>Number</th>                        -->
                        <th>Height <br>(in)</th>
                        <th>Width <br>(in)</th>                                  
                        <th>Parts</th>
                        <th>Length<br>(m)</th>
                        <th>Accessories</th>
                        <th>Total<br>Length (m)</th>                                                           
                     </tr>
                     
                  </thead>
                  
                  <tbody>
                     
                     
            @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
                @foreach ($measurementitems_db as $key => $itemdetail)
                    @if($itemdetail->measurement_id == $measurement->measurement_id)
                        
                     <tr>                    
                        <td>{{ $sno-- }}</td>
                        <td>{{ $itemdetail->room }}</td>
                        <td>{{ $itemdetail->item_name }}</td>
                        <!--<td>{{ $itemdetail->item_number }}</td>                     -->
                        <td>{{ $itemdetail->height }} </td>
                        <td>{{ $itemdetail->adjusted_width }}</td>                                 
                        <td>{{ $itemdetail->parts }}</td>
                        <td>{{ $itemdetail->jobcard_length }}</td>
                        <td>
                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                                       
                                    @if($accessorydetail->accessory_type == 'Material')                   
                                        {{ $accessorydetail->accessory }} <br>
                                    @endif
                                                    
                                  @endif      
                               @endforeach
                            @endif
                        </td>
                        <td style="font-weight: bold;">
                         @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                            @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                    
                                    @if($accessorydetail->accessory_type == 'Material') 
                                    <!--For materials, if curtain show total in meters, for the rest show total in Sq.ft-->
	                                 	@if($itemdetail->item_type == 'Curtain')
	                                 	{{ $itemdetail->total }} meters <br>
	                                 	@else
	                                 	{{ $itemdetail->total }} Sq.Ft <br>
	                                 	@endif
	                                 @else
	                                 	<!--For Rods and Channels in Jobcard alone, show blank space-->
	                                 @endif
	                                 
                                    <!--@if($itemdetail->item_type == 'Curtain' )-->
                                    <!--    @if($accessorydetail->accessory_type == 'Material') -->
                                    <!--        {{ $itemdetail->total }} meters<br>-->
                                    <!--    @endif-->
                                    <!--@else-->
                                    <!--    @if($accessorydetail->accessory_type == 'Material')                   -->
                                    <!--        {{ $itemdetail->total }} Sq.Ft<br>-->
                                    <!--    @else-->
	                                 	 <!--   {{ $accessorydetail->length }} Ft <br>-->
                                    <!--    @endif-->
                                    <!--@endif-->
                             
                                @endif 
                            @endforeach
                         @endif     
                     	</td>
                        
                     </tr>
                    @endif
                @endforeach
            @endif
                     
                  </tbody>
            
               </table>
               <div class="card-header text-muted">
                    <div class="row col-md-12">
                       
                       <div class="col-md-6 text-right">
                          <input name="save" id="save" value="Save" type="submit" class="btn btn-md btn-success">
                       </div>
                       
                       <div class="col-md-6 text-left">
                           <!--<input name="Index" value="Index" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('quotations')}}'">-->
                           <input name="Index" value="Cancel" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('measurements')}}'">
                       </div>
        
                    </div>
                 </div>
               
            </div>
</div>   
      </div>
         
      </div>
   </div>
         
@endif

</form>
@stop
@section('buttom_script')
@stop