@extends('layout.mail_layout')
@section('title','Quotation') 
@section('head_title','Quotation')
@section('content') 
<form id="quotation_view"  action="{{url('/quotations/quotation_mail/'.$id) }}"  method="post">
   <div class="w3-border">
      <br/>
      <div class="header" style="background-color:#7376df;">
         <a href="#default" class="logo" id="quotation" style="color:#ffffff !important;text-decoration:none;"><b>QUOTATION</b></a>
      </div>
      <br/>
      <table style="width:100%;">
         <tr>
            <th id="company_name" style="text-align:left;">
               <strong>Innovation</strong> 
            </th>
         </tr>
         <tr>
            <th style="text-align:left;">
               <strong>G N Mills, Coimbatore.</strong>    
            </th>
         </tr>
         <tr>
            <th id="company_name" style="text-align:left;">
               <label><strong>Measurement ID :</strong></label>
               <label id="red">{{ $quotations->measurement_id}}</label>
            </th>
            <th id="company_name" style="text-align:right;">
               <label><strong>Sales Person :</strong></label>
               <label id="red">Sales person name</label>
            </th>
         </tr>
         <br/>
         <tr>
            <th id="quotation_line" style="text-align:right;" >
               ****************************** QUOTATION ****************************** 
            </th>
         </tr>
         <tr>
            <th id="company_name" style="text-align:left;">
               <lable>
               To</b>
            </th>
         </tr>
         <tr>
            <th id="company_name" style="text-align:left;">
               <label>Customer Name :</label>
               <label id="red">{{ $quotations->name}}</label>
            </th>
            <th id="company_name" style="text-align:right;">
               <label>Customer ID :</label>
               <label id="red">{{ $quotations->customer_id}}</label>
            </th>
         </tr>
         <tr>
            <th id="company_name" style="text-align:left;"> 
               <strong>Customer Address :</strong>
               <label id="red">{{ $quotations->address1}}{{ $quotations->address3}}</label>
            </th>
            <th id="company_name" style="text-align:right;">
               <label><strong>Quotation ID :</strong></label>
               <label id="red">{{ $quotations->quotation_id}}</label>
            </th>
         </tr>
      </table>
      <br/><br/>
      <table border="1" id="table4" style="border-collapse : collapse;width:100%;">
         <tr class="border">
            <th class="border">From Date</th>
            <td id="red" style="text-align:center;"><label>{{ date("d/m/y h:i:A", strtotime($quotations->quotation_on))}} </label></td>
            <th class="border">Shipping Date</th>
            <td id="red" style="text-align:center;"><label>{{ date("d/m/y h:i:A", strtotime($quotations->shipping_date))}}</label></td>
            <th class="border">Payment Terms</th>
            <td id="red" style="text-align:center;"><label>{{ date("d/m/y h:i:A", strtotime($quotations->payment_terms))}}</label></td>
         </tr>
      </table>
      <br/><br/>
      <table border="1" class="border" id="table4" style="border-collapse : collapse;width:100%;">
         <thead class="border" style="text-align:center;">
            <tr class="border" >
               <th class="border">ID No</th>
               <th class="border">Item Code</th>
               <th class="border">Item Name</th>
               <th class="border">Description</th>
               <th class="border">unit price</th>
               <th class="border">Length</th>
               <th class="border">Quantity</th>
               <th class="border">Total amount</th>
            </tr>
         </thead>
         <tbody class="border" style="text-align:center;">
            @foreach($q_item_items as $q_item_item) 
            <tr class="border" style="text-align:center;">
               <td class="border">{{ $q_item_item->accessory_id}}</td>
               <td class="border">{{ $q_item_item->accessory_no}}</td>
               <td class="border">{{ $q_item_item->item_name}}</td>
               <td class="border">{{ $q_item_item->accessory_name}}</td>
               <td class="border">{{ $q_item_item->unit_price}}</td>
               <td class="border">{{ $q_item_item->length}}</td>
               <td class="border">{{ $q_item_item->quantity}}</td>
               <td class="border">{{ $q_item_item->total_amount}}</td>
            </tr>
            @endforeach
         </tbody>
      </table>
      <br/>
      <table style="width:100%;">
         <tr>
            <th id="company_name" style="text-align:right;">
               <label><strong>Sub Total :</strong></label>
               <label id="red">{{ $quotations->sub_total}}</label>
            </th>
         </tr>
         <tr>
            <th id="company_name" style="text-align:right;">
               <strong>GST :</strong>
               <label id="red">{{ $quotations->gst}}</label>
            </th>
         </tr>
         <tr>
            <th id="company_name" style="text-align:right;">
               <strong>Shipping Amount:</strong>
               <label id="red" name="shipping_amount">{{ $quotations->shipping_amount}}</label>
            </th>
         </tr>
         <tr>
            <th id="company_name" style="text-align:right;">
               <strong>____</strong>
            </th>
         </tr>
         <br/>
      </table>
      <table style="width:100%;">
         <tr>
            <th id="company_name" style="text-align:left;">
               <strong>Approved by:</strong>
               <label id="red">{{Auth::user()->admin_name}}</label>
            </th>
            <th id="company_name" style="text-align:right;">
               <strong>Grand Total :</strong>
               <label id="red" class="calculation">{{ $quotations->grand_total}}</label>
            </th>
         </tr>
      </table>
      </table>
   </div>
</form>
@stop
@section('bottom_script')
@stop