@extends('layout.layout')
@section('title','Quotation') 
@section('head_title','Quotation')
@section('content') 
<style> 
   .line
   {
   color:#7376df;
   }
   .col {
   border: 1px solid black;
   }
   .lines {
   border: 1px solid black;
   margin-left: 100px;
   }
   th,td
   {
   text-align: center;
   }
</style>
 
<form id="frm_Delete"  action="{{ url('/quotations') }}"  method="post">
<!-- <form id="quotation_view"  action="{{url('quotations/quotationview/'.$id) }}"  method="post"> -->
   <div class="row">
   <div class="col-sm-12">
      <div class="card">
         <div id="header_id" class="card-header text-white bg-primary">
            <div class="row">
               <div class="col-sm-7">       
                  <i class="fa fa-list" aria-hidden="true"></i> Quotation
               </div>
            </div>
         </div>
         <div class="card-body">
            <div class="row">
                        <div class="col-sm-6">
                           <strong>Innovations</strong> 
                        </div>
                        <div class="col-sm-6 text-right"> 
                           <strong>Customer Name and Address : </strong> 
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-sm-6">
                           <p>Door No 10B New 2,<br> 
                              17, Kalingarayan St,<br>  
                              Ram Nagar, Coimbatore,<br>  
                              Tamil Nadu 641009.</p>    
                        </div>
                        <div class="col-sm-6 text-right">
                           <!-- <label><strong>Address :</strong></label> -->                             
                           <label><strong>{{ $quotations->name }},</strong></label><br>
                           <label>{{ $quotations->address1 }},</label><br>
                           <label>{{ $quotations->address2 }},</label><br>
                           <label>{{ $quotations->address3 }}.</label>
                        </div>   
                     </div>
                     <div class="row">
                        <div class="col-sm-12">
                           <div class="form-group">
                              <label><strong>Sales Executive :</strong></label>
                              <label>{{ $quotations->created_admin_name}}</label>
                           </div>
                        </div>
                     </div>

                     <table class="table table-bordered" style="border: 1px solid !important; text-align: left;">                  
                        <tr>
                           <th colspan="2"><label><strong>Customer ID :</strong></label></th>
                           <th colspan="2"><label>{{ $quotations->customer_id }}</label></th>
                           <th colspan="2"><label><strong>Measurement ID :</strong></label></th>
                           <th colspan="2"><label>{{ $quotations->measurement_id}}</label></th>
                           <th colspan="2"><label><strong>Quotation ID :</strong></label></th>
                           <th colspan="2"><label>{{ $quotations->quotation_id }}</label></th>
                        </tr>
                     </table>
            <table class="table table-bordered" style="border: 1px solid !important; text-align: center;">                  
               <tr>
                  <th>From Date</th>
                  <th><label>{{ date("d/m/yy h:i:A", strtotime($quotations->quotation_on))}} </label></th>
                  <th>Shipping Date</th>
                  <th><label>{{ date("d/m/yy h:i:A", strtotime($quotations->shipping_date))}}</label></th>
                  <th>Payment Due On</th>
                  <th><label>{{ date("d/m/yy h:i:A", strtotime($quotations->payment_terms))}}</label></th>
               </tr>
            </table>
            <!-- <div class="container">
               <div class="row"> -->
                  <!-- 3 + 7 + 2 = 12 columns -->
                  <!-- <div class="col-sm-2 col">From Date</div>
                  <div class="col-sm-2 col"><label>{{ date("d/m/yy h:i:A", strtotime($quotations->quotation_on))}} </label></div>
                  <div class="col-sm-2 col">Shipping Date</div>
                  <div class="col-sm-2 col"><label>{{ date("d/m/yy h:i:A", strtotime($quotations->shipping_date))}}</label></div>
                  <div class="col-sm-2 col">Payment Due On</div>
                  <div class="col-sm-2 col"><label>{{ date("d/m/yy h:i:A", strtotime($quotations->payment_terms))}}</label></div>
               </div>
            </div>
            <br/> -->
            <div class="responsive">
               <table class="table table-bordered table-striped">
                  <thead class="thead-dark">
                     <tr>
                        <th>#</th>
                        <th>Room</th>
                        <th>Item</th>
                        <th>Number <br>of Items</th>                        
                        <th>Height <br>(in)</th>
                        <th>Width <br>(in)</th>												
                        <th>Parts</th>
                        <th>Length<br>(m)</th>
                        <!--<th>Total Length<br> (m/Sq.ft)</th>-->
                        <th>Accessories</th>
                        <th>Unit Price</th>
                        <th>Length</th>
                        <th>Total Price<br>(Rs.)</th>
                     </tr>
                     
                  </thead>
                  <!-- {{ var_dump($measurementitems_db) }} -->
                  <tbody>
                  @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
                    @foreach ($measurementitems_db as $key => $itemdetail)

                      <tr>							
                         <td>{{ $sno-- }}</td>
                         <td>{{ $itemdetail->room }}</td>
                         <td>{{ $itemdetail->item_name }}</td>
                         <td>{{ $itemdetail->item_number }}</td>                     
                         <td>{{ $itemdetail->adjusted_height }}</td>
                         <td>{{ $itemdetail->width }}</td>											
                         <td>{{ $itemdetail->parts }}</td>
                         @if ($itemdetail->item_type == "Curtain" )
                         <td>{{ $itemdetail->length }}</td>
                                  @else
                         <td>{{ 'Nil' }}</td>                                 
                          @endif
                         <!--<td>{{ $itemdetail->total }}                      -->
                         <!--@if($itemdetail->item_type == 'Curtain' )-->
                         <!--   meters-->
                         <!--@else-->
                         <!--   Sq.ft-->
                         <!--@endif-->
                         <!--</td>-->
                         
                         <td style="text-align: center;">
                             @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                             {{ $accessorydetail->accessory }} <br>
                                  @endif
                               @endforeach
                            @endif      
                             
                         </td>
                         <td style="text-align: center;">
                             @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                             {{ $accessorydetail->unit_price }} <br>
                                  @endif
                               @endforeach
                            @endif
                         </td>
                         
                         <td style="text-align: center;">
                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                    
                                    @if($accessorydetail->accessory_type == 'Material' )
                                       {{ $itemdetail->total }}
                                    @else
                                       {{ $accessorydetail->length }}
                                    @endif
                                    @if($itemdetail->item_type == 'Curtain' )
                                       meters<br>
                                    @else
                                       Sq.ft<br>
                                    @endif
                                
                                  @endif
                               @endforeach
                            @endif
                         </td> <!-- item's total length -->
                        <td style="text-align: right;">
                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                            <?php
                                    // $total_price = $accessorydetail->unit_price * $itemdetail->total * $itemdetail->item_number; 
                                     if($accessorydetail->accessory_type == 'Rod' || $accessorydetail->accessory_type == 'Channel' ){
                    
                                           $total_price = $accessorydetail->unit_price * $accessorydetail->length * $itemdetail->item_number;                                          
                                        }
                                        else{
                                           $total_price = $accessorydetail->unit_price * $itemdetail->total * $itemdetail->item_number;
                                        }
                                     $total_price = number_format((float)$total_price, 2, '.', '');
                                     $sub_total += $total_price;
                                     $sub_total = number_format((float)$sub_total, 2, '.', '');
                                  ?>
                                    {{ $total_price }} <br>
                                  @endif
                               @endforeach
                            @endif
                        </td>    
                         
                      							
    				@endforeach
    			  @else
    						<tr>
    						<td class="alert-danger text-center" colspan="8">
    						<h5>Items not Found</h5>
    						</td>
    						</tr>
						@endif
												
					</tbody>
				
				</table>
               
            </div>
            <div class="row text-right">
               <div class="col-sm-11">
                  <strong>Sub Total : (Rs.)</strong>
               </div>
               <div class="col-sm-1">
                  <label class="sub_total">
                   {{ $sub_total }} 
                  <!--{{ $quotations->sub_total }}-->
                  </label>
               </div>
               <div class="col-sm-11">
                  <strong>GST : (Rs.)</strong>
               </div>
               <div class="col-sm-1">
                  <label class="sub_total">
                    <?php $gst = $sub_total * 5/100 ?>
                        {{ $gst }} 
                  <!--{{ $quotations->gst }}-->
                  </label>
               </div>               
            </div>
            <!-- <div class="row">
               <div class="col-sm-12 text_right">
               </div>
                <div class="col-sm-12 text-right">
               <strong>Shipping Amount:</strong>
               <label name="shipping_amount"></label>{{ $quotations->shipping_amount}}
               </div>
            </div> -->
            <div class="row"> 
               <div class="col-sm-8 text-left">
                  <strong>Approved by</strong>
               </div>
               <div class="col-sm-4">                  
                  <hr class="lines">                  
               </div>               
            </div>
            <div class="row">
               <div class="col-sm-9 text-left">
                  <label>{{Auth::user()->admin_name}}</label>
               </div>
               <div class="col-sm-2 text-right">                  
                  <strong>Grand Total : (Rs.)</strong>
               </div>
               <div class="col-sm-1 text-right">
                  <?php $grand_total = $sub_total + $gst ?>
                  {{ $grand_total }}
                  <!--{{ $quotations->grand_total }}-->
               </div>               
            </div>  
         </div>
         <div class="card-header text-muted">
            <div class="row">
               <div class="col-sm-12">
                  <!-- <div class="col-sm-6 text-left"> -->
                        <!-- <a href="#1" class='fas fa-pencil-alt' style='font-size:15px;color:blue' onclick="location.href='{{url('quotations/quotationedit/'.$quotation->quotation_id) }}'"> EDIT </a> &nbsp&nbsp&nbsp -->
                       <!--  <a href="#1" class='fas fa-trash-alt' id="delete_id" style='font-size:15px;color:red' onclick="mul_deletef('{{ URL::to ('quotations/delete/'.$quotation->quotation_id)}}')"> DELETE </a>&nbsp&nbsp&nbsp -->
                        <!-- <a href="#1" class='fa fa-eye' style='font-size:15px;color:maroon' onclick="location.href='{{ URL::to ('quotations/viewquotation/'.$quotation->quotation_id)}}'"></a> -->
                        <!-- <a href="#1" class='fa fa-check' style='font-size:15px;color:green' onclick="location.href='{{ URL::to ('quotations/jobcard/'.$quotation->quotation_id)}}'">CONFIRM</a>                     
                  </div> -->
                  <div class="col-sm-12 text-center">                                             
                     
                     <input name="send_mail" value="Send Quotation" type="button" class="btn btn-md btn-warning" style='font-size:14px;font-weight:bold;color:green' onclick="location.href='{{url('quotations/quotationmail/'.$quotations->quotation_id) }}'"></strong></input>&nbsp&nbsp&nbsp
                     
                     <input name="send_print" value="Print Quotation" type="button" class="btn btn-md btn-primary" style='font-size:14px;font-weight:bold;color:white' onclick="location.href='{{url('quotations/quotationprint/'.$quotations->quotation_id) }}'"></strong></input>&nbsp&nbsp&nbsp
                    
                    <button type="button" class="btn btn-md btn-success"> 
                       <a href="{{ URL::to('/jobcard/'.$quotations->quotation_id) }}">
                        <span style="font-size:14px;color:white">
                           <strong>Generate Jobcard</strong>
                        </span>
                       </a>
                     </button>&nbsp&nbsp&nbsp
                     
                     <!--<button type="button" class="btn btn-md btn-success">-->
                     <!--  <a href="#" class='' style='font-size:14px;color:white' onclick="location.href='{{ URL::to ('jobcard/jobcard/'.$quotations->quotation_id)}}'">                        -->
                     <!--      <strong>Generate Jobcard</strong>                        -->
                     <!--  </a>-->
                     <!--</button>&nbsp&nbsp&nbsp -->
                     
                     
                     <input name="delete_id" id="delete_id" value="Delete Quotation" type="button" class="btn btn-md btn-danger" style='font-size:14px;font-weight:bold;color:yellow' onclick="mul_deletef('{{ URL::to ('quotations/delete/'.$quotations->quotation_id)}}')"></input>&nbsp&nbsp&nbsp
                     
                     <input name="Index" value="Index" type="button" class="btn btn-md btn-info" style='font-size:14px;font-weight:bold;color:white' onclick="location.href='{{URL('quotations')}}'"></input>&nbsp&nbsp&nbsp
                  
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</form>
@stop
@section('bottom_script')
<script type="text/javascript">

   function mul_deletef(url) {
     if(confirm(' you want to delete?'))
     {
      console.log(url);
      $("#frm_Delete").attr("action",url);
      $("#frm_Delete").submit();
     }
     else
     {
      return false;
     }
   }
   function hide_show_deletebutton() {
    $("#delete").hide();
          if($('.chk').prop('checked'))
            $("#delete").show();
          else
            $("#delete").hide();
   }
   $(function() {
   
    hide_show_deletebutton();
    
    $(document).on('change', '#selectall', function() {
    
      if ($(this).prop('checked')) {
        $('.chk').prop('checked', true);
        $(this).val('Unselect All');
      } else {
        $('.chk').prop('checked', false);
        $(this).val('Select All');
      }
    });
    });
   $(document).ready(function(){
    
        $("#selectall").click(function(){
          hide_show_deletebutton()
         });
   
        $(".chk").click(function(){
           $("#delete").hide();
          if($(this).prop("checked") == true)
            $("#delete").show();
          else
            $("#delete").hide();
         });
   
   
    $("#ddl_page_size").change(function(){    
      $("#frm_Delete").submit();
    });
   });
</script>
@stop
