<?php


class QuotQuotation extends Eloquent {

    

    /**
     * The database table used by the model.
     *
     * @var string
     */
    //protected $table = 'logindetails';
    protected $table = 'quot_quotations';
    protected $primaryKey='quot_quotation_id';

    
/**
   * Balaji On 29 Mar 2020  3:42 PM
    * 
    * Get list quotation and filter with pagination
    */    



    public Static function usp_get_quot_quotations($name = null, $email = null,$mob = null, $customer_id = null,$measurement_id = null,$quotation_id = null,$from_date = null,$to_date = null,$grand_total = null, $orderby = null,$page_no = 1,$page_size = 10)
    {
        try
        {
   
            $quotations  = array();
            $quotation_items = array(); 
            $count  = array();
           
            //$authors    = array();            
            
           
            $pdo = DB::connection()->getPdo();
            $pdo->setAttribute(PDO::ATTR_EMULATE_PREPARES, true);
            $stmt = $pdo->prepare("CALL usp_get_quot_quotations(:name,:email,:mob,:customer_id,:measurement_id,:quotation_id,:from_date,:to_date,:grand_total,:orderby,:page_no,:page_size);");
            //$stmt = $pdo->prepare("CALL usp_search_accessorys($storeId,$currencyId,null,null,null,null,null,null,$page,$pageSize );");
            $stmt->execute(array(':name' =>  $name ,':email' => $email ,':mob' => $mob,':customer_id' => $customer_id ,':measurement_id' => $measurement_id,':quotation_id' => $quotation_id,':from_date' => $from_date,':to_date' => $to_date,':grand_total'=>$grand_total,':orderby'=>$orderby,':page_no' => $page_no,':page_size' => $page_size));
            // var_dump($stmt);
            // exit();
            $i = 1;
            do
            {

                if($i == 1)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($quotations, (object)$row);

                            // var_dump($quotations);
                            // exit();
                    }

                }
          
                elseif($i == 2)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($quotation_items,(object)$row);
                        // var_dump($quotation_items);
                        // exit();
                    }
                }
                elseif($i == 3)
                {
                    while ($row = $stmt->fetch())
                    {
                        array_push($count,(object)$row);
                        // var_dump($count);
                        // exit();

                    }
                }   
   
                $i++;
            } while ($stmt->nextRowset());           

            return array('quotations' => $quotations,'quotation_items'=>$quotation_items,'count' => $count[0]->count);

        }catch (Exception $e)
        {
           Log::error('Quotation->usp_get_quot_quotations '.$e->getMessage());
           echo $e->getMessage();
           exit();
           return array('quotationindex' => [],'count' => 0,'quotation_item' =>[]);
        }
    
    }


    
}