<?php


class UserMenu extends Eloquent {

	

	/**
	 * The database table used by the model.
	 *
	 * @var string
	 */
	
	protected $table = 'user_menu';
	protected $primaryKey='user_menu_id';

	//added by Balaji On July 9, 2020
    public Static function get_usermenu($admin_id = null, $menu_type = null)
    {
        try
        {
   
            $permissions = DB::table('user_menu')
						->Join('menu', 'menu.menu_id', '=', 'user_menu.menu_id')
						->where('user_menu.user_id', $admin_id)
						->where('menu.menu_type', $menu_type)
						->get();             

        }catch (Exception $e)
        {
           Log::error('Permission->get_usermenu '.$e->getMessage());
           // echo $e->getMessage();
           // exit();
           $permissions = [];
           
        }

        return $permissions;
    }
    

    public Static function check_usermenu($admin_id = null, $route_name = null)
    {
        try
        {

            $permission = DB::table('user_menu')
						->Join('menu', 'menu.menu_id', '=', 'user_menu.menu_id')
						->where('user_menu.user_id', $admin_id)
						->where('menu.route_name', $route_name)
						->first();

			// var_dump($permission);
			// exit();			
			
			if(isset($permission))
			{
				$perm = 'True';
				
			}
			else{
				$perm = 'False';
			}
			return $perm; 

        }catch (Exception $e)
        {
           Log::error('Permission->get_usermenu '.$e->getMessage());
           // echo $e->getMessage();
           // exit();
           $permissions = [];
           
        }

        return $permissions;
    }

	
}