<!DOCTYPE html>
<html>
   <head>
            
      <title>
         Jobcard Print
      </title>
      
      <style>
         .line
         {
         color:#7376df;
         }
         .col {
         border: 1px solid black;
         }
         .lines {
         border: 1px solid black;
         margin-left: 100px;
         }
         th,td
         {
         text-align: center;
         }
         .table-borderless td,
         .table-borderless th {
             border: 0;
         }
      </style>
      <script src="/js/bootstrap.min.js"></script>
      <!-- <script src="/css/style.css"></script> -->
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">           
               
   </head> 

   <body>
      <form id="quotation_print"  action="{{url('jobcard/jobcardprint/'.$id) }}"  method="post">
         <div class="row">
            <div class="col-sm-12">
               <div class="card">
                  <div id="header_id" class="card-header text-white bg-primary">
                     <div class="row">
                        <div class="col-sm-7">       
                           <i class="fa fa-list" aria-hidden="true"></i> Jobcard
                        </div>
                     </div>
                  </div>
                  @foreach($jobcards as $jobcard)
                 <div class="card-body">
                    
                     <div class="row">
                        <div class="col-sm-6">
                           
                        </div>
                        <div class="col-sm-6 text-right">
                           
                        </div>   
                     </div>
                     <div class="row">
                        <div class="col-sm-12">
                           <div class="form-group">
                                <label><strong>Jobcard ID :</strong></label>
                                <label>{{ $jobcard->jobcard_id }}</label>
                           </div>
                        </div>
                     </div>
            
                     <table class="table table-bordered" style="border: 1px solid !important; text-align: left;">                  
                        <tr>
                           <th colspan="2"><label><strong>Customer ID :</strong></label></th>
                           <th colspan="2"><label>{{ $jobcard->customer_id }}</label></th>
                           <th colspan="2"><label><strong>Measurement ID :</strong></label></th>
                           <th colspan="2"><label>{{ $jobcard->measurement_id}}</label></th>
                           <th colspan="2"><label><strong>Quotation ID :</strong></label></th>
                           <th colspan="2"><label>{{ $jobcard->quotation_id }}</label></th>
                           <th colspan="2"><label><label><strong>Sales Executive :</strong></label></th>
                           <th colspan="2"><label>{{ $jobcard->created_admin_name}}</label></th>
                        </tr>
                     </table>
                    <br/>
                @endforeach
                @if(isset($quotations) )  
                     
                     <div class="responsive">
                        <table class="table table-bordered">
                           <thead class="thead" style="background-color: #f5f0f0;">
                              <tr>
                                <th>#</th>
                                <th>Room</th>
                                <th>Item</th>
                                <th>Number</th>                        
                                <th>Height <br>(in)</th>
                                <th>Width <br>(in)</th>                                  
                                <th>Parts</th>
                                <th>Length<br>(m)</th>
                                <th>Accessories</th>
                                <th>Total<br>Length (m)</th>
                              </tr>
                              
                           </thead>
                           
                           <tbody>
                           @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
                                @foreach ($measurementitems_db as $key => $itemdetail)
                                    @if($itemdetail->measurement_id == $quotations->measurement_id)
                        
                                     <tr>                    
                                        <td>{{ $sno-- }}</td>
                                        <td>{{ $itemdetail->room }}</td>
                                        <td>{{ $itemdetail->item_name }}</td>
                                        <td>{{ $itemdetail->item_number }}</td>                     
                                        <td>{{ $itemdetail->jobcard_height }} </td>
                                        <td>{{ $itemdetail->adjusted_width }}</td>                                 
                                        <td>{{ $itemdetail->parts }}</td>
                                        <td>{{ $itemdetail->jobcard_length }}</td>
                                        <td>
                                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                                                       
                                               {{ $accessorydetail->accessory }} <br>
                                                                    
                                                  @endif      
                                               @endforeach
                                            @endif
                                        </td>
                                        <td style="font-weight: bold;">
                                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                                        @if($itemdetail->item_type == 'Curtain')               
                                                            {{ $itemdetail->jobcard_total }} meters <br>
                                                        @else
                                                            {{ $itemdetail->jobcard_total }} Sq.ft <br>
                                                        @endif
                                                  @endif      
                                               @endforeach
                                            @endif
                                            
                                        </td>                                               
                                     </tr>
                                            @endif
                
                                     @endforeach
                                           
                                     @endif                                                            
                            </tbody>
                        </table>
                             
                     </div>
                     
                @endif

                       
                  </div>
                  
               </div>
            </div>
         </div>
      </form>

   </body>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
   
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
</html> 




