@extends('layout.layout')
@section('title','Measurement Form') 
@section('head_title','Measurement Form')

@section('content')


<form id="mesform" height:"auto" action="{{ url('/measurements/step1') }}" method="post" name = "mesform" onsubmit = "return(validate());"> 	

<div id="error" class="alert alert-danger" role="alert" style="display:none;">
  
</div>

<main class="col-xs-12 col-sm-12 col-lg-12 col-xl-12 pt-3 pl-4 ml-auto">

<section class="row">
<div class="col-12">
	<div class="card mb-12"><br>
		<h4 class="card-title" align="center" style="color: blue"><b>Mobile Verification</b></h4>
		<!-- <h3 class="card-title" align="center" style="color: blue"><b>Customer Information</b></h3> -->
				
			<div class="container-fluid">
				<div class="form-group row">
				<div class="col-8"><br>
					<label class="col-md-3 col-form-label"><b>Mobile</b></label>
					<input type="text" placeholder="Search.." name="mobile" id="mobile">							
					<button id="searchicon" type="button" name="search" class=" btn-dark">
						<b><i class="fa fa-search" id="" ></i></b>
					</button><br>
					<span id="msg_mob" class="error"></span>						
				</div>
				<div class="col-4"><br>

					<div id="div_name" style="color: blue"></div>	
					<div id="div_address1" style="color: blue"></div>
					<div id="div_address2" style="color: blue"></div>
					<div id="div_address3" style="color: blue"></div>
											
				</div>	
				</div>	
				<!-- <div class="form-group row">				
					<div class="col-8">
						<label class="col-md-3 col-form-label"><b>Date</b></label>
						<input type="text" name="date"id="date" value="{{isset($measurements->measurement_date)?$measurements->measurement_date : null}}"><br>
						<span id="msg_date" class="error"></span>
					</div>
				</div> -->
				<div class="form-group row">
				<div class="col-4"></div>						
				<div class="col-4">
					<div>
						<!-- <input type="submit" class="btn btn-primary" id="next" name="next" value="Next"></input>  -->
						<button type="button" id="addCus" class="btn btn-sm btn-success " onclick="location.href='{{URL('customers/customer')}}'"> Add as New Customer</button>
						<button type="submit" id="next" class="btn btn-sm btn-success ">Next</button>
						
					</div>						
				</div>
				<div class="col-4"></div>												
				</div>
										
			</div>		
		</div>
<pre>
</section>


</main>
  
</div>
</form>

@if ($errors->any())
<ul>
   {{ implode('', $errors->all('<p style="color:red"  class="error">:message</p>')) }}
</ul>
@endif
@stop

@section('bottom_script')
	<script type="text/javascript">
	$( document ).ready(function() {
		
		$('#ddlrooms').selectize({
	    create: true,
	    sortField: 'text'
		});
	});

	</script>
	
	<script type="text/javascript">
		 var baseUrl = "{{url('/')}}";
		 
          window.onload = function() {
			$("#addCus").hide();
			$("#next").hide();
          }
     
		$(document).ready(function(){
  			$("#searchicon").click(function(){

  				$("#mobile").text("");

  				var valid = true;
  			
  			var val1 = $('#mobile').val();			  
           
           	if(val1.length < 1) {           
            valid=false;			
				if( document.mesform.mobile.value == "" ) {
				// alert( "Please enter the customer mobile number!" );
				$("#msg_mob").text("Please enter the customer mobile number.");  
				document.mesform.mobile.focus() ;
				return false;
				}			              
          	}			  
           
        //     var val2 = $('#date').val();
        //    if (val2.length < 1) {
        //    valid=false;                
        //        $("#msg_date").text("Please enter your date.");            
        //   	}
   		
    		 var result = '';

	      $.ajax({
	          url : baseUrl+'/measurements/getaddress',
	          type: "POST",
	          dataType: 'json',
	          data: { mob : $("#mobile").val()},
	          success: function (data) {
	          	console.log(data.code);	          	
			    	if(data.code=="1")
			    	{

					    //$("#div_name").text(data.name);
					    //  $("#div_address1").text(data.address1);
					    //  $("#div_address2").text(data.address2);
					    //  $("#div_address3").text(data.address3);
						$("#msg_mob").text("The mobile number is already registered. Click on Next.");
						$("#next").show();
						$("#addCus").hide();

			 		}
			 		else if(data.code=="-1") // -1
			 		{
			 			$("#div_name").text("");
			 	 		$("#div_address1").text("");
			 	 		$("#div_address2").text("");
			 	 		$("#div_address3").text("");
			 	 		$("#msg_mob").text("Please add as new customer.");
						$("#addCus").show();  
			 		}
			 			
			     
			    },
			    
			    error: function (jqXhr, textStatus, errorMessage) {
			            alert('Error' + errorMessage);
			    }			

	          
	      }); 

      return result;
  			});
		});


	</script>

	<script type = "text/javascript">
   <!--
      // Form validation code will come here.
      function validate() 
      {
      
         if( document.mesform.mobile.value == "" ) {
            alert( "Please enter the customer mobile number!" );
            document.mesform.mobile.focus() ;
            return false;
         }
         if( document.mesform.date.value == "" ) {
            
            var val2 = $('#date').val();
           		if (val2.length < 1) {
           		valid=false;                
                $("#msg_date").text("Please enter your date.");            
          	 	}
          	 	return false;
         }

         
      }
   //-->
</script>


 @stop