@extends('layout.layout')
@section('title','Quotation') 
@section('head_title','Quotation')
@section('content')

<form id="form_one"  action="{{ url('quotations/quotationsave') }}"  method="post">   
   <div class="row">
   <div class="col-sm-12">
      <div class="card">
         <div id="header_id" class="card-header text-white bg-primary">
            <div class="row">
               <div class="col-sm-7">       
                  <i class="fa fa-list" aria-hidden="true"></i> Quotation
               </div>
            </div>
         </div>
         <div class="card-body">
            <div class="row">
               <div class="col-sm-12">
                  <strong></strong> 
               </div>
            </div>
            <div class="row">
               <div class="col-sm-12">
                  <strong>[Company Address]</strong>    
               </div>
            </div>
            <hr class="line">
            <div class="row">
               <div class="col-sm-5">
                  <div class="form-group">
                     <label><strong>[Measurement ID] :</strong></label>
                     <input type="text" class="form-control" id="measurement_id" name="measurement_id" minlength="1" value="{{ isset($measurement->measurement_id)?$measurement->measurement_id : '' }}"> 
                     <!-- <label class="red"> order ID</label> -->
                     <br/>
                     <strong><input name="go" id="go" type="submit" value="Go" class="btn btn-md btn-success">
                     <input name="cancel" id="cancel" type="submit" value="Cancel" class="btn btn-md btn-danger"></strong>
                  </div>
               </div>
               <div class="col-sm-7 text-right">
                  <div class="form-group">
                     <label><strong>[Sales Executive] :</strong></label>
                     <label>{{ isset($measurements->created_admin_name)?$measurements->created_admin_name : null }}</label>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-sm-12 text-center">
               </div>
            </div>
            <P id="quotation_line">***************************QUOTATION********************************</P>
            <strong>To</strong>
            <div class="row">
               <div class="col-sm-6">
                  <div class="form-group">
                     <label><strong>[Customer Name] :</strong></label>
                     <label> {{ isset($measurement->name)?$measurement->name : '' }}</label>
                  </div>
               </div>
               <div class="col-sm-6 text-right">
                  <div class="form-group">
                     <label><strong>[Customer ID] :</strong></label>
                     <label> {{ isset($measurement->customer_id)?$measurement->customer_id : '' }}</label>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-sm-6">
                  <div class="form-group">  
                     <strong>[Customer Address] :</strong>
                     <label>{{ isset($measurement->address)?$measurement->address : '' }}, {{ isset($measurement->city)?$measurement->city : '' }}-{{ isset($measurement->pincode)?$measurement->pincode : '' }}</label>
                  </div>
               </div>
               
            </div>
            <div class="container">
               <div class="row">
                  <!-- 3 + 7 + 2 = 12 columns -->
                  <div class="col-sm-2 col">From Date</div>
                  <input type="date" class="form-control col-sm-2 col" id="input" name="quotation_on" width="">
                  <div class="col-sm-2 col">Shipping Date</div>
                  <input type="date" class="form-control col-sm-2 col" id="input" name="shipping_date" width="">
                  <div class="col-sm-2 col">Payment Terms</div>
                  <input type="date" class="form-control col-sm-2 col" id="input" name="payment_terms" width="">
               </div>
            </div>
            <br/>
            @if($measurement_id)
            <div class="responsive">
               <table class="table table-bordered table-striped">
                  <thead>
                     <tr>
                        <th>#</th>
                        <th>Room</th>
                        <th>Item</th>
                        <th>Number</th>                        
                        <th>Height <br>(in)</th>
                        <th>Width <br>(in)</th>												
                        <th>Parts</th>
                        <th>Length<br>(m)</th>
                        <th>Total Length<br> (m/Sq.ft)</th>																				
                     </tr>
                     
                  </thead>
                  <!-- {{ var_dump($measurementitems_db) }} -->
                  <tbody>
                  <?php $sub_total= 0 ?>
                  @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
                  @foreach ($measurementitems_db as $key => $itemdetail)

                  <tr>							
                     <td>{{ $sno-- }}</td>
                     <td>{{ $itemdetail->room }}</td>
                     <td>{{ $itemdetail->item_name }}</td>
                     <td>{{ $itemdetail->item_number }}</td>                     
                     <td>{{ $itemdetail->adjusted_height }}</td>
                     <td>{{ $itemdetail->width }}</td>											
                     <td>{{ $itemdetail->parts }}</td>
                     @if ($itemdetail->item_type == "Curtain" )
                     <td>{{ $itemdetail->length }}</td>
                              @else
                     <td>{{ 'Nil' }}</td>                                 
                      @endif
                     <td>{{ $itemdetail->total }}                      
                     @if($itemdetail->item_type == 'Curtain' )
                        meters
                     @else
                        Sq.ft
                     @endif
                     </td>								
                     
                  </tr>
                  						
                  <tr>
                     <td colspan="12">
                     
                        <table class="table table-bordered"> 
                           <thead>
                              <tr>
                                 <th></th>
                                 <th style="text-align: center;">Accessories</th>
                                 <th style="text-align: center;">Unit Price</th>
                                 <th style="text-align: center;">Length</th>
                                 <th style="text-align: center;">Total Price (Rs.)</th>

                              </tr>
                           </thead>

                           <tbody>
                           @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                           @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                              <!-- {{ var_dump($accessorydetail)}} -->
                              @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)   
                              <tr>							
                                 <td width=10%;></td>
                                 <td width=20%; style="text-align: center;">{{ $accessorydetail->accessory }}</td>
                                 <td width=20%; style="text-align: center;">{{ $accessorydetail->unit_price }}</td>
                                 <td width=20%; style="text-align: center;"><!-- {{ $itemdetail->total }}  -->
                                    @if($accessorydetail->accessory_type == 'Material' )
                                       {{ $itemdetail->total }}
                                    @else
                                       {{ $accessorydetail->length }}
                                    @endif
                                    @if($itemdetail->item_type == 'Curtain' )
                                       meters
                                    @else
                                       Sq.ft
                                    @endif
                                 </td> <!-- item's total length -->
                                 <?php
                                    // $total_price = $accessorydetail->unit_price * $itemdetail->total * $itemdetail->item_number; 
                                    if($accessorydetail->accessory_type == 'Rod' || $accessorydetail->accessory_type == 'Channel' ){

                                       $total_price = $accessorydetail->unit_price * $accessorydetail->length * $itemdetail->item_number;                                          
                                    }
                                    else{
                                       $total_price = $accessorydetail->unit_price * $itemdetail->total * $itemdetail->item_number;
                                    }

                                    $total_price = number_format((float)$total_price, 2, '.', '');
                                    $sub_total += $total_price;
                                    $sub_total = number_format((float)$sub_total, 2, '.', '');
                                    
                                 ?>                                 
                                 <td width=10%; style="text-align: right;">{{ $total_price }}</td> 
                              </tr>
                              <tr></tr>						
                              @endif      
                           @endforeach
                           @else
                              <tr>
                                 <td class="alert-danger text-center" colspan="7">
                                    <h5>Accessories not found</h5>
                                 </td>
                              </tr>
                              @endif
                                                      
                           </tbody>
                        </table>
											</td>
										</tr>
											
											@endforeach
											@else
											<tr>
											<td class="alert-danger text-center" colspan="8">
											<h5>Items not Found</h5>
											</td>
											</tr>
											@endif
																	
						</tbody>
				
					</table>               
            </div>
            @endif
            <div class="row text-right">
               <div class="col-sm-10">
                  <strong>Sub Total : (Rs.)</strong>
               </div>
               <div class="col-sm-2">
                  <label class="sub_total" id ="sub_total">
                  {{ $sub_total }}
                  </label>
               </div>
               <div class="col-sm-10">
                  <strong>GST : (Rs.)</strong>
               </div>
               <div class="col-sm-2">
                  <label class="sub_total">
                  {{ $sub_total*5/100 }}
                  </label>
               </div>               
            </div>            
<!--             <div class="row">
               <div class="col-sm-9 text_right">
               </div>
               <strong>Shipping Amount:</strong>
               <div class="col-sm-1 text_right">
                  <input type="text" class="form-control" id="user-input" name="shipping_amount" width="">
               </div>
            </div> -->
            <div class="row"> 
               <div class="col-sm-7 text-left">
                  <strong>Approved by</strong>
               </div>
               <div class="col-sm-5">                  
                  <hr class="lines">                  
               </div>               
            </div>
            <div class="row">
               <div class="col-sm-7 text-left">
                  <label>{{Auth::user()->admin_name}}</label>
               </div>
               <div class="col-sm-3 text-right">                  
                  <strong>Grand Total : (Rs.)</strong>
               </div>
               <div class="col-sm-2 text-right">
                  {{ $sub_total + $sub_total*5/100 }}
               </div>               
            </div>
         </div>
         
         <div class="card-header text-muted">
            <div class="row">
               
               <div class="col-md-10 text-right">
                  <div colspan="6"><strong> <input name="save" id="save" value="Save" type="submit" class="btn btn-md btn-success"></strong></div>
               </div>
               
               <div class="col-md-2 text-right">
                   <div colspan="6"><strong> <input name="cancel" value="Cancel" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('quotations')}}'"></strong></div>                                      
               </div>

            </div>
         </div>
         
      </div>
   </div>
</form>
@stop
@section('bottom_script')
<script>
   $( document ).ready(function() 
   {
      
      $(function() {
         $('#user-input').on('change', function() {
          
               var grandtotal = $("#grand_total").text();
               //var shipping_amount = $("#user-input").val();
                // alert(shipping_amount);
                //var total = parseInt(grandtotal) +parseInt(shipping_amount);
                var total = parseInt(grandtotal);
                $("#grand_total").text(total);
                   
         });
      });

      // $("#save").click(function(){
      // var result = '';

      //    $.ajax({
      //       url : baseUrl + '/quotations/quotationsave',
      //       type: "POST",
      //       dataType: 'json',
      //       data: { sub_total: $("#sub_total").val(),
      //          gst:$("#gst").val(),
      //          grand_total:$("#grand_total").val()
      //          // measurement_id:$("#measurement_id").val(),
      //          // quotation_id:$("#quotation_id").val()
      //       },

      //       success: function (data) {
      //          console.log(data);               
               
      //       },

      //       error: function (jqXhr, textStatus, errorMessage) {
      //             alert('Error' + errorMessage);
      //       }
      //    }); 
      //    return result;
      // }    

   }
</script>
@stop