<!DOCTYPE html>
<html>
   <head>
            
      <title>
         Jobcard Print
      </title>
      
      <style>
         .line
         {
         color:#7376df;
         }
         .col {
         border: 1px solid black;
         }
         .lines {
         border: 1px solid black;
         margin-left: 100px;
         }
         th,td
         {
         text-align: center;
         font-size: 18px;
         }
         .table-borderless td,
         .table-borderless th {
             border: 0;
         }
      </style>
      <script src="/js/bootstrap.min.js"></script>
      <!-- <script src="/css/style.css"></script> -->
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">           
               
   </head> 

   <body>
      <form id="quotation_print"  action="{{url('jobcard/jobcardprint/'.$id) }}"  method="post">
         <div class="row">
            <div class="col-sm-12">
               <div class="card">
                  <div id="header_id" class="card-header text-white bg-primary">
                     <div class="row">
                        <div class="col-sm-7">       
                           <i class="fa fa-list" aria-hidden="true"></i> Jobcard
                        </div>
                     </div>
                  </div>
                  @if(isset($jobcard))
                    <div class="card-body">
            
                     <div class="row">
                        <div class="col-sm-6">
                           <label><strong>Sales Executive :</strong></label>
                              <label>{{ $jobcard->sales_person}}</label>
                        </div>
                        <div class="col-sm-6 text-right">
                           <label><strong>Customer :</strong></label>
                              <label>{{ $jobcard->customer_name }}</label>
                        </div>   
                     </div>
                     
            
                     <table class="table table-bordered" style="border: 1px solid !important; text-align: left;">                  
                        <tr>
                           <!--<th colspan="2"><label><strong>Customer :</strong></label></th>-->
                           <!--<th colspan="2"><label>{{ $jobcard->customer_name }}</label></th>-->
                           <th colspan="2"><label><strong>Jobcard ID :</strong></label></th>
                           <th colspan="2"><label>{{ $jobcard->jobcard_id }}</label></th>
                           <th colspan="2"><label><strong>Measurement ID :</strong></label></th>
                           <th colspan="2"><label>{{ $jobcard->measurement_id}}</label></th>
                           <th colspan="2"><label><strong>Created Date :</strong></label></th>
                           <th colspan="2"><label>{{ $jobcard->created_at}}</label></th>
                           <th colspan="2"><label><strong>Due Date :</strong></label></th>
                           <th colspan="2"><label>{{ $jobcard->due_date}}</label></th>
                           <!--<th colspan="2"><label><strong>Quotation ID :</strong></label></th>-->
                           <!--<th colspan="2"><label>{{ $jobcard->quotation_id }}</label></th>-->
                        </tr>
                     </table>
                    <br/>
                  @endif
                @if(isset($measurements) )  
                     
                     <div class="responsive">
                        <table class="table table-bordered">
                           <thead class="thead" style="background-color: #f5f0f0;">
                              <tr>
                                <th>#</th>
                                <!--<th>Room</th>-->
                                <!--<th>Item</th>-->
                                <!--<th>Number</th>-->
                                <th>Lining</th>
                                <th>Stitch Pattern</th> 
                                <th>Height <br>(in)</th>
                                <th>Width <br>(in)</th>                                  
                                <th>Parts</th>
                                <th>Length<br>(m)</th>
                                <!--<th>Rod/Channel</th>-->
                                <th>Accessories</th>
                                <th>Total<br>Length (m/Sq.Ft)</th>
                              </tr>
                              
                           </thead>
                           
                            <tbody>
                    <?php $sno=1; ?>   
        		@foreach ($rooms as $room)
        		                
                                <tr>
                                    <th colspan="13" style="font-size: 11pt; text-align: left;left-padding: 20pt;">{{ $room->room }}</th>
                                </tr>
                                
                                
                    @if(isset($measurementitems[strtoupper($room->room)]))                  
                        @foreach ($measurementitems[strtoupper($room->room)] as $key => $itemdetail)
                            @if($itemdetail->measurement_id == $jobcard->measurement_id && $itemdetail->is_checked == '1')
                                
                             <tr>                    
                                <td data-label="#">{{ $sno++ }}</td>
                                <!--<td data-label="Room">{{ $itemdetail->room }}</td>-->
                                <!--<td data-label="Item">{{ $itemdetail->item_name }}</td>-->
                                <!--<td data-label="Number">{{ $itemdetail->item_number }}</td>-->
                                
                                @if ($itemdetail->item_type == "Curtain")
        						<td data-label="Lining">{{ !empty($itemdetail->lining)?$itemdetail->lining:'<br/>' }}</td>
        						<td data-label="Stitch Pattern">{{ $itemdetail->stitchpattern }}</td>
        						@elseif ($itemdetail->item_type == "Roman Blinds" )
        						<td data-label="Lining">{{ $itemdetail->lining }}</td>
        						<td data-label="Stitch Pattern">{{ 'Nil' }}</td>
        						@else
        						<td data-label="Lining">{{ 'Nil' }}</td>
        						<td data-label="Stitch Pattern">{{ 'Nil' }}</td>
        						@endif
                                
                                <td data-label="Height">{{ $itemdetail->height }} </td>
                                <td data-label="Width">{{ $itemdetail->adjusted_width }}</td>                                 
                                <td data-label="Parts">{{ $itemdetail->parts }}</td>
                                <?php $total_parts += $itemdetail->parts; ?>
                                <td data-label="Length">{{ $itemdetail->jobcard_length }}</td>
                                <td data-label="Accessories">
                                    @if(isset($measurementaccessorys[$itemdetail->measurement_item_id]) )                           
                                        @foreach ($measurementaccessorys[$itemdetail->measurement_item_id] as $key => $accessorydetail)
                                               
                                            @if($accessorydetail->accessory_type == 'Material')
                                                {{ $accessorydetail->accessory }} <br>
                                            @endif
                                        @endforeach
                                    @endif    
                                </td>
                                <td data-label="Total Length" style="font-weight: bold;">
                                @if(isset($measurementaccessorys[$itemdetail->measurement_item_id]) )                           
                                    @foreach ($measurementaccessorys[$itemdetail->measurement_item_id] as $key => $accessorydetail)
                                        @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                            
                                            @if($accessorydetail->accessory_type == 'Material') 
                                            <!--For materials, if curtain show total in meters, for the rest show total in Sq.ft-->
        	                                 	@if($itemdetail->item_type == 'Curtain')
        	                                 	{{ $itemdetail->jobcard_total }} meters <br>
        	                                 	@else
        	                                 	{{ $itemdetail->total }} Sq.Ft <br>
        	                                 	@endif
        	                                 @else
        	                                 	<!--For Rods and Channels in Jobcard alone, show blank space-->
        	                                 @endif
                                             
                                        @endif 
                                    @endforeach
                                 @endif
                                </td>                                               
                             </tr>
                            
                            @endif
                        @endforeach
                    @endif
                @endforeach
                             <tr>
                                <td colspan="11"><strong>Total Parts: {{$total_parts}}</strong></td>
                             </tr>
                             
                            </tbody>
                                                       
                        </table>
                             
                     </div>
                     
                @endif

                       
                  </div>
                  
               </div>
            </div>
         </div>
      </form>

   </body>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
   
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
</html> 




