@extends('layout.layout')
@section('title','Jobcard') 
@section('head_title','Jobcard')
@section('content') 
<style> 
   .line
   {
   color:#7376df;
   }
   .col {
   border: 1px solid black;
   }
   .lines {
   border: 1px solid black;
   margin-left: 100px;
   }
   th,td
   {
   /*text-align: center;*/
   }
</style>
 
<form id="frm_Delete"  action="{{ url('/jobcard') }}"  method="post">
    <input type='hidden' value="{{ $jobcard->measurement_id }}" name='measurement_id'>
    <input type='hidden' value="{{ $jobcard->jobcard_id }}" name='jobcard_id'>
   <div class="row">
   <div class="col-sm-12">
      <div class="card">
         <div id="header_id" class="card-header text-white bg-primary">
            <div class="row">
               <div class="col-sm-7">       
                  <i class="fa fa-list" aria-hidden="true"></i> Jobcard
               </div>
            </div>
         </div>
         @if(isset($jobcard))
         
         <div class="card-body table-responsive table-mobview">
            
             <div class="row">
                <div class="col-sm-6">
                   <label><strong>Sales Executive :</strong></label>
                      <label>{{ $jobcard->sales_person}}</label>
                </div>
                <div class="col-sm-6">
                   <label><strong>Customer :</strong></label>
                      <label>{{ $jobcard->customer_name }}</label>
                </div>   
             </div>
             
            <div class="table-responsive table-mobview">
             <table class="table table-bordered" style="border: 1px solid !important;">                  
                <tr>
                   <th><label><strong>Jobcard ID :</strong></label></th>
                   <th><label>{{ $jobcard->jobcard_id }}</label></th>
                   <th><label><strong>Measurement ID :</strong></label></th>
                   <th><label>{{ $jobcard->measurement_id}}</label></th>
                   <th><label><strong>Created Date :</strong></label></th>
                   <th><label>{{ $jobcard->created_at}}</label></th>
                   <th><label><strong>Due Date :</strong></label></th>
                   <th><label>{{ $jobcard->due_date}}</label></th>
                </tr>
                 </table>
            </div>
            <br/>
        @endif

        
        <div class="table-responsive table-mobview">
               <table class="table table-bordered table-striped">
                  <thead class="thead-dark">
                     <tr>
                         <th></th>
                        <th>#</th>
                        <!--<th>Room</th>-->
                        <!--<th>Item</th>-->
                        <!--<th>Number</th>-->
                        <th>Lining</th>
                        <th>Stitch Pattern</th> 
                        <th>Height <br>(in)</th>
                        <th>Width <br>(in)</th>                                  
                        <th>Parts</th>
                        <th>Length<br>(m)</th>
                        <!--<th>Rod/Channel</th>-->
                        <th>Accessories</th>
                        <th>Total<br>Length (m/Sq.Ft)</th>                                                           
                     </tr>
                     
                  </thead>
                    
                    <tbody>
                    <?php $sno=1; ?>   
		@foreach ($rooms as $room)
                        <tr>
                            <th colspan="13" style="font-size: 11pt; text-align: left;left-padding: 20pt;">{{ $room->room }}</th>
                        </tr>
                        
            @if(isset($measurementitems[strtoupper($room->room)]))                  
                @foreach ($measurementitems[strtoupper($room->room)] as $key => $itemdetail)
                    @if($itemdetail->measurement_id == $jobcard->measurement_id)
                        
                     <tr>                    
                        <td data-label="Checkbox"><input class="all_checked" type="checkbox" {{ ($itemdetail->is_checked==1?'checked':'') }} name="id[{{$itemdetail->measurement_item_id}}]" value="{{$itemdetail->measurement_item_id}}"></td>
                        <td data-label="#">{{ $sno++ }}</td>
                        <!--<td data-label="Room">{{ $itemdetail->room }}</td>-->
                        <!--<td data-label="Item">{{ $itemdetail->item_name }}</td>-->
                        <!--<td data-label="Number">{{ $itemdetail->item_number }}</td>-->
                        
                        @if ($itemdetail->item_type == "Curtain")
						<td data-label="Lining">{{ !empty($itemdetail->lining)?$itemdetail->lining:'<br/>' }}</td>
						<td data-label="Stitch Pattern">{{ $itemdetail->stitchpattern }}</td>
						@elseif ($itemdetail->item_type == "Roman Blinds" )
						<td data-label="Lining">{{ $itemdetail->lining }}</td>
						<td data-label="Stitch Pattern">{{ 'Nil' }}</td>
						@else
						<td data-label="Lining">{{ 'Nil' }}</td>
						<td data-label="Stitch Pattern">{{ 'Nil' }}</td>
						@endif
                        
                        <td data-label="Height">{{ $itemdetail->height }} </td>
                        <td data-label="Width">{{ $itemdetail->adjusted_width }}</td>                                 
                        <td data-label="Parts">{{ $itemdetail->parts }}</td>
                        <?php $total_parts += $itemdetail->parts; ?>
                        <td data-label="Length">{{ $itemdetail->jobcard_length }}</td>
                        <td data-label="Accessories">
                            @if(isset($measurementaccessorys[$itemdetail->measurement_item_id]) )                           
                                @foreach ($measurementaccessorys[$itemdetail->measurement_item_id] as $key => $accessorydetail)
                                       
                                    @if($accessorydetail->accessory_type == 'Material')
                                        {{ $accessorydetail->accessory }} <br>
                                    @endif
                                @endforeach
                            @endif    
                        </td>
                        <td data-label="Total Length" style="font-weight: bold;">
                        @if(isset($measurementaccessorys[$itemdetail->measurement_item_id]) )                           
                            @foreach ($measurementaccessorys[$itemdetail->measurement_item_id] as $key => $accessorydetail)
                                @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                    
                                    @if($accessorydetail->accessory_type == 'Material') 
                                    <!--For materials, if curtain show total in meters, for the rest show total in Sq.ft-->
	                                 	@if($itemdetail->item_type == 'Curtain')
	                                 	{{ $itemdetail->jobcard_total }} meters <br>
	                                 	@else
	                                 	{{ $itemdetail->total }} Sq.Ft <br>
	                                 	@endif
	                                 @else
	                                 	<!--For Rods and Channels in Jobcard alone, show blank space-->
	                                 @endif
                                     
                                @endif 
                            @endforeach
                         @endif
                        </td>                                               
                     </tr>
                    
                    @endif
                @endforeach
            @endif
        @endforeach
                     <tr>
                        <td colspan="11"><strong>Total Parts: {{$total_parts}}</strong></td>
                     </tr>
                     
                    </tbody>
                  
               </table>
            </div>
         
            <div class="card-header text-muted table-responsive table-mobview">
                <div class="row col-md-12">
                   
                   <div class="col-md-4">
                      <input id="print_jobcard" value="Print Jobcard" type="button" class="btn btn-md btn-primary print_jobcard" style='font-size:14px;font-weight:bold;color:white' ></strong>
                      </input>&nbsp&nbsp&nbsp
                      <!--<input name="send_print" value="Print Jobcard" type="button" class="btn btn-md btn-primary" style='font-size:14px;font-weight:bold;color:white' onclick="location.href='{{url('jobcard/jobcardprint/'.$jobcard->jobcard_id.'/'.$jobcard->measurement_id) }}'"></strong>-->
                      <!--</input>&nbsp&nbsp&nbsp-->
                   </div>
                   
                   <div class="col-md-4">
                        <input name="delete_jobcard" style="font-size:14px;color:red;font-weight:bold" value="Delete Jobcard" type="button" class="btn btn-sm btn-warning" onclick="location.href='{{ url('/deljobcard/'.$jobcard->jobcard_id) }}'" style='font-weight:bold; font color: red'>  
				   </div>
				   
                   <div class="col-md-4">
                       <input name="Index" style="font-size:14px;color:white;font-weight:bold" value="Job Card Index" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('/jobcardindex')}}'">                                      
                   </div>
    
                </div>
            </div>
            
         
      </div>
   </div>
</form>
@stop

@section('bottom_script')

<script>
    
    // var baseUrl     = "{{asset('/',true)}}";
    
    
   $(document).ready(function(){ 
    
        $(document).on('click', '.print_jobcard', function(){ 
        // $('.print_jobcard').click(function(){
            
            $.ajax({
                url: baseUrl+'/jobcard/jobcardprint/saveselection',
                type: 'post',
                data: $("#frm_Delete").serialize(),
                dataType:'json',
                success:function(data){
                    console.log(data);
    			 //  	alert(data);
    			   		if (data.code == "Success"){
    			   		    
    			   		    location.replace(data.redirectto);
    			   		    
    			   		    
    			   		}
                }
            });
        });
        
   });
</script>

@stop
