@extends('layout.layout')
@section('title','Jobcard') 
@section('head_title','Jobcard')
@section('content') 
<style> 
   .line
   {
   color:#7376df;
   }
   .col {
   border: 1px solid black;
   }
   .lines {
   border: 1px solid black;
   margin-left: 100px;
   }
   th,td
   {
   text-align: center;
   }
</style>
 
<form id="frm_Delete"  action="{{ url('/jobcard') }}"  method="post">
   <div class="row">
   <div class="col-sm-12">
      <div class="card">
         <div id="header_id" class="card-header text-white bg-primary">
            <div class="row">
               <div class="col-sm-7">       
                  <i class="fa fa-list" aria-hidden="true"></i> Jobcard
               </div>
            </div>
         </div>
         @if(isset($jobcard))
         
         <div class="card-body">
            
             <div class="row">
                <div class="col-sm-6">
                   <label><strong>Sales Executive :</strong></label>
                      <label>{{ $jobcard->sales_person}}</label>
                </div>
                <div class="col-sm-6 text-right">
                   <label><strong>Customer :</strong></label>
                      <label>{{ $jobcard->customer_name }}</label>
                </div>   
             </div>
             
    
             <table class="table table-bordered" style="border: 1px solid !important; text-align: left;">                  
                <tr>
                   <th colspan="2"><label><strong>Jobcard ID :</strong></label></th>
                   <th colspan="1"><label>{{ $jobcard->jobcard_id }}</label></th>
                   <th colspan="2"><label><strong>Measurement ID :</strong></label></th>
                   <th colspan="1"><label>{{ $jobcard->measurement_id}}</label></th>
                   <th colspan="2"><label><strong>Created Date :</strong></label></th>
                   <th colspan="1"><label>{{ $jobcard->created_at}}</label></th>
                   <th colspan="2"><label><strong>Due Date :</strong></label></th>
                   <!--<th colspan="3"><input type="date" id="input" name="due_date" width=""></th>-->
                   <th colspan="2"><label>{{ $jobcard->due_date}}</label></th>
                   <!--<th colspan="2"><label><strong>Customer :</strong></label></th>-->
                   <!--<th colspan="2"><label>{{ $jobcard->customer_name }}</label></th>-->
                   <!--<th colspan="2"><label><strong>Quotation ID :</strong></label></th>-->
                   <!--<th colspan="2"><label>{{ $jobcard->quotation_id }}</label></th>-->
                </tr>
             </table>
            <br/>
        @endif
        
        <div class="responsive">
               <table class="table table-bordered table-striped">
                  <thead class="thead-dark">
                     <tr>
                        <th>#</th>
                        <th>Room</th>
                        <!--<th>Item</th>-->
                        <!--<th>Number</th>-->
                        <th>Lining </th>
                        <th>Stitch Pattern </th> 
                        <th>Height <br>(in)</th>
                        <th>Width <br>(in)</th>                                  
                        <th>Parts</th>
                        <th>Length<br>(m)</th>
                        <th>Accessories</th>
                        <th>Total<br>Length (m/Sq.Ft)</th>                                                           
                     </tr>
                     
                  </thead>
                  
                  <tbody>
                     
                     @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
                        @foreach ($measurementitems_db as $key => $itemdetail)
                            @if($itemdetail->measurement_id == $jobcard->measurement_id)
                        
                     <tr>                    
                        <td>{{ $sno-- }}</td>
                        <td>{{ $itemdetail->room }}</td>
                        <!--<td>{{ $itemdetail->item_name }}</td>-->
                        <!--<td>{{ $itemdetail->item_number }}</td>-->
                        @if($itemdetail->item_type == 'Curtain' )
                        <td>{{ $itemdetail->lining }}</td>
                        @else
                        <td>{{ 'Nil' }}</td>
                        @endif
                        
                        @if($itemdetail->item_type == 'Curtain' )
                        <td>{{ $itemdetail->stitchpattern }}</td>
                        @else
                        <td>{{ 'Nil' }}</td>
                        @endif
                        <td>{{ $itemdetail->height }} </td>
                        <td>{{ $itemdetail->adjusted_width }}</td>                                 
                        <td>{{ $itemdetail->parts }}</td>
                        <td>{{ $itemdetail->jobcard_length }}</td>
                        <td>
                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                    @if($accessorydetail->accessory_type == 'Material')                   
                                        {{ $accessorydetail->accessory }} <br>
                                    @endif                
                                  @endif      
                               @endforeach
                            @endif
                        </td>
                        <td style="font-weight: bold;">
                        @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                            @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                    @if($itemdetail->item_type == 'Curtain' )
                                        @if($accessorydetail->accessory_type == 'Material')                   
                                            {{ $itemdetail->jobcard_total }} meters<br>
                                        @endif
                                    @else
                                        @if($accessorydetail->accessory_type == 'Material')                   
                                            {{ $itemdetail->jobcard_total }} Sq.Ft<br>
                                        @endif
                                    @endif
	                                 <!--@if($itemdetail->item_type == 'Curtain' )-->
	                                 <!--	{{ $itemdetail->total }} meters <br>-->
	                                 <!--@else-->
	                                 <!--	@if($accessorydetail->accessory_type == 'Material')-->
	                                 <!--	{{ $itemdetail->total }} Sq.Ft <br>-->
	                                 <!--	@else-->
	                                 <!--	{{ $accessorydetail->length }} meters <br>-->
	                                 <!--	@endif-->
	                                 <!--@endif-->
	                                 
                                @endif 
                            @endforeach
                         @endif
                        </td>                                               
                     </tr>
                            @endif

                     @endforeach
                           
                     @endif
                     
                  </tbody>
            
               </table>
            </div>
         
            <div class="card-header text-muted">
                <div class="row col-md-12">
                   
                   <div class="col-md-4 text-right">
                      <input name="send_print" value="Print Jobcard" type="button" class="btn btn-md btn-primary" style='font-size:14px;font-weight:bold;color:white' onclick="location.href='{{url('jobcard/jobcardprint/'.$jobcard->jobcard_id.'/'.$jobcard->measurement_id) }}'"></strong>
                      </input>&nbsp&nbsp&nbsp
                   </div>
                   
                   <div class="col-md-4 text-center">
                        <input name="delete_jobcard" style="font-size:14px;color:red;font-weight:bold" value="Delete Jobcard" type="button" class="btn btn-sm btn-warning" onclick="location.href='{{ url('/deljobcard/'.$jobcard->jobcard_id) }}'" style='font-weight:bold; font color: red'>  
				   </div>
				   
                   <div class="col-md-4 text-left">
                       <input name="Index" style="font-size:14px;color:white;font-weight:bold" value="Job Card Index" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('/jobcardindex')}}'">                                      
                   </div>
    
                </div>
            </div>
            
         
      </div>
   </div>
</form>
@stop

