@extends('layout.layout')
@section('title','Measurement List') 
@section('head_title','Measurement List')


@section('content') 



<div class="clear"></div>
<td colspan=1>
   <a href="{{ URL::to('/measurements/measurement/'.$customer_id) }}" class="btn btn-sm btn-success pull-right"><span class=" fa fa-plus " style="color:white"><b>Add New Measurement</b></span></a>

</td><br><br>
<!-- Index Table  -->

<form id="page_size" action="{{ url('/measurements') }}"  method="post">
   <!-- panel table design -->
  <div class="row">
      <div class="col-sm-12">
         <div class="card  card-collapse">
            <div id="header_id" class="card-header text-white bg-primary">               
                  <div class="row">
                     <div class="col-6 col-md-4">       
                        <i class="fa fa-list" aria-hidden="true"></i> Index
                     </div>                     
                  </div>
            </div>
  
<div class="card">
<div id="collapseTwo" class="form-group row">
	<div class="col-md-12">
		<table class="table table-hover">
      
		@if(isset($measurements) )
		<!-- measurements -->
      <thead class="">
        <tr>          
          <th width="15%;">S No</th>
          <th width="25%;">Customer Name</th>
          <th width="25%;">Measurement Id</th>
          <th width="15%;">Date</th>
          <th width="10%;">View</th>
		  <!--<th width="10%;"></th>-->
    <!--      <th width="10%;"></th>            -->
        </tr>
      </thead>
      <?php $sno = 1;?>
		@foreach ($measurements as $key => $measurement)
			<tbody>
				<tr>
					<td id="name" colspan="1" class="text-green"> 
					    {{ $sno++ }}
					</td>
                    <td id="name" colspan="1" class="text-green"> 
					 {{$measurement->name}}
					 </td>
					<td id="name" colspan="1" class="text-green"> 
					 {{$measurement->measurement_id}}</td> 
					 <td id="name" colspan="1" class="text-green">{{ date("d/m/yy", strtotime($measurement->measurement_date))}}</td>
					<!--Added by Balaji on July 22_2020-->
					<td colspan=1>
					<button type="button" class="btn btn-sm btn-primary"><a href="{{ URL::to('/measurements/views/'.$measurement->measurement_id) }}"><span class=" fa fa-eye " style="color:white"></span></button></a>
					</td>
					<!--END-->
					<!--<td colspan=1>               -->
					<!--<a href="{{ URL::to('/measurements/step1/'.$measurement->measurement_id) }}" class="btn btn-sm btn-primary"><span class=" fa fa-edit " style="color:white"></span></a>-->
					<!--</td>-->
					<!--<td colspan=1>-->
					<!--<a href="{{ URL::to('/measurements/duplicate/'.$measurement->measurement_id) }}" class="btn btn-sm btn-info"><span style="color:white"><b>Duplicate</b></span></a>-->
					<!--</td>-->
					<!--<td colspan=2>-->
					<!--<a href="{{ URL::to('/quotations/quotationsave?measurement_id='.$measurement->measurement_id) }}" class="btn btn-sm btn-success"><span class=" fa fa-check " style="color:white"><b>Confirm</b></span></a>-->
					<!--</td>-->
					<!-- <td colspan=1>
					<strong><a  href="#" onclick="return hideshow({{$measurement->measurement_id}})">
                  	<i id="btn_{{$measurement->measurement_id}}" class="fa fa-plus"></i></a> </strong>
                  	</td> -->
				</tr>
			</body>

			<tbody class="child" id="child_{{$measurement->measurement_id}}">

			<tr>
				<th colspan=1 style="color:blue">S.no</th>
				<th colspan=3 style="color:blue">Room</th>
				<th colspan=2 style="color:blue">Item</th>
				<th colspan=2 style="color:blue">Number</th>
				<th colspan=2 style="color:blue">H x W <br>(in)</th>
				<th colspan=2 style="color:blue">Parts</th>				
			</tr>
			
			@if(isset($measurementitems[$measurement->measurement_id]))
			<?php $tno=count($measurementitems[$measurement->measurement_id]);?>
			<!-- measurement items --> 

			@foreach ($measurementitems[$measurement->measurement_id] as $measurementsitem)			
			<tr>							
				<td colspan=1 >{{ $tno-- }}</td>
				<td colspan=3 >{{ $measurementsitem->room }}</td>
				<td colspan=2 >{{ $measurementsitem->item_name }}</td>
				<td colspan=2 >{{ $measurementsitem->item_number }}</td>
				<td colspan=2 >{{ $measurementsitem->dimensions }}</td>
				<td colspan=2 >{{ $measurementsitem->parts }}</td>				
			</tr>			
			<tr>
				<th colspan=1></th>
				<th colspan=3 style="color:red">Fabric</th>
				<th colspan=4 style="color:red">Color</th>
				<th colspan=4 style="color:red">Length</th>
				
			</tr>
			<!-- measurement accessorys -->
			@if(isset($measurementaccessorys[$measurementsitem->measurement_item_id]))
			@foreach($measurementaccessorys[$measurementsitem->measurement_item_id] as $measurementaccessory)
			
 			<tr>
				<td colspan=1 ></td>
				<td colspan=3 >{{ $measurementaccessory->accessory }}</td>
				<td colspan=4 >{{ $measurementaccessory->color }}</td>
				<td colspan=4 >{{ $measurementaccessory->length }}</td>
				
			</tr>
			@endforeach <!-- end measurement accessorys -->
			@endif			
			@endforeach		
			@endif
			<!-- end measurement items --> 
							
			</tbody>
		@endforeach <!-- end measurements --> 
		@endif 
		</table>
    </div>
    </div>
		<div class="card-footer text-muted">
            <div class="row">
                <div class="text-left col-md-8">                  
               @if ($measurementitems_count > $page_size)
                  <!--    {{ $measurements_pagination->links(); }} -->
                     {{ CustomPagination::link($measurements_pagination,$page_no) }}
               @endif
                </div>

                @if (isset($page_size) && count($page_size)>0)
                <div class="text-right col-md-4">
                     Showing {{$measurementitems_db_count}}</label> of {{$measurementitems_count}} records
                </div>
                  @endif   
            </div>
        </div>
        </div>
	</div>
</div>
</form>
						
	<!-- 					
		<section class="row">
			<div class="col-12 mt-1 mb-4">Supported by <a href="https://www.numerotec.com">Numero Technologies</a></div>
		</section> -->
				

  @stop
    @section('bottom_script')

<script type="text/javascript">
	$(document).ready(function()
	{
 		$(".child").hide();
	});

	function hideshow(measurement_id)
	{

		 $("#child_"+measurement_id).toggle(1000);
     $("#btn_"+measurement_id).toggleClass("fa-minus fa-plus");		 
	}
	
$("#ddl_page_size").change(function(){    
      $("#page_size").submit();
    });
</script>

  @stop


