<!DOCTYPE html>
<html>
   <head>
            
      <title>
         Quotation Print
      </title>
      
      <style>
         .line
         {
         color:#7376df;
         }
         .col {
         border: 1px solid black;
         }
         .lines {
         border: 1px solid black;
         margin-left: 100px;
         }
         th,td
         {
         text-align: center;
         }
         .table-borderless td,
         .table-borderless th {
             border: 0;
         }
      </style>
      <script src="/js/bootstrap.min.js"></script>
      <!-- <script src="/css/style.css"></script> -->
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">           
               
   </head> 

   <body>
      <form id="quotation_print"  action="{{url('quotations/quotationprint/'.$id) }}"  method="post">
         <div class="row">
            <div class="col-sm-12">
               <div class="card">
                  <div id="header_id" class="card-header text-white bg-primary">
                     <div class="row">
                        <div class="col-sm-7">       
                           <i class="fa fa-list" aria-hidden="true"></i> Quotation
                        </div>
                     </div>
                  </div>
                  <div class="card-body">
                     <div class="row">
                        <div class="col-sm-6">
                           <strong>Innovations</strong> 
                        </div>
                        <div class="col-sm-6 text-right"> 
                           <strong>Customer Name and Address : </strong> 
                        </div>
                     </div>
                     <div class="row">
                        <div class="col-sm-6">
                           <p>Door No 10B New 2,<br> 
                              17, Kalingarayan St,<br>  
                              Ram Nagar, Coimbatore,<br>  
                              Tamil Nadu 641009.</p>    
                        </div>
                        <div class="col-sm-6 text-right">
                           <!-- <label><strong>Address :</strong></label> -->                             
                           <label><strong>{{ $quotations->name }},</strong></label><br>
                           <label>{{ $quotations->address1 }},</label><br>
                           <label>{{ $quotations->address2 }},</label><br>
                           <label>{{ $quotations->address3 }}.</label>
                        </div>   
                     </div>
                     <div class="row">
                        <div class="col-sm-12">
                           <div class="form-group">
                              <label><strong>Sales Executive :</strong></label>
                              <label>{{ $quotations->created_admin_name}}</label>
                           </div>
                        </div>
                     </div>

                     <table class="table table-bordered" style="border: 1px solid !important; text-align: left;">                  
                        <tr>
                           <td colspan="2"><label><strong>Customer ID :</strong></label></td>
                           <td colspan="2"><label>{{ $quotations->customer_id }}</label></td>
                           <td colspan="2"><label><strong>Measurement ID :</strong></label></td>
                           <td colspan="2"><label>{{ $quotations->measurement_id}}</label></td>
                           <td colspan="2"><label><strong>Quotation ID :</strong></label></td>
                           <td colspan="2"><label>{{ $quotations->quotation_id }}</label></td>
                        </tr>
                     </table>
                     <table class="table table-bordered" style="border: 1px solid !important; text-align: center;">                  
                        <tr>
                           <th>From Date</th>
                           <th><label>{{ date("d/m/yy h:i:A", strtotime($quotations->quotation_on))}} </label></th>
                           <th>Shipping Date</th>
                           <th><label>{{ date("d/m/yy h:i:A", strtotime($quotations->shipping_date))}}</label></th>
                           <th>Payment Due On</th>
                           <th><label>{{ date("d/m/yy h:i:A", strtotime($quotations->payment_terms))}}</label></th>
                        </tr>
                     </table>
                     
                     <div class="responsive">
               <table class="table table-bordered">
                  <thead class="thead" style="background-color: #f5f0f0;">
                     <tr>
                        <th>#</th>
                        <th>Room</th>
                        <th>Item</th>
                        <th>Number <br>of Items</th>                        
                        <th>Height <br>(in)</th>
                        <th>Width <br>(in)</th>												
                        <th>Parts</th>
                        <th>Length<br>(m)</th>
                        <!--<th>Total Length<br> (m/Sq.ft)</th>-->
                        <th>Accessories</th>
                        <th>Unit Price</th>
                        <th>Length</th>
                        <th>Total Price<br>(Rs.)</th>
                     </tr>
                     
                  </thead>
                  <!-- {{ var_dump($measurementitems_db) }} -->
                  <tbody>
                  @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
                    @foreach ($measurementitems_db as $key => $itemdetail)

                      <tr>							
                         <td>{{ $sno-- }}</td>
                         <td>{{ $itemdetail->room }}</td>
                         <td>{{ $itemdetail->item_name }}</td>
                         <td>{{ $itemdetail->item_number }}</td>                     
                         <td>{{ $itemdetail->adjusted_height }}</td>
                         <td>{{ $itemdetail->width }}</td>											
                         <td>{{ $itemdetail->parts }}</td>
                         @if ($itemdetail->item_type == "Curtain" )
                         <td>{{ $itemdetail->length }}</td>
                                  @else
                         <td>{{ 'Nil' }}</td>                                 
                          @endif
                         <!--<td>{{ $itemdetail->total }}                      -->
                         <!--@if($itemdetail->item_type == 'Curtain' )-->
                         <!--   meters-->
                         <!--@else-->
                         <!--   Sq.ft-->
                         <!--@endif-->
                         <!--</td>-->
                         
                         <td style="text-align: center;">
                             @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                             {{ $accessorydetail->accessory }} <br>
                                  @endif
                               @endforeach
                            @endif      
                             
                         </td>
                         <td style="text-align: center;">
                             @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                             {{ $accessorydetail->unit_price }} <br>
                                  @endif
                               @endforeach
                            @endif
                         </td>
                         
                         <td style="text-align: center;">
                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                    
                                    @if($accessorydetail->accessory_type == 'Material' )
                                       {{ $itemdetail->total }}
                                    @else
                                       {{ $accessorydetail->length }}
                                    @endif
                                    @if($itemdetail->item_type == 'Curtain' )
                                       meters<br>
                                    @else
                                       Sq.ft<br>
                                    @endif
                                
                                  @endif
                               @endforeach
                            @endif
                         </td> <!-- item's total length -->
                        <td style="text-align: right;">
                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                            <?php
                                    // $total_price = $accessorydetail->unit_price * $itemdetail->total * $itemdetail->item_number; 
                                     if($accessorydetail->accessory_type == 'Rod' || $accessorydetail->accessory_type == 'Channel' ){
                    
                                           $total_price = $accessorydetail->unit_price * $accessorydetail->length * $itemdetail->item_number;                                          
                                        }
                                        else{
                                           $total_price = $accessorydetail->unit_price * $itemdetail->total * $itemdetail->item_number;
                                        }
                                     $total_price = number_format((float)$total_price, 2, '.', '');
                                     $sub_total += $total_price;
                                     $sub_total = number_format((float)$sub_total, 2, '.', '');
                                  ?>
                                    {{ $total_price }} <br>
                                  @endif
                               @endforeach
                            @endif
                        </td>    
                         
                      							
    				@endforeach
    			  @else
    						<tr>
    						<td class="alert-danger text-center" colspan="8">
    						<h5>Items not Found</h5>
    						</td>
    						</tr>
						@endif
												
					</tbody>
				
				</table>
               
            </div>
                     
                     <div class="row text-right">
                        <div class="col-sm-11">
                           <strong>Sub Total : (Rs.)</strong>
                        </div>
                        <div class="col-sm-1">
                           <label class="sub_total">
                           <!-- {{ $sub_total }} --> 
                           {{ $quotations->sub_total }}
                           </label>
                        </div>
                        <div class="col-sm-11">
                           <strong>GST : (Rs.)</strong>
                        </div>
                        <div class="col-sm-1">
                           <label class="sub_total">
                           <!-- {{ $sub_total }} --> 
                           {{ $quotations->gst }}
                           </label>
                        </div>               
                     </div>                     
                     <div class="row"> 
                        <div class="col-sm-8 text-left">
                           <strong>Approved by</strong>
                        </div>
                        <div class="col-sm-4">                  
                           <hr class="lines">                  
                        </div>               
                     </div>
                     <div class="row">
                        <div class="col-sm-9 text-left">
                           <label>{{Auth::user()->admin_name}}</label>
                        </div>
                        <div class="col-sm-2 text-right">                  
                           <strong>Grand Total : (Rs.)</strong>
                        </div>
                        <div class="col-sm-1 text-right">
                           {{ $quotations->grand_total }}
                        </div>               
                     </div>  
                  </div>

                     <!-- <table class="table table-borderless">
                        <tr>
                           <td width="70%"></td>
                           <td width="15%" style="text-align: right;"><strong>Sub Total :&nbsp&nbsp (Rs.)</strong></td>
                           <td width="15%" style="text-align: right;"><label><strong> {{ $quotations->sub_total}}</strong></label></td>
                        </tr>
                        <tr>
                           <td width="70%"></td>   
                           <td width="15%" style="text-align: right;"><strong>GST :&nbsp&nbsp (Rs.)</strong></td>
                           <td width="15%" style="text-align: right;"><label><strong> {{ $quotations->gst }}</strong></label></td>
                        </tr>
                        <tr>
                           <td width="70%" style="text-align: left;"><strong>Approved by :</strong></td>   
                           <td width="15%"><strong><hr class="lines"></strong></td>
                           <td width="15%"><strong><hr class="lines"></strong></td>                        
                        </tr>
                        <tr>
                           <td width="70%" style="text-align: left;"><label>{{Auth::user()->admin_name}}</label></td>   
                           <td width="15%" style="text-align: right;"><strong>Grand Total :&nbsp&nbsp (Rs.)</strong></td>
                           <td width="15%" style="text-align: right;"><label id="calculation"><strong> {{ $quotations->grand_total }}</strong></label></td>                        
                        </tr>                     
                    
                     </table> -->
                       
                  </div>
                  
               </div>
            </div>
         </div>
      </form>

   </body>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
   
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
</html> 




