<?php

class AccessoryController extends BaseController {

	/*
	|--------------------------------------------------------------------------
	| Default Home Controller
	|--------------------------------------------------------------------------
	|
	| You may wish to use controllers instead of, or in addition to, Closure
	| based routes. That's great! Here is an example controller method to
	| get you started. To route to this controller, just add the route:
	|
	|	Route::get('/', 'HomeController@showWelcome');
	|
	*/
  public function getAccessorys()
    {
    $getaccessorys        = [];    
    // $getsupplier        =[];     
    $accessorys_count   = null;
    $accessory_id       = null;
    $accessory_no       = null;
    $accessory_name     = null;
    $segment_name     = null;
    $supplier_name    = null;
    $unit_price       = null;
    $orderby          = null;
    $order_by         = null;
    $order_type       = null;
    $is_filter        = null;
    $con_order_by     = null;

    $page_no = Input::has('page')?Input::get('page'):null;
    $page_size = Input::has('page_size')?Input::get('page_size'):null;

    if(intval($page_no))
    {
      $page_no = $page_no;          
    }
    else if(intval(Session::get('page'))) 
    {
      $page_no = Session::get('page');
    }
    else
    {
      $page_no = 1;
    }


    if(intval($page_size))
    {
      if(intval(Session::get('page_size'))  != $page_size)
      {
        $page_no  =1;
      }
      $page_size = $page_size; 
        
    }
    else if(intval(Session::get('page_size')))
    {
        $page_size = Session::get('page_size');
    }
    else
    {
      $page_size = 10;
    }



    Session::put('page',$page_no);
    Session::put('page_size',$page_size);

    $this->getAccessorysFilter();
    
    if(Session::has('accessory_filter'))
    {
      $accessory_filter = Session::get('accessory_filter');
        // var_dump($accessory_filter);
        // exit();
      
      if(isset($accessory_filter['accessory_name']))
        $accessory_name    = $accessory_filter['accessory_name'];
        
      if(isset($accessory_filter['is_filter']))
        $is_filter= $accessory_filter['is_filter'];
      
      if(isset($accessory_filter['order_by']))
        $order_by = $accessory_filter['order_by'];
        // var_dump($order_by);
        // exit();  
      if(isset($accessory_filter['order_type']))
        $order_type = $accessory_filter['order_type'];
        // var_dump($order_type);
        // exit();
      if(isset($order_by) && !empty($order_by))
        $con_order_by = $order_by . ' '.$order_type;      
        
        // 				var_dump($con_order_by);
        // 			exit();
    
    //   if(isset($accessory_filter['accessory_no']))
    //     $accessory_no    = $accessory_filter['accessory_no'];
    //   if(isset($accessory_filter['segment_name']))
    //     $segment_name  = $accessory_filter['segment_name'] ;
    }
      else{      
        $con_order_by = null;      
    }

        
    $result = Accessory::usp_get_accessorys_new($accessory_id,$accessory_no,$accessory_name,$unit_price, $segment_name,$supplier_name,$con_order_by, $page_no,$page_size);

    // var_dump($result);
    // exit(); 

    // ->orderBy($accessory_id,'DESC');

    $accessorys = $result["getaccessorys"];
	$accessorys_overall_count = count($accessorys);
	$accessorys_count = $result["count"];

	$accessorys_pagination = Paginator::make($accessorys, intval($accessorys_count), $page_size);
    
    
    // $accessorys = $result["getaccessorys"];
    
    // $accessorys_overall_count = count($accessorys);
    
    // $accessorys_count = $result["count"];
    
    // $accessorys_pagination = Paginator::make($accessorys,intval($accessorys_count), $page_size);
  // var_dump($accessorys);
  //   exit();

    return View::make('accessory/accessorys')->with('accessorys',$accessorys)
                         ->with('page_no',$page_no)
                         ->with('page_size',$page_size)
                         ->with('is_filter',$is_filter)
                         ->with('accessorys_count',$accessorys_count)
                         ->with('order_by',$order_by)
                         ->with('order_type',$order_type)
                         ->with('filter_accessory_no',$accessory_no)
                         ->with('filter_accessory_name',$accessory_name)
                         ->with('filter_segment_name',$segment_name)
                         ->with('accessorys_pagination',$accessorys_pagination)
                         ->with('accessorys_count',$accessorys_count)
                         ->with('accessorys_overall_count',$accessorys_overall_count);
   

    }


    public function getAccessorysFilter()
    {
        $admin_id = Auth::user()->admin_id;
        $form_name = "Accessory";
          	
	    $is_remove_filter = 0;
        if(Input::get("Remove"))
        {
            
            Session::forget('accessory_filter');
            // var_dump($accessory_filter);
            // exit();
            $is_remove_filter = 1;
  			$this->savefilter($is_remove_filter);
  			return Redirect::to('accessorys');
        }
        else if(Input::get("Apply"))
        {
              // $page_no    = Input::has('page')?Input::get('page'):1;
              // $page_size  = Input::has('page_size')?Input::get('page_size'):10;
             // $is_filter = Input::has('is_filter')?Input::get('is_filter'):0;
             // $accessory_id     = Input::has('accessory_id')?Input::get('accessory_id'):null;
              $accessory_no         = Input::has('accessory_no')?Input::get('accessory_no'):null;
              $accessory_name       = Input::has('accessory_name')?Input::get('accessory_name'):null;
              // var_dump($accessory_name);
              // exit();              
              $segment_name        = Input::has('segment_name')?Input::get('segment_name'):null;
             // var_dump($segment_name);
             // exit();
              $order_by   = Input::has('orderby')?Input::get('orderby'):null;
              // var_dump($order_by);
              // exit();
              $order_type = Input::has('ordertype')?Input::get('ordertype'):null;

              $accessory_filter = ['is_filter'=>1,'accessory_no'=>$accessory_no,'accessory_name'=>$accessory_name,'segment_name'=>$segment_name,'order_by'=>$order_by,'order_type'=>$order_type];
              // var_dump($accessory_filter);
              // exit();

              Session::put('accessory_filter',$accessory_filter);
              
            // save filter 
            $this->savefilter($is_remove_filter);
        	return Redirect::to('accessorys');  	
              
        }
        else{
            
            $filters = Filters::where('admin_id',$admin_id)->where('form_name',$form_name)->get();
            // var_dump($filters);
            // exit();
            
            if(isset($filters)){
                foreach($filters as $columnname =>  $columnvalue)
                {
                    
                    $columnname = $columnvalue->column_name;
                    $columnvalue = $columnvalue->value;
                    
                    // var_dump($columnname);
                    // var_dump($columnvalue);
                    // exit();
                    
                    if($columnname == 'accessory_no'){
                        
                        $accessory_no = $columnvalue;
                    
                    }
                    if($columnname == 'accessory_name'){
                        
                        $accessory_name = $columnvalue;
                        
                    }
                    if($columnname == 'segment_name'){
                        
                        $segment_name = $columnvalue;
                        
                    }
                    if($columnname == 'orderby'){
                        
                        $order_by = $columnvalue;
                        
                    }
                    if($columnname == 'ordertype'){
                        
                        $order_type = $columnvalue;
                        
                    }
                    $accessory_filter = ['is_filter'=>1,'accessory_no'=>$accessory_no,'accessory_name'=>$accessory_name,'segment_name'=>$segment_name,'order_by'=>$order_by,'order_type'=>$order_type];    
                    Session::put('accessory_filter',$accessory_filter);
                }
            }
        }
        
    }
    
    public function savefilter($is_remove_filter)
    {
        $admin_id = Auth::user()->admin_id;
        $form_name = "Accessory";
        
        	$inputs = Input::all();
            
            foreach($inputs as $key =>  $input) 
            {   
               
                // update 
                $filters = Filters::where('admin_id',$admin_id)->where('form_name',$form_name)->where('column_name',$key)->first();
                if(!isset($filters))
                {
                    //insert
                    $filters = new Filters();
                }
                
            	$filters->admin_id 		= $admin_id;			
        		$filters->form_name 	= $form_name;
        		$filters->column_name 	= $key;
        		$filters->value 		= intval($is_remove_filter)==1?null:$input;						
        		
        		$filters->save();
              	
            }
    }
    
    // public function getaccessorysPageSize()
    // {     
    //         $page_size  = Input::has('page_size')?Input::get('page_size'):10;
    //         Session::put('accessory_pagesize',$page_size);
    //         return Redirect::to('accessorys');
    // }



	public function getAccessory(){
		    		// $seg_type = Input::get('seg_type');
   $supplier_name = array(''=>'select')+Supplier::lists('supplier_name', 'supplier_id');
   $segment = array(''=>'select')+Segment::lists('segment_name', 'segment_id');
  //  Added by Balaji on Mar 18,2020
   $accessory_type = array('' => '--select--', 'Material'=> 'Material', 'Rod' => 'Rod', 'Channel' => 'Channel');   
  //  End
        return View::make('accessory.accessory')
        ->with('supplier_name', $supplier_name)
        ->with('segment',$segment)
        //  Added by Balaji on Mar 18,2020
        ->with('accessory_type',$accessory_type);
        //  End
       
	}

	
 	public function  postAccessory()
    {
     // var_dump(Input::get('price'));
     // exit();

	    $rules=array(
	      	'name' =>'required|unique:accessorys,accessory_name',
          // added by Balaji on Mar 18, 2020
          'accessory_type' => 'required'
          // End
        //   'accessory_no' =>'required|unique:accessorys,accessory_no',
        //   'segment' => 'required',          
	    // 'supplier_name' => 'required',
        //   'unit_price'     =>'required'
	    );

     	$validator = Validator::make(Input::all(), $rules);

    //   $a =$validator->fails();
    // var_dump( $a ) ;
    //   exit();
        if ($validator->fails())
       	{
        
     		$messages = $validator->errors();
        // var_dump($messages);
        // exit();

        	return Redirect::to('accessorys/accessory')->withErrors($validator->errors())->withInput();

        }
        else
        {
        	$accessorys= new Accessory;
          // added by Balaji on Mar 18, 2020
          $accessorys->accessory_type= Input::get('accessory_type');     
          // End
          $accessorys->accessory_name= Input::get('name');     
      		// $accessorys->accessory_no= Input::get('accessory_no');
      		// $accessorys->segment_id= Input::get('segment');
      		// $accessorys->supplier_id= Input::get('supplier_name');
            //   $accessorys->unit_price= Input::get('unit_price');          
          $accessorys->save();
        // var_dump($accessorys->save());
        // exit();
          if(input::get('save_exit'))
      {
        // return Redirect::to('/customer/'.$custom->customer_id)->with('message', 'New Record Inserted');
      Session::flash('msg_success', 'New Record Inserted');
     return Redirect::to('accessorys');
      //return Redirect::to('/customer')->with('message', 'New Record Inserted');
      }
         elseif(input::get('save_continue'))
      {
        // return Redirect::to('/customer/'.$custom->customer_id)->with('message', 'New Record Inserted');
      Session::flash('msg_success', 'New Record Inserted');
     return Redirect::to('accessorys/accessory');
      //return Redirect::to('/customer')->with('message', 'New Record Inserted');
      }
      else
      {
        // return Redirect::to('/customer/'.$custom->customer_id)->with('message', 'New Record Inserted');
      return Redirect::to('/accessorys')->with('msg_success', 'New Record Inserted');
      }
      
  } 
        }

  public function  index()
   {
     
       $accessory_id =  Input::get('hidid');
       $accessorys = Accessory::where('accessory_id',$accessory_id)->first();

       $segment   = Segment::lists('segment_name', 'segment_id');
       $supplier_name = Supplier::lists('supplier_name', 'supplier_id');
       
       $accessorys = Accessory::

       leftJoin('suppliers', 'accessorys.supplier_id', '=', 'suppliers.supplier_id')
       ->leftJoin('segments', 'accessorys.segment_id', '=', 'segments.segment_id')
       ->select('accessorys.*','suppliers.supplier_name','suppliers.supplier_id','segments.segment_name','segments.segment_id')
       ->orderBy('accessory_id','DESC')->get();

       return View::make('accessory.accessorys')->with('accessorys', $accessorys)
                                         ->with('segment',$segment)
                                         ->with('supplier_name',$supplier_name);

      
   } 
  public function  delete($accessory_id)
    {
        $accessorys = Accessory::where('accessory_id',$accessory_id)->delete();


        return Redirect::to('accessorys')->with( 'msg_danger' ,"Record Deleted");
    }
     public function  deleteitem($accessory_item_id)
    { 

    // echo "hi your route here";
    // exit();

        $items = AccessoryItem::where('accessory_item_id',$accessory_item_id)->delete();
        // var_dump($items);
        // exit();

         return Redirect::back()->with( 'msg_danger','deleted');
       }


  public function  edit($accessory_id)
   {
     $accessorys = Accessory::where('accessory_id',$accessory_id)->first();
     $segment = Segment::lists('segment_name', 'segment_id');
     $supplier_name = Supplier::lists('supplier_name', 'supplier_id');    
     //  Added by Balaji on Mar 18,2020
     $accessory_type = array('' => '--select--', 'Material'=> 'Material', 'Rod' => 'Rod', 'Channel' => 'Channel');   
     //  End
      return View::make('accessory.edit') ->with('accessorys',$accessorys)
                                        ->with('segment' ,$segment)
                                        ->with('supplier_name', $supplier_name)
                                        ->with('accessory_type', $accessory_type);
   }
  public function postedit()
   {

    $accessory_id =  Input::get('hidid');
     

      $accessorys = Accessory::where('accessory_id',$accessory_id)->first();
    $rules=array(
          'accessory_name' =>'required|unique:accessorys,accessory_name,'.$accessory_id.',accessory_id',
        //   'accessory_no' => 'required|unique:accessorys,accessory_no,'.$accessory_id.',accessory_id',
        //   'segment' => 'required',
          // added by Balaji on Mar 18, 2020
          'accessory_type' => 'required'
          // End
        //   'supplier_name' => 'required',
        //   'unit_price'  => 'required'
      );

      $validator = Validator::make(Input::all(), $rules);


          // $a = $validator->fails();
          // var_dump($a);
          // exit();

        if ($validator->fails())

        {
        $messages = $validator->errors();

          return Redirect::to('accessorys/edit/'.$accessory_id)
                ->withErrors($validator->errors())
                ->withInput(Input::all());
        }
          
          // $accessorys = Accessory::find($accessory_id);
          // added by Balaji on Mar 18, 2020
          $accessorys->accessory_type= Input::get('accessory_type');     
          // End
          $accessorys->accessory_name= Input::get('accessory_name');          
          $accessorys->accessory_no= Input::get('accessory_no');
          $accessorys->segment_id= Input::get('segment');
          $accessorys->supplier_id= Input::get('supplier_name');
          $accessorys->unit_price= Input::get('unit_price');  
          if($accessorys->save())
            {

              return Redirect::to('accessorys')->with('msg_success', 'Record Updated');
            }
    }

  public function additem($accessory_id,$accessory_item_id=null)
    {
      //$accessorys = Accessory::where('accessory_id',$accessory_id)->first();
             //$items = AccessoryItem::select('accessory_item_id', 'accessory_id','accessories_id')->get();

              //get accessorys for Accessories      
             $accessorys = array(''=>'select')+Accessory::lists('accessory_name','accessory_id','price');

          //get Accessory from  accessory id
             $accessory = Accessory::
             leftJoin('segments', 'accessorys.segment_id', '=', 'segments.segment_id')
             ->leftJoin('suppliers', 'accessorys.supplier_id', '=', 'suppliers.supplier_id')
             ->select('accessorys.*','segments.segment_name','segments.segment_id' , 'suppliers.supplier_name' , 'suppliers.supplier_id')
               ->where('accessorys.accessory_id','=',$accessory_id)->first(); 

            //get Accessory items for from accessory_id 
            $items = AccessoryItem::
             leftJoin('accessorys', 'accessory_items.accessories_id', '=', 'accessorys.accessory_id')
             ->select('accessory_items.*','accessorys.accessory_name','accessorys.accessory_id', 'accessorys.unit_price','accessorys.accessory_no')
              ->orderBy('accessory_item_id','DESC')
              ->where('accessory_items.accessory_id','=',$accessory_id)
              ->get(); 
                 // var_dump($items);
                 // exit();
               //get accessory item for edit 
               if(intval($accessory_item_id)>0) // if accessory item_id > 0 then get accessory item from database
               {
                  $item = AccessoryItem::find($accessory_item_id); 
               }
               else // if accessory item_id not > 0 then accessory item null 
               {
                  $item = null;
               }


                 
             return View::make('accessory.additem')->with('accessory',$accessory)
                                                 ->with('accessorys' , $accessorys)
                                                 // ->with('item_type',$item_type)                                                 
                                                 ->with('accessory_id',$accessory_id)
                                                 ->with('items',$items)
                                                 ->with('item',$item);
                                               

                                            
    }

    public function postadditem($accessory_id,$accessory_item_id=null)
    {

      // echo "hi your route here";
      // exit();

        $accessory_id =  Input::get('hidid');
        $accessorys = Accessory::where('accessory_id',$accessory_id)->first();
         $items = AccessoryItem::where('accessory_item_id',$accessory_item_id)->get();
                  //  var_dump($accessorys);
                  // exit();
        $rules=array(
          'accessorys' =>'required|unique:accessory_items,accessories_id,NULL,
          accessory_item_id,accessory_id,'.$accessory_id          
  // 'email' => 'unique:users,email_address,NULL,id,account_id,1'
           );
       $validator = Validator::make(Input::all(), $rules);
       // $a = $validator->fails();
       // echo $a;
       //  exit();        
        if ($validator->fails())
        {
        $messages = $validator->errors();
         return Redirect::to('accessorys/additem'.'/'.$accessory_id)->withErrors($validator->errors())->withInput();
        }
              if(intval($accessory_item_id)>0)
               {
                  $items = Item::find($accessory_item_id); 
        
               }
               else
               {

                $items = new AccessoryItem;                 
            }
               
               $items->accessory_id= $accessorys->accessory_id;
              $items->accessories_id= Input::get('accessorys');
              $items->save();
            return Redirect::to('accessorys/additem/'.$accessory_id.'/'.$accessory_item_id)->with('msg_success' , 'New Record Inserted');
      }
    // ********************29.04.2019************//
      // public function samplearray()
      // {
      //     return View::make('accessory.samplearray');
      // } 
      // public function postsamplearray()
      // {
      //     $users= new ArrayTest;
      //     $users->id= Input::get('id');   
      //     $users->name= Input::get('name');    
      //     $users->email= Input::get('email');    
      //     $users->city= Input::get('city');
      //     $date = Input::get('date');
      //     $newDate = date("Y-m-d", strtotime($date)) ;
      //     //$users=date("Y-m-d",strtotime($date)); 
      //     $users->date = $newDate;
        
      //     if($users->save())     
      //     {
      //       return Redirect::to('arrayindex');
      //     } 
      // }    


        //*********array to object************//
   //        $person = array (
   // 'firstname' => 'Richard',
   // 'lastname' => 'Castera'
   //      );
   //      $p = (object) $person;
   //      echo $p->firstname; // Will print 'Richard'
   //      echo $p->lastname; // Will print 'Richard'
   //      exit();
        //$arr=array (
        //               "id"      => "11" ,
        //               "name"    => "mathi" ,
        //               "email"   => "mathi@gmail.com" ,
        //               "city"    => "virudhunagar"
        //             );
        // echo $arr['name'];        
        //  $arr=array (
        //             array(
        //               "id"      => "11" ,
        //               "name"    => "mathi" ,
        //               "email"   => "mathi@gmail.com" ,
        //               "city"    => "virudhunagar"
        //              ),
        //               array(
        //               "id"      => "12" ,
        //               "name"    => "aa" ,
        //               "email"   => "aa@gmail.com" ,
        //               "city"    => "virudhunagar"
        //                ));


// $cars =  array('auti A1'=> (object)
//                         array('Brand' => 'Auti','Modal'=>'A1','Year'=>'2010'),
//                 'swift 2019'=> 
//                         (object) array('Brand' => 'Maruthi','Modal'=>'swift','Year'=>'2019')
                        
//                         );

        
//          echo $cars['swift 2019']->Modal;
//         exit();

          //echo json_encode($arr);
        // $ab=(object) $arr;
        // echo $ab->id ;
        // echo $ab->name ;
        // exit();

        //*********array to object  end************//
        
        //************object to array ************//
        
       


       //*********object to array  end************//
          
            
        
   



              //return Redirect::to('arrayindex');
        //}

    //test get only**************//

   //   public function  index()
   // {
   //   {
   //     $accessory_id =  Input::get('hidid');
   //     $accessorys = Accessory::where('accessory_id',$accessory_id)->first();

   //     $segment   = Segment::lists('segment', 'segment_id');
   //     $supplier_name = Supplier::lists('supplier_name', 'supplier_id');
       
   //     $accessorys = Accessory::

   //     leftJoin('suppliers', 'accessorys.supplier_id', '=', 'suppliers.supplier_id')
   //     ->leftJoin('segment', 'accessorys.segment_id', '=', 'segment.segment_id')
   //     ->select('accessorys.*','suppliers.supplier_name','suppliers.supplier_id','segment.segment','segment.segment_id')
   //     ->get();
       

   //       foreach ($accessorys as $accessory) 
   //           {
   //            echo $accessory->accessory_id ;
   //            echo "<br/></br>";
   //            echo  $accessory->name;
   //            echo  "<br/><br/>";
   //            echo  $accessory->supplier_name;
   //            echo "<br/><br/>";
   //              echo  $accessory->segment;
   //             echo "<br/><br/>" ;
   //           }    
   //    }
   //  }
      public function accessorytable()
      {
         $accessory_id=130;
        $accessorys = Accessory::where('accessory_id',$accessory_id)->first();
       // foreach ($accessorys as $accessory) 
             
              echo $accessorys->accessory_id ;
              echo "<br/></br>";
              echo  $accessorys->name;
              echo  "<br/><br/>";
              echo  $accessorys->supplier_id;
              echo "<br/><br/>";
                echo  $accessorys->segment_id;
               echo "<br/><br/>" ;
      }
    // **********test end**********************//
       public function arrayindex()
      {
          $users = ArrayTest::get();
          // var_dump($users);
          // exit();
          return View::make('accessory.arrayindex')->with('users',$users);
      } 
      //******************** end *****************// 

     public function prostud()
     {
    return View::make('accessory.prostud');

     }




  //    public function multidelete(){
  //     $checked = [];
  //     $checked = Input::get('multidelete');

      
  //  // foreach ($checked as $accessory_id) {
  //  //      Accessory::where("accessory_id",$accessory_id)->delete(); //Assuming you have a Todo model. 
  //  // }
  //  //Or as @Alex suggested 

  //   Accessory::whereIn('accessory_id', $checked)->delete();
  // }


   public function getdate(){


    return View::make('addlist.getdate');
   }


    public function multidelete()
    {
       $checked = Request::input('id',[]);
    $delete = Accessory::whereIn('accessory_id', $checked)->delete();
    Session::flash('msg_danger', 'All Records Deleted');
    return Redirect::to('/accessorys');
  }


  public function getcheck()
    {
      return View::make('accessory.check');
    }

}