<?php

class MeasurementController extends BaseController {

	/*
	|--------------------------------------------------------------------------
	| Default Home Controller
	|--------------------------------------------------------------------------
	|
	| You may wish to use controllers instead of, or in addition to, Closure
	| based routes. That's great! Here is an example controller method to
	| get you started. To route to this controller, just add the route:
	|
	|	Route::get('/', 'HomeController@showWelcome');
	|
	*/
	
//------------ADDED BY BALAJI ON JULY 24, 2020-------------------//
		//[SOFT]Delete Measurement get method

 	public function deletemeasurement($measurement_id) {

  		//delete measurement
  		
  		$measurement = Measurements::find($measurement_id);
  		
  		if (isset($measurement_id)) {
  			
  			$measurement = Measurements::where('measurement_id',$measurement_id)->first();

  			$curTime 							= new \DateTime();
			$date_today 						= $curTime->format("Y-m-d");

			$measurement->deleted_at 			= $date_today;
  			$measurement->deleted_admin_id 		= Auth::user()->admin_id;
			$measurement->deleted_admin_name 	= Auth::user()->user_name;
  			
  			$measurement->save();
			
  		}
  		
  		
  		//delete associated measurement items
		$measurement_items = MeasurementItems::where('measurement_id',$measurement_id)->get();
		
		if (isset($measurement_items) && $measurement_items != null) {
			foreach ($measurement_items as $measurement_item) {
					
				// var_dump($measurement_item->measurement_item_id);
				// exit();		
				$m_item = MeasurementItems::where('measurement_id',$measurement_id)->where('measurement_item_id',$measurement_item->measurement_item_id)->first();
			
				$curTime 					= new \DateTime();
				$date_today 				= $curTime->format("Y-m-d");

				$m_item->deleted_at 		= $date_today;	  		
	  			$m_item->save();	

			  	}
			}  		
  		

  		//delete associated measurement items
  		
		
// 		foreach ($measurement_items as $measurement_item) {


// 			$measurement_accessorys = MeasurementAccessorys::where('measurement_item_id',$measurement_item->measurement_item_id)
// 									->get();  		

			
// 			if (isset($measurement_accessorys) && $measurement_accessorys != null) {
// 				foreach ($measurement_accessorys as $measurement_accessory) {
					
// 					// var_dump($measurement_item->measurement_item_id);
// 					// exit();		
// 					$m_accessory = MeasurementItems::where('measurement_id',$measurement_id)->where('measurement_item_id',$measurement_accessory->measurement_accessory_id)->first();
				
// 					$curTime 						= new \DateTime();
// 					$date_today 					= $curTime->format("Y-m-d");

// 					$m_accessory->deleted_at 			= $date_today;		  			
		  				
// 		  			$m_accessory->save();	

// 			  		}
// 			  // 		var_dump($m_accessory->deleted_at);
// 					// exit();
// 			  	}

// 		  }

  			Session::flash('msg_danger', 'Measurement Deleted');
            return Redirect::to('/measurements');
 
  
  }

//-------------------------------END---------------------------------------------//	
//----------------Added by Balaji on JULY 24_2020--------------------------------------------------//
	
	public function printpreview($id) 
	{
		$measurements 			= [];
		$measurementitems_count = 0;
		$name = null;
		// $item_name = null;
		$customer_id 			= $customer_id;
		$measurement_id 		= $id;
		$from_date 				= null;
		$to_date 				= null;
		$item_name 				= null;
		$measurement_item_id 	= null;
		$room 					= null;
		$accessory_ids 			= null;
		$color 					= null;
		$length 				= null;
		$item_number 			= null;
		$lining_length 			= null;
		$parts 					= null;

		$order_by 				= null;
		$order_type 			= null;
		$con_order_by 			= null;
		$orderby 				= null;
		$ordertype 				= null;
		$is_filter				= 0;
		
		
		$page_no = Input::has('page')?Input::get('page'):1;
		$page_size = Input::has('page_size')?Input::get('page_size'):1;
		// var_dump($is_filter);
		// exit();			
		$result = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);
// 		var_dump($result);
// 		exit();
		$measurements = $result["measurements"];
		// var_dump(count($measurements));
		// exit();
		// var_dump($measurements->customer_id);
		// exit();

		$measurementitems_db = $result["measure_items"];
		// var_dump($measurementitems_db);
		// exit();
		$measurementitems_db_count = count($measurementitems_db);
		// 	var_dump($measurementitems_db_count);
		// exit();
		$measurementaccessorys_db = $result["measure_accessorys"];
		// var_dump($measurementaccessorys_db);
		// exit();
		$measurementitems_count = $result["count"];	
		// var_dump($measurementitems_count);
		// exit();
		$measurementitems = [];
		$measurementaccessorys= [];	
			

		if(isset($result["measurements"][0]))
		{
			$measurements=  $result["measurements"][0];
			// var_dump($measurements->customer_id);
			// exit();
			$customer_id = $measurements->customer_id; 
			$result1 = Customers::usp_get_customers($name,$email,$mob,$customer_id,$address_type,$address,$con_order_by,$page_no,$page_size);
			
			$customers = $result1["customers"];

			if(isset($result1["customers"][0]))
			{
			$customer_details =  $result1["customers"][0];
			// var_dump($customers);
			// exit();
			return View::make('measurement.measurementprint')
						->with('customer_details',$customer_details)
						->with('customer_id',$customer_id)
						->with('measurements',$measurements)
						->with('measurement_id',$measurement_id)
						->with('measurementitems_db',$measurementitems_db)
						->with('measurementaccessorys_db',$measurementaccessorys_db);
			}
    		else
    		{
    			echo "Error try after sometime";
    		}
		}

		
	}



//-------------------------------------------------------------//	


//-------------------------------------------------------------//	

//MEASUREMENT PAGE 


public function getAddress()
	{ 
		$name		= '';
		$address1	= '';
		$address2	= '';
		$address3	= '';

		$mob = Input::get('mob');
		$customer = Customers::where('mobile', $mob)->first();
		//var_dump($mob);
		//exit();
		
		if ($customer != Null){
			$code = "1";

			$customer_id = $customer->customer_id;
			$name		 = $customer->name;
			$address1 	 = $customer->address1;
			$address2 	 = $customer->address2;
			$address3 	 = $customer->address3;

		}
		else{
			$code = "-1";	
		}
		

		$cus = array("address1"=>$address1, "address2"=>$address2, "address3"=>$address3, "name"=>$name, "customer_id"=>$customer_id, "code"=>$code);
		return $cus;
	   
	} 	 	


//-------------------------------------------------------------//
//MEASUREMENT PAGE


public function createMeasurement()
	{
		
		$mob = Input::get('mobile');
		//$date = Input::get('date');

	$rules=array
		(
	    
	    'mobile' => 'required|digits:10',
	    //'date' => 'required'
	   
		);

	// validate rules on the inputs from the form
	$validator = Validator::make(Input::all(), $rules);
	$customer = Customers::where('mobile', Input::get('mobile'))->first();
	
	if ($validator->fails())	
	{

    	return Redirect::to('measurements/')->withErrors($validator->errors());

	}

	elseif ($customer==null)	
	{

    	return Redirect::to('customers/customer/')->withErrors($validator->errors());

	}
 
 	else
 	{		
		
		$customers = Customers::where('mobile', Input::get('mobile'))->get();
			
		return Redirect::to('measurements/addlist/'.$mob)->withErrors($validator->errors());	
		
	   
	}
}


	public function getAddlist($mob){
		$customers = Customers::where('mobile', $mob)->get();	
		return View::make('measurement.addlist')
					->with(array('mob' =>$mob))
					->with(array('customers' =>$customers));			
	}



// public function createMeasurement()
// 	{
		
// 		$mob = Input::get('mobile');
// 		$date = Input::get('date');

// 	$rules=array
// 		(
	    
// 	    'mobile' => 'required|digits:10',
// 	    'date' => 'required'
	   
// 		);

// 	// validate rules on the inputs from the form
// 	$validator = Validator::make(Input::all(), $rules);
// 	$customer = Customers::where('mo--bile', Input::get('mobile'))->first();
	
// 	if ($validator->fails())	
// 	{

//     	return Redirect::to('measurements/')->withErrors($validator->errors());

// 	}

// 	elseif ($customer==null)	
// 	{

//     	return Redirect::to('customers/customer/')->withErrors($validator->errors());

// 	}
 
//  	else
//  	{		
		
// 		$customer = Customers::where('mobile', Input::get('mobile'))->first();
			
		
// 			$measurement = new Measurements;

// 			$measurement->measurement_date = date("Y-m-d", strtotime(Input::get('date')) );
// 			$measurement->customer_id = $customer->customer_id;
// 			$measurement->save();

// 			$measurement_id = $measurement->measurement_id;

			
// 			return Redirect::to('measurements/step1/'. $measurement_id)	
// 				->with(array('measurement',$measurement))
// 				->with(array('customer',$customer));	
		
	   
// 	}
// }

//-------------------------------------------------------------//
//MEASUREMENT PAGE	
//EDIT CONTACT AND VALIDATION

//add and edit item get method

public function createget($measurement_id,$measurement_item_id=null)
	{
		
		$measurement = Measurements::find($measurement_id);
	
        
		$itemdetails = MeasurementItems::select('room','item_name','item_number','item_type','height','width','parts','adjusted_height','length','stitchpattern','total','lining','lining_length', 'measurement_item_id','measurement_id')->where('measurement_id', $measurement_id)->get();
		

		$iscreate = Input::get('iscreate');

        $measurement_item = new MeasurementItems();
        if(isset($measurement_item_id))
        {
        	 $measurement_item = MeasurementItems::where('measurement_item_id',$measurement_item_id)->first();
        }
       

       	$sel 			= array(''=>'--select--','Hall'=>'Hall','Living room'=>'Living room','Kitchen'=>'Kitchen','Restroom'=>'Restroom','Basement'=>'Basement','Conference room'=>'Conference room','Dining room'=>'Dining room','Store room'=>'Store room','Pooja room'=>'Pooja room', 'Bedroom'=>'Bedroom');
    
		$ite 			= array('' => '--select--', 'Window'=> 'Window', 'Door' => 'Door');
		
		$itemtype 		= array('' => '--select--', 'Curtain'=> 'Curtain', 'Blinds' => 'Blinds', 'PVC Blinds' => 'PVC Blinds', 'Roman Blinds' => 'Roman Blinds');   

		$rod 			= array('' => '--select--', 'Sophia Rod'=> 'Sophia Rod', 'S.S Rods'=> 'S.S Rods', 'S.S Crystal Ends'=> 'S.S Crystal Ends', 'Wooden Rod'=> 'Wooden Rod', 'Toso Ivory'=> 'Toso Ivory', 'Toso White'=> 'Toso White', 'Antique Brass'=> 'Antique Brass', 'Antique Copper'=> 'Antique Copper', 'Glide Channel'=> 'Glide Channel');
		
		$lining 		= array('' => '--select--', 'Polyester'=> 'Polyester', 'Heavy'=> 'Heavy', 'Blackout'=> 'Blackout', 'Rubber Blackout'=> 'Rubber Blackout');
		
		$stitchpattern	= array('' => '--select--', 'Pleated'=> 'Pleated', 'Ring Type'=> 'Ring Type', 'Pencil Pleat'=> 'Pencil Pleat', 'Box Pleat'=> 'Box Pleat', 'Reverse Pleat'=> 'Reverse Pleat', 'Single Pleat'=> 'Single Pleat', 'Rod Pocket'=> 'Rod Pocket', 'Spring Type'=> 'Spring Type', 'Loop Type'=> 'Loop Type', 'Riffle Pleat'=> 'Riffle Pleat');

		$customer = Customers::
		rightJoin('measurements', 'measurements.customer_id', '=', 'customers.customer_id')->where('measurements.measurement_id','=',$measurement_id)
			->select('customers.*', 'customers.name')
			->first();

		
			if (intval($measurement_item_id>0))
			{				
				$measurement_item = MeasurementItems::find($measurement_item_id);
			}
			else
			{
				$measurement_item = new MeasurementItems();
			}

			if($iscreate == 1)
			{
				$measurement_item_id =0;
			}
			// var_dump($measurement_item_id);
			// exit();


			return View::make('measurement.step1')
			->with(array('measurement' =>$measurement,'customer'=> $customer, 'itemdetails' => $itemdetails,'sel'=>$sel, 'ite'=>$ite, 'itemtype'=>$itemtype, 'rod'=>$rod, 'lining'=>$lining, 'stitchpattern'=>$stitchpattern, 'measurement_item'=>$measurement_item))
			->with('measurement_item_id', $measurement_item_id);
		
	}



//-------------------------------------------------------

//add and edit item post method

public function postItem($measurement_id, $measurement_item_id=null)
{
	 	
	$rules=array(
	    
 	    'room' 			=> 'required',
 	    'item_name' 	=> 'required',
 	    'item_number' 	=> 'required',
 	    'height' 		=> 'required',
 	    'width' 		=> 'required',
		'parts' 		=> 'required',
		// <!-- added by Balaji Feb 17, 2020   -->
		// 'rod' 		=> 'required',
		// 'lining' 	=> 'lining',
		// 'stitchpattern' => 'required',
		'item_type' 	=> 'required'
		// <!-- END -->	    	    
	    	    
 	);

// validate rules on the inputs from the form
$validator = Validator::make(Input::all(), $rules);
	
	if ($validator->passes())
	{

		$iscreate = 0;
        //if(isset($measurement_item_id))
        if (intval($measurement_item_id > 0))
			{
				$measurement_item = MeasurementItems::find($measurement_item_id);
				
			}
			else
			{
				$iscreate =1;
				$measurement_item = new MeasurementItems();
			}        

        	$measurement_item->room 			= Input::get('room');
	 		$measurement_item->item_name 		= Input::get('item_name');
	 		$measurement_item->item_number 		= Input::get('item_number');
	 		$measurement_item->height 			= Input::get('height');
	 		$measurement_item->width 			= Input::get('width');
			$measurement_item->parts 			= Input::get('parts');
			
			// <!-- ADDED by Balaji Feb 17, 2020   -->
			$measurement_item->item_type 		= Input::get('item_type');
			// $measurement_item->rod 			= Input::get('rod');
			//added by Balaji on July 25_2020
			if (Input::get('item_type') == 'Curtain'||Input::get('item_type') == 'Roman Blinds')
			{
				
				$measurement_item->lining 			= Input::get('lining');			
				$measurement_item->stitchpattern 	= Input::get('stitchpattern');	
				
			}
			//END
			$measurement_item->lining 			= Input::get('lining');			
			$measurement_item->stitchpattern 	= Input::get('stitchpattern'); 	 		
// 			$measurement_item->adjusted_height	= $measurement_item->height + CustomClass::$AddHeight;
// 			Added by Balaji on Aug 28, 2020
            if($measurement_item->item_type == "PVC Blinds"){
                $measurement_item->adjusted_height	= $measurement_item->height + CustomClass::$AddHeightPVCBlinds;
            }
            else{
                $measurement_item->adjusted_height	= $measurement_item->height + CustomClass::$AddHeight;
            }
// 			End
			// <!-- ADDED by Balaji July 06, 2020   -->
			$measurement_item->jobcard_height	= $measurement_item->height + CustomClass::$JobcardHeight;
			//end
			$measurement_item->adjusted_width	= $measurement_item->width + ($measurement_item->width * CustomClass::$AddWidth);			
			
			// <!-- ADDED by Balaji Aug 14, 2020   -->
			// Conversion of inches to meters
			//$measurement_item->length			= round($measurement_item->adjusted_height / 39, 1, PHP_ROUND_HALF_UP);
			$val			                    = $measurement_item->adjusted_height / 39;
			$measurement_item->length			= CustomClass::RoundUp($val);
			$value                              = $measurement_item->jobcard_height / 39.37;
			$measurement_item->jobcard_length	= CustomClass::RoundUp($value);

			if($measurement_item->item_type == "Curtain"){

				$measurement_item->total 					= $measurement_item->length * $measurement_item->parts * $measurement_item->item_number;
				$measurement_item->lining_length			= $measurement_item->length * $measurement_item->parts * $measurement_item->item_number;
				// <!-- ADDED by Balaji July 06, 2020   -->
				$measurement_item->jobcard_total 			= $measurement_item->jobcard_length * $measurement_item->parts * $measurement_item->item_number;
				$measurement_item->jobcard_lining_length	= $measurement_item->jobcard_length * $measurement_item->parts * $measurement_item->item_number;
				//end				
			}
			elseif($measurement_item->item_type == "Blinds"){
			    // Conversion of inches to Sq.ft for Blinds and PVC Blinds
			    $measurement_item->total                    = CustomClass::RoundUp(($measurement_item->height * $measurement_item->item_number * $measurement_item->width)/144);
			}
			elseif($measurement_item->item_type == "PVC Blinds"){
			    $measurement_item->total                    = CustomClass::RoundUp(($measurement_item->adjusted_height * $measurement_item->item_number * $measurement_item->width)/144);
			}
			else{

				// Conversion of inches to Sq.ft for Roman Blinds
				$measurement_item->total                    = CustomClass::RoundUp(($measurement_item->height * $measurement_item->item_number * $measurement_item->width)/144);
				$measurement_item->lining_length			= $measurement_item->length * $measurement_item->parts * $measurement_item->item_number;
				//$measurement_item->total = round(($measurement_item->height * $measurement_item->item_number * $measurement_item->width)/144, PHP_ROUND_HALF_UP);
				// var_dump($measurement_item->total);
				// exit();
			}			
			// <!-- END -->

			//$measurement_item->lining_length = $measurement_item->height * $measurement_item->width;
			
 			$measurement_item->measurement_id = $measurement_id;			

 			$measurement_item->save();


 			$measurement_item_id = $measurement_item->measurement_item_id;

 			
 			return Redirect::to('measurements/step1/' .$measurement_id. '/' .$measurement_item_id.'?iscreate='.$iscreate);

        }
	else	 
	{	
    	 return Redirect::to('measurements/step1/' .$measurement_id)->withErrors($validator->errors());   	  

	}
 

 }

    //RoundUp function in Custom class is used instead of this function
    // function roundUpToAny($n,$x=0.05) {
    //     return (ceil($n)%$x === 0) ? ceil($n) : round(($n+$x/2)/$x)*$x;
    //     }    
//-------------------------------------------------------------//
//MEASUREMENT PAGE

//DeleteItem get method



  	public function deleterecord($measurement_id,$measurement_item_id) {

  		
  		$measurement_item = MeasurementItems::where('measurement_id',$measurement_id)->where('measurement_item_id',$measurement_item_id)->delete();

            return Redirect::to('/measurements/step1/' .$measurement_id);

  }


  public function deleteaccessory($measurement_item_id, $measurement_accessory_id) {

  		$measurement_item	= MeasurementItems::where('measurement_item_id',$measurement_item_id)->first();
  		$measurement_id		= $measurement_item->measurement_id;
  		Session::flash('msg_danger', 'Deleted');
  		// var_dump($measurement_item->measurement_id);
  		// exit();
  		$measurement_accessory = MeasurementAccessorys::where('measurement_item_id',$measurement_item_id)->where('measurement_accessory_id',$measurement_accessory_id)->delete();

            return Response::json("Deleted successfully");

  }
 	

//-------------------------------------------------------------//

//MEASUREMENT PAGE
//ADD accessory GET AND POST 


	public function getStep2($measurement_item_id)
	{

		$accessorydetails = MeasurementAccessorys::
			leftJoin('accessorys', 'measurement_accessorys.accessory_id', '=', 'accessorys.accessory_id')		 	
		 	->where('measurement_item_id', $measurement_item_id)->get();
 		

		// $accessorydetails = MeasurementAccessorys::select('accessory','color','length','measurement_item_id','measurement_accessory_id')->where('measurement_item_id', $measurement_item_id)->get();

		$accessorylist = Accessory::lists('accessory_name','accessory_id');
		// var_dump($accessorydetails);
		// exit();

		$pdt = array('' => '--select--') +$accessorylist;


		return View::make('measurement.step2')
            		->with('measurement_item_id', $measurement_item_id)
            		->with('accessorydetails', $accessorydetails)
            		->with('accessorylist', $pdt)
            		->render();

	}

//-------------------------------------------------------
	
	public function postStep2($measurement_item_id) 
	{
	 		 	
 		$accessory = Input::get('accessory');
//  		$color	 = Input::get('color');
 		$length  = Input::get('length');

	$rules=array(
	    
 	    'accessory' 	=> 'required',
 	    //'color' 	=> 'required',
 	    'length' 	=> 'required',
 	    	    	    
 	);

// validate rules on the inputs from the form
$validator = Validator::make(Input::all(), $rules);
	
	if ($validator->passes())
	{
		$measurement_item = MeasurementItems::where('measurement_item_id',$measurement_item_id)->first();
		
		$measurement_accessory = new MeasurementAccessorys();

        	$measurement_accessory->accessory_id 		    = Input::get('accessory');			
// 			$measurement_accessory->color 			        = Input::get('color');
			$measurement_accessory->length 			        = Input::get('length');
			$measurement_accessory->measurement_item_id     = $measurement_item_id;
			$measurement_accessory->measurement_id          = $measurement_item->measurement_id;
			//----------------------------------------------------------------
			// Added by Balaji on Mar 18, 2020

			// Getting unit_price for the input accessory			
			$accessory = Accessory::where('accessory_id',Input::get('accessory'))->first();
			$total = $measurement_accessory->length * $accessory->unit_price;			
			
			//condition set for rods and channels total price calculation
			if($accessory->accessory_type == 'Material'){				
				
				$measurement_accessory->total_price = $total;				

			}	
			else{				
				
				$measurement_accessory->total_price = $accessory->unit_price;				

			}
			// End 
			//----------------------------------------------------------------						
			$measurement_accessory->save();			


 			$measurement_item_id = $measurement_accessory->measurement_item_id;

 			//$measurement_item = MeasurementItems::where('measurement_item_id',$measurement_item_id)->first(); 			
 			//$measurement_id = $measurement_item->measurement_id; 
 			// $accessorydetails = MeasurementAccessorys::select('accessory','color','length','measurement_item_id','measurement_accessory_id')->where('measurement_item_id', $measurement_item_id)->get();

			
			$accessorydetails = MeasurementAccessorys::
			leftJoin('accessorys', 'measurement_accessorys.accessory_id', '=', 'accessorys.accessory_id')		 	
		 	->where('measurement_item_id', $measurement_item_id)->get();

		
			$accessorys		= Accessory::select('accessory_name','accessory_id')->get();

		 	$accessorylist	= Accessory::lists('accessory_name','accessory_id');
		

		$pdt = array('' => '--select--') + $accessorylist;

 		 	return View::make('measurement.step2')
						->with('measurement_item_id', $measurement_item_id)
						->with('accessorydetails', $accessorydetails)
						->with('accessorylist', $pdt)
						->render();		
 			// return Redirect::to('measurements/step2/' .$measurement_item_id)
 			// ->with('accessorydetails', $accessorydetails)
 			// ->with('accessorys', $accessorys);

        }
        

	else	
	{
		
    	 return Redirect::to('measurements/step2/' .$measurement_id .$measurement_item_id)->withErrors($validator->errors());   	  

	}


 }

//-------------------------------------------------------------//
//MEASUREMENT INDEX PAGE
 

 	public function addMeasurement()
	{
		
		return View::make('measurement.measurement');
	}



	public function getMeasurements()
	{

			$measurements 			= [];
			$measurementitems_count = 0;
			$name 					= null;
			// $item_name 			= null;
			$measurement_id 		= null;
			$from_date 				= null;
			$to_date 				= null;
			$item_name 				= null;
			$measurement_item_id 	= null;
			$room 					= null;
			$accessory_ids 			= null;
			$color 					= null;
			$length 				= null;
			$item_number 			= null;
			$lining_length 			= null;
			$parts 					= null;
			
			$item_number 			= null;
			$rod 					= null;
			$lining 				= null;
			$adjusted_height 		= null;
			$total 					= null;

			$order_by 				= null;
			$order_type 			= null;
			$con_order_by 			= "measurement_date desc";
			$orderby 				= null;
			$ordertype 				= null;
			$is_filter				= 0;
			
			
			$page_no                = Input::has('page')?Input::get('page'):null;
			$page_size              = Input::has('page_size')?Input::get('page_size'):null;
			// var_dump($page_no);
			// exit();
            
            $this->getmeasurementsFilter();
            
            // we store  all parameters in session and now get all parameters in this session 'measurement_filter'
            
			if(Session::has('measurement_filter'))
			{
				$measurement_filter = Session::get('measurement_filter');
				// var_dump($measurement_filter);
				// exit();

				if(Input::has('page'))
							{
								$measurement_filter['page_no'] = $page_no;
							}

				if(isset($measurement_filter['name']))
					$name		= $measurement_filter['name'];			
				
				if(isset($measurement_filter['item_name']))
					$item_name	= $measurement_filter['item_name'];
				
				if(isset($measurement_filter['mobile']))
					$mobile	= $measurement_filter['mobile'];
			
			    if(isset($measurement_filter['measurement_id']))
				 	$measurement_id	= $measurement_filter['measurement_id'];
				
				// if(isset($measurement_filter['accessory_ids']))
				// 	$accessory_ids	= $measurement_filter['accessory_ids'];
					// var_dump($accessory_ids);
			//        exit();		 
				if(isset($measurement_filter['page_no']))
						$page_no  = $measurement_filter['page_no'] ;
				
				if(isset($measurement_filter['page_size']))
						$page_size= $measurement_filter['page_size'];
					// var_dump($page_size);
					// exit();
				if(isset($measurement_filter['is_filter']))
					$is_filter= $measurement_filter['is_filter'];
				
				if(isset($measurement_filter['order_by']))
					$order_by = $measurement_filter['order_by'];
				
				if(isset($measurement_filter['order_type']))
					$order_type = $measurement_filter['order_type'];
			
				if(isset($order_by) && !empty($order_by))
				{
					$con_order_by = $order_by . ' '.$order_type;            
				}
				else
				{
					$con_order_by = null;
				}
    // 			var_dump($order_by);
    // 			var_dump($order_type);
	   //         exit();			
			    
			}

			if(intval($page_no))
				{
				$page_no = $page_no;          
				}
				else if(intval(Session::get('page'))) 
				{
				$page_no = Session::get('page');
				}
				else
				{
				$page_no = 1;
				}


				if(intval($page_size))
				{
				if(intval(Session::get('page_size'))  != $page_size)
				{
					$page_no  =1;
				}
				$page_size = $page_size; 
					
				}
				else if(intval(Session::get('page_size')))
				{
					$page_size = Session::get('page_size');
				}
				else
				{
				$page_size = 10;
				}

				Session::put('page',$page_no);
				Session::put('page_size',$page_size);
				
				// var_dump($page_size);
				// exit();
			
				// var_dump($name,$measurement_id,$from_date,$to_date,$orderby,$page_no, $page_size, $item_name,$accessory_ids);
				// exit();
				// if (isset($_GET['page'])){ $pageNum=$_GET['page'];
				// }else{		
				// $pageNum=1;
				// }	
				// // var_dump($pageNum);
				// // exit();
				// $rows_per_page=$page_size;//Number of Rows per page
				// $previous_rows=($pageNum-1)*$rows_per_page;
				
				$sno = 1;
				$rows_per_page	= $page_size; // How many elements per page
				$pageNumber		= isset($_GET['page']) ? (int)$_GET['page'] : 1;
				$currentNumber	= ($pageNumber - 1) * $rows_per_page + $number;
				echo "<td>  ". $currentNumber++ ." </td>";
				$sno++;	
				
				// var_dump($currentNumber);
				// exit();


			$result = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);

// 			var_dump($result);
// 					exit();	

			$measurements = $result["measurements"];
			// var_dump(count($measurements));
			// exit();

			$measurementitems_db = $result["measure_items"];
			// var_dump($measurementitems_db);
			// exit();
			$measurementitems_db_count = count($measurementitems_db);
			// 	var_dump($measurementitems_db_count);
			// exit();
			$measurementaccessorys_db = $result["measure_accessorys"];
			$measurementitems_count = $result["count"];	
			// var_dump($measurementitems_count);
			// exit();
			$measurementitems = [];
			$measurementaccessorys= [];


			foreach ($measurementitems_db as $key => $value) {
				$measurementitems[$value->measurement_id][] = $value;
			// 	var_dump($measurementitems);
			// exit();
			}

			foreach ($measurementaccessorys_db as $key => $value) {
				$measurementaccessorys[$value->measurement_item_id][] = $value;
			} 
			
		
			$measurements_pagination = Paginator::make($measurements, intval($measurementitems_count), $page_size);
			// var_dump($measurements_pagination);
			// exit();
			return View::make('measurement.measurementindex')->with('measurements',$measurements)
															->with('measurementitems',$measurementitems)
															->with('measurementaccessorys',$measurementaccessorys)
															->with('page_size',$page_size)
															->with('page_no',$page_no)
															->with('is_filter',$is_filter)
															->with('filter_name',$name)
															->with('filter_item',$item_name)
															->with('filter_mobile',$mobile)
															->with('filter_measurement_id',$measurement_id)
												// 			->with('filter_accessory_ids',$accessory_ids)
															->with('order_by',$order_by)
															->with('order_type',$order_type)
															->with('measurements_pagination',$measurements_pagination)
															->with('measurementitems_count',$measurementitems_count)
															->with('measurementitems_db_count',$measurementitems_db_count)
															->with('currentNumber',$currentNumber);
					

	}

	//------------------------------------------------------------	

	public function getmeasurementsFilter()
	{
        $admin_id = Auth::user()->admin_id;
        $form_name = "Measurement";
	    
	    $is_remove_filter = 0;
		if(Input::get("Remove"))
		{
  			Session::forget('measurement_filter');
  			$is_remove_filter = 1;
  			$this->savefilter($is_remove_filter);
  			return Redirect::to('measurements');
		}
		else if(Input::get("Apply"))
		{

          $page_no          = Input::has('page')?Input::get('page'):1;
          $page_size        = Input::has('page_size')?Input::get('page_size'):null;
          //$is_filter        = Input::has('is_filter')?Input::get('is_filter'):0;
          $name 	        = Input::has('MName')?Input::get('MName'):null;
          //$item_name        = Input::has('MItem')?Input::get('MItem'):null;
          $mob              = Input::has('MMobile')?Input::get('MMobile'):null;
          $measurement_id   = Input::has('MeasurementId')?Input::get('MeasurementId'):null;
          //$accessory 	    = Input::has('Maccessory')?Input::get('Maccessory'):null;
          $order_by	        = Input::has('orderby')?Input::get('orderby'):null;
          $order_type       = Input::has('ordertype')?Input::get('ordertype'):null;
        //   var_dump($order_by);
        //   var_dump($order_type);
        //   exit();
          //we passed in filter array 
          $measurement_filter = ['is_filter'=>1,'page_no'=>$page_no,'page_size'=>$page_size,'name'=>$name,'mob'=>$mob,'measurement_id'=>$measurement_id,'accessory'=>$accessory,'order_by'=>$order_by,'order_type'=>$order_type];
        //   var_dump($measurement_filter);
        //   exit();

          Session::put('measurement_filter',$measurement_filter);
          
          // save filter 
            $this->savefilter($is_remove_filter);
        	return Redirect::to('measurements');
          
      	}
      	else{
      	    
      	    $filters = Filters::where('admin_id',$admin_id)->where('form_name',$form_name)->get();
            // var_dump($filters);
            // exit();
            
            if(isset($filters)){
                foreach($filters as $columnname =>  $columnvalue)
                {
                    
                    $columnname = $columnvalue->column_name;
                    $columnvalue = $columnvalue->value;
                    
                    // var_dump($columnname);
                    // var_dump($columnvalue);
                    // exit();
                    
                    if($columnname == 'MName'){
                        
                        $name = $columnvalue;
                    
                    }
                    
                    if($columnname == 'MeasurementId'){
                        
                        $measurement_id = $columnvalue;
                        
                    }
                    
                    if($columnname == 'orderby'){
                        
                        $order_by = $columnvalue;
                        //var_dump($orderby);
                        
                    }
                    if($columnname == 'ordertype'){
                        
                        $order_type = $columnvalue;
                        // var_dump($ordertype);
                        // exit();
                    }
                    $measurement_filter = ['is_filter'=>1,'name'=>$name,'measurement_id'=>$measurement_id,'order_by'=>$order_by,'order_type'=>$order_type];    
                    // var_dump($measurement_filter);
                    // exit();
                    Session::put('measurement_filter',$measurement_filter);
                    
                }
        
    
            }   
      	    
      	}
      	
      	
       
	}
	
    public function savefilter($is_remove_filter)
    {
        $admin_id = Auth::user()->admin_id;
        $form_name = "Measurement";
        
        	$inputs = Input::all();
            
            foreach($inputs as $key =>  $input) 
            {   
               
                // update 
                $filters = Filters::where('admin_id',$admin_id)->where('form_name',$form_name)->where('column_name',$key)->first();
                if(!isset($filters))
                {
                    //insert
                    $filters = new Filters();
                }
                
            	$filters->admin_id 		= $admin_id;			
        		$filters->form_name 	= $form_name;
        		$filters->column_name 	= $key;
        		$filters->value 		= intval($is_remove_filter)==1?null:$input;						
        		
        		$filters->save();
              	
            }
    }
	
	//-------------------------------------------------------------//
	//---Jan 31, 2020---//
	//MEASUREMENT LIST PAGE

	public function getMeasurementList($customer_id){	
		
		$measurements 			= [];
		$measurementitems_count = 0;
		$name 					= null;
		// $item_name = null;
		$customer_id 			= $customer_id;
		$measurement_id 		= null;
		$from_date 				= null;
		$to_date 				= null;
		$item_name 				= null;
		$measurement_item_id 	= null;
		$room 					= null;
		$accessory_ids 			= null;
		$color 					= null;
		$length 				= null;
		$item_number 			= null;
		$lining_length 			= null;
		$parts 					= null;

		$order_by 				= null;
		$order_type 			= null;
		$con_order_by 			= "measurement_date desc";
		$orderby 				= null;
		$ordertype 				= null;
		$is_filter				= 0;
		
		
		$page_no 	= Input::has('page')?Input::get('page'):null;
		$page_size 	= Input::has('page_size')?Input::get('page_size'):null;
		// var_dump($page_size);
		// exit();

		if(Session::has('measurement_filter'))
		{
			$measurement_filter = Session::get('measurement_filter');
//             var_dump($measurement_filter);
// 			exit();
            
			if(Input::has('page'))
						{
							$customer_filter['page_no'] = $page_no;
						}

			if(isset($measurement_filter['name']))
				$name 	 	 = $measurement_filter['name'];			
			if(isset($measurement_filter['item_name']))
				$item_name 	 = $measurement_filter['item_name'];
			// var_dump($item_name);
	//      	 exit();
			if(isset($measurement_filter['accessory_ids']))
				$accessory_ids = $measurement_filter['accessory_ids'];
				// var_dump($accessory_ids);
		//        exit();		 
			if(isset($customer_filter['page_no']))
				$page_no	 = $customer_filter['page_no'] ;
			if(isset($customer_filter['page_size']))
				$page_size	 = $customer_filter['page_size'];
				// var_dump($page_size);
				// exit();
			if(isset($measurement_filter['is_filter']))
				$is_filter= $measurement_filter['is_filter'];
			if(isset($measurement_filter['order_by']))
				$order_by = $measurement_filter['order_by'];
			
			if(isset($measurement_filter['order_type']))
				$order_type = $measurement_filter['order_type'];
// 		    var_dump($order_by);
// 			var_dump($order_type);
// 			exit();
			if(isset($order_by) && !empty($order_by))
			{
				$con_order_by = $order_by . ' '.$order_type;            
			}
			else
			{
				$con_order_by = null;
			}
		}
		if(intval($page_no))
			{
			$page_no = $page_no;          
			}
			else if(intval(Session::get('page'))) 
			{
			$page_no = Session::get('page');
			}
			else
			{
			$page_no = 1;
			}


		if(intval($page_size))
			{
			if(intval(Session::get('page_size'))  != $page_size)
				{
					$page_no  =1;
				}
				
				$page_size = $page_size; 
				
			}
			else if(intval(Session::get('page_size')))
			{
				$page_size = Session::get('page_size');
			}
			else
			{
				$page_size = 10;
			}

			Session::put('page',$page_no);
			Session::put('page_size',$page_size);

			// var_dump($page_no);
			// var_dump($page_size);
			// exit();
		
			// var_dump($name, $measurement_id, $from_date,$to_date,$orderby,$page_no, $page_size, $item_name,$accessory_ids);
			// exit();
		$result = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);

		// var_dump($result);
		// exit();

		$measurements = $result["measurements"];
		// var_dump($measurements);
		// exit();

		$measurementitems_db = $result["measure_items"];
		// var_dump($measurementitems_db);
		// exit();
		$measurementitems_db_count = count($measurementitems_db);
		// 	var_dump($measurementitems_db_count);
		// exit();
		$measurementaccessorys_db = $result["measure_accessorys"];
		$measurementitems_count = $result["count"];	
		// var_dump($measurementitems_count);
		// exit();
		$measurementitems 	 = [];
		$measurementaccessorys = [];


		foreach ($measurementitems_db as $key => $value) {
			$measurementitems[$value->measurement_id][] = $value;
		// 	var_dump($measurementitems);
		// exit();
		}

		foreach ($measurementaccessorys_db as $key => $value) {
			$measurementaccessorys[$value->measurement_item_id][] = $value;
		}
		
	
		$measurements_pagination = Paginator::make($measurements, intval($measurementitems_count), $page_size);
		// var_dump($measurements_pagination);
		// exit();
		return View::make('measurement.measurementlist')->with('measurements',$measurements)
														->with(array('customers' =>$customers))
														->with('measurementitems',$measurementitems)
														->with('measurementaccessorys',$measurementaccessorys)
														->with('page_size',$page_size)
														->with('page_no',$page_no)
														->with('is_filter',$is_filter)
														->with('filter_name',$name)
														->with('filter_item',$item_name)
														->with('filter_accessory_ids',$accessory_ids)
														->with('order_by',$order_by)
														->with('order_type',$order_type)
														->with('measurements_pagination',$measurements_pagination)
														->with('measurementitems_count',$measurementitems_count)
														->with('measurementitems_db_count',$measurementitems_db_count)
														->with('customer_id',$customer_id);		
		
		
	}

	//------------------------------------------------------------

	public function createNewMeasurement($customer_id)
	{
		// var_dump($customer_id);
		// exit();
		$customer_id 					= $customer_id;
		$curTime 						= new \DateTime();
		$date_today 					= $curTime->format("Y-m-d");
			
		$measurement 					= new Measurements;

		$measurement->measurement_date 	= $date_today;
		$measurement->customer_id 		= $customer_id;
		//added by Balaji on July 7, 2020
		$measurement->created_admin_id 		= Auth::user()->admin_id;
		$measurement->created_admin_name 	= Auth::user()->user_name;
		//end
		$measurement->save();

		$measurement_id = $measurement->measurement_id;
		
		return Redirect::to('measurements/step1/'. $measurement_id)	
						->with(array('measurement',$measurement));	
	   
	}
	
	//-------------------------------------------------------------//

	//MEASUREMENT PAGE
	//DUPLICATE accessory POST 

	public function Duplicateaccessory($measurement_item_id) 
	{
				
		$measurement_item_id = $measurement_item_id;
		
		$accessory 			= Input::get('accessory');
		$color 		= Input::get('color');
		$length 	= Input::get('length');

		$rules=array(
		
			'accessory' 	=> 'required',
			'color' 	=> 'required',
			'length' 	=> 'required',
						
		);

	// validate rules on the inputs from the form
	$validator = Validator::make(Input::all(), $rules);

		if ($validator->passes())
		{
			
			$measurement_accessory = new MeasurementAccessorys();

				$measurement_accessory->accessory_id 		  = Input::get('accessory');
				$measurement_accessory->color 			  = Input::get('color');
				$measurement_accessory->length 			  = Input::get('length');
				$measurement_accessory->measurement_item_id = $measurement_item_id;
				$measurement_accessory->save();


				$measurement_item_id = $measurement_accessory->measurement_item_id;

				//$measurement_item = MeasurementItems::where('measurement_item_id',$measurement_item_id)->first();
				
				//$measurement_id = $measurement_item->measurement_id; 

			// $accessorydetails = MeasurementAccessorys::select('accessory','color','length','measurement_item_id','measurement_accessory_id')->where('measurement_item_id', $measurement_item_id)->get();

				
				$accessorydetails = MeasurementAccessorys::
				leftJoin('accessorys', 'measurement_accessorys.accessory_id', '=', 'accessorys.accessory_id')		 	
				->where('measurement_item_id', $measurement_item_id)->get();

				// var_dump($accessorydetails);
				// exit();
				$accessorys = Accessory::select('accessory_name','accessory_id')->get();

						
				return Redirect::to('measurements/step2/' .$measurement_item_id)
				->with('accessorydetails', $accessorydetails)
				->with('accessorys', $accessorys);

			}
			

		else	
		{
			
			return Redirect::to('measurements/step2/' .$measurement_id .$measurement_item_id)->withErrors($validator->errors());   	  

		}


	}

//-------------------------------------------------------------//

//MEASUREMENT PAGE
//DUPLICATE MEASUREMENT 

    public function DuplicateMeasurement($measurement_id,$customer_id=null) 
	{
		if ($customer_id != null){
			$newcustomer_id = $customer_id;
		}
		

		$measurement = [];
		$result 	 = Measurements::usp_get_measurements_list(null, null, $measurement_id, null, null, null, null, null, null, null);

		$measurement = $result["measurements"];
		$measurementitems_db = $result["measure_items"];	
		$measurementaccessorys_db = $result["measure_accessorys"];
				
		$existingaccessorydetails 	= [];
		
		$existingaccessorydetails = $measurementaccessorys_db;

		$new_measurment_items_ids = [];

		//---Old code for accessory details not working-------//
			//**************//

		$existingmeasurement 		= Measurements::find($measurement_id);
		$existingmeasurementitems 	= MeasurementItems::where('measurement_id',$existingmeasurement->measurement_id)->get();
		// $existingaccessorydetails		= Measurementaccessorys::where('measurement_item_id', $existingmeasurementitems->measurement_item_id)->get();

			//**************//
		//----End-------------------------//
		
		$curTime = new \DateTime();
		$date_today = $curTime->format("Y-m-d");
		
		
		//-- replicate old measurement--//
			$newmeasurement = new Measurements;
		
			$newmeasurement->measurement_date 	= $date_today;
			if ($customer_id != null){
				
				$newmeasurement->customer_id 		= $newcustomer_id;
			}
			else{
				
				$newmeasurement->customer_id 		= $existingmeasurement->customer_id;
			}			
			//Added by Balaji on July 22_2020
			$newmeasurement->created_admin_id 		= Auth::user()->admin_id;
			$newmeasurement->created_admin_name 	= Auth::user()->user_name;
			//End
			$newmeasurement->save();
			
			Session::flash('msg_success', 'Measurement successfully replicated!');
			
		//--end--//			
		
		//-- replicate old measurement_item--//		
		if ($existingmeasurementitems != null){
			
			foreach($existingmeasurementitems as $existingmeasurementitem){


				$newmeasurementitem = new MeasurementItems;
				
				$newmeasurementitem->measurement_id 		= $newmeasurement->measurement_id;				
				$newmeasurementitem->room 					= $existingmeasurementitem->room;
				$newmeasurementitem->item_name 				= $existingmeasurementitem->item_name;
				$newmeasurementitem->item_number 			= $existingmeasurementitem->item_number;
				$newmeasurementitem->height 				= $existingmeasurementitem->height;
				$newmeasurementitem->width 					= $existingmeasurementitem->width;
				$newmeasurementitem->parts 					= $existingmeasurementitem->parts;	 		
				
				//added by Balaji on July 9, 2020
				$newmeasurementitem->item_type 				= $existingmeasurementitem->item_type;
				$newmeasurementitem->rod 					= $existingmeasurementitem->rod;
				
				//added by Balaji on July 25_2020
				if ($existingmeasurementitem->item_type == 'Curtain')
				{
					
					$newmeasurementitem->lining 				= $existingmeasurementitem->lining;			
					$newmeasurementitem->stitchpattern 			= $existingmeasurementitem->stitchpattern;
					$newmeasurementitem->lining_length 			= $existingmeasurementitem->lining_length;	
				}
				//END
				
				$newmeasurementitem->adjusted_height		= $existingmeasurementitem->adjusted_height;
				$newmeasurementitem->adjusted_width 		= $existingmeasurementitem->adjusted_width;
				$newmeasurementitem->jobcard_height 		= $existingmeasurementitem->jobcard_height;
				$newmeasurementitem->length 				= $existingmeasurementitem->length;
				$newmeasurementitem->jobcard_length 		= $existingmeasurementitem->jobcard_length;
				$newmeasurementitem->jobcard_lining_length 	= $existingmeasurementitem->jobcard_lining_length;
				$newmeasurementitem->total 					= $existingmeasurementitem->total;
				$newmeasurementitem->jobcard_total			= $existingmeasurementitem->jobcard_total;
				//end
				$newmeasurementitem->save();

				//this array variable find new item id from old item id
				$new_measurment_items_ids[$existingmeasurementitem->measurement_item_id] = $newmeasurementitem->measurement_item_id;
			}
			
		}						
		//--measurment items save end--//
	
		//-- replicate old measurement_accessorys--//
		
		
        //-- measurment accessorys save start -- //
		if (isset($existingaccessorydetails)){ 
			
			foreach($existingaccessorydetails as $existingaccessorydetail){


					$measurement_accessory = new MeasurementAccessorys;				

					$measurement_accessory->accessory_id 			= $existingaccessorydetail->accessory_id;
					$measurement_accessory->color 				= $existingaccessorydetail->color;
					$measurement_accessory->length 				= $existingaccessorydetail->length;
					//added by Balaji on July 9, 2020
					$measurement_accessory->total_price 			= $existingaccessorydetail->total_price;
					$measurement_accessory->quantity 				= $existingaccessorydetail->quantity;
					$measurement_accessory->accessory 				= $existingaccessorydetail->accessory;
					//end
					$measurement_accessory->measurement_item_id 	= $new_measurment_items_ids[$existingaccessorydetail->measurement_item_id];
					$measurement_accessory->measurement_id 		= $measurement_id;						
					$measurement_accessory->save();
				
				}				
				
						
		}	
		
		//--end--//
				
		
		return Redirect::to('measurements');	
	
	}

//-------------------------------------------------------------//

//MEASUREMENT PAGE
//View page 	

	public function postview($measurement_id)
    {   

		$measurements 			= [];
		$measurementitems_count = 0;
		$name = null;
		// $item_name = null;
		$customer_id 			= $customer_id;
		$measurement_id 		= $measurement_id;
		$from_date 				= null;
		$to_date 				= null;
		$item_name 				= null;
		$measurement_item_id 	= null;
		$room 					= null;
		$accessory_ids 			= null;
		$color 					= null;
		$length 				= null;
		$item_number 			= null;
		$lining_length 			= null;
		$parts 					= null;

		$order_by 				= null;
		$order_type 			= null;
		$con_order_by 			= null;
		$orderby 				= null;
		$ordertype 				= null;
		$is_filter				= 0;
		
		
		$page_no = Input::has('page')?Input::get('page'):1;
		$page_size = Input::has('page_size')?Input::get('page_size'):1;
		// var_dump($is_filter);
		// exit();			
		$result = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);
		// var_dump($result);
		// exit();
		$measurements = $result["measurements"];
		// var_dump(count($measurements));
		// exit();
		// var_dump($measurements);
		// exit();

		$measurementitems_db = $result["measure_items"];
		// var_dump($measurementitems_db);
		// exit();
		$measurementitems_db_count = count($measurementitems_db);
		// 	var_dump($measurementitems_db_count);
		// exit();
		$measurementaccessorys_db = $result["measure_accessorys"];
		// var_dump($measurementaccessorys_db);
		// exit();
		$measurementitems_count = $result["count"];	
		// var_dump($measurementitems_count);
		// exit();
		$measurementitems = [];
		$measurementaccessorys= [];	
			

		if(isset($result["measurements"][0]))
		{
			$measurements=  $result["measurements"][0];
			// var_dump($measurements);
			// exit();
			return View::make('measurement.view')->with('measurements',$measurements)
						->with('measurement_id',$measurement_id)
						->with('measurementitems_db',$measurementitems_db)
						->with('measurementaccessorys_db',$measurementaccessorys_db);
		}
            $view=DB::table('measurements')->where('measurement_id',$id)->first();
 
			return View::make("measurement.view")->with('view',$view)->with('id',$id);
    }



}