@extends('layout.layout')
@section('title','Accessory Index ') 
@section('head_title','Accessory Index')
@section('content') 
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
<!--  <link rel="stylesheet" href="{{ asset('css/indexstyle.css') }}" /> -->
 

   <div class="row">
    <div class="col-sm-12">
      
   <!-- @if (Session::has('error_message'))
  <div style="width:100%;" class="alert alert-danger">
     {{Session::get('error_message')}}
  </div>
@endif

   @if (Session::has('success_message'))
  <div style="width:100%;" class="alert alert-success">
     {{Session::get('success_message')}}
  </div>
@endif -->

<div class="clear"></div>

   
         <form id="frm_filter" action="{{ url('/accessorys/filter') }}" method="post">


         <div id="accordion" role="tablist">
         <div class="row">
         <div class="col-sm-12">
            <div class="card card-collapse ">
               <div class="card-header text-white bg-primary" role="tab" id="headingOne">
                  <!-- <h5 class="mb-0"> -->
                  <strong><a class="text-white collapsed" data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                  <i class="fa fa-filter"></i> Filter</a> </strong> 
    
                  <!-- </h5> -->
               </div>
               <div id="collapseOne" class="collapse {{ $is_filter==1?'show':'' }}" role="tabpanel" aria-labelledby="headingOne" data-parent="#accordion">
                  <div class="card-body">
                     <div class="row">
                        
                        <div class="col-sm-4" id="accessory_name">
                           <label>Accessory Name</label>
                           <input name="accessory_name" type="text" class="form-control" value="{{ $filter_accessory_name }}">
                        </div>
                        <div class="col-sm-4" id="orderby"> 
                            <label>Order_by</label>
                     {{ Form::select('orderby', 
                     array(''=> '--Select--','accessory_name'=>'accessory_name'),$order_by, ["class"=>"form-control col"]) }}
                        </div>
                        <div class="col-sm-4" id="ordertype">
                            <label>Order_type</label>
                     {{ Form::select('ordertype', 
                     array('asc'=>'ascending','desc'=>'descending'),$order_type, ["class"=>"form-control col"]) }}
                        </div>
                     </div> 
                  </div>
                   
                   <div class="card-footer text-muted">   
                     <div class="row">                      
                        <div class="col-sm-12 text-right">
                           <input name="Remove" type="submit"  class="btn btn-sm btn-danger" value="Remove Filter" />
                           <input  name="Apply" type="submit" class="btn btn-sm btn-primary" value="Apply Filter">
                        </div>
                     </div>
                  </div>
                  
               </div>
            </div>
            </div>
         </div>
           
      </form>


<!--End Filter  -->

<!-- Index Table  -->
<form id="frm_Delete" action="{{url('accessorys')}}" method="post" >
  <div class="row">
      <div class="col-sm-12">
         <div class="card  card-collapse">
            <div id="header_id" class="card-header text-white bg-primary">               
                  <div class="row">
                     <div class="col-6 col-md-4">       
                        <i class="fa fa-list" aria-hidden="true"></i> Index
                     </div>
                     <div class="col-6  col-md-5  from-group text-right">                     
                        <label class="dataTables_length" id="example_length">
                        Show 
                        </label>
                     
                        <select name="page_size" id="ddl_page_size" aria-controls="example" value="{{ $page_size }}" class="form-control-sm">
                       <option value="1" {{ $page_size=="1"?"selected":"" }}>1</option>
                        <option value="2" {{ $page_size=="2"?"selected":"" }}>2</option>
                        <option value="5" {{ $page_size=="5"?"selected":"" }}>5</option>
                        <option value="10" {{ $page_size=="10"?"selected":"" }}>10</option>
                        <option value="25" {{ $page_size=="25"?"selected":"" }}>25</option>
                        <option value="50" {{ $page_size=="50"?"selected":"" }}>50</option>
                        <option value="100" {{ $page_size=="100"?"selected":"" }}>100</option>
                        </select>                     
                        <label class="dataTables_length" id="example_length"> entries
                        </label>
                     </div>
                     <div class="col-sm-3 text-right">
                        <!-- <a href="#1"  class='fas ' style='font-size:16px;color:white' ></a> -->
                       <button class="btn btn-danger btn-xs" id="delete"  type="submit">MultiDelete</i> </button>
                        <button type="button" id="add" class="btn btn-sm btn-success " onclick="location.href='{{URL('accessorys/accessory')}}'"><i class="fa fa-plus"></i> Add New</button>
                     </div>
            </div>
            </div> 
            <?php $sno=1 ?>
            <div class="card">
              <table class="table table-hover">
                  <thead  class="thead-light">
                     <tr>
                        <th>
                           <input class="chk" type="checkbox" name="id[]" id="selectall" type="button">
                        </th>
                        <th width="10%;">S.No</th>
                        <!--<th width="15%;">Accessory Number</th>-->
                        <th width="40%;" style="text-align:left;">Accessory Name</th>
                        <!--<th width="20%;" style="text-align:left;">Segment Type</th>-->
                        <!--<th width="20%;" style="text-align:left;">Supplier</th>-->
                        <!--<th width="15%;">Price</th>-->
                        <th width="25%;"></th>
                        <th width="25%;"></th>
                     </tr>
                   </thead>                   
          @foreach($accessorys as $accessory)
            
             <tbody>
          
               <tr>
               <td style="size:large;"><input class="chk" type="checkbox" name="id[]" value="{{$accessory->accessory_id}}"></td>
               <td>{{$accessory->serial_number}}</td>
                <!--<td>{{ $accessory->accessory_no}}</td>-->
                <td width="10%;" style="text-align:left;">{{ $accessory->accessory_name}}</td>
                <!--<td>{{ $accessory->segment_name}}</td>-->
                <!--<td>{{ $accessory->supplier_name}}</td>-->
                <!--<td>{{ $accessory->unit_price}}</td>-->
                <td>                    
                    <a class='fas fa-pencil-alt' style='font-size:15px;color:green' href ="{{URL::to('accessorys/edit/'.$accessory->accessory_id)}}"></a>
                    <a href="#1" class='fas fa-trash-alt' id="delete_id" style='font-size:15px;color:red' onclick="mul_deletef('{{URL::to('accessorys/delete/'.$accessory->accessory_id)}}')"></a>
                   </td>
                   <td>
                    <!--<a class='fas fa-plus-alt' href ="{{URL::to('accessorys/additem/'.$accessory->accessory_id)}}">Add Item</a>-->
                    </td>
               
               <!-- <td>{{Form::checkbox('multidelete[]', $accessory->accessory_id, false)}}</td>   -->

             </tr>      
          </tbody>
          <input type="hidden"  name= "hidid" value="{{$accessory->accessory_id}}">
      @endforeach
     </table>
</div>
<?php $page_limit=10;?>
<div class="card-footer text-muted">
               <div class="row">
                  <div class="text-left col-md-8"> 
                    @if ($accessorys_count > $page_size)
                     {{-- $accessorys_pagination->links(); --}}
                     {{ CustomPagination::link($accessorys_pagination,$page_no) }}
               @endif


                  
                  </div>
                 @if (isset($page_size) && count($page_size)>0)
                  <div class="text-right col-md-4">
                     Showing {{ $accessorys_overall_count}} of {{ $accessorys_count}} records
                  </div>
                  @endif
               </div>
            </div>
            </div>
            </div>
            </div>


</form>

</div>
</div>

<script type="text/javascript">
/* delete Function*/

function mul_deletef(url) {
     if(confirm(' you want to delete?'))
     {
      $("#frm_Delete").attr("action",url);
      $("#frm_Delete").submit();
     }
     else
     {
      return false;
     }
   }
   /*End delete*/
   /*multi delete*/
   function hide_show_deletebutton() {
    $("#delete").hide();
          if($('.chk').prop('checked'))
            $("#delete").show();
          else
            $("#delete").hide();
   }
   $(function() {
   
    hide_show_deletebutton();
    
    $(document).on('change', '#selectall', function() {
    
      if ($(this).prop('checked')) {
        $('.chk').prop('checked', true);
        $(this).val('Unselect All');
      } else {
        $('.chk').prop('checked', false);
        $(this).val('Select All');
      }
    });
    });
   $(document).ready(function(){
    
        $("#selectall").click(function(){
          hide_show_deletebutton()
         });
   
        $(".chk").click(function(){
           $("#delete").hide();
          if($(this).prop("checked") == true)
            $("#delete").show();
          else
            $("#delete").hide();
         });
   /*end delete*/
      $("#ddl_page_size").change(function(){    
      $("#frm_Delete").submit();
    });
 });
</script>



</script>

@stop



