@extends('layout.layout')
@section('title','Customers') 
@section('head_title','Customers')
@section('content')
<style>
  
  

   /*.headr_id
   {
   padding:10px 25px;
   }*/
</style>
<!-- Filter  -->
<div class="row">
   <div class="col-sm-12">
      <form action="{{ url('/customers/filter') }}" method="post">
         <div id="accordion" role="tablist">
            <div class="card card-collapse ">
               <div class="card-header text-white bg-primary" role="tab" id="headingOne">
                  <!-- <h5 class="mb-0"> -->
                  <strong><a class="text-white collapsed" data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                  <i class="fa fa-filter"></i> Filter</a> </strong> 
                  </a>

               </div>
               <div id="collapseOne" class="collapse {{ $is_filter==1?'show':'' }}" role="tabpanel" aria-labelledby="headingOne" data-parent="#accordion">
                  <div class="card-body">
                     <div class="row">
                        <div class="col-sm-4" id="cname">
                           <label>Customer Name</label>
                           <input type="text" name="CName" class="form-control" value="{{ $filter_name }}">
                        </div>
                        <div class="col-sm-4" id="cmobile">
                           <label>Mobile</label>
                           <input name="CMobile" type="text" class="form-control" value="{{ $filter_mob }}">
                        </div>
                        <div class="col-sm-4" id="cemail">
                           <label>Email</label>
                           <input  name="CEmail" type="text" class="form-control" value="{{ $filter_email }}">
                        </div>
                     </div>    
                     <br/>
                     <div class="row">
                        <div class="col-sm-4" id="orderby"> 
                            <label>Order_by</label>
                     {{ Form::select('orderby', 
                     array(''=> '--Select--','name'=>'name','email'=>'email','mobile'=>'mobile'),$order_by, ["class"=>"form-control col"]) }}
                        </div>
                        <div class="col-sm-4" id="ordertype">
                            <label>Order_type</label>
                     {{ Form::select('ordertype', 
                     array('asc'=>'ascending','desc'=>'descending'),$order_type, ["class"=>"form-control col"]) }}
                        </div>
                     </div>
                  </div>
                   <div class="card-footer text-muted">   
                     <div class="row">                      
                        <div class="col-sm-12 text-right">                           
                           <input name="Remove" type="submit"  class="btn btn-sm btn-danger" value="Remove Filter" />
                           <input  name="Apply" type="submit" class="btn btn-sm btn-primary" value="Apply Filter">
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
    
   </div>
</div>
  </form>
<!--End Filter  -->

<div class="clear"></div>

<!-- Index Table  -->
<form id="frm_Delete"  action="{{ url('/customers') }}"  method="post">
   <!-- panel table design -->
   <div class="row">
      <div class="col-sm-12">
         <div class="card  card-collapse">
            <div id="header_id" class="card-header text-white bg-primary">               
                  <div class="row">
                     <div class="col-6 col-md-4">       
                        <i class="fa fa-list" aria-hidden="true"></i> Index
                     </div>
                     <div class="col-6  col-md-5  from-group text-right">                     
                        <label class="dataTables_length" id="example_length">
                        Show 
                        </label>
                     
                        <select name="page_size" id="ddl_page_size" aria-controls="example" value="{{ $page_size }}" class="form-control-sm">
                        <option value="1" {{ $page_size=="1"?"selected":"" }}>1</option>
                         <option value="2" {{ $page_size=="2"?"selected":"" }}>2</option>
                        <option value="5" {{ $page_size=="5"?"selected":"" }}>5</option>
                        <option value="10" {{ $page_size=="10"?"selected":"" }}>10</option>
                        <option value="25" {{ $page_size=="25"?"selected":"" }}>25</option>
                        <option value="50" {{ $page_size=="50"?"selected":"" }}>50</option>
                        <option value="100" {{ $page_size=="100"?"selected":"" }}>100</option>
                        </select>                     
                        <label class="dataTables_length" id="example_length"> entries
                        </label>
                     </div>
                     <div class="col-12 col-md-3 text-right">
                        <!-- <a href="#1"  class='fas ' style='font-size:16px;color:white' ></a> -->
                        <button type="button" id="delete" class="btn btn-sm btn-danger" style="display:none" onclick="mul_deletef('{{ URL::to ('delete_all')}}')"><i class="fa fa-trash-alt"></i> Multi Delete</button>
                        <button type="button" id="add" class="btn btn-sm btn-success " onclick="location.href='{{URL('customers/customer')}}'"><i class="fa fa-plus"></i> Add New</button>
                     </div>
               </div>
            </div>
             <?php $sno = 1;?>
            <div class="card">
               <table class="table table-hover">
                  <thead class="thead-light">
                     <tr>
                        <th>
                           <input class="chk" type="checkbox" name="id[]" id="selectall" type="button">
                        </th>
                        <th width="8%;">S No</th>
                        <th width="8%;">Client ID</th>
                        <th width="14%;">Client Name</th>
                        <th width="20%;" style="text-align:center;">Email/Mob_No</th>
                        <th width="40%;" style="text-align:center;">Address</th>
                        <th></th>
                     </tr>
                  </thead>
                  @foreach($customers as $customer)
                  <tbody>
                     <tr>
                        <td><input class="chk" type="checkbox" name="id[]" value="{{$customer->customer_id}}"></td>
                      
                        <td>{{ $sno++}}</td>
                        <td>{{ $customer->customer_id}} </td>
                        <td>{{ $customer->name}} </td>
                        <td style="text-align:center;">{{ $customer->email}},{{ $customer->mobile}} </td>
                        <td width="35%;"  style="text-align:center;">{{ $customer->address1}}, <br> {{ $customer->address2}}, <br> {{ $customer->city}} -  {{ $customer->pincode}}</td>                        
                        <td style="text-align:center;">
                           <!--<a href="#1" class='fas fa-pencil-alt' style='font-size:15px;color:green' onclick="location.href='{{url('customers/customer/'.$customer->customer_id) }}'"> </a>-->
                           <a href="#1" class='fas fa-trash-alt' id="delete_id" style='font-size:15px;color:red' onclick="mul_deletef('{{ URL::to ('customers/delete/'.$customer->customer_id)}}')"></a>
                           <a href="#1" class='fa fa-eye' style='font-size:15px;color:maroon' onclick="location.href='{{ URL::to ('customers/views/'.$customer->customer_id)}}'"></a>
                        </td>
                     </tr>
                  </tbody>
                  @endforeach 
               </table>
            </div>
            <div class="card-footer text-muted">
               <div class="row">
                  <div class="text-left col-md-7">                  
               @if ($customers_count > $page_size)
                     {{-- $customers_pagination->links(); --}}
                     {{ CustomPagination::link($customers_pagination,$page_no) }}
               @endif
                  </div>

                 @if (isset($page_size) && count($page_size)>0)
                  <div class="text-right col-md-5">
                     Showing {{ $customers_overall_count}} of {{$customers_count}} records
                  </div>
                  @endif
               </div>
            </div>
         </div>
      </div>
   </div>
</form>
<!--End Index Table -->
@stop
@section('bottom_script')
<script type="text/javascript">

    
    
   function mul_deletef(url) {
     if(confirm(' you want to delete?'))
     {
      $("#frm_Delete").attr("action",url);
      $("#frm_Delete").submit();
     }
     else
     {
      return false;
     }
   }
   function hide_show_deletebutton() {
    $("#delete").hide();
          if($('.chk').prop('checked'))
            $("#delete").show();
          else
            $("#delete").hide();
   }
   $(function() {
   
    hide_show_deletebutton();
    
    $(document).on('change', '#selectall', function() {
    
      if ($(this).prop('checked')) {
        $('.chk').prop('checked', true);
        $(this).val('Unselect All');
      } else {
        $('.chk').prop('checked', false);
        $(this).val('Select All');
      }
    });
    });
   $(document).ready(function(){
    
        $("#selectall").click(function(){
          hide_show_deletebutton()
         });
   
        $(".chk").click(function(){
           $("#delete").hide();
          if($(this).prop("checked") == true)
            $("#delete").show();
          else
            $("#delete").hide();
         });
   
   
    $("#ddl_page_size").change(function(){    
      $("#frm_Delete").submit();
    });
   });
</script> 
@stop