@extends('layout.layout')
@section('title','Measurement Form') 
@section('head_title','Measurement View')
@section('content') 
<form class="itemform" action="" method="POST">

<section class="row">
	<div class="col-sm-12"> 
		<section class="row">
			<div class="col-12">
				<div class="form-group row">					
					<label class="col-md-2 col-form-label"><b>{{isset($measurement_item->measurement_item_id)?'Measurement Id:':'Measurement Id:'}}</b> </label>
					<label class="col-md-2 col-form-label"> 
					{{isset($measurements->measurement_id)?$measurements->measurement_id:$measurement_id}}
					</label>
					<label class="col-md-2 col-form-label"><b>Customer Name:</b></label>
					<label class="col-md-2 col-form-label" id="cusname">
					{{isset($measurements->name)?$measurements->name : null}}
					</label>
					<label class="col-md-2 col-form-label"><b>Sales Executive:</b></label>
					<!-- added by Balaji on July 7,2020 -->
					<label class="col-md-2 col-form-label" id="executive">
					{{ isset($measurements->created_admin_name)?$measurements->created_admin_name : null }}
					</label>
					<!-- end -->
				</div>	
				<div class="card mb-4">
					<div class="card-block">
						<h3 class="card-title"></h3>

							<div class="form-group row ScrollStyle">
								<div class="col-md-12">
									<table class="table table-bordered">
										<thead class="thead-light">
											<tr>
												<th>#</th>
												<th>Room</th>
												<th>Item</th>
												<th>Number</th>												
												<th>Height <br>(in)</th>
												<th>Width <br>(in)</th>												
												<th>Parts</th>																
											</tr>											
										</thead>

									<form class="itemlist" action="step1/{measurement_id}" method="POST">
										<tbody>
										@if(isset($measurementitems_db) && $sno=count($measurementitems_db) )
										@foreach ($measurementitems_db as $key => $itemdetail)
										
										<tr style="color: blue; font-weight: bold;">							
											<td>{{ $sno-- }}</td>
											<td>{{ $itemdetail->room }}</td>
											<td>{{ $itemdetail->item_name }}</td>
											<td>{{ $itemdetail->item_number }}</td>											
											<td>{{ $itemdetail->adjusted_height }}</td>
											<td>{{ $itemdetail->width }}</td>											
											<td>{{ $itemdetail->parts }}</td>												
										</tr>
										<tr>
										</tr>						
										<tr>
											<td colspan="9">
												<!-- <div id="demo_{{$itemdetail->measurement_item_id}}" style="display:none">
												</div>							 -->
                                    <table class="table table-bordered">
                                       <thead>
                                          <tr>
                                             <!-- <th>#</th> -->
                                             <th>accessory</th>
                                             <th>Color</th>
                                             <th>Length (meters)</th>

                                          </tr>
                                       </thead>

                                       <tbody>
                                       @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )
                                       @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                         @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)   
                                          <tr>							
                                             <!-- <td>{{ $tno-- }}</td> -->
                                             <td>{{ $accessorydetail->accessory }}</td>
                                             <td>{{ $accessorydetail->color }}</td>
                                             <td>{{ $accessorydetail->length }}</td>

                                          </tr>
                                          <tr></tr>						
                                          @endif      
                                       @endforeach
                                       @else
                                          <tr>
                                             <td class="alert-danger text-center" colspan="7">
                                                <h5>accessorys not found</h5>
                                             </td>
                                          </tr>
                                          @endif
                                                                  
                                       </tbody>
                                    </table>
											</td>
										</tr>
											
											@endforeach
											@else
											<tr>
											<td class="alert-danger text-center" colspan="8">
											<h5>Items not Found</h5>
											</td>
											</tr>
											@endif
																	
										</tbody>
									</form>
									</table>
								</div>								
							</div>							

							<br>
							<div class="container">
							<div class="row">
			                      
            					<div class="col-md-3">                           
									<a href="#1" class='btn btn-sm btn-warning' style='font-size:13px;color:green;font-weight:bold' onclick="location.href='{{ URL::to('/measurements/step1/'.$measurements->measurement_id) }}'">Edit Measurement Details</a>
								</div>
								<div class="col-md-3">                           
								    <button type="button" class="btn btn-sm btn-info btnduplicate" data-id="{{ $measurement->measurement_id }}">
                                        Duplicate
                                   </button>	
								</div>
								<div class="col-md-3">                           
								    <button type="button" class="btn btn-sm btn-success">
								        <a href="{{ URL::to('/quotations/quotationsave?measurement_id='.$measurement->measurement_id) }}"><span class=" fa fa-check " style="color:white"><b>Generate Quotation</b></span></a>
								    </button>	
								</div>
								<div class="col-md-3">
                                    <strong><input name="cancel" type="button" class="btn btn-sm btn-danger" onclick="location.href='{{URL('measurements')}}'" value="Close"></strong>                           
								</div>   
							</div>
						</div><br>							
						
					</div>
				</div>
			</div>
		</section>
		
		
		<section class="row">
			<div class="col-12 mt-1 mb-4">Supported by <a href="https://www.numerotec.com">Numero Technologies</a></div>
		</section>
	</div>
</section>


</form>

  @stop

  @section('bottom_script')



 @stop
 