<?php

class CustomerController extends BaseController {

	/*
	|--------------------------------------------------------------------------
	| Default Home Controller
	|--------------------------------------------------------------------------
	|
	| You may wish to use controllers instead of, or in addition to, Closure
	| based routes. That's great! Here is an example controller method to
	| get you started. To route to this controller, just add the route:
	|
	|	Route::get('/', 'HomeController@showWelcome');
	|
	*/

    
	public function getCustomers()
	{

			
			$customers = [];
			$customers_count = 0;
			$name = null;
			$email = null;
			$mob = null;
			$customer_id = null;
			$address_type = null;
			$address = null;
			$order_by = null;
			$order_type = null;
			$con_order_by = null;
			$orderby = null;
			$ordertype = null;
			$is_filter=0;
			// $sno = 0;
			// var_dump($is_filter);
			// exit();
			$page_no = Input::has('page')?Input::get('page'):null;
    		$page_size = Input::has('page_size')?Input::get('page_size'):null;
    		// if($page_no>0)
    		// 	$sno = (($page_no - 1) * $page_size);
		    
		    //------------------Added by Balaji on Aug4, 2020------------------------//
                $this->getcustomersFilter();     
            //---------------------------------------------------------------//
			
			if(Session::has('customer_filter'))
			{
				$customer_filter = Session::get('customer_filter');
					if(Input::has('page'))
	                    {
	                        $customer_filter['page_no'] = $page_no;
	                    }
				if(isset($customer_filter['name']))
					$name 	  = $customer_filter['name'] ;
				if(isset($customer_filter['email']))
					$email 	  = $customer_filter['email'];
				if(isset($customer_filter['mob']))
					$mob 	  = $customer_filter['mob'];
				if(isset($customer_filter['page_no']))
	            	$page_no  = $customer_filter['page_no'] ;
	        	if(isset($customer_filter['page_size']))
	            	$page_size= $customer_filter['page_size'];
	        	if(isset($customer_filter['is_filter']))
	            	$is_filter= $customer_filter['is_filter'];
	        	if(isset($customer_filter['order_by']))
	            	$order_by = $customer_filter['order_by'];
	        	if(isset($customer_filter['order_type']))
	            	$order_type = $customer_filter['order_type'];        	
		        if(isset($order_by) && !empty($order_by))
		        {
		          	$con_order_by = $order_by . ' '.$order_type;
		            // 	 var_dump($con_order_by);
		            // exit();
		        }
		        else
		        {
		          	$con_order_by = null;
		        }
			}
			if(intval($page_no))
		    {
		      $page_no = $page_no;          		      
		    }
		    else if(intval(Session::get('page'))) 
		    {
		      $page_no = Session::get('page');
		    }
		    else
		    {
		      $page_no = 1;
		    }

		    // var_dump($page_no);
		    // exit();


		    if(intval($page_size))
		    {
		      if(intval(Session::get('page_size'))  != $page_size)
		      {
		        $page_no  =1;
		      }
		      $page_size = $page_size; 
		        
		    }
		    else if(intval(Session::get('page_size')))
		    {
		        $page_size = Session::get('page_size');
		    }
		    else
		    {
		      $page_size = 10;
		    }
            
            
			Session::put('page',$page_no);
		    Session::put('page_size',$page_size);

		    // var_dump($page_no);
		    // var_dump($page_size);
		    // exit();
		    
            
            
			$result = Customers::usp_get_customers($name,$email,$mob,$customer_id,$address_type,$address,$con_order_by,$page_no,$page_size);
// 			var_dump($result);
// 			exit();
			
			$customers = $result["customers"];
			$customers_overall_count = count($customers);
			$customers_count = $result["count"];
			$customers_pagination = Paginator::make($customers, intval($customers_count), $page_size);
			
			return View::make('customerinfo/index')->with('customers',$customers)
												   ->with('page_size',$page_size)
												   ->with('page_no',$page_no)
												   // ->with('sno',$sno)
												   ->with('is_filter',$is_filter)
												   ->with('filter_name',$name)
												   ->with('filter_mob',$mob)
												   ->with('filter_email',$email)
												   ->with('order_by',$order_by)
												   ->with('order_type',$order_type)
												   ->with('customers_pagination',$customers_pagination)
												   ->with('customers_count',$customers_count)
												   ->with('customers_overall_count',$customers_overall_count);
	}
	
   //----------------------------------------------------------------------------------------------------------------------//
	
	public function getcustomersFilter()
	{
	    $admin_id = Auth::user()->admin_id;
        $form_name = "Customer";
          	
	    $is_remove_filter = 0;
		if(Input::get("Remove"))
		{
  			Session::forget('customer_filter');
  			$is_remove_filter = 1;
  			$this->savefilter($is_remove_filter);
  			return Redirect::to('customers');    
		}
		else if(Input::get("Apply"))
		{
		    //var_dump(Input::all());
		    //exit();
		    
          	$page_no    = Input::has('page')?Input::get('page'):1;
          	$page_size  = Input::has('page_size')?Input::get('page_size'):null;
          	//$is_filter = Input::has('is_filter')?Input::get('is_filter'):0;
          	$name 	    = Input::has('CName')?Input::get('CName'):null;
          	$email 	    = Input::has('CEmail')?Input::get('CEmail'):null;
          	$mob 	    = Input::has('CMobile')?Input::get('CMobile'):null;
          	$order_by   = Input::has('orderby')?Input::get('orderby'):null;
          	$order_type = Input::has('ordertype')?Input::get('ordertype'):null;
          	$customer_filter = ['is_filter'=>1,'page_no'=>$page_no,'page_size'=>$page_size,'name'=>$name,'email'=>$email,'mob'=>$mob,'order_by'=>$order_by,'order_type'=>$order_type];
          	// var_dump($customer_filter);
          	// exit();
          	Session::put('customer_filter',$customer_filter);
          	
          	// save filter 
            $this->savefilter($is_remove_filter);
        	return Redirect::to('customers');  	
      	}
      	else
      	{
      	    $filters = Filters::where('admin_id',$admin_id)->where('form_name',$form_name)->get();
            // var_dump($filters);
            // exit();
            
            if(isset($filters)){
                foreach($filters as $columnname =>  $columnvalue)
                {
                    
                    $columnname = $columnvalue->column_name;
                    $columnvalue = $columnvalue->value;
                    
                    // var_dump($columnname);
                    // var_dump($columnvalue);
                    // exit();
                    
                    if($columnname == 'CName'){
                        
                        $name = $columnvalue;
                    
                    }
                    if($columnname == 'CMobile'){
                        
                        $mob = $columnvalue;
                        
                    }
                    if($columnname == 'CEmail'){
                        
                        $email = $columnvalue;
                        
                    }
                    if($columnname == 'orderby'){
                        
                        $order_by = $columnvalue;
                        
                    }
                    if($columnname == 'ordertype'){
                        
                        $order_type = $columnvalue;
                        
                    }
                    $customer_filter = ['is_filter'=>1,'name'=>$name,'email'=>$email,'mob'=>$mob,'order_by'=>$order_by,'order_type'=>$order_type];    
                    Session::put('customer_filter',$customer_filter);
                    
                }
            
                
            }
            
      	    
      	}
      	
      	 
          
    }
    
    
    
    public function savefilter($is_remove_filter)
    {
        $admin_id = Auth::user()->admin_id;
        $form_name = "Customer";
        
        	$inputs = Input::all();
            
            foreach($inputs as $key =>  $input) 
            {   
               
                // update 
                $filters = Filters::where('admin_id',$admin_id)->where('form_name',$form_name)->where('column_name',$key)->first();
                if(!isset($filters))
                {
                    //insert
                    $filters = new Filters();
                }
                
            	$filters->admin_id 		= $admin_id;			
        		$filters->form_name 	= $form_name;
        		$filters->column_name 	= $key;
        		$filters->value 		= intval($is_remove_filter)==1?null:$input;						
        		
        		$filters->save();
              	
            }
    }

	public function getCustomer($id = null)
	{
            $states = DB::table('states')->lists('state_name','state_id');
    	    $country = DB::table('countries')->lists('country_name','country_id');
		
		if(intval($id)>0)
		{
			$customer = Customers::find($id);
		}
		else
		{
			$customer = new Customers();
		}	
		return View::make('customerinfo.customer')->with('states',$states)->with('country',$country)->with('customer',$customer);				
	}
	
	
	public function postCustomer($id=null)
	{
				// validate the info, create rules for the inputs
			$rules = array(
				'name'   		=> 'required',
			    // 'address1'   	=> 'required',
			    // 'address2'   	=> 'required',
			    // 'address3'   	=> 'required',
			    // 'pincode' 		=> 'required|min:6', 
			    'mobile'    	=> 'required|alphaNum|max:10',
			    //'email'     	=> 'required|email|unique:customers,email,'.$id.',customer_id',
			    'email'     	=> 'email|unique:customers,email,'.$id.',customer_id',
			    'city'   		=> 'required',
			    'state_id'   	=> 'required', 
			    'country_id'   	=> 'required',
			    // 'landmark'  	=> 'required'   
			);

			// run the validation rules on the inputs from the form
			$validator = Validator::make(Input::all(), $rules);
			// var_dump($validator);
			// exit();
			// if the validator fails, redirect back to the form
	 	if (!$validator->fails())
	    {
		  	if(intval($id)>0)
		{
			$custom = Customers::find($id);
		}
		else
		{
			$custom = new Customers();
		}
		  	$custom->name 		=Input::get('name');
		  	$custom->address1  	=Input::get('address1');
		  	$custom->address2  	=Input::get('address2');
		  	$custom->address3  	=Input::get('address3');
		  	$custom->pincode   	=Input::get('pincode');
		  	$custom->mobile  	=Input::get('mobile');
		  	$custom->email 		=Input::get('email');
		  	$custom->city  		=Input::get('city');
		  	$custom->state_id  	=Input::get('state_id');
		  	$custom->country_id	=Input::get('country_id');
		  	$custom->landmark  	=Input::get('landmark');
		  	// var_dump($custom->landmark);
		  	// exit();
		  	$custom->save();
		}
		else
		{
		  	return Redirect::to('customers/customer/'.$id)->withInput()->withErrors($validator->errors());
		}
		if(input::get('update'))
		{
		 	Session::flash('msg_success', 'Record Updated');
		 	return Redirect::to('/customers');
		 	//return Redirect::back();
		}
		  	// var_dump(input::get('save_cont'));
		  	// exit();
		// if(input::get('save_cont'))
		// {
		//   	// return Redirect::to('/customer/'.$custom->customer_id)->with('message', 'New Record Inserted');
		//  	Session::flash('msg_success', 'New Record Inserted');
		//  	return Redirect::to('customers/customer');
		//   	//return Redirect::to('/customer')->with('message', 'New Record Inserted');
		// }
		//added by Balaji Feb 12, 2020---//
		if(input::get('save_cont'))
		{
		  	// return Redirect::to('/customer/'.$custom->customer_id)->with('message', 'New Record Inserted');
		 	Session::flash('msg_success', 'New Record Inserted');
		 	return Redirect::to('customers/views/'.$custom->customer_id);
		  	//return Redirect::to('/customer')->with('message', 'New Record Inserted');
		}
		//---END--//
		else
		{
		  	// return Redirect::to('/customer/'.$custom->customer_id)->with('message', 'New Record Inserted');
			return Redirect::to('/customers')->with('msg_success', 'New Record Inserted');
		} 
	} 

	public function deletepost($id)
	{

			// var_dump($id);
			// exit();					
			$page_no = Input::has('page')?Input::get('page'):1;
			$page_size = Input::has('page_size')?Input::get('page_size'):10;
			$is_filter=Input::has('is_filter')?Input::get('is_filter'):0;		
		 	$customer_id=Customers::where('customer_id',$id)->delete();

		 	Session::flash('msg_danger', 'Records Deleted');
		 	// return Redirect::back();
		 	return Redirect::to('/customers');
	}

		  /*Delete All Function using multiple check box*/
	public function delete_all() 
	{
			// var_dump($id);
			//    exit();
			$checked = Request::input('id',[]);
			$delete = Customers::whereIn('customer_id', $checked)->delete();

			Session::flash('msg_danger', 'All Records Deleted');
		 	return Redirect::to('/customers');
	}
	public function postview($id)
    {   

	        $customers = [];
			$customers_count = 0;
			$name = null;
			$email = null;
			$mob = null;
			$customer_id = $id;
			$address_type = null;
			$address = null;
			$order_by = null;
			$order_type = null;
			$con_order_by = null;
			$orderby = null;
			$ordertype = null;
			$is_filter=0;
			// var_dump($is_filter);
			// exit();
			$page_no = Input::has('page')?Input::get('page'):1;

			$page_size = Input::has('page_size')?Input::get('page_size'):1;

			$result = Customers::usp_get_customers($name,$email,$mob,$customer_id,$address_type,$address,$con_order_by,$page_no,$page_size);

		if(isset($result["customers"][0]))
		{
			$customers=  $result["customers"][0];
// 			var_dump($customers);
// 			exit();
            $state = State::where('state_id',$customers->state_id)->first();
            $country = Country::where('country_id',$customers->country_id)->first();
//             var_dump($state);
//             var_dump($country);
// 			exit();
			return View::make('customerinfo.view')->with('customers',$customers)->with('id',$id)->with('state',$state)->with('country',$country);
		}
            $view=DB::table('customers')->where('customer_id',$id)->first();
            $state = State::where('state_id',$customers->state_id)->get();
            $country = Country::where('country_id',$customers->country_id)->get();
 
            return View::make("customerinfo.view")->with('view',$view)->with('id',$id)->with('state',$state)->with('country',$country);
    }

    public function ChangeCountry()
    {   

    	$country_id = Input::get("country_id");

    	$states = State::where('country_id',$country_id)->lists('state_name','state_id');
    	return  $states;

    	// return
    		
    }
}