<?php

class JobcardController extends BaseController {

	/*
	|--------------------------------------------------------------------------
	| Default Home Controller
	|--------------------------------------------------------------------------
	|
	| You may wish to use controllers instead of, or in addition to, Closure
	| based routes. That's great! Here is an example controller method to
	| get you started. To route to this controller, just add the route:
	|
	|	Route::get('/', 'HomeController@showWelcome');
	|
	*/
    
    //------------ADDED BY BALAJI ON Aug 19, 2020-------------------//
		//[SOFT]Delete Jobcard get method

 	public function deletejobcard($jobcard_id) {

  		$jobcard = Jobcard::find($jobcard_id);
  		
  		if (isset($jobcard_id)) {
  		
  			$curTime 						= new \DateTime();
			$date_today 					= $curTime->format("Y-m-d");

			$jobcard->deleted_at 			= $date_today;
  			//$jobcard->deleted_admin_id 		= Auth::user()->admin_id;
			$jobcard->deleted_admin_name 	= Auth::user()->user_name;
  			
  			$jobcard->save();
			
  		}
  		
  		Session::flash('msg_danger', 'Jobcard Deleted');
        return Redirect::to('/jobcardindex');
 
  
  }

//-------------------------------END---------------------------------------------//	

        
        public function getjobcardsFilter()
	    {
	        
        $admin_id = Auth::user()->admin_id;
        $form_name = "Jobcard";
          	
          	
	    $is_remove_filter = 0;
		if(Input::get("Remove"))
		{
  			Session::forget('jobcard_filter');
  			$is_remove_filter = 1;
  			$this->savefilter($is_remove_filter);
  			return Redirect::to('/jobcardindex');
		}
		else if(Input::get("Apply"))
		{

            $page_no         = Input::has('page')?Input::get('page'):1;
          	$page_size       = Input::has('page_size')?Input::get('page_size'):null;
          	//$is_filter     = Input::has('is_filter')?Input::get('is_filter'):0;
          	$name 	         = Input::has('CName')?Input::get('CName'):null;
          	$email 	         = Input::has('CEmail')?Input::get('CEmail'):null;
          	$mob 	         = Input::has('CMobile')?Input::get('CMobile'):null;
          	$jobcard_id 	 = Input::has('JobcardId')?Input::get('JobcardId'):null;
          	$quotation_id    = Input::has('QuotationId')?Input::get('QuotationId'):null;
          	$measurement_id  = Input::has('MeasurementId')?Input::get('MeasurementId'):null;
          	$order_by        = Input::has('orderby')?Input::get('orderby'):null;
          	$order_type      = Input::has('ordertype')?Input::get('ordertype'):null;
          	
          	$jobcard_filter = ['is_filter'=>1,'page_no'=>$page_no,'page_size'=>$page_size,'name'=>$name,'email'=>$email,'mob'=>$mob,'jobcard_id'=>$jobcard_id,
          	'quotation_id'=>$quotation_id,'measurement_id'=>$measurement_id,'order_by'=>$order_by,'order_type'=>$order_type];
          
        //   var_dump($jobcard_filter);
        //   exit();

          Session::put('jobcard_filter',$jobcard_filter);
          
          // save filter 
            $this->savefilter($is_remove_filter);
        	return Redirect::to('/jobcardindex');  	
          
      	}
      	else{
      	    
      	    $filters = Filters::where('admin_id',$admin_id)->where('form_name',$form_name)->get();
            // var_dump($filters);
            // exit();
            
            if(isset($filters)){
                foreach($filters as $columnname =>  $columnvalue)
                {
                    
                    $columnname = $columnvalue->column_name;
                    $columnvalue = $columnvalue->value;
                    
                    // var_dump($columnname);
                    // var_dump($columnvalue);
                    // exit();
                    
                    if($columnname == 'CName'){
                        
                        $name = $columnvalue;
                        
                    }
                    if($columnname == 'CMobile'){
                        
                        $mob = $columnvalue;
                        
                    }
                    if($columnname == 'CEmail'){
                        
                        $email = $columnvalue;
                        
                    }
                    if($columnname == 'JobcardId'){
                        
                        $jobcard_id = $columnvalue;
                    
                    }
                    if($columnname == 'MeasurementId'){
                        
                        $measurement_id = $columnvalue;
                        
                    }
                    if($columnname == 'QuotationId'){
                        
                        $quotation_id = $columnvalue;
                        
                    }
                    if($columnname == 'orderby'){
                        
                        $order_by = $columnvalue;
                        
                    }
                    if($columnname == 'ordertype'){
                        
                        $order_type = $columnvalue;
                //         var_dump($ordertype);
			             //exit();                        
                        
                    }
                    $jobcard_filter = ['is_filter'=>1,'name'=>$name,'email'=>$email,'mob'=>$mob,'jobcard_id'=>$jobcard_id,'measurement_id'=>$measurement_id,'quotation_id'=>$quotation_id,'order_by'=>$order_by,'order_type'=>$order_type];    
                    Session::put('jobcard_filter',$jobcard_filter);
                    
                }
            
             
            }
      	    
      	}
        
        
       
	}

    //-------------------------------------------------------------------------//


	public function getJobcardindex()
	{

			$q_itemindex    = [];
			$q_item_count   = 0;
			$q_item_items   = 0;
			$name           = null;
			$email          = null;
			$mob            = null;
			$jobcard_id     = null;
			$customer_id    = null;
			$measurement_id = null;
			$quotation_id   = null;
			$q_item_id      = null;
			$from_date      = null;
			$to_date        = null;
			$grand_total    = null;
			$order_by       = null;
			$order_type     = null;
			$con_order_by   = null;
			$orderby        = null;
			$ordertype      = null;
			$is_filter      = 0;
			$accessory_ids  = null;
			$page_no        = Input::has('page')?Input::get('page'):null;
			$page_size      = Input::has('page_size')?Input::get('page_size'):null;
				// var_dump($name,$email,$mob,$customer_id,$measurement_id,$quotation_id,$from_date,$to_date,$grand_total,$con_order_by,$page_no,$page_size);
				// exit();
				
			$this->getjobcardsFilter();
				
			if(Session::has('jobcard_filter'))
			{
				$jobcard_filter = Session::get('jobcard_filter');
				// var_dump($jobcard_filter);
				// exit();
			

				if(Input::has('page'))
							{
								$jobcard_filter['page_no'] = $page_no;
							}

				if(isset($jobcard_filter['name']))
					$name		= $jobcard_filter['name'];			
				
				if(isset($jobcard_filter['email']))
					$email	= $jobcard_filter['email'];
				
				if(isset($jobcard_filter['mob']))
					$mob	= $jobcard_filter['mob'];
					
				if(isset($jobcard_filter['jobcard_id']))
					$jobcard_id	= $jobcard_filter['jobcard_id'];
				
				if(isset($jobcard_filter['measurement_id']))
					$measurement_id	= $jobcard_filter['measurement_id'];
					
				if(isset($jobcard_filter['quotation_id']))
					$quotation_id	= $jobcard_filter['quotation_id'];	
				
				if(isset($jobcard_filter['page_no']))
						$page_no  = $jobcard_filter['page_no'] ;
				
				if(isset($jobcard_filter['page_size']))
						$page_size= $jobcard_filter['page_size'];
				
				if(isset($jobcard_filter['is_filter']))
					$is_filter= $jobcard_filter['is_filter'];
				
				if(isset($jobcard_filter['order_by']))
					$order_by = $jobcard_filter['order_by'];
				
				if(isset($jobcard_filter['order_type']))
					$order_type = $jobcard_filter['order_type'];
			
				if(isset($order_by) && !empty($order_by))
				{
					$con_order_by = $order_by . ' '.$order_type;            
				}
				else
				{
					$con_order_by = null;
				}
				
			
			}	
// 				var_dump($con_order_by);
// 			exit();
		
			
			if(intval($page_no))
		    {
		      $page_no = $page_no;          
		    }
		    else if(intval(Session::get('page'))) 
		    {
		      $page_no = Session::get('page');
		    }
		    else
		    {
		      $page_no = 1;
		    }


		    if(intval($page_size))
		    {
		      if(intval(Session::get('page_size'))  != $page_size)
		      {
		        $page_no  =1;
		      }
		      $page_size = $page_size; 
		        
		    }
		    else if(intval(Session::get('page_size')))
		    {
		        $page_size = Session::get('page_size');
		    }
		    else
		    {
		      $page_size = 10;
		    }

			Session::put('page',$page_no);
		    Session::put('page_size',$page_size);
		
		 	$result = Jobcard:: usp_get_jobcards($name,$email, $mob,$quotation_id, $customer_id, $measurement_id, $from_date, $to_date,$grand_total, $con_order_by, $page_no, $page_size, $jobcard_id);
		 	// var_dump($result);
				//  exit();	
		    $jobcards = $result["jobcards"];
			$jobcards_overall_count = count($jobcards);
			$jobcards_count = $result["count"];
// 			var_dump($jobcards_count);
// 			exit();
			$jobcards_pagination = Paginator::make($jobcards, intval($jobcards_count), $page_size);

			return View::make('jobcard.jobcard_index')->with('jobcards',$jobcards)
												   ->with('page_size',$page_size)
												   ->with('page_no',$page_no)
												   ->with('is_filter',$is_filter)
												   ->with('filter_name',$name)
												   ->with('filter_mob',$mob)
												   ->with('filter_email',$email)
												   ->with('filter_jobcard_id',$jobcard_id)
												   ->with('filter_quotation_id',$quotation_id)
												   ->with('filter_measurement_id',$measurement_id)
												   ->with('order_by',$order_by)
												   ->with('order_type',$order_type)
												   ->with('jobcards_pagination',$jobcards_pagination)
												   ->with('jobcards_count',$jobcards_count)
												   ->with('jobcards_overall_count',$jobcards_overall_count);


	}
	
	public function savefilter($is_remove_filter)
    {
        $admin_id = Auth::user()->admin_id;
        $form_name = "Jobcard";
        
        	$inputs = Input::all();
            
            foreach($inputs as $key =>  $input) 
            {   
               
                // update 
                $filters = Filters::where('admin_id',$admin_id)->where('form_name',$form_name)->where('column_name',$key)->first();
                if(!isset($filters))
                {
                    //insert
                    $filters = new Filters();
                }
                
            	$filters->admin_id 		= $admin_id;			
        		$filters->form_name 	= $form_name;
        		$filters->column_name 	= $key;
        		$filters->value 		= intval($is_remove_filter)==1?null:$input;						
        		
        		$filters->save();
              	
            }
    }
	
//-------------------------------------------------------------//

//***********************New Workflow -- from measurement*********************//    
    public function printpreview($jobcard_id,$measurement_id) 
	{   
		      
		$jobcard = Jobcard:: where('jobcard_id',$jobcard_id)->first();

        $measurement_id = $measurement_id;
		$result = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);
        
	    $measurements = $result["measurements"][0];
		$measurementitems_db = $result["measure_items"];			
		$measurementitems_db_count = count($measurementitems_db);			
		$measurementaccessorys_db = $result["measure_accessorys"];			
		$measurementitems_count = $result1["count"];				
		$measurementitems = [];
		$measurementaccessorys= [];
		
		foreach ($measurementaccessorys_db as $key => $accessorydetail){ 
	       
    	  $measurementaccessorys[$accessorydetail->measurement_item_id][] = $accessorydetail;
	   }
	   
	   foreach ($measurementitems_db as $key => $measurementitemsdetail){ 
	       
    	  $measurementitems[strtoupper($measurementitemsdetail->room)][] = $measurementitemsdetail;
	   }
	   
       $rooms = MeasurementItems::select('room')->where('measurement_id', $measurement_id)->where('is_checked','=', '1')->distinct()->get();
       
		return View::make('jobcard.jobcardprint')
					->with('jobcard',$jobcard)
					->with('rooms',$rooms)
					->with('measurements',$measurements)
					->with('measurement_id',$measurement_id)
					->with('measurementitems_db',$measurementitems_db)
					->with('measurementaccessorys_db',$measurementaccessorys_db)
					->with('measurementaccessorys',$measurementaccessorys)
					->with('measurementitems',$measurementitems);	
	
	    
	}
    
//***********************Old Workflow -- from quotation*********************//
//         public function printpreview($jobcard_id,$quotation_id) 
// 	{   
// 		      //	var_dump($jobcard_id);
// 		      // var_dump($quotation_id);
// 		      //  exit();
// 	        $q_itemindex = [];
// 			$q_item_count = 0;
// 			$q_item_items = 0;
// 			$name = null;
// 			$email = null;
// 			$mob = null;
// 			$customer_id = null;
// 			$measurement_id = null;
// 			$quotation_id = $quotation_id;
// 			$q_item_id = null;
// 			$from_date = null;
// 			$to_date = null;
// 			$grand_total = null;
// 			$order_by = null;
// 			$order_type = null;
// 			$con_order_by = null;
// 			$orderby = null;
// 			$ordertype = null;
// 			$is_filter=0;
// 			$page_no = Input::has('page')?Input::get('page'):1;
// 			$page_size = Input::has('page_size')?Input::get('page_size'):1;
// 				// var_dump($name,$email,$mob,$customer_id,$measurement_id,$quotation_id,$from_date,$to_date,$grand_total,$con_order_by,$page_no,$page_size);
// 				// exit();
		
// 		$jobcard_id = $jobcard_id;
// 		$result1 = Jobcard:: usp_get_jobcards($name,$email,$mob,$quotation_id, $customer_id, $measurement_id, $from_date, $to_date,$grand_total, $orderby, $page_no, $page_size, $jobcard_id);
// 		$jobcards = $result1["jobcards"];
// 		$quotation_id = $quotation_id;
		
// 		  //var_dump($quotation_id);
// 				// exit();
		
// 		$result = Quotation::usp_get_quotations($name,$email,$mob,$quotation_id,$customer_id,$measurement_id,$from_date,$to_date,$grand_total,$con_order_by,$page_no,$page_size);	
// 		 	//   var_dump($result);
// 				// exit();
// 		$quotations=  $result["quotations"][0];
				
// 		if(isset($result["quotations"][0]))
// 		{					
// 			$quotations=  $result["quotations"][0];
// 				// var_dump($quotations->measurement_id);
// 				// exit();
// 			$q_item_items = $result["quotation_items"];
// 			 //   var_dump($q_item_items);
// 				// exit();
// 			$measurement_id = $quotations->measurement_id;
// 			 //   var_dump($measurement_id);
// 				// exit();
// 			$result1 = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);
// // 			var_dump($result1);
// // 				exit();
// 			$measurements = $result1["measurements"];
// 			$measurementitems_db = $result1["measure_items"];			
// 			$measurementitems_db_count = count($measurementitems_db);			
// 			$measurementaccessorys_db = $result1["measure_accessorys"];			
// 			$measurementitems_count = $result1["count"];				
// 			$measurementitems = [];
// 			$measurementaccessorys= [];
// // 			var_dump($measurementitems_db);
// // 			exit();
			
// 			if(isset($result1["measurements"][0]))
// 			{
// 			$measurements=  $result1["measurements"][0];
// 			// var_dump($measurements);
// 			// exit();
// 			return View::make('jobcard.jobcardprint')
// 						->with('jobcards',$jobcards)
// 						->with('quotations',$quotations)			
// 						->with('measurements',$measurements)
// 						->with('measurement_id',$measurement_id)
// 						->with('measurementitems_db',$measurementitems_db)
// 						->with('measurementaccessorys_db',$measurementaccessorys_db);
// 			}

		
// 		}
// 		else
// 		{
// 			echo "Error try after sometime";
// 		}	
	
	    
// 	}
        
    //------------------------------------------------------------------------------//
    public function viewJobcard($jobcard_id,$measurement_id) 
	{   

		$jobcard = Jobcard:: where('jobcard_id',$jobcard_id)->first();

        $measurement_id = $measurement_id;
		$result = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);
        
	    $measurements = $result["measurements"][0];
		$measurementitems_db = $result["measure_items"];			
		$measurementitems_db_count = count($measurementitems_db);			
		$measurementaccessorys_db = $result["measure_accessorys"];			
		$measurementitems_count = $result1["count"];				
		$measurementitems = [];
		$measurementaccessorys= [];
		
		foreach ($measurementaccessorys_db as $key => $accessorydetail){ 
	       
    	  $measurementaccessorys[$accessorydetail->measurement_item_id][] = $accessorydetail;
	   }
	   
	   foreach ($measurementitems_db as $key => $measurementitemsdetail){ 
	       
    	  $measurementitems[strtoupper($measurementitemsdetail->room)][] = $measurementitemsdetail;
	   }
	   
       $rooms = MeasurementItems::select('room')->where('measurement_id', $measurement_id)->distinct()->get();
		
		return View::make('jobcard.jobcardview')
					->with('jobcard',$jobcard)
					->with('rooms',$rooms)
					->with('measurements',$measurements)
					->with('measurement_id',$measurement_id)
					->with('measurementitems_db',$measurementitems_db)
					->with('measurementaccessorys_db',$measurementaccessorys_db)
					->with('measurementaccessorys',$measurementaccessorys)
					->with('measurementitems',$measurementitems);
		
	}

/**********************Old workflow from quotation*************/
//     public function viewJobcard($jobcard_id,$quotation_id) 
// 	{   
// 		      //	var_dump($jobcard_id);
// 		      // var_dump($quotation_id);
// 		      //  exit();
// 	        $q_itemindex = [];
// 			$q_item_count = 0;
// 			$q_item_items = 0;
// 			$name = null;
// 			$email = null;
// 			$mob = null;
// 			$customer_id = null;
// 			$measurement_id = null;
// 			$quotation_id = $quotation_id;
// 			$q_item_id = null;
// 			$from_date = null;
// 			$to_date = null;
// 			$grand_total = null;
// 			$order_by = null;
// 			$order_type = null;
// 			$con_order_by = null;
// 			$orderby = null;
// 			$ordertype = null;
// 			$is_filter=0;
// 			$page_no = Input::has('page')?Input::get('page'):1;
// 			$page_size = Input::has('page_size')?Input::get('page_size'):1;
// 				// var_dump($name,$email,$mob,$customer_id,$measurement_id,$quotation_id,$from_date,$to_date,$grand_total,$con_order_by,$page_no,$page_size);
// 				// exit();
		
// 		$jobcard_id = $jobcard_id;
// 		$result1 = Jobcard:: usp_get_jobcards($name,$email,$mob,$quotation_id, $customer_id, $measurement_id, $from_date, $to_date,$grand_total, $orderby, $page_no, $page_size, $jobcard_id);
// 		$jobcards = $result1["jobcards"];
// 		$quotation_id = $quotation_id;
		
// 		  //var_dump($quotation_id);
// 				// exit();
		
// 		$result = Quotation::usp_get_quotations($name,$email,$mob,$quotation_id,$customer_id,$measurement_id,$from_date,$to_date,$grand_total,$con_order_by,$page_no,$page_size);	
// 		 	//   var_dump($result);
// 				// exit();
// 		$quotations=  $result["quotations"][0];
				
// 		if(isset($result["quotations"][0]))
// 		{					
// 			$quotations=  $result["quotations"][0];
// 				// var_dump($quotations->measurement_id);
// 				// exit();
// 			$q_item_items = $result["quotation_items"];
// 			 //   var_dump($q_item_items);
// 				// exit();
// 			$measurement_id = $quotations->measurement_id;
// 			 //   var_dump($measurement_id);
// 				// exit();
// 			$result1 = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);
// // 			var_dump($result1);
// // 				exit();
// 			$measurements = $result1["measurements"];
// 			$measurementitems_db = $result1["measure_items"];			
// 			$measurementitems_db_count = count($measurementitems_db);			
// 			$measurementaccessorys_db = $result1["measure_accessorys"];			
// 			$measurementitems_count = $result1["count"];				
// 			$measurementitems = [];
// 			$measurementaccessorys= [];
// // 			var_dump($measurementitems_db);
// // 			exit();
			
// 			if(isset($result1["measurements"][0]))
// 			{
// 			$measurements=  $result1["measurements"][0];
// 			// var_dump($measurements);
// 			// exit();
// 			return View::make('jobcard.jobcardview')
// 						->with('jobcards',$jobcards)
// 						->with('quotations',$quotations)			
// 						->with('measurements',$measurements)
// 						->with('measurement_id',$measurement_id)
// 						->with('measurementitems_db',$measurementitems_db)
// 						->with('measurementaccessorys_db',$measurementaccessorys_db);
// 			}

		
// 		}
// 		else
// 		{
// 			echo "Error try after sometime";
// 		}	
	
	    
// 	}

//-------------------------------------------------------------//	

//----------------New work flow --- save jobcard from measurement----------------//

	public function saveJobcard($id) 
	{
        
        $measurement_id = $id;
        $result = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);
		 	// var_dump($result);
				//  exit();	
		
		if(isset($result["measurements"][0]))
		{					
			$measurements=  $result["measurements"][0];
				// var_dump($measurements->measurement_id);
				// exit();
		}		

		if(Input::get('save'))
		{			  	
			$curTime 				=   new \DateTime();
			$date_today				=   $curTime->format("Y-m-d");
			$deadline               =   date("Y-m-d",strtotime ( '+5 days' , strtotime ( $date_today ) )) ;
			$day = date('l', $deadline);
			
			if($day == 'Sunday'){
			    $due_date           =   date("Y-m-d",strtotime ( '+6 days' , strtotime ( $date_today ) )) ;
			}
			else{
			    $due_date           =   date("Y-m-d",strtotime ( '+5 days' , strtotime ( $date_today ) )) ;
			}
			
			$j 						=   new Jobcard();			 
			$j->customer_id   	    = 	$measurements->customer_id;
			$j->customer_name   	= 	$measurements->name;
			$j->measurement_id   	= 	$measurements->measurement_id;
			$j->due_date   	        = 	$due_date;
//From calendar
// 			$due_date			    =	Input::get('due_date');
// 			$j->due_date		    =	date('Y-m-d H:i:s',strtotime($due_date));
//End			
			$j->sales_person   	    = 	$measurements->created_admin_name;
			$j->created_admin_name  =   Auth::user()->user_name;
			$j->save();
		}
		return  Redirect::to ('/jobcardindex');	

	}
	
    public function saveselection() 
	{   
		      
		
 		$checked            =   Input::get('id');
 		//$checked = Request::input('id',[]);
 		$measurement_id     =  Input::get('measurement_id');
 		$jobcard_id         =  Input::get('jobcard_id');
		
		//var_dump($jobcard_id);
		//exit();
        
        $db_ids     = MeasurementItems::select('measurement_item_id')->where('measurement_id',$measurement_id)->get();
//         var_dump($db_ids);
// 		exit();
        
        foreach ($db_ids as $i){
            
            // var_dump($i->measurement_item_id);
            // exit();
            if (isset($checked[$i->measurement_item_id])){
                
                $measurement_item = MeasurementItems::find($i->measurement_item_id);
                $measurement_item->is_checked   =   '1';
                $measurement_item->save();
            }
            else{
                $measurement_item = MeasurementItems::find($i->measurement_item_id);
                $measurement_item->is_checked   =   '0';
                $measurement_item->save();
            }
            
        }
        
        return Response::json(array('code'=> 'Success', 'redirectto'=>'http://innovations.urbanedge.co.in/jobcard/jobcardprint/'.$jobcard_id.'/'.$measurement_id));
	    
	}

//----------------Old work flow --- save jobcard from quotation----------------//	
// 	public function saveJobcard($id) 
// 	{
    
//         $quotation_id = $id;
// 		$result = Quotation::usp_get_quotations($name,$email,$mob,$quotation_id,$customer_id,$measurement_id,$from_date,$to_date,$grand_total,$con_order_by,$page_no,$page_size);	
	
// 		if(isset($result["quotations"][0]))
// 		{					
// 			$quotations=  $result["quotations"][0];
	
// 		}		
		
// 		if(Input::get('save'))
// 		{			  	
// 			$j 						= new Jobcard();			 
// 			$j->quotation_id   		= 	$id;
// 			$j->measurement_id   	= 	$quotations->measurement_id;
// 			$j->sales_person   	    = 	$quotations->created_admin_name;
// 			$j->save();
// 		}
// 		return  Redirect::to ('/jobcardindex');	

// 	}


//-------------------------------------------------------------//


	public function getJobcard($id)
	{
 		 
	        $q_itemindex = [];
			$q_item_count = 0;
			$q_item_items = 0;
			$name = null;
			$email = null;
			$mob = null;
			$customer_id = null;
			$measurement_id = $id;
			$quotation_id = null;
			$q_item_id = null;
			$from_date = null;
			$to_date = null;
			$grand_total = null;
			$order_by = null;
			$order_type = null;
			$con_order_by = null;
			$orderby = null;
			$ordertype = null;
			$is_filter=0;
			$page_no = Input::has('page')?Input::get('page'):1;
			$page_size = Input::has('page_size')?Input::get('page_size'):1;
		
		$result = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);

		    $measurements = $result["measurements"];
			$measurementitems_db = $result["measure_items"];			
			$measurementitems_db_count = count($measurementitems_db);			
			$measurementaccessorys_db = $result["measure_accessorys"];			
			$measurementitems_count = $result1["count"];				
			$measurementitems = [];
			$measurementaccessorys= [];
			
			return View::make('jobcard.jobcardadd')
						->with('measurements',$measurements)
						->with('measurement_id',$measurement_id)
						->with('measurementitems_db',$measurementitems_db)
						->with('measurementaccessorys_db',$measurementaccessorys_db);
	}



//-----------------------------------------------------------------------------------------------------------------//
    
    //--------------------------old workflow -- Jobcard from quotations---------------//
//     public function getJobcard($id)
// 	{
//  		 //	var_dump($id);
// 		  //       exit();
// 	        $q_itemindex = [];
// 			$q_item_count = 0;
// 			$q_item_items = 0;
// 			$name = null;
// 			$email = null;
// 			$mob = null;
// 			$customer_id = null;
// 			$measurement_id = null;
// 			$quotation_id = $id;
// 			$q_item_id = null;
// 			$from_date = null;
// 			$to_date = null;
// 			$grand_total = null;
// 			$order_by = null;
// 			$order_type = null;
// 			$con_order_by = null;
// 			$orderby = null;
// 			$ordertype = null;
// 			$is_filter=0;
// 			$page_no = Input::has('page')?Input::get('page'):1;
// 			$page_size = Input::has('page_size')?Input::get('page_size'):1;    
						
// 		$result = Quotation::usp_get_quotations($name,$email,$mob,$quotation_id,$customer_id,$measurement_id,$from_date,$to_date,$grand_total,$orderby,$page_no,$page_size);			
// 		$quotations=  $result["quotations"][0];
				
// 		if(isset($result["quotations"][0]))
// 		{					
// 			$quotations=  $result["quotations"][0];
// 				// var_dump($quotations->measurement_id);
// 				// exit();
// 			$q_item_items = $result["quotation_items"];
// 			 //   var_dump($q_item_items);
// 				// exit();
// 			$measurement_id = $quotations->measurement_id;
// 			 //   var_dump($measurement_id);
// 				// exit();
// 			$result1 = Measurements::usp_get_measurements_list($name, $customer_id, $measurement_id, $from_date,$to_date,$con_order_by,$page_no, $page_size, $item_name,$accessory_ids);
// // 			var_dump($result1);
// // 				exit();
// 			$measurements = $result1["measurements"];
// 			$measurementitems_db = $result1["measure_items"];			
// 			$measurementitems_db_count = count($measurementitems_db);			
// 			$measurementaccessorys_db = $result1["measure_accessorys"];			
// 			$measurementitems_count = $result1["count"];				
// 			$measurementitems = [];
// 			$measurementaccessorys= [];
// 			var_dump($measurementitems_db);
// 			exit();
			
// 			if(isset($result1["measurements"][0]))
// 			{
// 			$measurements=  $result1["measurements"][0];
// 			// var_dump($measurements);
// 			// exit();
// 			return View::make('jobcard.jobcardadd')
// 						->with('quotations',$quotations)			
// 						->with('measurements',$measurements)
// 						->with('measurement_id',$measurement_id)
// 						->with('measurementitems_db',$measurementitems_db)
// 						->with('measurementaccessorys_db',$measurementaccessorys_db);
// 			}


// 		}
// 		else
// 		{
// 			echo "Error try after sometime";
// 		}

// 	}

//-----------------------------------------------------------------------------------------------------------------//

	// public function getJobcarindex()
	// {
	// 	// $measure_count = 0;
	// 	$name = null;
	// 	$email = null;
	// 	$mob = null;
	// 	$grand_total = null;
	// 	$orderby = null;
	// 	$customer_id  = null;
	// 	$measurement_id=null;
	// 	$quotation_id = null;
	// 	$from_date = null;
	// 	$to_date = null;	
	// 	$page_no = 1;
	// 	$page_size = 1000;

	// 	$measurement_item=[];
	// 	$measure_accessorys=null;
		
		
	// 		$result = Quotation::usp_get_quotations($name,$email,$mob,$quotation_id,$customer_id,$measurement_id,$from_date,$to_date,$grand_total,$orderby,$page_no,$page_size);

	// 		// var_dump($result);
	// 		// exit();
			
	// 		$quotations = $result["quotations"];
	// 		$quotation_items = $result["quotation_items"];		

			
	// 		return View::make('jobcard.jobcard_index')						
	// 			->with('quotations',$quotations)
	// 			->with('quotation_id',$quotation_id)
	// 			->with('quotation_items',$quotation_items);

	// }	
//-------------------------------------------------------------//

}