<?php

	class UserController extends Controller {

		/**
		 * Setup the layout used by the controller.
		 *
		 * @return void
		 */
	
	
	// Added by Balaji November 23, 2020  
	public function getdashboardFilter()
	{
	    $admin_id = Auth::user()->admin_id;
        $form_name = "dashboardForm";
          	
	    $is_filter = 0;
		if(Input::get("Remove"))
		{
  			Session::forget('dashboard_filter');
  			return Redirect::to('/');    
		}
		else 
		{
		    //var_dump(Input::all());
		    //exit();
		    
          	//$is_filter = Input::has('is_filter')?Input::get('is_filter'):0;
          	$se 	        = Input::has('se')?Input::get('se'):null;
          	$from_date 	    = Input::has('from_date')?Input::get('from_date'):null;
          	$to_date 	    = Input::has('to_date')?Input::get('to_date'):null;
          	$dashboard_filter = ['is_filter'=>1,'se'=>$se,'from_date'=>$from_date,'to_date'=>$from_date];
        //   	var_dump($dashboard_filter);
        //   	exit();
          	Session::put('dashboard_filter',$dashboard_filter);
          	
        	return Redirect::to('/');  	
      	}
      	
          
    }
	// Added by Balaji July 11, 2020  
	public function getdashboarddata()
	{ 
		$data   =       DB::select('CALL usp_get_countbydays(NULL,NULL,NULL);');
		//$data   =       DB::select('CALL usp_get_measurements_data_forchart("2020-09-01","2020-09-30",NULL);');
   	    $data   =       json_encode($data);
   	    // var_dump($data);
   	    // exit();
		return json_encode($data);	
		
	}
	//End
	

	

	// Added by Balaji July 11, 2020  modified on Oct 30,2020
	public function getdashboard()
	{ 
		
		$is_filter  = 0;
		$se         = null;
		$from_date  = null;
		$to_date    = null;
		
		
		if (Auth::check()){
			
			$this->getdashboardFilter();
			
			if(Session::has('dashboard_filter'))
			{
				$dashboard_filter = Session::get('dashboard_filter');
				
				// var_dump($dashboard_filter);
				// exit();
				if(isset($dashboard_filter['se']))
					$se 	  = $dashboard_filter['se'] ;
				// if(isset($dashboard_filter['from_date']))
				// 	$from_date 	  = Helper::toDBDate($dashboard_filter['from_date']);
				// if(isset($dashboard_filter['to_date']))
				// 	$to_date 	  = Helper::toDBDate($dashboard_filter['to_date']);
	        	if(isset($dashboard_filter['is_filter']))
	            	$is_filter= $dashboard_filter['is_filter'];

			}
			
			
			
                //days of month for x axis
       	        $d = array();
                for($i = 1; $i < 32; $i++) 
                    $d[] = $i;
                // var_dump($d);
                // exit();
                
                //date calculation to pass in the SP
                $months =   array_reduce(range(1,12),function($rslt,$m){ $rslt[$m] = date('F',mktime(0,0,0,$m,10)); return $rslt; });
                // var_dump($months);
       	        // exit();
                
                date_default_timezone_set("Asia/Kolkata");
       	        $today = date('Y-m-d');
       	        
       	        $t  = $today; 
                $t  = explode("-", $t);
                
                $day                = $t[2];
       	        $curr_month         = $t[1];
       	        $curr_year          = $t[0];
       	        
       	        $prev_month         = $curr_month - 1;
       	        $prev1_month        = $curr_month - 2;
       	        $prev2_month        = $curr_month - 3;
       	        
       	        // var_dump($prev_month);
       	        // var_dump($prev1_month);
       	        // var_dump($prev2_month);
       	        // exit();
       	        
       	        $c_month_name       = $months[intval($curr_month)];  
       	        $prev_month_name    = $months[intval($prev_month)];
       	        $prev1_month_name   = $months[intval($prev1_month)];
       	        
       	        // var_dump($c_month_name);
       	        // var_dump($prev_month_name);
       	        // var_dump($prev1_month_name);
       	        // exit();
       	        
       	        $prev_year          = $curr_year - 1;
       	        // var_dump($prev_year);
       	        // exit();
       	        
       	        if ($curr_month == 1){
       	            $prev_month = 12;
       	            $curr_from_date  =   $prev_year."-".$prev_month."-".$day;
       	        }
       	        else{
       	            $curr_from_date  =   $curr_year."-".$prev_month."-".$day;    
       	        }
       	        $curr_to_date    =   $today;
       	        
       	        
       	        if ($curr_month == 1){ // if the month is January
       	                
       	            $prev_month  = 12;
       	            $prev1_month = $prev_month - 1;
       	            $prev2_month = $prev_month - 2;
       	            $prev_year   = $curr_year - 1;
       	            
       	            
       	            $prev_month_name     = $months[intval($prev_month)];
       	            $prev1_month_name    = $months[intval($prev1_month)];
       	            $prev2_month_name    = $months[intval($prev2_month)];
       	            
       	            //prev month
       	            $prev_from_date      = $prev_year."-".$prev_month."-".$day;  // from_date for the month of December
       	            $prev_to_date        = $prev_year."-".$prev1_month."-".$day;
       	            
       	            //month before that
       	            $prev1_from_date     = $prev_year."-".$prev1_month."-".$day; // from_date for the month of November
       	            $prev1_to_date       = $prev_year."-".$prev2_month."-".$day;
       	            
       	            
       	        }
       	        else{
       	            
       	            $prev_month         = $curr_month - 1;
       	            $prev1_month        = $curr_month - 2;
       	            $prev2_month        = $curr_month - 3;
       	            
       	            //prev month
       	            $prev_from_date     = $curr_year."-".$prev1_month."-".$day;  
       	            $prev_to_date       = $curr_year."-".$prev_month."-".$day;
       	            
       	            //month before that
       	            $prev1_from_date    = $curr_year."-".$prev2_month."-".$day; 
       	            $prev1_to_date      = $curr_year."-".$prev1_month."-".$day;
       	            
       	        }
       	        
       	        
       	        //for current month (month1)
       	        $from_date 		= $curr_from_date;
			    $to_date 		= $curr_to_date;
			    $admin_id       = isset($se) ? $se : "NULL";
       	        // var_dump($from_date);
       	        // var_dump($to_date);
       	        // exit();
       	        
       	         //$data1          =   DB::select("CALL usp_get_measurements_data_forchart('".$from_date."','".$to_date."',$admin_id);");
       	        $data1          =   DB::select("CALL usp_get_measurements_data_forchart_month('".$curr_month."','".$curr_year."',$admin_id);");
       	        // var_dump($data1);
       	        // exit();
       	        
       	        //-----measurement chart start-----//
       	        $month1 = array();
       	        $cum_month1 = array();
       	        
       	        foreach ($data1 as $datum)
        	      {
        	        $month1[$datum->days]       = $datum->count;
        	        $cum_month1[$datum->days]   = $datum->count;
        	      }
        	    

       	        //for prev month (month2)
       	        $from_date 		= $prev_from_date;
			    $to_date 		= $prev_to_date;
			 //   $admin_id     = "NULL";
       	        
       	        if ($curr_month == 1){
       	            
       	            $data2          =   DB::select("CALL usp_get_measurements_data_forchart_month('".$prev_month."','".$prev_year."',$admin_id);");
       	        }
       	        else{
       	            $data2          =   DB::select("CALL usp_get_measurements_data_forchart_month('".$prev_month."','".$curr_year."',$admin_id);");
       	        }
                // var_dump($data2);
       	        // exit();
                        	    
       	        $month2 = array();
       	        $cum_month2 = array();
       	        
       	        foreach ($data2 as $datum)
        	      {
        	        $month2[$datum->days]       = $datum->count;
        	        $cum_month2[$datum->days]   = $datum->count;
        	      }
        	    
       	        
       	        //for prev1 month (month3)
       	        $from_date 		= $prev1_from_date;
			    $to_date 		= $prev1_to_date;
       	        // $admin_id    = "NULL";
       	        
       	        if ($curr_month == 1){
       	            
       	            $data3          =   DB::select("CALL usp_get_measurements_data_forchart_month('".$prev1_month."','".$prev_year."',$admin_id);");
       	        }
       	        elseif ($curr_month == 2){
       	            
       	            $data3          =   DB::select("CALL usp_get_measurements_data_forchart_month('".$prev1_month."','".$prev_year."',$admin_id);");
       	        }
       	        else{
       	            
       	            $data3          =   DB::select("CALL usp_get_measurements_data_forchart_month('".$prev1_month."','".$curr_year."',$admin_id);");
       	        }
       	        
       	        // var_dump($data3);
                //         exit();       	        
       	        $month3 = array();
       	        $cum_month3 = array();
       	        
       	        foreach ($data3 as $datum)
        	      {
        	        $month3[$datum->days]       = $datum->count;
        	        $cum_month3[$datum->days]   = $datum->count;
        	      }
        	    
        	    
        	    //create data array for chart using all the earlier results generated
        	    $data_array     =   []; //for day wise line chart
        	    $cum_data_array =   []; //for day wise cumulative line chart
        	    
        	    
        	    //if condition to stop line with the current date for the current month - day wise graph
        	    $count = 0;
        	    foreach ($d as $i) {  
                   
                   if ($i <= $t[2]){
                        
                        $count = isset($month1[$i]) ? $month1[$i] : '0';
                        
                        
                    }
                     else{
                         
                        $count = NULL;
                         
                     }
                   
                  $data_array[] = 
                         array(
                             
                         'x'                => "$i",
                         $c_month_name      => $count,
                         $prev_month_name   => isset($month2[$i]) ? $month2[$i] : '0',
                         $prev1_month_name  => isset($month3[$i]) ? $month3[$i] : '0',
                         
                    );
                
                    // $prev_month_name  = 0;
                    // $prev1_month_name = 0;
                    
                    
                    // try{    
                       
                    //   $prev_month_name   = isset($month2[$i]) ? $month2[$i] : '0';
                       
                       
                    // }
                    // catch(Exception $e) {}
                    
                    // try{    
                       
                    //   $prev1_month_name  = isset($month3[$i]) ? $month3[$i] : '0';
                      
                    // }
                    // catch(Exception $e) {}
                
                       
                    // $data_array[] = 
                    //      array(
                             
                    //      'x'                => "$i",
                    //      $c_month_name      => $count,
                    //      $prev_month_name   => $prev_month_name,
                    //      $prev1_month_name  => $prev1_month_name,
                        
 
                    // );
                        
                        // var_dump($data_array);
                        // exit();
                }
        	    
        	    //if condition to stop line with the current date for the current month -- cumulative graph
        	    $count1 = 0;
        	    foreach ($d as $i) {  
                   
                    if ($i <= $t[2]){
                        
                        $count1 += $cum_month1[$i];
                        
                    }
                     else{
                         
                        $count1 = NULL;
                         
                     }
                   
                   $cum_data_array[] = 
                         array(
                             
                         'x'                => "$i",
                         $c_month_name      => $count1,
                         $prev_month_name   => $count2 += $cum_month2[$i],
                         $prev1_month_name  => $count3 += $cum_month3[$i],
                         
                    );

                }
                //---------measurement chart calculation end--------//
        	    
        	    
        	    
        	    //-----jobcard chart start-----//
       	        $jmonth1      = array();
       	        $jcum_month1  = array();
       	        
       	        foreach ($jobcarddata1 as $datum)
        	      {
        	        $jmonth1[$datum->days]       = $datum->count;
        	        $jcum_month1[$datum->days]   = $datum->count;
        	      }
        	   //for current month (month1)
       	        $from_date 		= $curr_from_date;
			    $to_date 		= $curr_to_date;
			    $admin_id       = isset($se) ? $se : "NULL";
        	       
        	   //$jobcarddata1    =   DB::select("CALL usp_get_jobcard_data_forchart('".$from_date."','".$to_date."',$admin_id);");
        	   $jobcarddata1    =   DB::select("CALL usp_get_jobcard_data_forchart_month('".$curr_month."','".$curr_year."',$admin_id);");
        	   
        	   $jmonth1        = array();
       	       $jcum_month1    = array();
       	        
       	        foreach ($jobcarddata1 as $datum)
        	      {
        	        $jmonth1[$datum->days]       = $datum->count;
        	        $jcum_month1[$datum->days]   = $datum->count;
        	      }
        	   
        	   
       	        //for prev month (month2)
       	        $from_date 		= $prev_from_date;
			    $to_date 		= $prev_to_date;
			 
			 //   $admin_id     = "NULL";
       	        
       	        if ($curr_month == 1){
       	            
       	            
       	            $jobcarddata2    =   DB::select("CALL usp_get_jobcard_data_forchart_month('".$prev_month."','".$prev_year."',$admin_id);");
       	        }
       	        else{
       	            
       	            $jobcarddata2    =   DB::select("CALL usp_get_jobcard_data_forchart_month('".$prev_month."','".$curr_year."',$admin_id);");
       	        }
       	        
       	        // var_dump($jobcarddata2);
       	        // exit();
       	        
       	        $jmonth2        = array();
       	        $jcum_month2    = array();
       	        
       	        foreach ($jobcarddata2 as $datum)
        	      {
        	        $jmonth2[$datum->days]       = $datum->count;
        	        $jcum_month2[$datum->days]   = $datum->count;
        	      }
        	    
       	        
       	        //for prev1 month (month3)
       	        $from_date 		= $prev1_from_date;
			    $to_date 		= $prev1_to_date;
       	        // $admin_id    = "NULL";
       	        
       	        
       	        if ($curr_month == 1){
       	            
       	            $jobcarddata3    =   DB::select("CALL usp_get_jobcard_data_forchart_month('".$prev1_month."','".$prev_year."',$admin_id);");
       	            
       	        }
       	        elseif ($curr_month == 2){
       	            
       	            $jobcarddata3    =   DB::select("CALL usp_get_jobcard_data_forchart_month('".$prev1_month."','".$prev_year."',$admin_id);");
       	        }
       	        else{
       	            
       	            $jobcarddata3    =   DB::select("CALL usp_get_jobcard_data_forchart_month('".$prev1_month."','".$curr_year."',$admin_id);");
       	        }
       	        
       	        
       	        $jmonth3        = array();
       	        $jcum_month3    = array();
       	        
       	        foreach ($jobcarddata3 as $datum)
        	      {
        	        $jmonth3[$datum->days]       = $datum->count;
        	        $jcum_month3[$datum->days]   = $datum->count;
        	      }
        	    
        	    
        	    //create data array for chart using all the earlier results generated
        	    $jdata_array     =   []; //for day wise line chart
        	    $jcum_data_array =   []; //for day wise cumulative line chart
        	    
        	    
        	    //if condition to stop line with the current date for the current month - day wise graph
        	    $count = 0;
        	    foreach ($d as $i) {  
                   
                   if ($i <= $t[2]){
                        
                        $count = isset($jmonth1[$i]) ? $jmonth1[$i] : '0';
                        
                    }
                     else{
                         
                        $count = NULL;
                         
                     }
                   
                   $jdata_array[] = 
                         array(
                             
                         'x'                => "$i",
                         $c_month_name      => $count,
                         $prev_month_name   => isset($jmonth2[$i]) ? $jmonth2[$i] : '0',
                         $prev1_month_name  => isset($jmonth3[$i]) ? $jmonth3[$i] : '0',
                         
                    );

                }
        	    
        	    //if condition to stop line with the current date for the current month -- cumulative graph
        	    $jcount1 = 0;
        	    foreach ($d as $i) {  
                   
                    if ($i <= $t[2]){
                        
                        $jcount1 += $jcum_month1[$i];
                        // var_dump($i);
                        // var_dump($t[2]);
                        // exit();
                        
                    }
                     else{
                         
                        $jcount1 = NULL;
                         
                     }
                   
                   $jcum_data_array[] = 
                         array(
                             
                         'x'                => "$i",
                         $c_month_name      => $jcount1,
                         $prev_month_name   => $jcount2 += $jcum_month2[$i],
                         $prev1_month_name  => $jcount3 += $jcum_month3[$i],
                         
                    );

                }
                
                $months = json_encode([$c_month_name,$prev_month_name,$prev1_month_name]);
                // var_dump($months);
                // exit();
                //var_dump(json_encode($months));
        	    //---------jobcard chart end--------//
        	    
        	    $data_array     = json_encode($data_array);
        	    $cum_data_array = json_encode($cum_data_array);
        	    
        	    $jdata_array     = json_encode($jdata_array);
        	    $jcum_data_array = json_encode($jcum_data_array);
        	    
                //var_dump($jdata_array);
                // var_dump($jcum_data_array);
                // exit();
                
                $role ='SALES REP';
                //$salesexecutivelist = array(''=>'select')+User::lists('user_name','admin_id');
                $salesexecutivelist	= array(''=>'--select--')+User::where('role', $role)->lists('user_name','admin_id');
                // var_dump($salesexecutivelist);
                // exit();
        	    
			return View::make('dashboard.dashboard')->with('user',Auth::User())
			                                        ->with('data_array',$data_array)
			                                        ->with('cum_data_array',$cum_data_array)
			                                        ->with('jdata_array',$jdata_array)
			                                        ->with('jcum_data_array',$jcum_data_array)
			                                        ->with('d',$d)
			                                        ->with('c_month_name',$c_month_name)
			                                        ->with('prev_month_name',$prev_month_name)
			                                        ->with('prev1_month_name',$prev1_month_name)
			                                        ->with('salesexecutivelist',$salesexecutivelist)
			                                        ->with('months',$months);	
		
		}
		else{
			
			return Redirect::to('/login')->with('msg_danger', 'Session Expired');
		
		}		
	
	}
	
	//End

	// Added by Balaji Feb 18, 2020  
	public function getusers($admin_id=null)
	{ 
		$user = User::find($admin_id);		
		$users = User::all();

		if (isset($admin_id)){
			return View::make('users.user')->with('user',$user)->with('$admin_id',$admin_id);	
		}
		else{
			return View::make('users.user')->with('users',$users);
		}		
	
	}

	
	//add and edit user get method	
	public function editUser($admin_id)
	{
		
		$user = User::find($admin_id);
// 		var_dump($user);
// 		exit();
		return Redirect::to('users/'. $admin_id)->with('user',$user);
		
	}



//-------------------------------------------------------

//add and edit item post method

	public function postUser($admin_id=null)
	{
		
		$rules=array(
			
			'user_name' => 'required',
			'employee_id' => 'required',
			'mobile_no' => 'required|alphaNum|max:10',
			'email_id' => 'required',
			'password' => 'required'	    
					
		);

	// validate rules on the inputs from the form
	$validator = Validator::make(Input::all(), $rules);	
		if ($validator->passes())
		{
			
			if (isset($admin_id))
				{
					
					$user = User::find($admin_id);
					
				}
				else
				{				
					$user = new User();
				}        

				$user->user_name = Input::get('user_name');
				$user->employee_id = Input::get('employee_id');
				$user->mobile_no = Input::get('mobile_no');
				$user->email_id = Input::get('email_id');
				$user->role = Input::get('role');
		        
		        $password=Input::get('password');
            	$user->password      = Hash::make($password);
            	$user->temp_password = $password;		
				$user->save();
				
				return Redirect::to('/users');

			}
		else	
		{	
			return Redirect::to('/users')->withErrors($validator->errors());   	  

		}
	

	}


//-------------------------------------------------------------//
//USER PAGE

//DeleteUser get method



  	public function deleteuser($admin_id) {

  		
  		$user = User::where('admin_id',$admin_id)->delete();

            return Redirect::to('/users');

  	}
		
//END	
			
//-----------------------------------------------------------//  
		
	public function registerget()
	{ 
		//show the form		  
	return View::make('auth.register');
	}	
	
	  public function registerpost()
	{ 
	    //validate the info, create rules for the inputs
	$rules = array(
	'admin_name'    => 'required',
	'mobile_no'     => 'required|alphaNum|max:10', 
	'email_id'      => 'required', 
	'password'      => 'required',   
	);
	      // run the validation rules on the inputs from the form
	$validator = Validator::make(Input::all(), $rules);
	      // if the validator fails, redirect back to the form
	if ($validator->fails())
	{
	return Redirect::to('register')->withErrors($validator->errors());
	}

	$password=Input::get('password');

	$tm_user= new User;
	      //$user->Id=Input::get('Id');
	$tm_user->user_name    = Input::get('admin_name');
	// var_dump($tm_user->user_name);
	// exit();
	$tm_user->mobile_no     = Input::get('mobile_no');
	$tm_user->email_id      = Input::get('email_id');
	$tm_user->password      = Hash::make($password);
	$tm_user->temp_password = $password;
	$tm_user->save();
	$success = Session::get('success');
	return Redirect::to('/login')->with('msg_success', 'Register Successfully');
	} 

	public function tmgetlogin()
	{
	    // show the form
	  return View::make('login.login');
	   // return View::make('loginnew');
	}

	public function tmpostlogin()
	{

	    
	  // create our user data for the authentication
	    $userdata = array(
	        'email_id'     => Input::get('email_id'),
	        'password'     => Input::get('password')
	    );     
	   // var_dump($userdata);
	   // exit(); 
	  // validate the info, create rules for the inputs
	    $rules = array(
	      'email_id'    => 'required|email', // make sure the email is an actual email
	      'password' => 'required' // password can only be alphanumeric and has to be greater than 3 characters
	    );
	    // run the validation rules on the inputs from the form
	  $validator = Validator::make(Input::all(), $rules);


	// if the validator fails, redirect back to the form
    	if ($validator->fails()) {
            
    
    		Session::flash('msg_danger','Please enter Email and Password');
    	    return Redirect::to('login')->withInput();
    	        // ->withErrors($validator) // send back all errors to the login form
    	        // ->withInput(Input::except('password')); // send back the input (not the password) so that we can repopulate the form
    	} 
    	else
    	{
    	  	
    	  	$email      =   Input::get('email_id');
    	    $password   =   Input::get('password');
    	   
    	   // var_dump($password);
    	   // exit();
    
    	    $user=null;
    	     
    	   $users = User::where('email_id',$email)->get();
    	   //$users = User::where('email_id',$email)->first();
    
    	       // var_dump($users);
    	       // exit();
    
    	     foreach ($users as $key => $value)
    	      {
    	           if(Hash::check($password,$value->password))
    	             {      //var_dump($value->password);
    	                  // var_dump($value);
    	                  //exit();
    	                  $user = $value;
    	             //      var_dump($user);
    	             //      exit();
    	                    
    	            }
    	      }

	          if ($user !=null)
	            {
                    
        	      Auth::login($user);
        	      // var_dump(Auth::user()->name);
        	      // exit();
        	      
        	      $mobile=$user->phonenumber;
        	          $msg ="Login Successful!";
        	      //   $sms= Helper::sendSMS($mobile,$msg);
			
	                return Redirect::to('/')->with('msg_success', 'Login Successful!');
	               }
	            else
	            
	                return Redirect::to('/login')->with('msg_danger', 'Login Failed');
	             

	       }
	       

	}
	public function forgetget()
          {
              // show the form
           return View::make('forget.forgetpassword');
          }

          public function forgetpost()
          {

            $mobile=Input::get('mobile_no');
            $datetime =  date("Y-m-d H:i:s");
             $user = User::where('mobile_no',$mobile)->first(); 

                if ($user==null ) 
                  {    
                    return Redirect::to('forget')->withInput()->with('msg_danger','Invalid mobile number');
                  }
                  else
                  {      
                        $otp=Helper::randomPassword();
                        $msg ="hai your otp $otp";
                        Helper::sendSMS($mobile,$msg);
                        $user->otp = $otp;
                        $user->otp_at=$datetime;
                        // var_dump($otp);
                        // exit();
                        $user->save();
                        //return View::make('otpverify')->with('user_id',$user_id);
                       return Redirect::to('otpveification/'.$user->admin_id)->with('msg_success','OTP saved');
                  }
                       
          }
            public function otpverifyget($admin_id)
          {
              // show the form
           return View::make('otpverify.otpverify')->with('admin_id',$admin_id);
         }

           public function otpverifypost($admin_id)
         {
          // $user              = User::find($user_id);
          $otp=Input::get('otp');
        //  $user_id=Input::get('user_id');
           $user = User::find($admin_id);
           // var_dump($user);
           // exit();
             if($user->otp == $otp)
            {  

           return Redirect::to('resetpassword/'.$user->admin_id)->with('msg_success','Set your new password');
            }
         else
         {
          return Redirect::to('otpveification'.$user->admin_id)->with('msg_danger','Invalid OTP');
          }
    }
    public function resetget($admin_id)
          {
              // show the form
           return View::make('resetpwd.confirmpassword')->with('admin_id',$admin_id);
          }

    public function resetpost($admin_id)
          {
              $rules = array(
          'password'   => 'required',
    'confirm_password' => 'required_with:password|same:password' 
      );
      // run the validation rules on the inputs from the form
      $validator = Validator::make(Input::all(), $rules);
      // if the validator fails, redirect back to the form
       if ($validator->fails())
          {
              return Redirect::to('resetpassword')->with('msg_danger', 'Enter correct Password');
          }
        else
        {
          $resetpassword = User::find($admin_id); 
          $password=Input::get('password');

        // $resetpassword= new User;
            $resetpassword->password      = Hash::make($password);
            $resetpassword->temp_password = $password;
            $resetpassword->save();

          return Redirect::to('login')->with('msg_success', 'Password Changed');
            }
          }

	   public function logout()
	    {
	    	 Auth::logout();
	    	 return Redirect::to('login');
	    }
}