@extends('layout.layout')
@section('title','Jobcard') 
@section('head_title','Jobcard')
@section('content')
<style>
  
  

   /*.headr_id
   {
   padding:10px 25px;
   }*/
</style>
<!-- Filter  -->
<div class="row"> 
   <div class="col-sm-12">
       
      <form id="frm_filter" action="{{ url('/jobcardfilter') }}" method="post">
         <div id="accordion" role="tablist">
            <div class="card card-collapse ">
               <div class="card-header text-white bg-primary" role="tab" id="headingOne">
                  <!-- <h5 class="mb-0"> -->
                  <strong><a class="text-white collapsed" data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                  <i class="fa fa-filter"></i> Filter</a> </strong> 
                  </a>
                  <!-- </h5> -->
               </div>
               <div id="collapseOne" class="collapse {{ $is_filter==1?'show':'' }}" role="tabpanel" aria-labelledby="headingOne" data-parent="#accordion">
                  <div class="card-body">
                     <div class="row">
                        <div class="col-sm-4" id="cname">
                           <label>Customer Name</label>
                           <input type="text" name="CName" class="form-control" value="{{ $filter_name }}">
                        </div>
                        <div class="col-sm-4" id="cmobile">
                           <label>Mobile</label>
                           <input name="CMobile" type="text" class="form-control" value="{{ $filter_mob }}">
                        </div>
                        <div class="col-sm-4" id="cemail">
                           <label>Email</label>
                           <input  name="CEmail" type="text" class="form-control" value="{{ $filter_email }}">
                        </div>
                     </div> 
                     <br/>  
                     <div class="row">
                     <div class="col-sm-4" id="quotation_on">
                           <label>Jobcard Id</label>
                           <input name="JobcardId" type="text" class="form-control" value="{{ $filter_jobcard_id }}">
                        </div>
                        <div class="col-sm-4" id="quotation_on">
                           <label>Quotation Id</label>
                           <input name="QuotationId" type="text" class="form-control" value="{{ $filter_quotation_id }}">
                        </div>
                        <div class="col-sm-4" id="shipping_date">
                           <label>Measurement Id</label>
                           <input  name="MeasurementId" type="text" class="form-control" value="{{ $filter_measurement_id }}">
                        </div>
                     </div>
                     <br/>
                    <div class="row">
                        <div class="col-sm-4" id="orderby"> 
                            <label>Order_by</label>
                     {{ Form::select('orderby', 
                     array(''=> '--Select--','customer_id'=>'customer_id','name'=>'name','email'=>'email','mobile'=>'mobile'),$order_by, ["class"=>"form-control col"]) }}
                        </div>
                        <div class="col-sm-4" id="ordertype">
                            <label>Order_type</label>
                     {{ Form::select('ordertype', 
                     array('asc'=>'ascending','desc'=>'descending'),$order_type, ["class"=>"form-control col"]) }}
                        </div>
                     </div>               
                  </div>
                   <div class="card-footer text-muted">   
                     <div class="row">                      
                        <div class="col-sm-12 text-right">
                           <input name="Remove" type="submit"  class="btn btn-sm btn-danger" value="Remove Filter" />
                           <input  name="Apply" type="submit" class="btn btn-sm btn-primary" value="Apply Filter">
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </form>
   </div>
</div>
<!--End Filter  -->

<div class="clear"></div>

<!-- Index Table  -->
<form id="frm_Delete"  action="{{ url('/jobcard') }}"  method="post">
   <!-- panel table design -->
      <div class="row">
      <div class="col-sm-12">
         <div class="card  card-collapse">
            <div id="header_id" class="card-header text-white bg-primary">               
                  <div class="row">
                     <div class="col-6 col-md-4">       
                        <i class="fa fa-list" aria-hidden="true"></i> Index
                     </div>
                     <div class="col-6  col-md-5  from-group text-right">                     
                        <label class="dataTables_length" id="example_length">
                        Show 
                        </label>
                     
                        <select name="page_size" id="ddl_page_size" aria-controls="example" value="{{ $page_size }}" class="form-control-sm">
                        <option value="2" {{ $page_size=="2"?"selected":"" }}>2</option>
                        <option value="5" {{ $page_size=="5"?"selected":"" }}>5</option>
                        <option value="10" {{ $page_size=="10"?"selected":"" }}>10</option>
                        <option value="25" {{ $page_size=="25"?"selected":"" }}>25</option>
                        <option value="50" {{ $page_size=="50"?"selected":"" }}>50</option>
                        <option value="100" {{ $page_size=="100"?"selected":"" }}>100</option>
                        </select>                     
                        <label class="dataTables_length" id="example_length"> entries
                        </label>
                     </div>
                     <div class="col-12 col-md-3 text-right">
                        <!-- <a href="#1"  class='fas ' style='font-size:16px;color:white' ></a> -->
                        <button type="button" id="delete" class="btn btn-sm btn-danger" style="display:none" onclick="mul_deletef('{{ URL::to ('quotations/delete_all')}}')"><i class="fa fa-trash-alt"></i> Multi Delete</button>
                        
                     </div>
               </div>
            </div>
             <?php $sno = 1;?>
            <div class="card">
               <table class="table table-hover">
                  <thead  class="thead-light">
                     <tr>
                        <th width="5%;">
                           <input class="chk" type="checkbox" name="id[]" id="selectall" type="button">
                        </th>
                        <th> S.No</th>
                        <th>Jobcard ID</th>
                        <th>Customer Details</th>
                        <!--<th>Customer ID</th>-->
                        <th>Measurement ID</th>
                        <th>Quotation ID</th>
                        <th>Sales Executive</th>
                        <!--<th>Created Date</th>-->
                        <th>View</th>
                        <th></th>
                     </tr>
                  </thead>
                  @foreach($jobcards as $jobcard)
                  <tbody>
                     <tr>
                        <td width="5%;"><input class="chk" type="checkbox" name="id[]" value="{{$jobcard->jobcard_id}}"></td>
                      <!-- <td> {{ $sno++ }} -->
                        <td>{{ $jobcard->serial_number }} </td>
                        <td>{{ $jobcard->jobcard_id }} </td>
                        <!--<td>{{ $jobcard->customer_id }} </td>-->
                        <td>{{ $jobcard->name}}/ {{ $jobcard->email}} / {{ $jobcard->mobile}}</td> 
                        <td>{{ $jobcard->measurement_id }} </td>
                        <td>{{ $jobcard->quotation_id}} </td>
                        <td>{{ $jobcard->created_admin_name}} </td>
                        <!--<td>{{ $jobcard->created_at}} </td>-->
                        <!--<td width="30%;" style="text-align:center;">{{ $jobcard->address1}}{{ $jobcard->address2}}{{ $jobcard->address3}}<br /></td>-->
                        <td width="10%;" style="text-align:left;">
                          <!--<a href="{{ url('jobcard/viewjobcard/'.$jobcard->jobcard_id) }}" class='fa fa-eye' style='font-size:15px;color:maroon'></a>-->
                        <a href="#1" class='fa fa-eye' style='font-size:15px;color:maroon' onclick="location.href='{{ URL::to('jobcard/viewjobcard/'.$jobcard->jobcard_id.'/'.$jobcard->quotation_id) }}'">
                              </a>
                        <!--<a href="{{ URL::to('jobcard/viewjobcard/'.$jobcard->jobcard_id) }}" class='fa fa-eye' style='font-size:15px;color:maroon'>-->
                        <!--      </a>-->
                        </td>
                     </tr>
                  </tbody>
                  @endforeach 
               </table>
            </div>
          <div class="card-footer text-muted">
               <div class="row">
                  <div class="text-left col-md-8">                  
               @if ($quotation_count > $page_size)
                 <!--     {{ $q_itemindex->links(); }} -->
                      {{ CustomPagination::link($q_itemindex,$page_no) }}             
               @endif
                  </div>
               @if (isset($page_size) && count($page_size)>0)
                  <div class="text-right col-md-4">
                     Showing {{$q_itemindex_count}} of {{$quotation_count}} records
                  </div>
                  @endif
               </div>
            </div>
         </div>
      </div>
   </div>
</form>
<!--End Index Table -->
@stop
@section('bottom_script')
<script type="text/javascript">

   
   function hide_show_deletebutton() {
    $("#delete").hide();
          if($('.chk').prop('checked'))
            $("#delete").show();
          else
            $("#delete").hide();
   }
   $(function() {
   
    hide_show_deletebutton();
    
    $(document).on('change', '#selectall', function() {
    
      if ($(this).prop('checked')) {
        $('.chk').prop('checked', true);
        $(this).val('Unselect All');
      } else {
        $('.chk').prop('checked', false);
        $(this).val('Select All');
      }
    });
    });
   $(document).ready(function(){
    
        $("#selectall").click(function(){
          hide_show_deletebutton()
         });
   
        $(".chk").click(function(){
           $("#delete").hide();
          if($(this).prop("checked") == true)
            $("#delete").show();
          else
            $("#delete").hide();
         });
   
   
    $("#ddl_page_size").change(function(){    
      $("#frm_Delete").submit();
    });
   });
</script> 
@stop