@extends('layout.layout')
@section('title','Jobcard') 
@section('head_title','Jobcard')
@section('content') 
<style>
   .line
   {
   color:#7376df;
   }
   .col {
   border: 1px solid black;
   }
   .lines {
   border: 1px solid black;
   margin-left: 100px;
   }
   th,td
   {
   text-align: center;
   }
</style>

<form id=""  action="{{ url('/jobcardindex') }}"  method="post">
   @if(isset($quotations) )
         @foreach ($quotations as $key => $quotation)
   <div class="row">
   <div class="col-sm-12">
      <div class="card">
         <div id="header_id" class="card-header text-white bg-primary">
            <div class="row">
               <div class="col-sm-7">       
                  <i class="fa fa-list" aria-hidden="true"></i> Jobcard
               </div>
            </div>
         </div>
         <div class="card-body">
            <hr class="line">
            <div class="row">
               <div class="col-sm-5">
                  <div class="form-group">
                     <label><strong>Measurement ID :</strong></label>
                     <label> {{ $quotation->measurement_id}} </label>
                     <br/>
                  </div>
               </div>
               <div class="col-sm-7 text-right">
                  <div class="form-group">
                     <label><strong>Sales Person :</strong></label>
                     <label> {{ $quotation->created_admin_name}}</label>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-sm-5">
                  <div class="form-group">
                     <label><strong>Quotation ID :</strong></label>
                     <label>{{ $quotation->quotation_id}}</label>
                     <br/>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-sm-12 text-center">
               </div>
            </div>
<P id="Jobcard">*************************************************JOBCARD********************************************</P>
           <!-- {{ var_dump($measurementitems_db) }}  -->
            <div class="responsive">
               <table class="table table-bordered table-striped">
                  <thead class="thead-dark">
                     <tr>
                        <th>#</th>
                        <th>Room</th>
                        <th>Item</th>
                        <th>Number</th>                        
                        <th>Height <br>(in)</th>
                        <th>Width <br>(in)</th>                                  
                        <th>Parts</th>
                        <th>Length<br>(m)</th>
                        <th>Accessories</th>
                        <th>Total<br>Length (m)</th>                                                           
                     </tr>
                     
                  </thead>
                  
                  <tbody>
                     @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
                        @foreach ($measurementitems_db as $key => $itemdetail)
                            @if($itemdetail->measurement_id == $quotation->measurement_id)

                     <tr>                    
                        <td>{{ $sno-- }}</td>
                        <td>{{ $itemdetail->room }}</td>
                        <td>{{ $itemdetail->item_name }}</td>
                        <td>{{ $itemdetail->item_number }}</td>                     
                        <td>{{ $itemdetail->jobcard_height }} </td>
                        <td>{{ $itemdetail->adjusted_width }}</td>                                 
                        <td>{{ $itemdetail->parts }}</td>
                        <td>{{ $itemdetail->jobcard_length }}</td>
                        <td>
                        @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                           @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                              @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                                   
                           {{ $accessorydetail->accessory }} <br>
                                                
                              @endif      
                           @endforeach
                        @endif
                        </td>
                        <td style="font-weight: bold;">{{ $itemdetail->jobcard_total }} meters</td>                                               
                     </tr>
                            @endif

                     @endforeach
                           
                     @endif
                                                   
                  </tbody>
            
               </table>
               
            </div>
</div>   
      </div>
         
      </div>
   </div>
         @endforeach
@endif

</form>
@stop
@section('buttom_script')
@stop