@extends('layout.layout')
@section('title','Jobcard') 
@section('head_title','Jobcard')
@section('content') 
<style> 
   .line
   {
   color:#7376df;
   }
   .col {
   border: 1px solid black;
   }
   .lines {
   border: 1px solid black;
   margin-left: 100px;
   }
   th,td
   {
   text-align: center;
   }
</style>
 
<form id="frm_Delete"  action="{{ url('/jobcard') }}"  method="post">
<!-- <form id="quotation_view"  action="{{url('quotations/quotationview/'.$id) }}"  method="post"> -->
   <div class="row">
   <div class="col-sm-12">
      <div class="card">
         <div id="header_id" class="card-header text-white bg-primary">
            <div class="row">
               <div class="col-sm-7">       
                  <i class="fa fa-list" aria-hidden="true"></i> Jobcard
               </div>
            </div>
         </div>
         @foreach($jobcards as $jobcard)
         <div class="card-body">
            
             <div class="row">
                <div class="col-sm-6">
                   
                </div>
                <div class="col-sm-6 text-right">
                   
                </div>   
             </div>
             <div class="row">
                <div class="col-sm-12">
                   <div class="form-group">
                      <label><strong>Sales Executive :</strong></label>
                      <label>{{ $jobcard->created_admin_name}}</label>
                   </div>
                </div>
             </div>
    
             <table class="table table-bordered" style="border: 1px solid !important; text-align: left;">                  
                <tr>
                   <th colspan="2"><label><strong>Customer ID :</strong></label></th>
                   <th colspan="2"><label>{{ $jobcard->customer_id }}</label></th>
                   <th colspan="2"><label><strong>Measurement ID :</strong></label></th>
                   <th colspan="2"><label>{{ $jobcard->measurement_id}}</label></th>
                   <th colspan="2"><label><strong>Quotation ID :</strong></label></th>
                   <th colspan="2"><label>{{ $jobcard->quotation_id }}</label></th>
                   <th colspan="2"><label><strong>Jobcard ID :</strong></label></th>
                   <th colspan="2"><label>{{ $jobcard->jobcard_id }}</label></th>
                </tr>
             </table>
            <br/>
        @endforeach
        @if(isset($quotations) )
        <div class="responsive">
               <table class="table table-bordered table-striped">
                  <thead class="thead-dark">
                     <tr>
                        <th>#</th>
                        <th>Room</th>
                        <th>Item</th>
                        <th>Number</th>                        
                        <th>Height <br>(in)</th>
                        <th>Width <br>(in)</th>                                  
                        <th>Parts</th>
                        <th>Length<br>(m)</th>
                        <th>Accessories</th>
                        <th>Total<br>Length (m)</th>                                                           
                     </tr>
                     
                  </thead>
                  
                  <tbody>
                     
                     @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
                        @foreach ($measurementitems_db as $key => $itemdetail)
                            @if($itemdetail->measurement_id == $quotations->measurement_id)
                        
                     <tr>                    
                        <td>{{ $sno-- }}</td>
                        <td>{{ $itemdetail->room }}</td>
                        <td>{{ $itemdetail->item_name }}</td>
                        <td>{{ $itemdetail->item_number }}</td>                     
                        <td>{{ $itemdetail->jobcard_height }} </td>
                        <td>{{ $itemdetail->adjusted_width }}</td>                                 
                        <td>{{ $itemdetail->parts }}</td>
                        <td>{{ $itemdetail->jobcard_length }}</td>
                        <td>
                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                                       
                               {{ $accessorydetail->accessory }} <br>
                                                    
                                  @endif      
                               @endforeach
                            @endif
                        </td>
                        <td style="font-weight: bold;">
                            @if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           
                               @foreach ($measurementaccessorys_db as $key => $accessorydetail)
                                  @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)
                                        @if($itemdetail->item_type == 'Curtain')               
                                            {{ $itemdetail->jobcard_total }} meters <br>
                                        @else
                                            {{ $itemdetail->jobcard_total }} Sq.ft <br>
                                        @endif
                                  @endif      
                               @endforeach
                            @endif
                            
                        </td>                                               
                     </tr>
                            @endif

                     @endforeach
                           
                     @endif
                     
                  </tbody>
            
               </table>
            </div>
         @endif
            <div class="card-header text-muted">
                <div class="row col-md-12">
                   
                   <div class="col-md-6 text-right">
                      <input name="send_print" value="Print Jobcard" type="button" class="btn btn-md btn-primary" style='font-size:14px;font-weight:bold;color:white' onclick="location.href='{{url('jobcard/jobcardprint/'.$jobcard->jobcard_id.'/'.$jobcard->quotation_id) }}'"></strong>
                      </input>&nbsp&nbsp&nbsp
                   </div>
                   
                   <div class="col-md-6 text-left">
                       <input name="Index" value="Index" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('/jobcardindex')}}'">                                      
                   </div>
    
                </div>
            </div>
            
         
      </div>
   </div>
</form>
@stop

