@extends('layout.layout')
@section('title','Measurement Addlist') 
@section('head_title','Address List')


@section('content') 


<td colspan=1>
	<p>Address list for mobile no: {{ $mob }}</p>
</td><br>

<div class="clear"></div>

<!-- Index Table  -->

<form id="page_size" action="#"  method="post">
   <!-- panel table design -->
  <div class="row">
      <div class="col-sm-12">
         <div class="card  card-collapse">
            <div id="header_id" class="card-header text-white bg-primary">               
                  <div class="row">
                     <div class="col-6 col-md-4">       
                        <i class="fa fa-list" aria-hidden="true"></i> Index
                     </div>
               </div>
            </div>
  <?php $sno = 1;?>
<div class="card">
<div id="collapseTwo" class="form-group row">
	<div class="col-md-12">
		<table class="table table-hover"> 
		@if(isset($customers) )
		<!-- measurements -->
      <thead class="">
        <tr>          
          <th width="10%;">S No</th>
          <th width="35%;">Customer name</th>
          <th width="40%;">Address</th>          
          <th width="15%;">Show details</th>            
        </tr>
      </thead>
		@foreach ($customers as $key => $customer)
			<tbody>
				<tr>
					<td id="name" colspan="1" class="text-green" 
           >{{ $sno++}}</td>
          <td id="name" colspan="1" class="text-green" 
					 >{{$customer->name}}</td>
					<td id="name" colspan="1" class="text-green">                
                {{$customer->address1}},<br>
                {{$customer->address2}},<br>
                {{$customer->address3}},<br>
                {{$customer->city}}-{{$customer->pincode}}<br>
                </td> 
					<td colspan=2>
					<button type="button" class="btn btn-sm btn-success"><a href="{{ URL::to('/measurements/measurementlist/'.$customer->customer_id) }}"><span class=" fa fa-check " style="color:white"><b>Show Measurement</b></span></button></a>
					</td>				
				</tr>
			</body>
			
		@endforeach <!-- end measurements --> 
		@endif 
		</table>
    </div>
    </div>
		<div class="card-footer text-muted">
            <div class="row">
                <div class="text-left col-md-8">                  
               @if ($measurementitems_count > $page_size)
                  <!--    {{ $measurements_pagination->links(); }} -->
                     {{ CustomPagination::link($measurements_pagination,$page_no) }}
               @endif
                </div>

                @if (isset($page_size) && count($page_size)>0)
                <div class="text-right col-md-4">
                     Showing {{$measurementitems_db_count}}</label> of {{$measurementitems_count}} records
                </div>
                  @endif   
            </div>
        </div>
        </div>
	</div>
</div>
</form>
						
	<!-- 					
		<section class="row">
			<div class="col-12 mt-1 mb-4">Supported by <a href="https://www.numerotec.com">Numero Technologies</a></div>
		</section> -->
				

  @stop
    @section('bottom_script')

<script type="text/javascript">
	$(document).ready(function()
	{
 		$(".child").hide();
	});

	function hideshow(measurement_id)
	{

		 $("#child_"+measurement_id).toggle(1000);
     $("#btn_"+measurement_id).toggleClass("fa-minus fa-plus");		 
	}
	
$("#ddl_page_size").change(function(){    
      $("#page_size").submit();
    });
</script>

  @stop


