@extends('layout.layout')
@section('title','Quotation') 
@section('head_title','Quotation')
@section('content') 
<style>
   .line
   {
   color:#7376df;
   }
   .col {
   border: 1px solid black;
   }
   .lines {
   border: 1px solid black;
   margin-left: 100px;
   }
   th,td
   {
   text-align: center;
   }
</style>
<form id="quotation_view"  action="{{url('/quotations/quotationedit/'.$id) }}"  method="post">
   <div class="row">
   <div class="col-sm-12">
      <div class="card">
         <div id="header_id" class="card-header text-white bg-primary">
            <div class="row">
               <div class="col-sm-7">       
                  <i class="fa fa-list" aria-hidden="true"></i> Quotation
               </div>
            </div>
         </div>
         <div class="card-body">
            <div class="row">
               <div class="col-sm-12">
                  <strong>Innovation</strong> 
               </div>
            </div>
            <div class="row">
               <div class="col-sm-12">
                  <strong>G N Mills, Coimbatore.</strong>    
               </div>
            </div>
            <div class="row">
               <div class="col-sm-5">
                  <div class="form-group">
                     <label><strong>Measurement ID :</strong></label>
                     <label>{{ isset($quotations->measurement_id)?$quotations->measurement_id : '' }} </label>
                     <br/>
                  </div>
               </div>
               <div class="col-sm-7 text-right">
                  <div class="form-group">
                     <label><strong>Sales Person :</strong></label>
                     <label> </label>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-sm-12 text-center">
               </div>
            </div>
            <P id="quotation_line">************************** *QUOTATION********************************</P>
            <strong>To</strong>
            <div class="row">
               <div class="col-sm-6">
                  <div class="form-group">
                     <label><strong>Customer Name :</strong></label>
                     <label>{{ $quotations->name}}</label>
                  </div>
               </div>
               <div class="col-sm-6 text-right">
                  <div class="form-group">
                     <label><strong>Customer ID :</strong></label>
                     <label>{{ $quotations->customer_id}}</label>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-sm-6">
                  <div class="form-group">  
                     <strong>Customer Address :</strong>
                     <label>{{ $quotations->address1}}{{ $quotations->address3}}</label>
                  </div>
               </div>
               <div class="col-sm-6 text-right">
                  <div class="form-group">
                     <label><strong>Quotation ID :</strong></label>
                     <label>{{ $quotations->quotation_id}}</label>
                  </div>
               </div>
            </div>
            <div class="container">
               <div class="row">
                  <!-- 3 + 7 + 2 = 12 columns -->
                  <div class="col-sm-2 col">From Date</div>
                  <input type="date" class="form-control col" id="input" name="quotation_on" width="" value="{{ $quotation_on }}">
                  <div class="col-sm-2 col">Shipping Date</div>
                  <input type="date" class="form-control col" id="input" name="shipping_date" width="" value="{{ $shipping_date }}">
                  <div class="col-sm-2 col">Payment Terms</div>
                  <input type="date" class="form-control col" id="input" name="payment_terms" width="" value="{{ $payment_terms }}">
               </div>
            </div>
            <br/>
            <div class="responsive">
               <table class="table table-bordered">
                  <thead>
                     <tr>
                        <th>No</th>
                        <th>Item Code</th>
                        <th>Item Name</th>
                        <th>Description</th>
                        <th>unit price</th>
                        <th>Length</th>
                        <th>Quantity</th>
                        <th>Total amount</th>
                     </tr>
                  </thead>
                  <tbody>
                     @foreach($q_item_items as $q_item_item) 
                     <tr>
                        <td>{{ $q_item_item->accessory_id}}</td>
                        <td>{{ $q_item_item->accessory_no}}</td>
                        <td>{{ $q_item_item->item_name}}</td>
                        <td>{{ $q_item_item->accessory_name}}</td>
                        <td>{{ $q_item_item->unit_price}}</td>
                        <td>{{ $q_item_item->length}}</td>
                        <td>{{ $q_item_item->quantity}}</td>
                        <td>{{ $q_item_item->total_amount}}</td>
                     </tr>
                     @endforeach
                  </tbody>
               </table>
            </div>
            <div class="row">
               <div class="col-sm-12 text-right">
                  <strong>Sub Total :</strong>
                  <label>{{ $quotations->sub_total}}</label>
               </div>
               <div class="col-sm-12 text-right">
                  <strong>GST :</strong>
                  <label>{{ $quotations->gst}}</label>
               </div>
            </div>
            <!--<div class="row">-->
            <!--   <div class="col-sm-9 text-right">-->
            <!--   </div>-->
            <!--   <strong>Shipping Amount:</strong>-->
            <!--   <div class="col-sm-1 text-right">-->
            <!--      <input type="text" class="form-control" placeholder="" id="user-input" name="shipping_amount" width="" value="{{ $quotations->shipping_amount}}">-->
            <!--   </div>-->
            <!--</div>-->
            <div class="row">
               <div class="col-sm-6">
                  <strong>Approved by</strong>
               </div>
               <div class="col-sm-3">
               </div>
               <div class="col-sm-3">
                  <hr class="lines">
               </div>
            </div>
            <div class="row">
               <div class="col-sm-4 text-center">
                  <label>{{Auth::user()->admin_name}}</label>
               </div>
               <div class="col-sm-8 text-right">
                  <strong>Grand Total :</strong>
                  <label id="calculation">{{ $quotations->grand_total}}</label>
               </div>
            </div>
         </div>
         <div class="card-header text-muted">
            <div class="row">
               <div class="col-sm-12 text-right">
                  <div class="">
                     <strong> <input name="save" value="Save" type="submit" class="btn btn-md btn-success">
                     <input name="cancel" value="Cancel" type="button" class="btn btn-md btn-danger" onclick="location.href='{{URL('quotations')}}'"></strong>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</form>
@stop
@section('bottom_script')
<script>
   $(function() {
   $('#user-input').on('change', function() {
    
         var grandtotal = $("#calculation").text();
         var shipping_amount = $("#user-input").val();
          // alert(shipping_amount);
          var total = parseInt(grandtotal) +parseInt(shipping_amount);
          $("#calculation").text(total);
             
   });
   });
   
           //  function price() {
   
   
           //        }
</script>
@stop