@extends('layout.layout')
@section('title','Edit Item Form') 
@section('head_title','Edit Item Form')


@section('content') 

<form id="editform" action="{{url('measurements/editItem/'.$measurement_item_id)}}" method="post">

<main class="col-xs-12 col-sm-8 col-lg-9 col-xl-10 pt-3 pl-4 ml-auto">

<section class="row">
          <div class="col-sm-12">
            <section class="row">
              <div class="col-12">
                
                <div class="card mb-4">
                  <div class="card-block">
                    <h3 class="card-title"></h3>

                    <div class="form-group row">
                        <label class="col-md-3 col-form-label">Room</label>
                        <div class="col-md-9">
                          {{Form::select('room', $sel,$room, ['class' => 'form-control', 'id' =>'ddlrooms', 'name' =>'room'])}}
                        </div>
                      </div>
                      <div class="form-group row">
                        <label class="col-md-3 col-form-label">Item</label>             
                        <div class="col-md-4">
                          {{Form::select('item_name', $ite,$name, ['class' => 'form-control'])}}
                        </div>
                        
                        <label class="col-md-2 col-form-label">Number</label>
                        <div class="col-md-3">
                          <input type="text" name="number" value="{{isset($number)?$number : null}}" class="form-control">
                        </div>
                      </div>
                      <div class="form-group row">
                        <label class="col-md-2 col-form-label">Height <br>(in)</label>
                        <div class="col-md-2">
                          <input type="text" name="height" value="{{isset($height)?$height : null}}" class="form-control">
                        </div>
                        <label class="col-md-2 col-form-label">Width <br>(in)</label>
                        <div class="col-md-2">
                          <input type="text" name="width" value="{{isset($width)?$width : null}}" class="form-control">
                        </div>
                        <label class="col-md-2 col-form-label">Parts</label>
                        <div class="col-md-2">
                          <input type="text" name="parts" value="{{isset($parts)?$parts : null}}" class="form-control">
                        </div>
                      </div>
                     
                          </table>
                        </div>
                      </div>

                      <br>
                      <div class="container">
                      <div class="row">                            
                            <div class="col-md-4">        
                              <input type="submit" id="save" name="save" class="btn btn-default blue-circle-button" value="Update"><span class="blue-circle-greater-than" name="update"></span>
                            </div>
                            
                            <div class="col-md-4">
                            <input type="submit" id="exit" name="exit" class="btn btn-default blue-circle-button" value="Exit"><span class="blue-circle-greater-than" name="exit"></span>
                            
                            </div>   
                      </div>
                    </div>
                      
                    
                  </div>
                </div>
              </div>
            </section>
            <br><br><br>
            
            <section class="row">
              <div class="col-12 mt-1 mb-4">Supported by <a href="https://www.numerotec.com">Numero Technologies</a></div>
            </section>
          </div>
</section>


</main>
</form>

  @stop

@section('bottom_script')
  <script type="text/javascript">
  $( document ).ready(function() {
    
    $('#ddlrooms').selectize({
      create: true,
      sortField: 'text'
    });
  });


  function  parameterssubmit (url) {
    if(confirm("Warning!: Confirm Delete?"))
        {
    $("#itemlist").attr("action",url);
    }
    else
    {
      return false;
    }
  }

  </script>


 @stop







