<!DOCTYPE html>
<html>
   <head>
            
      <title>
         Measurement Print
      </title>
      
      <style>
         .line
         {
         color:#7376df;
         }
         .col {
         border: 1px solid black;
         }
         .lines {
         border: 1px solid black;
         margin-left: 100px;
         }
         th,td
         {
         text-align: center;
         font-size: 16px;
         }
         .table-borderless td,
         .table-borderless th {
             border: 0;
         }
      </style>
      <script src="/js/bootstrap.min.js"></script>
      <!-- <script src="/css/style.css"></script> -->
      <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">           
               
   </head> 

   <body>

      <form class="itemform" action="" method="POST">

         <section class="row">
            <div class="col-sm-12">
               <div class="card">
                  <div id="header_id" class="card-header text-white bg-primary">
                     <div class="row">
                        <div class="col-sm-7">       
                           <i class="fa fa-list" aria-hidden="true"></i> Measurement Slip
                        </div>
                     </div>
                  </div>
               </div>
               <div class="card-body">
                  
                  <div class="row">
                     <div class="col-sm-6">
                        <strong>Innovations</strong> 
                     </div>
                     <div class="col-sm-6 text-right"> 
                        <strong>Customer Name and Address : </strong> 
                     </div>
                  </div>

                  <div class="row">
                     <div class="col-sm-6">
                        <p>Door No 10B New 2,<br> 
                           17, Kalingarayan St,<br>  
                           Ram Nagar, Coimbatore,<br>  
                           Tamil Nadu 641009.</p>    
                     </div>
                     <div class="col-sm-6 text-right">                        
                        <p><strong>{{ $customer_details->name }},</strong><br>
                        {{ $customer_details->address1 }},<br>
                        {{ $customer_details->address2 }},<br>
                        {{ $customer_details->address3 }},<br>
                        Phone: {{ $customer_details->mobile }}.</p>
                     </div>   
                  </div>
                  
                  <div class="row">
                     <div class="col-sm-6">                        
                        <label class="col-md-4 col-form-label">
                           <strong>Sales Executive :</strong>
                        </label>
                        <label class="col-md-2 col-form-label" id="executive">
                           {{ isset($measurements->created_admin_name)?$measurements->created_admin_name : null }}
                        </label>
                     </div>   
                     <div class="col-sm-6 text-right">              
                        <label class="col-md-4 col-form-label"><b>{{isset($measurement_item->measurement_item_id)?'Measurement Id:':'Measurement Id:'}}</b> </label>
                        <label class="col-md-2 col-form-label"> 
                        {{isset($measurements->measurement_id)?$measurements->measurement_id:$measurement_id}}
                        </label>                       
                     </div>
                  </div>
               </div>      
            </div>   
            <div class="col-sm-12"> 
               <section class="row">
                  <div class="col-12">
                     
                     <div class="responsive">
                        <table class="table table-bordered">
                           <thead class="thead" style="background-color: #f5f0f0;">
                              <tr>
                                 <th>#</th>
                                 <th>Room</th>
                                 <!--<th>Item</th>-->
                                 <th>Item Type</th>
                                 <th>Lining</th>
                                 <!--<th>Number</th>                        -->
                                 <th>Height <br>(in)</th>
                                 <th>Width <br>(in)</th>                                  
                                 <th>Parts</th>
                                 <th>Length<br>(m/Sq.ft)</th>
                                 <th>Rod/Channel</th>
                                 <th>Accessories</th>
                                 <th>Total<br>Length (m)</th>                                                           
                              </tr>
                              
                           </thead>
                           
                           <tbody>
                              @if(isset($measurementitems_db) && $sno=count($measurementitems_db) )                  
                                 @foreach ($measurementitems_db as $key => $itemdetail)
                                     

                              <tr>                    
                                 <td>{{ $sno-- }}</td>
                                 <td>{{ $itemdetail->room }}</td>
                                 <!--<td>{{ $itemdetail->item_name }}</td>-->
                                 <td>{{ $itemdetail->item_type }}</td>
                                 <td>{{ $itemdetail->lining }}</td>
                                 <!--<td>{{ $itemdetail->item_number }}</td>                     -->
                                 <td>{{ $itemdetail->height }} </td>
                                 <td>{{ $itemdetail->width }}</td>                                 
                                 <td>{{ $itemdetail->parts }}</td>
                                 @if($itemdetail->item_type == 'Curtain'||$itemdetail->item_type == 'Roman Blinds')
                                 <td>{{ $itemdetail->length }}</td>
                                 @else
                                 <td>{{ 'Nil' }}</td>                                 
                                 @endif                                 
                                 <td>
                                 @if(isset($measurementaccessorys[$itemdetail->measurement_item_id]) )                           
                                    @foreach ($measurementaccessorys[$itemdetail->measurement_item_id] as $key => $accessorydetail)
                                       @if($accessorydetail->accessory_type == 'Rod' || $accessorydetail->accessory_type == 'Channel')
                                            
                                          {{ !empty($accessorydetail->accessory)?$accessorydetail->accessory:'<br/>' }} <br>
                                                         
                                       @endif
                                    @endforeach
                                 @endif
			                     </td>            
                                 <td>
                                 @if(isset($measurementaccessorys[$itemdetail->measurement_item_id]) )                           
                                    @foreach ($measurementaccessorys[$itemdetail->measurement_item_id] as $key => $accessorydetail)
                                       
                                        @if($accessorydetail->accessory_type == 'Material')
			                                            
                                          {{ !empty($accessorydetail->accessory)?$accessorydetail->accessory:'<br/>' }} <br>
                                                         
                                       @endif            
                                       
                                    @endforeach
                                 @endif     
                                 <!--@if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           -->
                                 <!--   @foreach ($measurementaccessorys_db as $key => $accessorydetail)-->
                                 <!--      @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)-->
                                                            
                                 <!--         {{ $accessorydetail->accessory }} <br>-->
                                                         
                                 <!--      @endif      -->
                                 <!--   @endforeach-->
                                 <!--@endif-->
                                 </td>
                                 <td style="font-weight: bold;">
                                    @if($itemdetail->item_type == 'Curtain')
                                 	    {{ !empty($itemdetail->total)?$itemdetail->total:'<br/>' }} meters <br>
                                 	@else
                                 	    {{ !empty($itemdetail->total)?$itemdetail->total:'<br/>' }} Sq.Ft <br>
                                 	@endif 
                                </td>
                                <!--<td style="font-weight: bold;">-->
                                <!--@if(isset($measurementaccessorys[$itemdetail->measurement_item_id]) )    -->
			                                    
                                <!--    @foreach ($measurementaccessorys[$itemdetail->measurement_item_id] as $key => $accessorydetail)-->
                                                
		                                           
                                <!--        @if (isset($accessorydetail->accessory) && $accessorydetail->accessory != '' )-->
			                                 
			                             <!--    @if($accessorydetail->accessory_type == 'Material')-->
			                                 <!--For materials, if curtain show total in meters, for the rest show total in Sq.ft-->
			                             <!--    	@if($itemdetail->item_type == 'Curtain')-->
			                             <!--    	    {{ !empty($itemdetail->total)?$itemdetail->total:'<br/>' }} meters <br>-->
			                             <!--    	@else-->
			                             <!--    	    {{ !empty($itemdetail->total)?$itemdetail->total:'<br/>' }} Sq.Ft <br>-->
			                             <!--    	@endif-->
			                             <!--    @else-->
			                             <!--       @if($itemdetail->item_type == 'Curtain')-->
			                             <!--    	    {{ !empty($itemdetail->total)?$itemdetail->total:'<br/>' }} meters <br>-->
			                             <!--    	@else-->
			                             <!--    	    {{ !empty($itemdetail->total)?$itemdetail->total:'<br/>' }} Sq.Ft <br>-->
			                             <!--    	@endif-->
			                                 
			                                 <!--For Rods and Channels, show total length in Ft-->
			                                 	<!--{{ !empty($accessorydetail->length)?$accessorydetail->length:'<br/>' }} Ft <br>-->
			                            <!--     @endif-->
		                               
			                            <!--@endif-->
        				                    
	                                        
	                              <!--  @endforeach-->
                               <!--  @else-->
                                 
                               <!--     @if($itemdetail->item_type == 'Curtain')-->
                                 
                               <!--  	    {{ !empty($itemdetail->total)?$itemdetail->total:'<br/>' }} meters <br>-->
                               <!--  	@else-->
                                 
                               <!--  	    {{ !empty($itemdetail->total)?$itemdetail->total:'<br/>' }} Sq.Ft <br>-->
                               <!--  	@endif-->
                                 
                               <!--  @endif     -->
                                <!--@if(isset($measurementaccessorys_db) && $tno=count($measurementaccessorys_db) )                           -->
                                <!--    @foreach ($measurementaccessorys_db as $key => $accessorydetail)-->
                                <!--        @if($itemdetail->measurement_item_id == $accessorydetail->measurement_item_id)-->
                                            
			                             <!--    @if($accessorydetail->accessory_type == 'Material')-->
			                             <!--    	@if($itemdetail->item_type == 'Curtain')-->
			                             <!--    	{{ $itemdetail->total }} meters <br>-->
			                             <!--    	@else-->
			                             <!--    	{{ $itemdetail->total }} Sq.Ft <br>-->
			                             <!--    	@endif-->
			                             <!--    @else-->
			                             <!--    	{{ $accessorydetail->length }} Ft <br>-->
			                             <!--    @endif-->
			                                 
			                                 <!--@if($itemdetail->item_type == 'Curtain' )-->
			                                 <!--	{{ $itemdetail->total }} meters <br>-->
			                                 <!--@else-->
			                                 <!--	@if($accessorydetail->accessory_type == 'Material')-->
			                                 <!--	{{ $itemdetail->total }} Sq.Ft <br>-->
			                                 <!--	@else-->
			                                 <!--	{{ $accessorydetail->length }} meters <br>-->
			                                 <!--	@endif-->
			                                 <!--@endif-->
			                                 
		                               <!-- @endif -->
	                                <!--@endforeach-->
                                 <!--@endif-->
                                 <!--</td>                                               -->
                              </tr>
                                     

                                 @endforeach
                                    
                              @endif
                                                            
                           </tbody>

                        </table>
                     </div>   
                  </div>
               </section>
               
               
               <section class="row">
                  <div class="col-12 mt-1 mb-4">Supported by <a href="https://www.numerotec.com">Numero Technologies</a></div>
               </section>
            </div>
         </section>


         </form>
   </body>

<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
      <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
   
      <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
</html> 




