@extends('layout.layout')
@section('title','User Permissions ') 
@section('head_title','User Permissions')
@section('content') 

<form  class="cmxform" id="user" name="myForm" action="{{  url('permissions/setperm/'.$id) }}"  method="post" >

<div class="row">
      <div class="col-sm-12">
         <div class="card">         
            <div id="header_id" class="card-header text-white bg-primary">              
               <div class="row">               
                     <div class="col-sm-7">
                        <i class="fa fa" aria-hidden="true">User Permissions Form</i>                     
                     </div>
               </div>                    
            </div>

            <div class="card-body">                        
              <div class="row">                
                <div class="col-sm-6">
                   <div class="form-group">  
                      <strong>Users</strong>
                      {{Form::select('user', $userlist,isset($user_id)?$user_id: null, array('class' => 'form-control', 'id' =>'user', 'name' =>'user'))}}
                      
                   </div>
                </div>
            </div>
            @if(!isset($menus))
            <div class="row">
                
                <div class="col-sm-3">                                
                </div>
                
                <div class="col-sm-9">                                    
                    <input type="submit" class="btn btn-sm btn-success" id="btnGo" name="btnGo" value="Go">
                    <!-- <a class="btn btn-sm btn-success" href="{{ url('permissions/setperm') }}">Go</a> -->                    
                </div>             
              
            </div>
            @endif
    
   <br/>
</form>

@if(isset($menus))
<h6><strong>Set Permissions</strong></h6>

   <table class="table table-sm table-bordered table-hover">
		<thead class="thead-light">
		    <tr>
            <th>Select</th>            
				    <th>Menu</th>				            
			 </tr>
		</thead>

		<tbody>
      
		@foreach($menus as $menu)					
      
			<tr>							
            <td>                                     
            {{ Form::checkbox('id['.$menu->menu_id.']', $menu->menu_id,isset($usermenu[$menu->menu_id])?'checked="checked"':'') }}
               
            </td>
				<td>
               {{ $menu->menu_name }}
            </td>				              				
			</tr>		
		@endforeach
		@else
			<!-- <tr>
				<td class="alert-danger text-center" colspan="7"> -->
					<!-- <h5>Users not found</h5> -->
				<!-- </td>
			   </tr> -->
		@endif                  
		</tbody>
      
	</table>
   @if(isset($menus))
      <div class="row">
         <div class="col-sm-3"></div>
         <div class="col-sm-3">                                    
            <input type="submit" class="btn btn-sm btn-success" id="btnSave" name="btnSave" value="Save">
         </div>
         <div class="col-md-3">
				<a href="{{ URL::to('permissions/') }}" class="btn btn-sm btn-primary"><b>Go Back</b></a>																	
			</div>
         <div class="col-sm-3"></div>
      </div>
   @endif             

  
@stop
@section('bottom_script')


@stop