-- MySQL dump 10.13  Distrib 5.6.41, for Linux (x86_64)
--
-- Host: localhost    Database: urbanedg_innovation
-- ------------------------------------------------------
-- Server version	5.6.41

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `company_detail`
--

DROP TABLE IF EXISTS `company_detail`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `company_detail` (
  `company_id` int(11) NOT NULL AUTO_INCREMENT,
  `company_name` varchar(45) DEFAULT NULL,
  `company_address` varchar(100) DEFAULT NULL,
  `sales_person` varchar(45) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `quotation_item_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`company_id`),
  KEY `fk_company_detail_1_idx` (`quotation_item_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `company_detail`
--

LOCK TABLES `company_detail` WRITE;
/*!40000 ALTER TABLE `company_detail` DISABLE KEYS */;
/*!40000 ALTER TABLE `company_detail` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `countries`
--

DROP TABLE IF EXISTS `countries`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `countries` (
  `country_id` int(3) unsigned NOT NULL AUTO_INCREMENT,
  `country_name` varchar(250) DEFAULT NULL,
  `is_visible` tinyint(1) unsigned DEFAULT '1',
  `ebs_country_code` varchar(5) DEFAULT NULL,
  `ccavenue_country_code` varchar(2) DEFAULT NULL,
  `isd_code` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`country_id`)
) ENGINE=InnoDB AUTO_INCREMENT=248 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `countries`
--

LOCK TABLES `countries` WRITE;
/*!40000 ALTER TABLE `countries` DISABLE KEYS */;
INSERT INTO `countries` (`country_id`, `country_name`, `is_visible`, `ebs_country_code`, `ccavenue_country_code`, `isd_code`) VALUES (1,'Aruba',1,'ABW','AW','+297'),(2,'Afghanistan',1,'AFG','AF','+93'),(3,'Angola',1,'AGO','AO','+244'),(4,'Anguilla',1,'AIA','AI','+1264'),(5,'Albania',1,'ALB','AL','+355'),(6,'Andorra',1,'AND','AD','+376'),(7,'Netherlands Antilles',1,'ANT','HO',NULL),(8,'United Arab Emirates',1,'ARE','AE','+971'),(9,'Argentina',1,'ARG','AR','+54'),(10,'Armenia',1,'ARM','AM','+374'),(11,'American Samoa',1,'ASM','AS','+1684'),(12,'Antarctica',0,'ATA','AN',NULL),(13,'French Southern territories',1,'ATF','TF',NULL),(14,'Antigua and Barbuda',1,'ATG','AB',NULL),(15,'Australia',1,'AUS','AU','+61'),(16,'Austria',1,'AUT','AT','+43'),(17,'Azerbaijan',1,'AZE','AZ','+994'),(18,'Burundi',1,'BDI','BI','+257'),(19,'Belgium',1,'BEL','BE','+32'),(20,'Benin',1,'BEN','BJ','+229'),(21,'Burkina Faso',1,'BFA','BF','+226'),(22,'Bangladesh',1,'BGD','BD','+880'),(23,'Bulgaria',1,'BGR','BG','+359'),(24,'Bahrain',1,'BHR','BH','+973'),(25,'Bahamas',1,'BHS','BS','+1242'),(26,'Bosnia and Herzegovina',1,'BIH','BA','+387'),(27,'Belarus',1,'BLR','BL',NULL),(28,'Belize',1,'BLZ','BZ','+501'),(29,'Bermuda',1,'BMU','BM','+1441'),(30,'Bolivia',1,'BOL','BO','+591'),(31,'Brazil',1,'BRA','BR','+55'),(32,'Barbados',1,'BRB','BB','+1246'),(33,'Brunei',1,'BRN','BN','+673'),(34,'Bhutan',1,'BTN','BT','+975'),(35,'Bouvet Island',1,'BVT','BU',NULL),(36,'Botswana',1,'BWA','BW','+267'),(37,'Central African Republic',1,'CAF','CF','+236'),(38,'Canada',1,'CAN','CA','+1'),(39,'Cocos (Keeling) Islands',1,'CCK','CC',NULL),(40,'Switzerland',1,'CHE','CH','+41'),(41,'Chile',1,'CHL','CL','+56'),(42,'China',1,'CHN','CN','+86'),(43,'Cote d\'Ivoire',1,'CIV','CI','+225'),(44,'Cameroon',1,'CMR','CM','+237'),(45,'Congo, The Democratic Republic',1,'COD','CD','+243'),(46,'Congo',1,'COG','CG','+242'),(47,'Cook Islands',1,'COK','CK','+682'),(48,'Colombia',1,'COL','CO','+57'),(49,'Comoros',1,'COM','KM','+269'),(50,'Cape Verde',1,'CPV','CV','+238'),(51,'Costa Rica',1,'CRI','CR','+506'),(52,'Cuba',0,'CUB','CU','+53'),(53,'Christmas Island',1,'CXR','CI','+225'),(54,'Cayman Islands',1,'CYM','KY','+1345'),(55,'Cyprus',1,'CYP','CY','+357'),(56,'Czech Republic',1,'CZE','CZ','+420'),(57,'Germany',1,'DEU','DE','+49'),(58,'Djibouti',1,'DJI','DJ','+253'),(59,'Dominica',1,'DMA','DC',NULL),(60,'Denmark',1,'DNK','DK','+45'),(61,'Dominican Republic',1,'DOM','DO','+18'),(62,'Algeria',1,'DZA','DZ','+213'),(63,'Ecuador',1,'ECU','EC','+593'),(64,'Egypt',1,'EGY','EG','+20'),(65,'Eritrea',1,'ERI','ER','+291'),(66,'Western Sahara',1,'ESH','WH',NULL),(67,'Spain',1,'ESP','ES','+34'),(68,'Estonia',1,'EST','EN',NULL),(69,'Ethiopia',1,'ETH','ET','+251'),(70,'Finland',1,'FIN','FI','+358'),(71,'Fiji Islands',1,'FJI','FJ','+679'),(72,'Falkland Islands',1,'FLK','FK','+500'),(73,'France',1,'FRA','FR','+33'),(74,'Faroe Islands',1,'FRO','FD',NULL),(75,'Federated States of Micronesia',1,'FSM','MI',NULL),(76,'Gabon',1,'GAB','GA','+241'),(77,'United Kingdom',1,'GBR','UK',NULL),(78,'Georgia',1,'GEO','GG',NULL),(79,'Ghana',1,'GHA','GH','+233'),(80,'Gibraltar',1,'GIB','GI','+350'),(81,'Guinea',1,'GIN','GN','+224'),(82,'Guadeloupe',1,'GLP','GP','+590'),(83,'Gambia',1,'GMB','GM','+220'),(84,'Guinea-Bissau',1,'GNB','GW','+245'),(85,'Equatorial Guinea',1,'GNQ','GQ','+240'),(86,'Greece',1,'GRC','GR','+30'),(87,'Grenada',1,'GRD','GD','+1473'),(88,'Greenland',1,'GRL','GL','+299'),(89,'Guatemala',1,'GTM','GT','+502'),(90,'French Guiana',1,'GUF','FU',NULL),(91,'Guam',1,'GUM','GU','+1671'),(92,'Guyana',1,'GUY','GY','+592'),(93,'Hong Kong',1,'HKG','HK','+852'),(94,'Heard Island and McDonald Islands',1,'HMD','HM',NULL),(95,'Honduras',1,'HND','HN','+504'),(96,'Croatia',1,'HRV','CT',NULL),(97,'Haiti',1,'HTI','HV',NULL),(98,'Hungary',1,'HUN','HU','+36'),(99,'Indonesia',1,'IDN','ID','+62'),(100,'India',1,'IND','IN','+91'),(101,'British Indian Ocean Territory',1,'IOT','IO',NULL),(102,'Ireland',1,'IRL','IE','+353'),(103,'Iran',0,'IRN','IR','+98'),(104,'Iraq',1,'IRQ','IQ','+964'),(105,'Iceland',1,'ISL','IS','+354'),(106,'Israel',1,'ISR','IL','+972'),(107,'Italy',1,'ITA','IT','+39'),(108,'Jamaica',1,'JAM','JM','+1876'),(109,'Jordan',1,'JOR','JO','+962'),(110,'Japan',1,'JPN','JP','+81'),(111,'Kazakstan',1,'KAZ','KZ','+7'),(112,'Kenya',1,'KEN','KE','+254'),(113,'Kyrgyzstan',1,'KGZ','KG','+996'),(114,'Cambodia',1,'KHM','KH','+855'),(115,'Kiribati',1,'KIR','KI','+686'),(116,'Saint Kitts and Nevis',1,'KNA','KN','+1869'),(117,'South Korea(Korea Republic of)',1,'KOR','SK','+421'),(118,'Kuwait',1,'KWT','KW','+965'),(119,'Laos',1,'LAO','LA','+856'),(120,'Lebanon',1,'LBN','LB','+961'),(121,'Liberia',1,'LBR','LR','+231'),(122,'Libyan Arab Jamahiriya',1,'LBY','LY','+218'),(123,'Saint Lucia',1,'LCA','SL','+232'),(124,'Liechtenstein',1,'LIE','LT','+370'),(125,'Sri Lanka',1,'LKA','LK','+94'),(126,'Lesotho',1,'LSO','LS','+266'),(127,'Lithuania',1,'LTU','LN',NULL),(128,'Luxembourg',1,'LUX','LU','+352'),(129,'Latvia',1,'LVA','LV','+371'),(130,'Macao',1,'MAC','MC','+377'),(131,'Morocco',1,'MAR','MA','+212'),(132,'Monaco',1,'MCO','MK','+389'),(133,'Moldova',1,'MDA','MO','+853'),(134,'Madagascar',1,'MDG','MG','+261'),(135,'Maldives',1,'MDV','MV','+960'),(136,'Mexico',1,'MEX','MX','+52'),(137,'Marshall Islands',1,'MHL','MH','+692'),(138,'Macedonia',1,'MKD','MD','+373'),(139,'Mali',1,'MLI','ML','+223'),(140,'Malta',1,'MLT','MT','+356'),(141,'Myanmar',0,'MMR','MM','+95'),(142,'Mongolia',1,'MNG','MN','+976'),(143,'Northern Mariana Islands',1,'MNP','MP','+1670'),(144,'Mozambique',1,'MOZ','MZ','+258'),(145,'Mauritania',1,'MRT','MR','+222'),(146,'Montserrat',1,'MSR','MS','+1664'),(147,'Martinique',1,'MTQ','MQ','+596'),(148,'Mauritius',1,'MUS','MU','+230'),(149,'Malawi',1,'MWI','MW','+265'),(150,'Malaysia',1,'MYS','MY','+60'),(151,'Mayotte',1,'MYT','ME','+382'),(152,'Namibia',1,'NAM','NA','+264'),(153,'New Caledonia',1,'NCL','NC','+687'),(154,'Niger',1,'NER','NE','+227'),(155,'Norfolk Island',1,'NFK','NF',NULL),(156,'Nigeria',1,'NGA','NG','+234'),(157,'Nicaragua',1,'NIC','NI','+505'),(158,'Niue',1,'NIU','NU','+683'),(159,'Netherlands',1,'NLD','NL','+31'),(160,'Norway',1,'NOR','NO','+47'),(161,'Nepal',1,'NPL','NP','+977'),(162,'Nauru',1,'NRU','NR','+674'),(163,'New Zealand',1,'NZL','NZ','+64'),(164,'Oman',1,'OMN','OM','+968'),(165,'Pakistan',1,'PAK','PK','+92'),(166,'Panama',1,'PAN','PA','+507'),(167,'Pitcairn',1,'PCN','PI',NULL),(168,'Peru',1,'PER','PE','+51'),(169,'Philippines',1,'PHL','PH','+63'),(170,'Palau',1,'PLW','PU',NULL),(171,'Papua New Guinea',1,'PNG','PG','+675'),(172,'Poland',1,'POL','PL','+48'),(173,'Puerto Rico',1,'PRI','PR','+1787'),(174,'North Korea(Democratic People\'s Republic of)',0,'PRK','KP','+850'),(175,'Portugal',1,'PRT','PT','+351'),(176,'Paraguay',1,'PRY','PY','+595'),(177,'Palestine',1,'PSE','PS','+970'),(178,'French Polynesia',1,'PYF','PF','+689'),(179,'Qatar',1,'QAT','QA','+974'),(180,'Reunion',1,'REU','RE','+262'),(181,'Romania',1,'ROU','RO','+40'),(182,'Russian Federation',1,'RUS','RU','+7'),(183,'Rwanda',1,'RWA','RW','+250'),(184,'Saudi Arabia',1,'SAU','SA','+966'),(185,'Sudan',0,'SDN','SD','+249'),(186,'Senegal',1,'SEN','SN','+221'),(187,'Singapore',1,'SGP','SG','+65'),(188,'south georgia and the south sandwich islands',1,'SGS','GS',''),(189,'Saint Helena',1,'SHN','SH','+290'),(191,'Solomon Islands',1,'SLB','SB','+677'),(192,'Sierra Leone',1,'SLE','LE',NULL),(193,'El Salvador',1,'SLV','EL',NULL),(194,'San Marino',1,'SMR','SM','+378'),(195,'Somalia',1,'SOM','SO','+252'),(196,'Saint Pierre and Miquelon',1,'SPM','PM','+508'),(197,'Sao Tome and Principe',1,'STP','ST','+239'),(198,'Suriname',1,'SUR','SR','+597'),(199,'Slovakia',1,'SVK','SV','+503'),(200,'Slovenia',1,'SVN','SL','+232'),(201,'Sweden',1,'SWE','SE','+46'),(202,'Swaziland',1,'SWZ','SZ','+268'),(203,'Seychelles',1,'SYC','SC','+248'),(204,'Syria',0,'SYR','SY','+963'),(205,'Turks and Caicos Islands',1,'TCA','TC','+1649'),(206,'Chad',1,'TCD','TD','+235'),(207,'Togo',1,'TGO','TG','+228'),(208,'Thailand',1,'THA','TH','+66'),(209,'Tajikistan',1,'TJK','TJ','+992'),(210,'Tokelau',1,'TKL','TL','+670'),(211,'Turkmenistan',1,'TKM','TK','+690'),(212,'East Timor',1,'TLS','EM',NULL),(213,'Tonga',1,'TON','TO','+676'),(214,'Trinidad and Tobago',1,'TTO','TT','+1868'),(215,'Tunisia',1,'TUN','TN','+216'),(216,'Turkey',1,'TUR','TR','+90'),(217,'Tuvalu',1,'TUV','TV','+688'),(218,'Taiwan',1,'TWN','TW','+886'),(219,'Tanzania',1,'TZA','TA',NULL),(220,'Uganda',1,'UGA','UG','+256'),(221,'Ukraine',1,'UKR','UN',NULL),(222,'United States Minor Outlying Islands',1,'UMI','UM',NULL),(223,'Uruguay',1,'URY','UY','+598'),(224,'United States',1,'USA','US','+1'),(225,'Uzbekistan',1,'UZB','UZ','+998'),(226,'Holy See (Vatican City State)',1,'VAT','VA','+3'),(227,'Saint Vincent and the Grenadin',1,'VCT','VC','+1784'),(228,'Venezuela',1,'VEN','VE','+58'),(229,'Virgin Islands, British',1,'VGB','VG','+1284'),(230,'Virgin Islands, U.S.',1,'VIR','VI','+1340'),(231,'Vietnam',1,'VNM','VT',NULL),(232,'Vanuatu',1,'VUT','VU','+678'),(233,'Wallis and Futuna',1,'WLF','WF','+681'),(234,'Samoa',1,'WSM','WS','+685'),(235,'Yemen',1,'YEM','YE','+967'),(236,'Montenegro',1,'MNE','ME','+382'),(237,'South Africa',1,'ZAF','ZA','+27'),(238,'Zambia',1,'ZMB','ZM','+260'),(239,'Zimbabwe',1,'ZWE','ZW','+263'),(240,'Serbia',1,'SRB','RS','+381'),(241,'Saint-Barthélemy ',1,'BLM','BL',NULL),(242,'Aland Islands',1,'ALA','AX',NULL),(243,'Guernsey',1,'GGY','GG',NULL),(244,'New Guinea',1,'PNG','PG','+675'),(245,'Jersey',1,'JEY','JE',NULL),(246,'Saint Martin(French part)',1,'MAF','MF',NULL),(247,'Isle of Man',1,'IMN','IM',NULL);
/*!40000 ALTER TABLE `countries` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customers`
--

DROP TABLE IF EXISTS `customers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `customers` (
  `customer_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '	',
  `name` varchar(45) DEFAULT NULL,
  `address1` varchar(255) DEFAULT NULL,
  `address2` varchar(255) DEFAULT NULL,
  `address3` varchar(255) DEFAULT NULL,
  `address_type` varchar(45) DEFAULT NULL,
  `landmark` varchar(45) DEFAULT NULL,
  `pincode` int(6) DEFAULT NULL,
  `mobile` varchar(10) DEFAULT NULL,
  `alternate_mob_no` varchar(10) DEFAULT NULL,
  `email` varchar(45) DEFAULT NULL,
  `city` varchar(45) DEFAULT NULL,
  `state_id` int(4) unsigned NOT NULL,
  `country_id` int(3) unsigned NOT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `order_no` int(11) DEFAULT NULL,
  `company_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`customer_id`),
  KEY `fk_customers_1_idx` (`state_id`),
  KEY `fk_customers_2_idx` (`country_id`),
  KEY `fk_customers_3_idx` (`company_id`),
  CONSTRAINT `fk_customers_1` FOREIGN KEY (`state_id`) REFERENCES `states` (`state_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_customers_2` FOREIGN KEY (`country_id`) REFERENCES `countries` (`country_id`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_customers_3` FOREIGN KEY (`company_id`) REFERENCES `company_detail` (`company_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customers`
--

LOCK TABLES `customers` WRITE;
/*!40000 ALTER TABLE `customers` DISABLE KEYS */;
INSERT INTO `customers` (`customer_id`, `name`, `address1`, `address2`, `address3`, `address_type`, `landmark`, `pincode`, `mobile`, `alternate_mob_no`, `email`, `city`, `state_id`, `country_id`, `created_at`, `updated_at`, `deleted_at`, `order_no`, `company_id`) VALUES (6,'test','test1','test2','test3',NULL,'test',123456,'9786003437',NULL,'test@gmail.com','test',1,1,'2019-06-07 15:17:50','2019-06-07 15:17:50',NULL,NULL,NULL),(7,'priya','No:22','ganapathy','Coimbatore',NULL,'near vinayagar temple',876565,'9878766765',NULL,'priya@gmail.com','coimbatore',798,150,'2019-06-07 15:19:51','2019-06-07 15:19:51',NULL,NULL,NULL),(8,'Nandhini','No:48','vsc Ist street','coimbatore',NULL,'near siva sakthi store',657655,'7665544543',NULL,'nandhini@gmail.com','coimbatore',186,42,'2019-06-07 15:21:30','2019-06-07 15:21:30',NULL,NULL,NULL);
/*!40000 ALTER TABLE `customers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `job_card`
--

DROP TABLE IF EXISTS `job_card`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `job_card` (
  `job_card_id` int(11) NOT NULL AUTO_INCREMENT,
  `qutation_id` int(11) DEFAULT NULL,
  `job_card_date` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`job_card_id`),
  KEY `fk_job_card_1_idx` (`qutation_id`),
  CONSTRAINT `fk_job_card_1` FOREIGN KEY (`qutation_id`) REFERENCES `quotations` (`quotation_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `job_card`
--

LOCK TABLES `job_card` WRITE;
/*!40000 ALTER TABLE `job_card` DISABLE KEYS */;
/*!40000 ALTER TABLE `job_card` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `job_card_items`
--

DROP TABLE IF EXISTS `job_card_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `job_card_items` (
  `job_card_item_id` int(11) NOT NULL AUTO_INCREMENT,
  `job_card_id` int(11) DEFAULT NULL,
  `quotation_item_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`job_card_item_id`),
  KEY `fk_job_card_items_1_idx` (`job_card_id`),
  KEY `fk_job_card_items_1_idx1` (`quotation_item_id`),
  CONSTRAINT `fk_job_card_items_1` FOREIGN KEY (`quotation_item_id`) REFERENCES `quotation_items` (`quotation_item_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `job_card_items`
--

LOCK TABLES `job_card_items` WRITE;
/*!40000 ALTER TABLE `job_card_items` DISABLE KEYS */;
/*!40000 ALTER TABLE `job_card_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `measurement_items`
--

DROP TABLE IF EXISTS `measurement_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `measurement_items` (
  `measurement_item_id` int(11) NOT NULL AUTO_INCREMENT,
  `measurement_id` int(11) DEFAULT NULL,
  `item_name` varchar(45) DEFAULT NULL,
  `height` decimal(11,2) DEFAULT NULL,
  `width` decimal(11,2) DEFAULT NULL,
  `room` varchar(45) DEFAULT NULL,
  `parts` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `item_number` int(11) DEFAULT NULL,
  `dimensions` decimal(11,2) DEFAULT NULL,
  PRIMARY KEY (`measurement_item_id`),
  KEY `fk_measurement_items_2_idx` (`measurement_id`),
  CONSTRAINT `fk_measurement_items_1` FOREIGN KEY (`measurement_id`) REFERENCES `measurements` (`measurement_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `measurement_items`
--

LOCK TABLES `measurement_items` WRITE;
/*!40000 ALTER TABLE `measurement_items` DISABLE KEYS */;
INSERT INTO `measurement_items` (`measurement_item_id`, `measurement_id`, `item_name`, `height`, `width`, `room`, `parts`, `created_at`, `updated_at`, `deleted_at`, `item_number`, `dimensions`) VALUES (9,21,'Door',56.00,10.00,'Kitchen',1,NULL,NULL,NULL,1,560.00);
/*!40000 ALTER TABLE `measurement_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `measurement_products`
--

DROP TABLE IF EXISTS `measurement_products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `measurement_products` (
  `measurement_product_id` int(11) NOT NULL AUTO_INCREMENT,
  `measurement_item_id` int(11) DEFAULT NULL,
  `product_id` int(11) DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `length` decimal(10,2) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `product` varchar(45) DEFAULT NULL,
  `color` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`measurement_product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=25 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `measurement_products`
--

LOCK TABLES `measurement_products` WRITE;
/*!40000 ALTER TABLE `measurement_products` DISABLE KEYS */;
INSERT INTO `measurement_products` (`measurement_product_id`, `measurement_item_id`, `product_id`, `quantity`, `length`, `created_at`, `updated_at`, `deleted_at`, `product`, `color`) VALUES (24,9,38,4,12.00,NULL,NULL,NULL,NULL,'blue');
/*!40000 ALTER TABLE `measurement_products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `measurements`
--

DROP TABLE IF EXISTS `measurements`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `measurements` (
  `measurement_id` int(11) NOT NULL AUTO_INCREMENT,
  `measurement_date` varchar(45) DEFAULT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `order_no` int(11) DEFAULT NULL,
  PRIMARY KEY (`measurement_id`),
  KEY `fk_measurement_1_idx` (`customer_id`),
  CONSTRAINT `fk_measurements_1` FOREIGN KEY (`customer_id`) REFERENCES `customers` (`customer_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `measurements`
--

LOCK TABLES `measurements` WRITE;
/*!40000 ALTER TABLE `measurements` DISABLE KEYS */;
INSERT INTO `measurements` (`measurement_id`, `measurement_date`, `customer_id`, `created_at`, `updated_at`, `deleted_at`, `order_no`) VALUES (20,'2019-06-07',6,NULL,NULL,NULL,NULL),(21,'2019-06-07',7,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `measurements` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `orders`
--

DROP TABLE IF EXISTS `orders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `orders` (
  `order_id` int(11) NOT NULL AUTO_INCREMENT,
  `date_of_order` datetime DEFAULT NULL,
  `due_date` datetime DEFAULT NULL,
  `sale_person_id` int(11) DEFAULT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`order_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `orders`
--

LOCK TABLES `orders` WRITE;
/*!40000 ALTER TABLE `orders` DISABLE KEYS */;
/*!40000 ALTER TABLE `orders` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `product_items`
--

DROP TABLE IF EXISTS `product_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `product_items` (
  `product_item_id` int(11) NOT NULL AUTO_INCREMENT,
  `product_id` int(11) DEFAULT NULL,
  `accessories_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`product_item_id`)
) ENGINE=InnoDB AUTO_INCREMENT=15 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `product_items`
--

LOCK TABLES `product_items` WRITE;
/*!40000 ALTER TABLE `product_items` DISABLE KEYS */;
INSERT INTO `product_items` (`product_item_id`, `product_id`, `accessories_id`, `created_at`, `updated_at`, `deleted_at`) VALUES (14,37,37,'2019-06-07 17:27:57','2019-06-07 17:27:57',NULL);
/*!40000 ALTER TABLE `product_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `products`
--

DROP TABLE IF EXISTS `products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `products` (
  `product_id` int(11) NOT NULL AUTO_INCREMENT,
  `product_no` varchar(45) DEFAULT NULL,
  `product_name` varchar(45) DEFAULT NULL,
  `ideal_location` varchar(45) DEFAULT NULL,
  `supplier_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `segment_id` int(11) DEFAULT NULL,
  `unit_price` decimal(10,2) DEFAULT NULL,
  PRIMARY KEY (`product_id`),
  KEY `fk_products_1_idx` (`supplier_id`),
  CONSTRAINT `fk_products_1` FOREIGN KEY (`supplier_id`) REFERENCES `suppliers` (`supplier_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=40 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `products`
--

LOCK TABLES `products` WRITE;
/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` (`product_id`, `product_no`, `product_name`, `ideal_location`, `supplier_id`, `created_at`, `updated_at`, `deleted_at`, `segment_id`, `unit_price`) VALUES (1,'001','cotton','',1,NULL,'2019-06-07 17:28:23',NULL,2,400.00),(37,'002','test',NULL,1,'2019-06-07 15:33:20','2019-06-07 15:33:20',NULL,1,450.00),(38,'003','window screen',NULL,1,'2019-06-07 15:33:59','2019-06-07 15:33:59',NULL,2,200.00),(39,'004','screen',NULL,1,'2019-06-07 15:34:14','2019-06-07 15:34:14',NULL,1,550.00);
/*!40000 ALTER TABLE `products` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quotation_items`
--

DROP TABLE IF EXISTS `quotation_items`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quotation_items` (
  `quotation_item_id` int(11) NOT NULL AUTO_INCREMENT,
  `quotation_id` int(11) DEFAULT NULL,
  `measurement_item_id` int(11) DEFAULT NULL,
  `measurement_product_id` int(11) DEFAULT NULL,
  `quantity` int(11) DEFAULT NULL,
  `unit_price` decimal(10,2) DEFAULT NULL,
  `length` decimal(10,2) DEFAULT NULL,
  `total_amount` int(11) DEFAULT NULL,
  `product_id` int(11) DEFAULT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`quotation_item_id`),
  KEY `fk_quotient_items_1_idx` (`quotation_id`),
  KEY `fk_quotation_items_2_idx` (`measurement_item_id`),
  KEY `fk_quotation_items_3_idx` (`measurement_product_id`)
) ENGINE=InnoDB AUTO_INCREMENT=100 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quotation_items`
--

LOCK TABLES `quotation_items` WRITE;
/*!40000 ALTER TABLE `quotation_items` DISABLE KEYS */;
INSERT INTO `quotation_items` (`quotation_item_id`, `quotation_id`, `measurement_item_id`, `measurement_product_id`, `quantity`, `unit_price`, `length`, `total_amount`, `product_id`, `customer_id`, `created_at`, `updated_at`, `deleted_at`) VALUES (96,82,9,24,4,200.00,NULL,800,38,NULL,'2019-06-07 16:56:34','2019-06-07 16:56:34',NULL),(97,83,9,24,4,200.00,NULL,800,38,NULL,'2019-06-07 17:06:15','2019-06-07 17:06:15',NULL),(98,84,9,24,4,200.00,NULL,800,38,NULL,'2019-06-07 17:10:54','2019-06-07 17:10:54',NULL),(99,85,9,24,4,200.00,NULL,800,38,NULL,'2019-06-07 17:14:04','2019-06-07 17:14:04',NULL);
/*!40000 ALTER TABLE `quotation_items` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `quotations`
--

DROP TABLE IF EXISTS `quotations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `quotations` (
  `quotation_id` int(11) NOT NULL AUTO_INCREMENT,
  `measurement_id` int(11) DEFAULT NULL,
  `quotation_on` datetime DEFAULT NULL,
  `shipping_date` datetime DEFAULT NULL,
  `payment_terms` datetime DEFAULT NULL,
  `shipping_amount` decimal(10,2) DEFAULT NULL,
  `sub_total` decimal(10,2) DEFAULT NULL,
  `gst` decimal(10,2) DEFAULT NULL,
  `gst_percentage` int(11) DEFAULT NULL,
  `grand_total` decimal(10,2) DEFAULT NULL,
  `product_id` int(11) DEFAULT NULL,
  `customer_id` int(11) DEFAULT NULL,
  `company_name` varchar(45) DEFAULT NULL,
  `company_address` varchar(100) DEFAULT NULL,
  `sales_person` varchar(45) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`quotation_id`),
  KEY `fk_quotations_1_idx` (`measurement_id`)
) ENGINE=InnoDB AUTO_INCREMENT=86 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `quotations`
--

LOCK TABLES `quotations` WRITE;
/*!40000 ALTER TABLE `quotations` DISABLE KEYS */;
INSERT INTO `quotations` (`quotation_id`, `measurement_id`, `quotation_on`, `shipping_date`, `payment_terms`, `shipping_amount`, `sub_total`, `gst`, `gst_percentage`, `grand_total`, `product_id`, `customer_id`, `company_name`, `company_address`, `sales_person`, `created_at`, `updated_at`, `deleted_at`) VALUES (82,21,'1991-06-07 00:00:00','1991-06-07 00:00:00','1991-06-07 00:00:00',10.00,0.00,0.00,NULL,10.00,NULL,NULL,NULL,NULL,NULL,'2019-06-07 16:56:34','2019-06-07 17:09:45',NULL),(83,21,'2019-07-06 00:00:00','2019-10-06 00:00:00','2019-12-06 00:00:00',20.00,0.00,0.00,NULL,20.00,NULL,NULL,NULL,NULL,NULL,'2019-06-07 17:06:15','2019-06-07 18:08:02',NULL),(84,21,'1970-01-01 05:30:00','1970-01-01 05:30:00','1970-01-01 05:30:00',0.00,800.00,40.00,NULL,840.00,NULL,NULL,NULL,NULL,NULL,'2019-06-07 17:10:54','2019-06-07 17:10:54',NULL),(85,21,'1970-01-01 05:30:00','1970-01-01 05:30:00','1970-01-01 05:30:00',0.00,800.00,40.00,NULL,840.00,NULL,NULL,NULL,NULL,NULL,'2019-06-07 17:14:04','2019-06-07 17:14:04',NULL);
/*!40000 ALTER TABLE `quotations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `role`
--

DROP TABLE IF EXISTS `role`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role` (
  `role_id` int(11) NOT NULL AUTO_INCREMENT,
  `role` varchar(45) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `role`
--

LOCK TABLES `role` WRITE;
/*!40000 ALTER TABLE `role` DISABLE KEYS */;
/*!40000 ALTER TABLE `role` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `segments`
--

DROP TABLE IF EXISTS `segments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `segments` (
  `segment_id` int(11) NOT NULL AUTO_INCREMENT,
  `segment_name` varchar(45) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  PRIMARY KEY (`segment_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `segments`
--

LOCK TABLES `segments` WRITE;
/*!40000 ALTER TABLE `segments` DISABLE KEYS */;
INSERT INTO `segments` (`segment_id`, `segment_name`, `created_at`, `updated_at`) VALUES (1,'a',NULL,NULL),(2,'b',NULL,NULL);
/*!40000 ALTER TABLE `segments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `states`
--

DROP TABLE IF EXISTS `states`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `states` (
  `state_id` int(4) unsigned NOT NULL AUTO_INCREMENT,
  `country_id` int(3) unsigned NOT NULL,
  `state_name` varchar(250) DEFAULT NULL,
  `is_visible` tinyint(1) unsigned DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`state_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1002 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `states`
--

LOCK TABLES `states` WRITE;
/*!40000 ALTER TABLE `states` DISABLE KEYS */;
INSERT INTO `states` (`state_id`, `country_id`, `state_name`, `is_visible`, `created_at`, `updated_at`, `deleted_at`) VALUES (1,1,'Aruba',1,NULL,NULL,NULL),(2,2,'Balkh',1,NULL,NULL,NULL),(3,2,'Herat',1,NULL,NULL,NULL),(4,2,'Kabol',1,NULL,NULL,NULL),(5,2,'Qandahar',1,NULL,NULL,NULL),(6,3,'Benguela',1,NULL,NULL,NULL),(7,3,'Huambo',1,NULL,NULL,NULL),(8,3,'Luanda',1,NULL,NULL,NULL),(9,3,'Namibe',1,NULL,NULL,NULL),(10,4,'Anguilla',1,NULL,NULL,NULL),(11,5,'Tirana',1,NULL,NULL,NULL),(12,6,'Andorra la Vella',1,NULL,NULL,NULL),(13,7,'Curacao',1,NULL,NULL,NULL),(14,8,'Abu Dhabi',1,NULL,NULL,NULL),(15,8,'Ajman',1,NULL,NULL,NULL),(16,8,'Dubai',1,NULL,NULL,NULL),(17,8,'Sharja',1,NULL,NULL,NULL),(18,9,'Buenos Aires',1,NULL,NULL,NULL),(19,9,'Catamarca',1,NULL,NULL,NULL),(20,9,'Cordoba',1,NULL,NULL,NULL),(21,9,'Chaco',1,NULL,NULL,NULL),(22,9,'Chubut',1,NULL,NULL,NULL),(23,9,'Corrientes',1,NULL,NULL,NULL),(24,9,'Distrito Federal',1,NULL,NULL,NULL),(25,9,'Entre Rios',1,NULL,NULL,NULL),(26,9,'Formosa',1,NULL,NULL,NULL),(27,9,'Jujuy',1,NULL,NULL,NULL),(28,9,'La Rioja',1,NULL,NULL,NULL),(29,9,'Mendoza',1,NULL,NULL,NULL),(30,9,'Misiones',1,NULL,NULL,NULL),(31,9,'Neuquen',1,NULL,NULL,NULL),(32,9,'Salta',1,NULL,NULL,NULL),(33,9,'San Juan',1,NULL,NULL,NULL),(34,9,'San Luis',1,NULL,NULL,NULL),(35,9,'Santa FA',1,NULL,NULL,NULL),(36,9,'Santiago del Estero',1,NULL,NULL,NULL),(37,9,'Tucuman',1,NULL,NULL,NULL),(38,10,'Lori',1,NULL,NULL,NULL),(39,10,'Yerevan',1,NULL,NULL,NULL),(40,10,'Shirak',1,NULL,NULL,NULL),(41,11,'Tutuila',1,NULL,NULL,NULL),(42,14,'St John',1,NULL,NULL,NULL),(43,15,'Capital Region',1,NULL,NULL,NULL),(44,15,'New South Wales',1,NULL,NULL,NULL),(45,15,'Queensland',1,NULL,NULL,NULL),(46,15,'South Australia',1,NULL,NULL,NULL),(47,15,'Tasmania',1,NULL,NULL,NULL),(48,15,'Victoria',1,NULL,NULL,NULL),(49,15,'West Australia',1,NULL,NULL,NULL),(50,16,'Karnten',1,NULL,NULL,NULL),(51,16,'North Austria',1,NULL,NULL,NULL),(52,16,'Salzburg',1,NULL,NULL,NULL),(53,16,'Steiermark',1,NULL,NULL,NULL),(54,16,'Tiroli',1,NULL,NULL,NULL),(55,16,'Wien',1,NULL,NULL,NULL),(56,17,'Baki',1,NULL,NULL,NULL),(57,17,'Ganca',1,NULL,NULL,NULL),(58,17,'Mingacevir',1,NULL,NULL,NULL),(59,17,'Sumqayit',1,NULL,NULL,NULL),(60,18,'Bujumbura',1,NULL,NULL,NULL),(61,19,'Antwerpen',1,NULL,NULL,NULL),(62,19,'Bryssel',1,NULL,NULL,NULL),(63,19,'East Flanderi',1,NULL,NULL,NULL),(64,19,'Hainaut',1,NULL,NULL,NULL),(65,19,'Liege',1,NULL,NULL,NULL),(66,19,'Namur',1,NULL,NULL,NULL),(67,19,'West Flanderi',1,NULL,NULL,NULL),(68,20,'Atacora',1,NULL,NULL,NULL),(69,20,'Atlantique',1,NULL,NULL,NULL),(70,20,'Borgou',1,NULL,NULL,NULL),(71,20,'Oueme',1,NULL,NULL,NULL),(72,21,'Boulkiemde',1,NULL,NULL,NULL),(73,21,'Houet',1,NULL,NULL,NULL),(74,21,'Kadiogo',1,NULL,NULL,NULL),(75,22,'Barisal',1,NULL,NULL,NULL),(76,22,'Chittagong',1,NULL,NULL,NULL),(77,22,'Dhaka',1,NULL,NULL,NULL),(78,22,'Khulna',1,NULL,NULL,NULL),(79,22,'Rajshahi',1,NULL,NULL,NULL),(80,22,'Sylhet',1,NULL,NULL,NULL),(81,23,'Burgas',1,NULL,NULL,NULL),(82,23,'Grad Sofija',1,NULL,NULL,NULL),(83,23,'Haskovo',1,NULL,NULL,NULL),(84,23,'Lovec',1,NULL,NULL,NULL),(85,23,'Plovdiv',1,NULL,NULL,NULL),(86,23,'Ruse',1,NULL,NULL,NULL),(87,23,'Varna',1,NULL,NULL,NULL),(88,24,'al-Manama',1,NULL,NULL,NULL),(89,25,'New Providence',1,NULL,NULL,NULL),(90,26,'Federaatio',1,NULL,NULL,NULL),(91,26,'Republika Srpska',1,NULL,NULL,NULL),(92,27,'Brest',1,NULL,NULL,NULL),(93,27,'Gomel',1,NULL,NULL,NULL),(94,27,'Grodno',1,NULL,NULL,NULL),(95,27,'Horad Minsk',1,NULL,NULL,NULL),(96,27,'Minsk',1,NULL,NULL,NULL),(97,27,'Mogiljov',1,NULL,NULL,NULL),(98,27,'Vitebsk',1,NULL,NULL,NULL),(99,28,'Belize City',1,NULL,NULL,NULL),(100,28,'Cayo',1,NULL,NULL,NULL),(101,29,'Hamilton',1,NULL,NULL,NULL),(102,29,'Saint George',1,NULL,NULL,NULL),(103,30,'Chuquisaca',1,NULL,NULL,NULL),(104,30,'Cochabamba',1,NULL,NULL,NULL),(105,30,'La Paz',1,NULL,NULL,NULL),(106,30,'Oruro',1,NULL,NULL,NULL),(107,30,'Potosi',1,NULL,NULL,NULL),(108,30,'Santa Cruz',1,NULL,NULL,NULL),(109,30,'Tarija',1,NULL,NULL,NULL),(110,31,'Acre',1,NULL,NULL,NULL),(111,31,'Alagoas',1,NULL,NULL,NULL),(112,31,'Amapa',1,NULL,NULL,NULL),(113,31,'Amazonas',1,NULL,NULL,NULL),(114,31,'Bahia',1,NULL,NULL,NULL),(115,31,'Ceara',1,NULL,NULL,NULL),(116,31,'Distrito Federal',1,NULL,NULL,NULL),(117,31,'Espirito Santo',1,NULL,NULL,NULL),(118,31,'Goias',1,NULL,NULL,NULL),(119,31,'Maranhao',1,NULL,NULL,NULL),(120,31,'Mato Grosso',1,NULL,NULL,NULL),(121,31,'Mato Grosso do Sul',1,NULL,NULL,NULL),(122,31,'Minas Gerais',1,NULL,NULL,NULL),(123,31,'Paraiba',1,NULL,NULL,NULL),(124,31,'Parana',1,NULL,NULL,NULL),(125,31,'Para',1,NULL,NULL,NULL),(126,31,'Pernambuco',1,NULL,NULL,NULL),(127,31,'Piaui',1,NULL,NULL,NULL),(128,31,'Rio de Janeiro',1,NULL,NULL,NULL),(129,31,'Rio Grande do Norte',1,NULL,NULL,NULL),(130,31,'Rio Grande do Sul',1,NULL,NULL,NULL),(131,31,'Rondonia',1,NULL,NULL,NULL),(132,31,'Roraima',1,NULL,NULL,NULL),(133,31,'Santa Catarina',1,NULL,NULL,NULL),(134,31,'Sao Paulo',1,NULL,NULL,NULL),(135,31,'Sergipe',1,NULL,NULL,NULL),(136,31,'Tocantins',1,NULL,NULL,NULL),(137,32,'St Michael',1,NULL,NULL,NULL),(138,33,'Brunei and Muara',1,NULL,NULL,NULL),(139,34,'Thimphu',1,NULL,NULL,NULL),(140,36,'Francistown',1,NULL,NULL,NULL),(141,36,'Gaborone',1,NULL,NULL,NULL),(142,37,'Bangui',1,NULL,NULL,NULL),(143,38,'Alberta',1,NULL,NULL,NULL),(144,38,'British Colombia',1,NULL,NULL,NULL),(145,38,'Manitoba',1,NULL,NULL,NULL),(146,38,'Newfoundland',1,NULL,NULL,NULL),(147,38,'Nova Scotia',1,NULL,NULL,NULL),(148,38,'Ontario',1,NULL,NULL,NULL),(149,38,'Quebec',1,NULL,NULL,NULL),(150,38,'Saskatchewan',1,NULL,NULL,NULL),(151,39,'Home Island',1,NULL,NULL,NULL),(152,39,'West Island',1,NULL,NULL,NULL),(153,40,'Basel-Stadt',1,NULL,NULL,NULL),(154,40,'Bern',1,NULL,NULL,NULL),(155,40,'Geneve',1,NULL,NULL,NULL),(156,40,'Vaud',1,NULL,NULL,NULL),(157,40,'Zurich',1,NULL,NULL,NULL),(158,41,'Antofagasta',1,NULL,NULL,NULL),(159,41,'Atacama',1,NULL,NULL,NULL),(160,41,'Bio Bio',1,NULL,NULL,NULL),(161,41,'Coquimbo',1,NULL,NULL,NULL),(162,41,'La Araucania',1,NULL,NULL,NULL),(163,41,'Los Lagos',1,NULL,NULL,NULL),(164,41,'Magallanes',1,NULL,NULL,NULL),(165,41,'Maule',1,NULL,NULL,NULL),(166,41,'O\'Higgin',1,NULL,NULL,NULL),(167,41,'Santiago',1,NULL,NULL,NULL),(168,41,'Tarapaca',1,NULL,NULL,NULL),(169,41,'valparaiso',1,NULL,NULL,NULL),(170,42,'Anhui',1,NULL,NULL,NULL),(171,42,'Chongqing',1,NULL,NULL,NULL),(172,42,'Fujian',1,NULL,NULL,NULL),(173,42,'Gansu',1,NULL,NULL,NULL),(174,42,'Guangdong',1,NULL,NULL,NULL),(175,42,'Guangxi',1,NULL,NULL,NULL),(176,42,'Guizhou',1,NULL,NULL,NULL),(177,42,'Hainan',1,NULL,NULL,NULL),(178,42,'Hebei',1,NULL,NULL,NULL),(179,42,'Heilongjiang',1,NULL,NULL,NULL),(180,42,'Henan',1,NULL,NULL,NULL),(181,42,'Hubei',1,NULL,NULL,NULL),(182,42,'Hunan',1,NULL,NULL,NULL),(183,42,'Inner Mongolia',1,NULL,NULL,NULL),(184,42,'Jiangsu',1,NULL,NULL,NULL),(185,42,'Jiangxi',1,NULL,NULL,NULL),(186,42,'Jilin',1,NULL,NULL,NULL),(187,42,'Liaoning',1,NULL,NULL,NULL),(188,42,'Ningxia',1,NULL,NULL,NULL),(189,42,'Peking',1,NULL,NULL,NULL),(190,42,'Qinghai',1,NULL,NULL,NULL),(191,42,'Shaanxi',1,NULL,NULL,NULL),(192,42,'Shandong',1,NULL,NULL,NULL),(193,42,'Shanghai',1,NULL,NULL,NULL),(194,42,'Shanxi',1,NULL,NULL,NULL),(195,42,'Sichuan',1,NULL,NULL,NULL),(196,42,'Tianjin',1,NULL,NULL,NULL),(197,42,'Tibet',1,NULL,NULL,NULL),(198,42,'Xinxiang',1,NULL,NULL,NULL),(199,42,'Yunnan',1,NULL,NULL,NULL),(200,42,'Zhejiang',1,NULL,NULL,NULL),(201,43,'Abidjan',1,NULL,NULL,NULL),(202,43,'Bouae',1,NULL,NULL,NULL),(203,43,'Daloa',1,NULL,NULL,NULL),(204,43,'Korhogo',1,NULL,NULL,NULL),(205,43,'Yamoussoukro',1,NULL,NULL,NULL),(206,44,'Centre',1,NULL,NULL,NULL),(207,44,'Extreme-Nord',1,NULL,NULL,NULL),(208,44,'Littoral',1,NULL,NULL,NULL),(209,44,'Nord',1,NULL,NULL,NULL),(210,44,'Nord-Ouest',1,NULL,NULL,NULL),(211,44,'Ouest',1,NULL,NULL,NULL),(212,45,'Bandundu',1,NULL,NULL,NULL),(213,45,'Bas-Zaire',1,NULL,NULL,NULL),(214,45,'East Kasai',1,NULL,NULL,NULL),(215,45,'Equateur',1,NULL,NULL,NULL),(216,45,'Haute-Zaire',1,NULL,NULL,NULL),(217,45,'Kinshasa',1,NULL,NULL,NULL),(218,45,'North Kivu',1,NULL,NULL,NULL),(219,45,'Shaba',1,NULL,NULL,NULL),(220,45,'South Kivu',1,NULL,NULL,NULL),(221,45,'West Kasai',1,NULL,NULL,NULL),(222,46,'Brazzaville',1,NULL,NULL,NULL),(223,46,'Kouilou',1,NULL,NULL,NULL),(224,47,'Rarotonga',1,NULL,NULL,NULL),(225,48,'Antioquia',1,NULL,NULL,NULL),(226,48,'Atlantico',1,NULL,NULL,NULL),(227,48,'Bolivar',1,NULL,NULL,NULL),(228,48,'Boyaca',1,NULL,NULL,NULL),(229,48,'Caldas',1,NULL,NULL,NULL),(230,48,'Caqueta',1,NULL,NULL,NULL),(231,48,'Cauca',1,NULL,NULL,NULL),(232,48,'Cordoba',1,NULL,NULL,NULL),(233,48,'Cesar',1,NULL,NULL,NULL),(234,48,'Cundinamarca',1,NULL,NULL,NULL),(235,48,'Huila',1,NULL,NULL,NULL),(236,48,'La Guajira',1,NULL,NULL,NULL),(237,48,'Magdalena',1,NULL,NULL,NULL),(238,48,'Meta',1,NULL,NULL,NULL),(239,48,'Narino',1,NULL,NULL,NULL),(240,48,'Norte de Santander',1,NULL,NULL,NULL),(241,48,'Quindi­o',1,NULL,NULL,NULL),(242,48,'Risaralda',1,NULL,NULL,NULL),(243,48,'Santafe de Bogota',1,NULL,NULL,NULL),(244,48,'Santander',1,NULL,NULL,NULL),(245,48,'Sucre',1,NULL,NULL,NULL),(246,48,'Tolima',1,NULL,NULL,NULL),(247,48,'Valle',1,NULL,NULL,NULL),(248,49,'Njazidja',1,NULL,NULL,NULL),(249,50,'Sao Tiago',1,NULL,NULL,NULL),(250,51,'San Jose',1,NULL,NULL,NULL),(251,52,'Camaguey',1,NULL,NULL,NULL),(252,52,'Ciego de Avila',1,NULL,NULL,NULL),(253,52,'Cienfuegos',1,NULL,NULL,NULL),(254,52,'Granma',1,NULL,NULL,NULL),(255,52,'Guantanamo',1,NULL,NULL,NULL),(256,52,'Holguin',1,NULL,NULL,NULL),(257,52,'La Habana',1,NULL,NULL,NULL),(258,52,'Las Tunas',1,NULL,NULL,NULL),(259,52,'Matanzas',1,NULL,NULL,NULL),(260,52,'Pinar del Ri­o',1,NULL,NULL,NULL),(261,52,'Sancti-Spa­ritus',1,NULL,NULL,NULL),(262,52,'Santiago de Cuba',1,NULL,NULL,NULL),(263,52,'Villa Clara',1,NULL,NULL,NULL),(264,53,'Western Australia',1,NULL,NULL,NULL),(265,54,'Grand Cayman',1,NULL,NULL,NULL),(266,55,'Limassol',1,NULL,NULL,NULL),(267,55,'Nicosia',1,NULL,NULL,NULL),(268,56,'Hlavni mesto Praha',1,NULL,NULL,NULL),(269,56,'Jizna Cechy',1,NULL,NULL,NULL),(270,56,'Jizna Morava',1,NULL,NULL,NULL),(271,56,'Stredni Cechy',1,NULL,NULL,NULL),(272,56,'Severna Morava',1,NULL,NULL,NULL),(273,56,'Vychodni Cechy',1,NULL,NULL,NULL),(274,56,'Zapadna Cechy',1,NULL,NULL,NULL),(275,57,'Anhalt Sachsen',1,NULL,NULL,NULL),(276,57,'Baden-Wurttemberg',1,NULL,NULL,NULL),(277,57,'Baijeri',1,NULL,NULL,NULL),(278,57,'Berliini',1,NULL,NULL,NULL),(279,57,'Brandenburg',1,NULL,NULL,NULL),(280,57,'Bremen',1,NULL,NULL,NULL),(281,57,'Hamburg',1,NULL,NULL,NULL),(282,57,'Hessen',1,NULL,NULL,NULL),(283,57,'Mecklenburg-Vorpomme',1,NULL,NULL,NULL),(284,57,'Niedersachsen',1,NULL,NULL,NULL),(285,57,'Nordrhein-Westfalen',1,NULL,NULL,NULL),(286,57,'Rheinland-Pfalz',1,NULL,NULL,NULL),(287,57,'Saarland',1,NULL,NULL,NULL),(288,57,'Saksi',1,NULL,NULL,NULL),(289,57,'Schleswig-Holstein',1,NULL,NULL,NULL),(290,57,'Thuringia',1,NULL,NULL,NULL),(291,58,'Djibouti',1,NULL,NULL,NULL),(292,59,'St George',1,NULL,NULL,NULL),(293,60,'Aarhus',1,NULL,NULL,NULL),(294,60,'Frederiksberg',1,NULL,NULL,NULL),(295,60,'Fyn',1,NULL,NULL,NULL),(296,60,'KA benhavn',1,NULL,NULL,NULL),(297,60,'Nordjylland',1,NULL,NULL,NULL),(298,61,'Distrito Nacional',1,NULL,NULL,NULL),(299,61,'Duarte',1,NULL,NULL,NULL),(300,61,'La Romana',1,NULL,NULL,NULL),(301,61,'Puerto Plata',1,NULL,NULL,NULL),(302,61,'San Pedro de Macoris',1,NULL,NULL,NULL),(303,61,'Santiago',1,NULL,NULL,NULL),(304,62,'Alger',1,NULL,NULL,NULL),(305,62,'Annaba',1,NULL,NULL,NULL),(306,62,'Batna',1,NULL,NULL,NULL),(307,62,'Bechar',1,NULL,NULL,NULL),(308,62,'Bajaia',1,NULL,NULL,NULL),(309,62,'Biskra',1,NULL,NULL,NULL),(310,62,'Blida',1,NULL,NULL,NULL),(311,62,'Chlef',1,NULL,NULL,NULL),(312,62,'Constantine',1,NULL,NULL,NULL),(313,62,'Ghardaia',1,NULL,NULL,NULL),(314,62,'Mostaganem',1,NULL,NULL,NULL),(315,62,'Oran',1,NULL,NULL,NULL),(316,62,'Setif',1,NULL,NULL,NULL),(317,62,'Sidi Bel Abbes',1,NULL,NULL,NULL),(318,62,'Skikda',1,NULL,NULL,NULL),(319,62,'Tebessa',1,NULL,NULL,NULL),(320,62,'Tiaret',1,NULL,NULL,NULL),(321,62,'Tlemcen',1,NULL,NULL,NULL),(322,63,'Azuay',1,NULL,NULL,NULL),(323,63,'Chimborazo',1,NULL,NULL,NULL),(324,63,'El Oro',1,NULL,NULL,NULL),(325,63,'Esmeraldas',1,NULL,NULL,NULL),(326,63,'Guayas',1,NULL,NULL,NULL),(327,63,'Imbabura',1,NULL,NULL,NULL),(328,63,'Loja',1,NULL,NULL,NULL),(329,63,'Los Rios',1,NULL,NULL,NULL),(330,63,'Manabi',1,NULL,NULL,NULL),(331,63,'Pichincha',1,NULL,NULL,NULL),(332,63,'Tungurahua',1,NULL,NULL,NULL),(333,64,'al-Buhayra',1,NULL,NULL,NULL),(334,64,'al-Daqahliya',1,NULL,NULL,NULL),(335,64,'al-Faiyum',1,NULL,NULL,NULL),(336,64,'al-Gharbiya',1,NULL,NULL,NULL),(337,64,'al-Minufiya',1,NULL,NULL,NULL),(338,64,'al-Minya',1,NULL,NULL,NULL),(339,64,'al-Qalyubiya',1,NULL,NULL,NULL),(340,64,'al-Sharqiya',1,NULL,NULL,NULL),(341,64,'Aleksandria',1,NULL,NULL,NULL),(342,64,'Assuan',1,NULL,NULL,NULL),(343,64,'Asyut',1,NULL,NULL,NULL),(344,64,'Bani Suwayf',1,NULL,NULL,NULL),(345,64,'Giza',1,NULL,NULL,NULL),(346,64,'Ismailia',1,NULL,NULL,NULL),(347,64,'Kafr al-Shaykh',1,NULL,NULL,NULL),(348,64,'Kairo',1,NULL,NULL,NULL),(349,64,'Luxor',1,NULL,NULL,NULL),(350,64,'Port Said',1,NULL,NULL,NULL),(351,64,'Qina',1,NULL,NULL,NULL),(352,64,'Sawhaj',1,NULL,NULL,NULL),(353,64,'Shamal Sina',1,NULL,NULL,NULL),(354,64,'Suez',1,NULL,NULL,NULL),(355,65,'Maekel',1,NULL,NULL,NULL),(356,66,'El-Aaiun',1,NULL,NULL,NULL),(357,67,'Andalusia',1,NULL,NULL,NULL),(358,67,'Aragonia',1,NULL,NULL,NULL),(359,67,'Asturia',1,NULL,NULL,NULL),(360,67,'Balears',1,NULL,NULL,NULL),(361,67,'Baskimaa',1,NULL,NULL,NULL),(362,67,'Canary Islands',1,NULL,NULL,NULL),(363,67,'Cantabria',1,NULL,NULL,NULL),(364,67,'Castilla and Leon',1,NULL,NULL,NULL),(365,67,'Extremadura',1,NULL,NULL,NULL),(366,67,'Galicia',1,NULL,NULL,NULL),(367,67,'Kastilia-La Mancha',1,NULL,NULL,NULL),(368,67,'Katalonia',1,NULL,NULL,NULL),(369,67,'La Rioja',1,NULL,NULL,NULL),(370,67,'Madrid',1,NULL,NULL,NULL),(371,67,'Murcia',1,NULL,NULL,NULL),(372,67,'Navarra',1,NULL,NULL,NULL),(373,67,'Valencia',1,NULL,NULL,NULL),(374,68,'Harjumaa',1,NULL,NULL,NULL),(375,68,'Tartumaa',1,NULL,NULL,NULL),(376,69,'Addis Abeba',1,NULL,NULL,NULL),(377,69,'Amhara',1,NULL,NULL,NULL),(378,69,'Dire Dawa',1,NULL,NULL,NULL),(379,69,'Oromia',1,NULL,NULL,NULL),(380,69,'Tigray',1,NULL,NULL,NULL),(381,70,'Newmaa',1,NULL,NULL,NULL),(382,70,'Paijat-Hame',1,NULL,NULL,NULL),(383,70,'Pirkanmaa',1,NULL,NULL,NULL),(384,70,'Pohjois-Pohjanmaa',1,NULL,NULL,NULL),(385,70,'Varsinais-Suomi',1,NULL,NULL,NULL),(386,71,'Central',1,NULL,NULL,NULL),(387,72,'East Falkland',1,NULL,NULL,NULL),(388,73,'Alsace',1,NULL,NULL,NULL),(389,73,'Aquitaine',1,NULL,NULL,NULL),(390,73,'Auvergne',1,NULL,NULL,NULL),(391,73,'ile-de-France',1,NULL,NULL,NULL),(392,73,'Basse-Normandie',1,NULL,NULL,NULL),(393,73,'Bourgogne',1,NULL,NULL,NULL),(394,73,'Bretagne',1,NULL,NULL,NULL),(395,73,'Centre',1,NULL,NULL,NULL),(396,73,'Champagne-Ardenne',1,NULL,NULL,NULL),(397,73,'Franche-Comte',1,NULL,NULL,NULL),(398,73,'Haute-Normandie',1,NULL,NULL,NULL),(399,73,'Languedoc-Roussillon',1,NULL,NULL,NULL),(400,73,'Limousin',1,NULL,NULL,NULL),(401,73,'Lorraine',1,NULL,NULL,NULL),(402,73,'Midi-Pyrenees',1,NULL,NULL,NULL),(403,73,'Nord-Pas-de-Calais',1,NULL,NULL,NULL),(404,73,'Pays de la Loire',1,NULL,NULL,NULL),(405,73,'Picardie',1,NULL,NULL,NULL),(406,73,'Provence-Alpes-Cote d\'Azur',1,NULL,NULL,NULL),(407,73,'Rhone-Alpes',1,NULL,NULL,NULL),(408,74,'Streymoyar',1,NULL,NULL,NULL),(409,0,'Chuuk',1,NULL,NULL,NULL),(410,0,'Pohnpei',1,NULL,NULL,NULL),(411,76,'Estuaire',1,NULL,NULL,NULL),(413,77,'England',1,NULL,NULL,NULL),(414,77,'Jersey',1,NULL,NULL,NULL),(415,77,'North Ireland',1,NULL,NULL,NULL),(416,77,'Scotland',1,NULL,NULL,NULL),(417,77,'Wales',1,NULL,NULL,NULL),(418,78,'Abhasia [Aphazeti]',1,NULL,NULL,NULL),(419,78,'Adzaria',1,NULL,NULL,NULL),(420,78,'Imereti',1,NULL,NULL,NULL),(421,78,'Kvemo Kartli',1,NULL,NULL,NULL),(422,78,'Tbilisi',1,NULL,NULL,NULL),(423,79,'Ashanti',1,NULL,NULL,NULL),(424,79,'Greater Accra',1,NULL,NULL,NULL),(425,79,'Northern',1,NULL,NULL,NULL),(426,79,'Western',1,NULL,NULL,NULL),(427,80,'Gibraltar',1,NULL,NULL,NULL),(428,81,'Conakry',1,NULL,NULL,NULL),(429,82,'Basse-Terre',1,NULL,NULL,NULL),(430,82,'Grande-Terre',1,NULL,NULL,NULL),(431,83,'Banjul',1,NULL,NULL,NULL),(432,83,'Kombo St Mary',1,NULL,NULL,NULL),(433,84,'Bissau',1,NULL,NULL,NULL),(434,85,'Bioko',1,NULL,NULL,NULL),(435,86,'Attika',1,NULL,NULL,NULL),(436,86,'Central Macedonia',1,NULL,NULL,NULL),(437,86,'Crete',1,NULL,NULL,NULL),(438,86,'Thessalia',1,NULL,NULL,NULL),(439,86,'West Greece',1,NULL,NULL,NULL),(440,87,'St George',1,NULL,NULL,NULL),(441,88,'Kitaa',1,NULL,NULL,NULL),(442,89,'Guatemala',1,NULL,NULL,NULL),(443,89,'Quetzaltenango',1,NULL,NULL,NULL),(444,90,'Cayenne',1,NULL,NULL,NULL),(445,91,'Guam',1,NULL,NULL,NULL),(446,92,'Georgetown',1,NULL,NULL,NULL),(447,93,'Hongkong',1,NULL,NULL,NULL),(448,93,'Kowloon and New Kowl',1,NULL,NULL,NULL),(449,95,'Atlantida',1,NULL,NULL,NULL),(450,95,'Cortes',1,NULL,NULL,NULL),(451,95,'Distrito Central',1,NULL,NULL,NULL),(452,96,'Grad Zagreb',1,NULL,NULL,NULL),(453,96,'Osijek-Baranja',1,NULL,NULL,NULL),(454,96,'Primorje-Gorski Kota',1,NULL,NULL,NULL),(455,96,'Split-Dalmatia',1,NULL,NULL,NULL),(456,97,'Nord',1,NULL,NULL,NULL),(457,97,'Ouest',1,NULL,NULL,NULL),(458,98,'Baranya',1,NULL,NULL,NULL),(459,98,'Bacs-Kiskun',1,NULL,NULL,NULL),(460,98,'Borsod-Abauj-Zemplen',1,NULL,NULL,NULL),(461,98,'Budapest',1,NULL,NULL,NULL),(462,98,'Csongrad',1,NULL,NULL,NULL),(463,98,'Fejer',1,NULL,NULL,NULL),(464,98,'Gyar-Moson-Sopron',1,NULL,NULL,NULL),(465,98,'Hajdu-Bihar',1,NULL,NULL,NULL),(466,98,'Szabolcs-Szatmar-Be',1,NULL,NULL,NULL),(467,99,'Aceh',1,NULL,NULL,NULL),(468,99,'Bali',1,NULL,NULL,NULL),(469,99,'Bengkulu',1,NULL,NULL,NULL),(470,99,'Central Java',1,NULL,NULL,NULL),(471,99,'East Java',1,NULL,NULL,NULL),(472,99,'Jakarta Raya',1,NULL,NULL,NULL),(473,99,'Jambi',1,NULL,NULL,NULL),(474,99,'Kalimantan Barat',1,NULL,NULL,NULL),(475,99,'Kalimantan Selatan',1,NULL,NULL,NULL),(476,99,'Kalimantan Tengah',1,NULL,NULL,NULL),(477,99,'Kalimantan Timur',1,NULL,NULL,NULL),(478,99,'Lampung',1,NULL,NULL,NULL),(479,99,'Molukit',1,NULL,NULL,NULL),(480,99,'Nusa Tenggara Barat',1,NULL,NULL,NULL),(481,99,'Nusa Tenggara Timur',1,NULL,NULL,NULL),(482,99,'Riau',1,NULL,NULL,NULL),(483,99,'Sulawesi Selatan',1,NULL,NULL,NULL),(484,99,'Sulawesi Tengah',1,NULL,NULL,NULL),(485,99,'Sulawesi Tenggara',1,NULL,NULL,NULL),(486,99,'Sulawesi Utara',1,NULL,NULL,NULL),(487,99,'Sumatera Barat',1,NULL,NULL,NULL),(488,99,'Sumatera Selatan',1,NULL,NULL,NULL),(489,99,'Sumatera Utara',1,NULL,NULL,NULL),(490,99,'West Irian',1,NULL,NULL,NULL),(491,99,'West Java',1,NULL,NULL,NULL),(492,99,'Yogyakarta',1,NULL,NULL,NULL),(493,100,'Andhra Pradesh',1,NULL,NULL,NULL),(494,100,'Assam',1,NULL,NULL,NULL),(495,100,'Bihar',1,NULL,NULL,NULL),(496,100,'Chandigarh',1,NULL,NULL,NULL),(497,100,'Chhatisgarh',1,NULL,NULL,NULL),(498,100,'Delhi',1,NULL,NULL,NULL),(499,100,'Gujarat',1,NULL,NULL,NULL),(500,100,'Haryana',1,NULL,NULL,NULL),(501,100,'Jammu and Kashmir',1,NULL,NULL,NULL),(502,100,'Jharkhand',1,NULL,NULL,NULL),(503,100,'Karnataka',1,NULL,NULL,NULL),(504,100,'Kerala',1,NULL,NULL,NULL),(505,100,'Madhya Pradesh',1,NULL,NULL,NULL),(506,100,'Maharashtra',1,NULL,NULL,NULL),(507,100,'Manipur',1,NULL,NULL,NULL),(508,100,'Meghalaya',1,NULL,NULL,NULL),(509,100,'Mizoram',1,NULL,NULL,NULL),(510,100,'Orissa',1,NULL,NULL,NULL),(511,100,'Pondicherry',1,NULL,NULL,NULL),(512,100,'Punjab',1,NULL,NULL,NULL),(513,100,'Rajasthan',1,NULL,NULL,NULL),(514,100,'Tamil Nadu',1,NULL,NULL,NULL),(515,100,'Tripura',1,NULL,NULL,NULL),(516,100,'Uttar Pradesh',1,NULL,NULL,NULL),(517,100,'Uttaranchal',1,NULL,NULL,NULL),(518,100,'West Bengal',1,NULL,NULL,NULL),(519,102,'Leinster',1,NULL,NULL,NULL),(520,102,'Munster',1,NULL,NULL,NULL),(521,103,'Ardebil',1,NULL,NULL,NULL),(522,103,'Bushehr',1,NULL,NULL,NULL),(523,103,'Chaharmahal va Bakht',1,NULL,NULL,NULL),(524,103,'East Azerbaidzan',1,NULL,NULL,NULL),(525,103,'Esfahan',1,NULL,NULL,NULL),(526,103,'Fars',1,NULL,NULL,NULL),(527,103,'Gilan',1,NULL,NULL,NULL),(528,103,'Golestan',1,NULL,NULL,NULL),(529,103,'Hamadan',1,NULL,NULL,NULL),(530,103,'Hormozgan',1,NULL,NULL,NULL),(531,103,'Ilam',1,NULL,NULL,NULL),(532,103,'Kerman',1,NULL,NULL,NULL),(533,103,'Kermanshah',1,NULL,NULL,NULL),(534,103,'Khorasan',1,NULL,NULL,NULL),(535,103,'Khuzestan',1,NULL,NULL,NULL),(536,103,'Kordestan',1,NULL,NULL,NULL),(537,103,'Lorestan',1,NULL,NULL,NULL),(538,103,'Markazi',1,NULL,NULL,NULL),(539,103,'Mazandaran',1,NULL,NULL,NULL),(540,103,'Qazvin',1,NULL,NULL,NULL),(541,103,'Qom',1,NULL,NULL,NULL),(542,103,'Semnan',1,NULL,NULL,NULL),(543,103,'Sistan va Baluchesta',1,NULL,NULL,NULL),(544,103,'Teheran',1,NULL,NULL,NULL),(545,103,'West Azerbaidzan',1,NULL,NULL,NULL),(546,103,'Yazd',1,NULL,NULL,NULL),(547,103,'Zanjan',1,NULL,NULL,NULL),(548,104,'al-Anbar',1,NULL,NULL,NULL),(549,104,'al-Najaf',1,NULL,NULL,NULL),(550,104,'al-Qadisiya',1,NULL,NULL,NULL),(551,104,'al-Sulaymaniya',1,NULL,NULL,NULL),(552,104,'al-Tamim',1,NULL,NULL,NULL),(553,104,'Babil',1,NULL,NULL,NULL),(554,104,'Baghdad',1,NULL,NULL,NULL),(555,104,'Basra',1,NULL,NULL,NULL),(556,104,'DhiQar',1,NULL,NULL,NULL),(557,104,'Diyala',1,NULL,NULL,NULL),(558,104,'Irbil',1,NULL,NULL,NULL),(559,104,'Karbala',1,NULL,NULL,NULL),(560,104,'Maysan',1,NULL,NULL,NULL),(561,104,'Ninawa',1,NULL,NULL,NULL),(562,104,'Wasit',1,NULL,NULL,NULL),(563,105,'Hofudborgarsvadi',1,NULL,NULL,NULL),(564,106,'Ha Darom',1,NULL,NULL,NULL),(565,106,'Ha Merkaz',1,NULL,NULL,NULL),(566,106,'Haifa',1,NULL,NULL,NULL),(567,106,'Jerusalem',1,NULL,NULL,NULL),(568,106,'Tel Aviv',1,NULL,NULL,NULL),(569,107,'Abruzzit',1,NULL,NULL,NULL),(570,107,'Apulia',1,NULL,NULL,NULL),(571,107,'Calabria',1,NULL,NULL,NULL),(572,107,'Campania',1,NULL,NULL,NULL),(573,107,'Emilia-Romagna',1,NULL,NULL,NULL),(574,107,'Friuli-Venezia Giuli',1,NULL,NULL,NULL),(575,107,'Latium',1,NULL,NULL,NULL),(576,107,'Liguria',1,NULL,NULL,NULL),(577,107,'Lombardia',1,NULL,NULL,NULL),(578,107,'Marche',1,NULL,NULL,NULL),(579,107,'Piemonte',1,NULL,NULL,NULL),(580,107,'Sardinia',1,NULL,NULL,NULL),(581,107,'Sisilia',1,NULL,NULL,NULL),(582,107,'Toscana',1,NULL,NULL,NULL),(583,107,'Trentino-Alto Adige',1,NULL,NULL,NULL),(584,107,'Umbria',1,NULL,NULL,NULL),(585,107,'Veneto',1,NULL,NULL,NULL),(586,108,'St. Andrew',1,NULL,NULL,NULL),(587,108,'St. Catherine',1,NULL,NULL,NULL),(588,109,'al-Zarqa',1,NULL,NULL,NULL),(589,109,'Amman',1,NULL,NULL,NULL),(590,109,'Irbid',1,NULL,NULL,NULL),(591,110,'Aichi',1,NULL,NULL,NULL),(592,110,'Akita',1,NULL,NULL,NULL),(593,110,'Aomori',1,NULL,NULL,NULL),(594,110,'Chiba',1,NULL,NULL,NULL),(595,110,'Ehime',1,NULL,NULL,NULL),(596,110,'Fukui',1,NULL,NULL,NULL),(597,110,'Fukuoka',1,NULL,NULL,NULL),(598,110,'Fukushima',1,NULL,NULL,NULL),(599,110,'Gifu',1,NULL,NULL,NULL),(600,110,'Gumma',1,NULL,NULL,NULL),(601,110,'Hiroshima',1,NULL,NULL,NULL),(602,110,'Hokkaido',1,NULL,NULL,NULL),(603,110,'Hyogo',1,NULL,NULL,NULL),(604,110,'Ibaragi',1,NULL,NULL,NULL),(605,110,'Ishikawa',1,NULL,NULL,NULL),(606,110,'Iwate',1,NULL,NULL,NULL),(607,110,'Kagawa',1,NULL,NULL,NULL),(608,110,'Kagoshima',1,NULL,NULL,NULL),(609,110,'Kanagawa',1,NULL,NULL,NULL),(610,110,'Kochi',1,NULL,NULL,NULL),(611,110,'Kumamoto',1,NULL,NULL,NULL),(612,110,'Kyoto',1,NULL,NULL,NULL),(613,110,'Mie',1,NULL,NULL,NULL),(614,110,'Miyagi',1,NULL,NULL,NULL),(615,110,'Miyazaki',1,NULL,NULL,NULL),(616,110,'Nagano',1,NULL,NULL,NULL),(617,110,'Nagasaki',1,NULL,NULL,NULL),(618,110,'Nara',1,NULL,NULL,NULL),(619,110,'Niigata',1,NULL,NULL,NULL),(620,110,'Oita',1,NULL,NULL,NULL),(621,110,'Okayama',1,NULL,NULL,NULL),(622,110,'Okinawa',1,NULL,NULL,NULL),(623,110,'Osaka',1,NULL,NULL,NULL),(624,110,'Saga',1,NULL,NULL,NULL),(625,110,'Saitama',1,NULL,NULL,NULL),(626,110,'Shiga',1,NULL,NULL,NULL),(627,110,'Shimane',1,NULL,NULL,NULL),(628,110,'Shizuoka',1,NULL,NULL,NULL),(629,110,'Tochigi',1,NULL,NULL,NULL),(630,110,'Tokushima',1,NULL,NULL,NULL),(631,110,'Tokyo-to',1,NULL,NULL,NULL),(632,110,'Tottori',1,NULL,NULL,NULL),(633,110,'Toyama',1,NULL,NULL,NULL),(634,110,'Wakayama',1,NULL,NULL,NULL),(635,110,'Yamagata',1,NULL,NULL,NULL),(636,110,'Yamaguchi',1,NULL,NULL,NULL),(637,110,'Yamanashi',1,NULL,NULL,NULL),(638,111,'Almaty',1,NULL,NULL,NULL),(639,111,'Almaty Qalasy',1,NULL,NULL,NULL),(640,111,'Aktobe',1,NULL,NULL,NULL),(641,111,'Astana',1,NULL,NULL,NULL),(642,111,'Atyrau',1,NULL,NULL,NULL),(643,111,'East Kazakstan',1,NULL,NULL,NULL),(644,111,'Mangghystau',1,NULL,NULL,NULL),(645,111,'North Kazakstan',1,NULL,NULL,NULL),(646,111,'Pavlodar',1,NULL,NULL,NULL),(647,111,'Qaraghandy',1,NULL,NULL,NULL),(648,111,'Qostanay',1,NULL,NULL,NULL),(649,111,'Qyzylorda',1,NULL,NULL,NULL),(650,111,'South Kazakstan',1,NULL,NULL,NULL),(651,111,'Taraz',1,NULL,NULL,NULL),(652,111,'West Kazakstan',1,NULL,NULL,NULL),(653,112,'Central',1,NULL,NULL,NULL),(654,112,'Coast',1,NULL,NULL,NULL),(655,112,'Eastern',1,NULL,NULL,NULL),(656,112,'Nairobi',1,NULL,NULL,NULL),(657,112,'Nyanza',1,NULL,NULL,NULL),(658,112,'Rift Valley',1,NULL,NULL,NULL),(659,113,'Bishkek shaary',1,NULL,NULL,NULL),(660,113,'Osh',1,NULL,NULL,NULL),(661,114,'Battambang',1,NULL,NULL,NULL),(662,114,'Phnom Penh',1,NULL,NULL,NULL),(663,114,'Siem Reap',1,NULL,NULL,NULL),(664,115,'South Tarawa',1,NULL,NULL,NULL),(665,116,'St George Basseterre',1,NULL,NULL,NULL),(666,117,'Cheju',1,NULL,NULL,NULL),(667,117,'Chollabuk',1,NULL,NULL,NULL),(668,117,'Chollanam',1,NULL,NULL,NULL),(669,117,'Chungchongbuk',1,NULL,NULL,NULL),(670,117,'Chungchongnam',1,NULL,NULL,NULL),(671,117,'Inchon',1,NULL,NULL,NULL),(672,117,'Kang-won',1,NULL,NULL,NULL),(673,117,'Kwangju',1,NULL,NULL,NULL),(674,117,'Kyonggi',1,NULL,NULL,NULL),(675,117,'Kyongsangbuk',1,NULL,NULL,NULL),(676,117,'Kyongsangnam',1,NULL,NULL,NULL),(677,117,'Pusan',1,NULL,NULL,NULL),(678,117,'Seoul',1,NULL,NULL,NULL),(679,117,'Taegu',1,NULL,NULL,NULL),(680,117,'Taejon',1,NULL,NULL,NULL),(681,118,'al-Asima',1,NULL,NULL,NULL),(682,118,'Hawalli',1,NULL,NULL,NULL),(683,119,'Savannakhet',1,NULL,NULL,NULL),(684,119,'Viangchan',1,NULL,NULL,NULL),(685,120,'al-Shamal',1,NULL,NULL,NULL),(686,120,'Beirut',1,NULL,NULL,NULL),(687,121,'Montserrado',1,NULL,NULL,NULL),(688,122,'al-Zawiya',1,NULL,NULL,NULL),(689,122,'Bengasi',1,NULL,NULL,NULL),(690,122,'Misrata',1,NULL,NULL,NULL),(691,122,'Tripoli',1,NULL,NULL,NULL),(692,123,'Castries',1,NULL,NULL,NULL),(693,124,'Schaan',1,NULL,NULL,NULL),(694,124,'Vaduz',1,NULL,NULL,NULL),(695,125,'Central',1,NULL,NULL,NULL),(696,125,'Northern',1,NULL,NULL,NULL),(697,125,'Western',1,NULL,NULL,NULL),(698,126,'Maseru',1,NULL,NULL,NULL),(699,127,'Kaunas',1,NULL,NULL,NULL),(700,127,'Klaipeda',1,NULL,NULL,NULL),(701,127,'Panevezys',1,NULL,NULL,NULL),(702,127,'Vilna',1,NULL,NULL,NULL),(703,127,'siauliai',1,NULL,NULL,NULL),(704,128,'Luxembourg',1,NULL,NULL,NULL),(705,129,'Daugavpils',1,NULL,NULL,NULL),(706,129,'Liepaja',1,NULL,NULL,NULL),(707,129,'Riika',1,NULL,NULL,NULL),(708,130,'Macau',1,NULL,NULL,NULL),(709,131,'Casablanca',1,NULL,NULL,NULL),(710,131,'Chaouia-Ouardigha',1,NULL,NULL,NULL),(711,131,'Doukkala-Abda',1,NULL,NULL,NULL),(712,131,'Fes-Boulemane',1,NULL,NULL,NULL),(713,131,'Gharb-Chrarda-Beni',1,NULL,NULL,NULL),(714,131,'Marrakech-Tensift-Al',1,NULL,NULL,NULL),(715,131,'Meknes-Tafilalet',1,NULL,NULL,NULL),(716,131,'Oriental',1,NULL,NULL,NULL),(717,131,'Rabat-Sale-Zammour',1,NULL,NULL,NULL),(718,131,'Souss Massa-Draa',1,NULL,NULL,NULL),(719,131,'Tadla-Azilal',1,NULL,NULL,NULL),(720,131,'Tanger-Tetouan',1,NULL,NULL,NULL),(721,131,'Taza-Al Hoceima-Taou',1,NULL,NULL,NULL),(722,132,'Monaco',1,NULL,NULL,NULL),(723,133,'Balti',1,NULL,NULL,NULL),(724,133,'Bender (Tighina)',1,NULL,NULL,NULL),(725,133,'Chisinau',1,NULL,NULL,NULL),(726,133,'Dnjestria',1,NULL,NULL,NULL),(727,134,'Antananarivo',1,NULL,NULL,NULL),(728,134,'Fianarantsoa',1,NULL,NULL,NULL),(729,134,'Mahajanga',1,NULL,NULL,NULL),(730,134,'Toamasina',1,NULL,NULL,NULL),(731,135,'Maale',1,NULL,NULL,NULL),(732,136,'Aguascalientes',1,NULL,NULL,NULL),(733,136,'Baja California',1,NULL,NULL,NULL),(734,136,'Baja California Sur',1,NULL,NULL,NULL),(735,136,'Campeche',1,NULL,NULL,NULL),(736,136,'Chiapas',1,NULL,NULL,NULL),(737,136,'Chihuahua',1,NULL,NULL,NULL),(738,136,'Coahuila de Zaragoza',1,NULL,NULL,NULL),(739,136,'Colima',1,NULL,NULL,NULL),(740,136,'Distrito Federal',1,NULL,NULL,NULL),(741,136,'Durango',1,NULL,NULL,NULL),(742,136,'Guanajuato',1,NULL,NULL,NULL),(743,136,'Guerrero',1,NULL,NULL,NULL),(744,136,'Hidalgo',1,NULL,NULL,NULL),(745,136,'Jalisco',1,NULL,NULL,NULL),(746,136,'Mexico',1,NULL,NULL,NULL),(747,136,'Michoacan de Ocampo',1,NULL,NULL,NULL),(748,136,'Morelos',1,NULL,NULL,NULL),(749,136,'Nayarit',1,NULL,NULL,NULL),(750,136,'Nuevo Leon',1,NULL,NULL,NULL),(751,136,'Oaxaca',1,NULL,NULL,NULL),(752,136,'Puebla',1,NULL,NULL,NULL),(753,136,'Queretaro',1,NULL,NULL,NULL),(754,136,'Queretaro de Arteag',1,NULL,NULL,NULL),(755,136,'Quintana Roo',1,NULL,NULL,NULL),(756,136,'San Luis Potosi',1,NULL,NULL,NULL),(757,136,'Sinaloa',1,NULL,NULL,NULL),(758,136,'Sonora',1,NULL,NULL,NULL),(759,136,'Tabasco',1,NULL,NULL,NULL),(760,136,'Tamaulipas',1,NULL,NULL,NULL),(761,136,'Veracruz',1,NULL,NULL,NULL),(762,136,'Veracruz-Llave',1,NULL,NULL,NULL),(763,136,'Yucatan',1,NULL,NULL,NULL),(764,136,'Zacatecas',1,NULL,NULL,NULL),(765,137,'Majuro',1,NULL,NULL,NULL),(766,138,'Skopje',1,NULL,NULL,NULL),(767,139,'Bamako',1,NULL,NULL,NULL),(768,140,'Inner Harbour',1,NULL,NULL,NULL),(769,140,'Outer Harbour',1,NULL,NULL,NULL),(770,141,'Irrawaddy [Ayeyarwad',1,NULL,NULL,NULL),(771,141,'Magwe [Magway]',1,NULL,NULL,NULL),(772,141,'Mandalay',1,NULL,NULL,NULL),(773,141,'Mon',1,NULL,NULL,NULL),(774,141,'Pegu [Bago]',1,NULL,NULL,NULL),(775,141,'Rakhine',1,NULL,NULL,NULL),(776,141,'Rangoon [Yangon]',1,NULL,NULL,NULL),(777,141,'Sagaing',1,NULL,NULL,NULL),(778,141,'Shan',1,NULL,NULL,NULL),(779,141,'Tenasserim [Thaninthayi]',1,NULL,NULL,NULL),(780,142,'Ulaanbaatar',1,NULL,NULL,NULL),(781,143,'Saipan',1,NULL,NULL,NULL),(782,144,'Gaza',1,NULL,NULL,NULL),(783,144,'Inhambane',1,NULL,NULL,NULL),(784,144,'Manica',1,NULL,NULL,NULL),(785,144,'Maputo',1,NULL,NULL,NULL),(786,144,'Nampula',1,NULL,NULL,NULL),(787,144,'Sofala',1,NULL,NULL,NULL),(788,144,'Tete',1,NULL,NULL,NULL),(789,144,'Zambezia',1,NULL,NULL,NULL),(790,145,'Dakhlet Nouadhibou',1,NULL,NULL,NULL),(791,145,'Nouakchott',1,NULL,NULL,NULL),(792,146,'Plymouth',1,NULL,NULL,NULL),(793,147,'Fort-de-France',1,NULL,NULL,NULL),(794,148,'Plaines Wilhelms',1,NULL,NULL,NULL),(795,148,'Port-Louis',1,NULL,NULL,NULL),(796,149,'Blantyre',1,NULL,NULL,NULL),(797,149,'Lilongwe',1,NULL,NULL,NULL),(798,150,'Johor',1,NULL,NULL,NULL),(799,150,'Kedah',1,NULL,NULL,NULL),(800,150,'Kelantan',1,NULL,NULL,NULL),(801,150,'Negeri Sembilan',1,NULL,NULL,NULL),(802,150,'Pahang',1,NULL,NULL,NULL),(803,150,'Perak',1,NULL,NULL,NULL),(804,150,'Pulau Pinang',1,NULL,NULL,NULL),(805,150,'Sabah',1,NULL,NULL,NULL),(806,150,'Sarawak',1,NULL,NULL,NULL),(807,150,'Selangor',1,NULL,NULL,NULL),(808,150,'Terengganu',1,NULL,NULL,NULL),(809,150,'Wilayah Persekutuan',1,NULL,NULL,NULL),(810,151,'Mamoutzou',1,NULL,NULL,NULL),(811,152,'Khomas',1,NULL,NULL,NULL),(812,153,'New Caledonia',1,NULL,NULL,NULL),(813,154,'Maradi',1,NULL,NULL,NULL),(814,154,'Niamey',1,NULL,NULL,NULL),(815,154,'Zinder',1,NULL,NULL,NULL),(816,155,'Norfolk Island',1,NULL,NULL,NULL),(817,156,'Anambra & Enugu & Eb',1,NULL,NULL,NULL),(818,156,'Bauchi & Gombe',1,NULL,NULL,NULL),(819,156,'Benue',1,NULL,NULL,NULL),(820,156,'Borno & Yobe',1,NULL,NULL,NULL),(821,156,'Cross River',1,NULL,NULL,NULL),(822,156,'Edo & Delta',1,NULL,NULL,NULL),(823,156,'Federal Capital Dist',1,NULL,NULL,NULL),(824,156,'Imo & Abia',1,NULL,NULL,NULL),(825,156,'Kaduna',1,NULL,NULL,NULL),(826,156,'Kano & Jigawa',1,NULL,NULL,NULL),(827,156,'Katsina',1,NULL,NULL,NULL),(828,156,'Kwara & Kogi',1,NULL,NULL,NULL),(829,156,'Lagos',1,NULL,NULL,NULL),(830,156,'Niger',1,NULL,NULL,NULL),(831,156,'Ogun',1,NULL,NULL,NULL),(832,156,'Ondo & Ekiti',1,NULL,NULL,NULL),(833,156,'Oyo & Osun',1,NULL,NULL,NULL),(834,156,'Plateau & Nassarawa',1,NULL,NULL,NULL),(835,156,'Rivers & Bayelsa',1,NULL,NULL,NULL),(836,156,'Sokoto & Kebbi & Zam',1,NULL,NULL,NULL),(837,157,'Chinandega',1,NULL,NULL,NULL),(838,157,'Leon',1,NULL,NULL,NULL),(839,157,'Managua',1,NULL,NULL,NULL),(840,157,'Masaya',1,NULL,NULL,NULL),(841,158,'Niue',1,NULL,NULL,NULL),(842,159,'Drenthe',1,NULL,NULL,NULL),(843,159,'Flevoland',1,NULL,NULL,NULL),(844,159,'Gelderland',1,NULL,NULL,NULL),(845,159,'Groningen',1,NULL,NULL,NULL),(846,159,'Limburg',1,NULL,NULL,NULL),(847,159,'Noord-Brabant',1,NULL,NULL,NULL),(848,159,'Noord-Holland',1,NULL,NULL,NULL),(849,159,'Overijssel',1,NULL,NULL,NULL),(850,159,'Utrecht',1,NULL,NULL,NULL),(851,159,'Zuid-Holland',1,NULL,NULL,NULL),(852,160,'Akershus',1,NULL,NULL,NULL),(853,160,'Hordaland',1,NULL,NULL,NULL),(854,160,'Oslo',1,NULL,NULL,NULL),(855,160,'Rogaland',1,NULL,NULL,NULL),(856,160,'Sor-Trondelag',1,NULL,NULL,NULL),(857,161,'Central',1,NULL,NULL,NULL),(858,161,'Eastern',1,NULL,NULL,NULL),(859,161,'Western',1,NULL,NULL,NULL),(860,162,'Nauru',1,NULL,NULL,NULL),(861,163,'Auckland',1,NULL,NULL,NULL),(862,163,'Canterbury',1,NULL,NULL,NULL),(863,163,'Dunedin',1,NULL,NULL,NULL),(864,163,'Hamilton',1,NULL,NULL,NULL),(865,163,'Wellington',1,NULL,NULL,NULL),(866,164,'al-Batina',1,NULL,NULL,NULL),(867,164,'Masqat',1,NULL,NULL,NULL),(868,164,'Zufar',1,NULL,NULL,NULL),(869,165,'Baluchistan',1,NULL,NULL,NULL),(870,165,'Islamabad',1,NULL,NULL,NULL),(871,165,'Nothwest Border Prov',1,NULL,NULL,NULL),(872,165,'Punjab',1,NULL,NULL,NULL),(873,165,'Sind',1,NULL,NULL,NULL),(874,165,'Sindh',1,NULL,NULL,NULL),(875,166,'Panama',1,NULL,NULL,NULL),(876,166,'San Miguelito',1,NULL,NULL,NULL),(877,167,'Pitcairn',1,NULL,NULL,NULL),(878,168,'Ancash',1,NULL,NULL,NULL),(879,168,'Arequipa',1,NULL,NULL,NULL),(880,168,'Ayacucho',1,NULL,NULL,NULL),(881,168,'Cajamarca',1,NULL,NULL,NULL),(882,168,'Callao',1,NULL,NULL,NULL),(883,168,'Cusco',1,NULL,NULL,NULL),(884,168,'Huanuco',1,NULL,NULL,NULL),(885,168,'Ica',1,NULL,NULL,NULL),(886,168,'Junin',1,NULL,NULL,NULL),(887,168,'La Libertad',1,NULL,NULL,NULL),(888,168,'Lambayeque',1,NULL,NULL,NULL),(889,168,'Lima',1,NULL,NULL,NULL),(890,168,'Loreto',1,NULL,NULL,NULL),(891,168,'Piura',1,NULL,NULL,NULL),(892,168,'Puno',1,NULL,NULL,NULL),(893,168,'Tacna',1,NULL,NULL,NULL),(894,168,'Ucayali',1,NULL,NULL,NULL),(895,169,'ARMM',1,NULL,NULL,NULL),(896,169,'Bicol',1,NULL,NULL,NULL),(897,169,'Cagayan Valley',1,NULL,NULL,NULL),(898,169,'CAR',1,NULL,NULL,NULL),(899,169,'Caraga',1,NULL,NULL,NULL),(900,169,'Central Luzon',1,NULL,NULL,NULL),(901,169,'Central Mindanao',1,NULL,NULL,NULL),(902,169,'Central Visayas',1,NULL,NULL,NULL),(903,169,'Eastern Visayas',1,NULL,NULL,NULL),(904,169,'Ilocos',1,NULL,NULL,NULL),(905,169,'National Capital Reg',1,NULL,NULL,NULL),(906,169,'Northern Mindanao',1,NULL,NULL,NULL),(907,169,'Southern Mindanao',1,NULL,NULL,NULL),(908,169,'Southern Tagalog',1,NULL,NULL,NULL),(909,169,'Western Mindanao',1,NULL,NULL,NULL),(910,169,'Western Visayas',1,NULL,NULL,NULL),(911,170,'Koror',1,NULL,NULL,NULL),(912,171,'National Capital Dis',1,NULL,NULL,NULL),(913,172,'Dolnoslaskie',1,NULL,NULL,NULL),(914,172,'Kujawsko-Pomorskie',1,NULL,NULL,NULL),(915,172,'Lodzkie',1,NULL,NULL,NULL),(916,172,'Lubelskie',1,NULL,NULL,NULL),(917,172,'Lubuskie',1,NULL,NULL,NULL),(918,172,'Malopolskie',1,NULL,NULL,NULL),(919,172,'Mazowieckie',1,NULL,NULL,NULL),(920,172,'Opolskie',1,NULL,NULL,NULL),(921,172,'Podkarpackie',1,NULL,NULL,NULL),(922,172,'Podlaskie',1,NULL,NULL,NULL),(923,172,'Pomorskie',1,NULL,NULL,NULL),(924,172,'Slaskie',1,NULL,NULL,NULL),(925,172,'Swietokrzyskie',1,NULL,NULL,NULL),(926,172,'Warminsko-Mazurskie',1,NULL,NULL,NULL),(927,172,'Wielkopolskie',1,NULL,NULL,NULL),(928,172,'Zachodnio-Pomorskie',1,NULL,NULL,NULL),(929,173,'Arecibo',1,NULL,NULL,NULL),(930,173,'Bayamon',1,NULL,NULL,NULL),(931,173,'Caguas',1,NULL,NULL,NULL),(932,173,'Carolina',1,NULL,NULL,NULL),(933,173,'Guaynabo',1,NULL,NULL,NULL),(934,173,'Mayaguez',1,NULL,NULL,NULL),(935,173,'Ponce',1,NULL,NULL,NULL),(936,173,'San Juan',1,NULL,NULL,NULL),(937,173,'Toa Baja',1,NULL,NULL,NULL),(938,174,'Chagang',1,NULL,NULL,NULL),(939,174,'Hamgyong N',1,NULL,NULL,NULL),(940,174,'Hamgyong P',1,NULL,NULL,NULL),(941,174,'Hwanghae N',1,NULL,NULL,NULL),(942,174,'Hwanghae P',1,NULL,NULL,NULL),(943,174,'Kaesong-si',1,NULL,NULL,NULL),(944,174,'Kangwon',1,NULL,NULL,NULL),(945,174,'Nampo-si',1,NULL,NULL,NULL),(946,174,'Pyongan N',1,NULL,NULL,NULL),(947,174,'Pyongan P',1,NULL,NULL,NULL),(948,174,'Pyongyang-si',1,NULL,NULL,NULL),(949,174,'Yanggang',1,NULL,NULL,NULL),(950,175,'Braga',1,NULL,NULL,NULL),(951,175,'Coimbra',1,NULL,NULL,NULL),(952,175,'Lisboa',1,NULL,NULL,NULL),(953,175,'Porto',1,NULL,NULL,NULL),(954,176,'Alto Parana',1,NULL,NULL,NULL),(955,176,'Asuncion',1,NULL,NULL,NULL),(956,176,'Central',1,NULL,NULL,NULL),(957,177,'Gaza',1,NULL,NULL,NULL),(958,177,'Hebron',1,NULL,NULL,NULL),(959,177,'Khan Yunis',1,NULL,NULL,NULL),(960,177,'Nablus',1,NULL,NULL,NULL),(961,177,'North Gaza',1,NULL,NULL,NULL),(962,177,'Rafah',1,NULL,NULL,NULL),(963,178,'Tahiti',1,NULL,NULL,NULL),(964,179,'Doha',1,NULL,NULL,NULL),(965,180,'Saint-Denis',1,NULL,NULL,NULL),(966,181,'Arad',1,NULL,NULL,NULL),(967,181,'Arges',1,NULL,NULL,NULL),(968,181,'Bacau',1,NULL,NULL,NULL),(969,181,'Bihor',1,NULL,NULL,NULL),(970,181,'Botosani',1,NULL,NULL,NULL),(971,181,'Braila',1,NULL,NULL,NULL),(972,181,'Brasov',1,NULL,NULL,NULL),(973,181,'Bukarest',1,NULL,NULL,NULL),(974,181,'Buzau',1,NULL,NULL,NULL),(975,181,'Caras-Severin',1,NULL,NULL,NULL),(976,181,'Cluj',1,NULL,NULL,NULL),(977,181,'Constanta',1,NULL,NULL,NULL),(978,181,'Dambovita',1,NULL,NULL,NULL),(979,181,'Dolj',1,NULL,NULL,NULL),(980,181,'Galati',1,NULL,NULL,NULL),(981,181,'Gorj',1,NULL,NULL,NULL),(982,181,'Iasi',1,NULL,NULL,NULL),(983,181,'Maramures',1,NULL,NULL,NULL),(984,181,'Mehedinti',1,NULL,NULL,NULL),(985,181,'Mures',1,NULL,NULL,NULL),(986,181,'Neamt',1,NULL,NULL,NULL),(987,181,'Prahova',1,NULL,NULL,NULL),(988,181,'Satu Mare',1,NULL,NULL,NULL),(989,181,'Sibiu',1,NULL,NULL,NULL),(990,181,'Suceava',1,NULL,NULL,NULL),(991,181,'Timis',1,NULL,NULL,NULL),(992,181,'Tulcea',1,NULL,NULL,NULL),(993,181,'Valcea',1,NULL,NULL,NULL),(994,181,'Vrancea',1,NULL,NULL,NULL),(995,182,'Adygea',1,NULL,NULL,NULL),(996,182,'Altai',1,NULL,NULL,NULL),(997,182,'Amur',1,NULL,NULL,NULL),(998,182,'Arkangeli',1,NULL,NULL,NULL),(999,182,'Astrahan',1,NULL,NULL,NULL),(1000,182,'Bashkortostan',1,NULL,NULL,NULL),(1001,182,'Belgorod',1,NULL,NULL,NULL);
/*!40000 ALTER TABLE `states` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `suppliers`
--

DROP TABLE IF EXISTS `suppliers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `suppliers` (
  `supplier_id` int(11) NOT NULL AUTO_INCREMENT,
  `supplier_name` varchar(45) DEFAULT NULL,
  `pincode` int(11) DEFAULT NULL,
  `email_id` varchar(45) DEFAULT NULL,
  `address` varchar(45) DEFAULT NULL,
  `mob_no` varchar(10) DEFAULT NULL,
  `odered_on` datetime DEFAULT NULL,
  `delivery_on` datetime DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`supplier_id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `suppliers`
--

LOCK TABLES `suppliers` WRITE;
/*!40000 ALTER TABLE `suppliers` DISABLE KEYS */;
INSERT INTO `suppliers` (`supplier_id`, `supplier_name`, `pincode`, `email_id`, `address`, `mob_no`, `odered_on`, `delivery_on`, `created_at`, `updated_at`, `deleted_at`) VALUES (1,'arun',676554,'arun@co.in','cbe','7667789887',NULL,NULL,NULL,NULL,NULL);
/*!40000 ALTER TABLE `suppliers` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `typeitem`
--

DROP TABLE IF EXISTS `typeitem`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `typeitem` (
  `product_items` int(11) NOT NULL AUTO_INCREMENT,
  `item_type` int(11) DEFAULT NULL,
  `accessories_id` int(11) DEFAULT NULL,
  `item_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`product_items`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `typeitem`
--

LOCK TABLES `typeitem` WRITE;
/*!40000 ALTER TABLE `typeitem` DISABLE KEYS */;
/*!40000 ALTER TABLE `typeitem` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `users`
--

DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `admin_id` int(11) NOT NULL AUTO_INCREMENT,
  `admin_name` varchar(45) DEFAULT NULL,
  `mobile_no` varchar(15) DEFAULT NULL,
  `email_id` varchar(45) DEFAULT NULL,
  `password` varchar(500) DEFAULT NULL,
  `temp_password` varchar(45) DEFAULT NULL,
  `otp` int(11) DEFAULT NULL,
  `otp_at` datetime(6) DEFAULT NULL,
  `role_id` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  `remember_token` varchar(500) DEFAULT NULL,
  PRIMARY KEY (`admin_id`),
  KEY `fk_users_1_idx` (`role_id`),
  CONSTRAINT `fk_users_1` FOREIGN KEY (`role_id`) REFERENCES `role` (`role_id`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `users`
--

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`admin_id`, `admin_name`, `mobile_no`, `email_id`, `password`, `temp_password`, `otp`, `otp_at`, `role_id`, `created_at`, `updated_at`, `deleted_at`, `remember_token`) VALUES (3,'admin','9786003437','admin@admin.com','$2y$10$.6cBURXi3rDuXC7Yu8OInud7CAI.KOOi4FASF/CvIKJZ8YD2Lieq2','admin',NULL,NULL,NULL,NULL,NULL,NULL,'Yi8Slp25NQxmilhL5odnD5FJekCfmmgJDo5V2WnGN0q4XaPd4QGlaz9Kvr1l'),(4,'user','9786003437','user@user.in','$2y$10$rxpaIBdPNhsIZm0LgmmlsemIgQJ.ACUdVZ13Lv2qG0w9ouinm0dcO','user',NULL,NULL,NULL,NULL,NULL,NULL,'nso6J44LKClKWwn5SEljsCc2373UnUZi7lxOUC2bglwCP5hBOrhZbIvDHoOA');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `variants`
--

DROP TABLE IF EXISTS `variants`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variants` (
  `variant_id` int(11) NOT NULL,
  `product_id` int(11) DEFAULT NULL,
  `variant_name` varchar(45) DEFAULT NULL,
  `variant_type` varchar(45) DEFAULT NULL,
  `variant_value` varchar(45) DEFAULT NULL,
  `price` int(11) DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  `updated_at` datetime DEFAULT NULL,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`variant_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `variants`
--

LOCK TABLES `variants` WRITE;
/*!40000 ALTER TABLE `variants` DISABLE KEYS */;
/*!40000 ALTER TABLE `variants` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Dumping events for database 'urbanedg_innovation'
--

--
-- Dumping routines for database 'urbanedg_innovation'
--
/*!50003 DROP PROCEDURE IF EXISTS `usp_get_customers` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`urbanedg_innov`@`%.%.%.%` PROCEDURE `usp_get_customers`(IN name varchar(45), email varchar(45), mob varchar(10), customer_id varchar(500), address varchar(45), address_type_id INT(11), orderby varchar(500), page_no int(11), page_size int(11))
BEGIN
 /*
  version : 0.1
  Author  : Nirmalraj
  date    : 16 April 2019 5:47 pm
  usage   : Getlist,filtering and pagination for customers  
  sample0 : call usp_get_customers('raj',NULL,NULL,NULL,NULL,2,4);
  sample1 : call usp_get_customers(NULL,NULL,NULL,NULL,null,'customer_id desc',1,10); 
  sample2 : call usp_get_customers(NULL,NULL,NULL,NULL,null,'customer_id desc',1,10);
  sample3 : call usp_get_customers(NULL,NULL,NULL,NULL,null,'customer_id desc',1,10); 
*/
 
   set @name=(select name);
   set @email=(select email);
   set @mobile=(select mob);
   set @customer_id=(select customer_id);
   set @address=(select address);
   set @address_type_id=(select address_type_id);
   set @orderby=(select orderby);
   set @page_no=(select page_no);
   set @page_size=(select page_size);
   set @limitstart= ((@page_no*@page_size)-@page_size);
   set @limitend=@page_size;
   set @where_con="";
   set @order_by_con="";
   
   if @name is not null or @name !='' then 
	set @where_con = concat(@where_con, ' and cs.name like "%', @name,'%"'); 
   end if;
    
   if @email is not null or @email !='' then 
	set @where_con = concat(@where_con, ' and cs.email like "%', @email,'%"'); 
  end if;
	
     if @mobile is not null or @mobile !='' then 
	set @where_con = concat(@where_con, ' and cs.mobile like "%', @mobile,'%"'); 
  end if;
  
  if @customer_id is not null or @customer_id !='' then 
	set @where_con = concat(@where_con, ' and cs.customer_id in (', @customer_id,')'); 
  end if;
  
  -- For address 
     if ((@address is not null or @address !='')) then 
	set @where_con = concat(@where_con, ' and cs.address like "%', @address,'%"'); 
  end if;
  
    if @address_type_id is not null or @address_type_id !='' then 
	set @where_con = concat(@where_con, ' and cs.address_type_id = ''', @address_type_id,''''); 
  end if;
  
    if @orderby is not null or @orderby !='' then 
	set @order_by_con = concat( ' order by  ', @orderby); 
  end if;
  
   
    set @sql = concat('select * from customers cs
    left join states s on s.state_id=cs.state_id 
    left join countries c on c.country_id=cs.country_id where (1=1)');
    

   set @output = concat(@sql,@where_con,@order_by_con); 
  -- select @output;
   
   set @result = concat(@output,' limit ',@limitstart,',',@limitend);
   -- select @result;
 
   prepare stmt from @result;
   
   Execute stmt;
   
   set @count = concat('select count(*) as count from customers cs where (1=1)',@where_con);
  
   prepare stmt1 from @count ;
   
   Execute stmt1;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `usp_get_measurements_jun` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`urbanedg_innov`@`%.%.%.%` PROCEDURE `usp_get_measurements_jun`(IN name varchar(45), 
measurement_id varchar(500), from_date datetime, to_date datetime, orderby varchar(500),
page_no int(11), page_size int(11), item_name varchar(45), product_ids varchar(45))
BEGIN
/* 
  version : 0.5
  Author  : Nirmalraj
  date    : 29 may 2019 18:00 pm
  usage   : Getlist,filtering and pagination for measurements 
  sample1 : call usp_get_measurements(NULL,NULL,NULL,NULL,NULL,1,1000000,NULL,'wool');
  sample2 : call usp_get_measurements(NULL,NULL,NULL,NULL,NULL,1,1000000,'window',NULL);
  updated by Gowthami -- innerjoin added with products table
  updated by Nirmalraj -- item and product parameters added
 */    
 
  
   set @name=(select name);
   set @measurement_id=(select measurement_id);
   set @from_date=(select from_date);
   set @to_date=(select to_date);
   set @orderby=(select orderby);
   set @page_no=(select page_no);
   set @page_size=(select page_size);
   set @limitstart= ((@page_no*@page_size)-@page_size);
   set @limitend=@page_size;
   set @where_con="";   
   set @order_by_con="";
   set @item_name =(select item_name);
   set @product_ids=(select product_ids);
   
if @name is not null or @name !='' then 
set @where_con = concat(@where_con, ' and c.name like "%', @name,'%"');     
end if;

if @measurement_id is not null or @measurement_id !='' then 
set @where_con = concat(@where_con, ' and m.measurement_id in (', @measurement_id,')'); 
end if;

if @from_date is not null and @to_date is not null then
set @where_con = concat(@where_con, ' and m.measurement_date BETWEEN ''',
@from_date,''' AND ''',@to_date,''''); 
end if;

if @from_date is not null and @to_date is null then 
set @where_con = concat(@where_con, ' and m.measurement_date  > ''',@from_date,''''); 
end if;

if @from_date is null and @to_date is not null then 
set @where_con = concat(@where_con, ' and m.measurement_date  < ''',@to_date,''''); 
end if;
  
if @orderby is not null or @orderby !='' then 
set @order_by_con = concat( ' order by  ', @orderby); 
end if;

if @item_name is not null or @item_name !='' then 
set @where_con = concat(@where_con, ' and mi.item_name like "%', @item_name,'%"');     
end if;

if @product_ids is not null or @product_ids !='' then 
set @where_con = concat(@where_con, ' and mp.product_id in (', @product_ids,')');     
end if;
   
drop temporary table if exists measurement_temp;
drop temporary table if exists measurement_temp_limit;
   
create temporary table measurement_temp(measurement_id int(11), customer_id int(11), 
name varchar(45), measurement_date varchar(45),email varchar(45), mobile varchar(10), 
country_id  int(3), state_id int(4), pincode int(6), city varchar(45),
    address varchar(45), landmark varchar(45)); 
set @sql = concat('Insert into measurement_temp (measurement_id, customer_id, name, 
measurement_date, email, mobile, country_id, state_id, pincode, city, address, 
landmark) 
SELECT  distinct
m.measurement_id, c.customer_id, c.name, m.measurement_date, c.email, c.mobile,
c.country_id, c.state_id,c.pincode, c.city, c.address1, c.landmark
FROM
measurements m
LEFT JOIN measurement_items mi ON mi.measurement_id = m.measurement_id
LEFT JOIN measurement_products mp ON mi.measurement_item_id = mp.measurement_item_id
LEFT JOIN customers c ON m.customer_id = c.customer_id where (1=1)');
   

set @output  = concat(@sql ,@where_con,@order_by_con);
prepare stmt1 from @output;
Execute stmt1;

set @sql_tmp = 'Create temporary table measurement_temp_limit select * from
measurement_temp';

-- set @sql_tmp = 'select * from measurement_temp';

if @page_no is not null && @page_size is not null then 
set @result  = concat(@sql_tmp,' limit ',@limitstart,',',@limitend);
else 
set @result  = concat(@sql_tmp);
end if; 
prepare stmt from @result;
Execute stmt;

select * from measurement_temp_limit;

set @sql2 = concat('select
mi.measurement_item_id, mi.measurement_id, mi.item_name, mi.room, mi.item_number,
mi.dimensions, mi.parts, mi.height,mi.width 
from measurement_items mi 
INNER JOIN 
measurement_temp_limit mt ON mt.measurement_id = mi.measurement_id');

set @output1  = concat(@sql2);
prepare stmt from @output1;

Execute stmt;


set @sql3 = concat('SELECT 
mp.measurement_product_id,mi.measurement_item_id, mi.measurement_id, p.product_no,p.product_name as product,p.unit_price, mi.item_name, mp.color, mp.length, mi.room, mi.item_number, mi.dimensions, mi.parts,
mi.height, mi.width, mt.measurement_id, mt.measurement_date, mt.name ,mp.product_id,mp.quantity
FROM
measurement_products mp
INNER JOIN
measurement_items mi 
ON 
mi.measurement_item_id = mp.measurement_item_id
INNER JOIN 
products p
ON  
p.product_id = mp.product_id
INNER JOIN
measurement_temp_limit mt 
ON 
mt.measurement_id = mi.measurement_id');    
set @output2  = concat(@sql3);
prepare stmt from @output2;
Execute stmt;

set @count = concat('select count(*) as count from measurement_temp');
prepare stmt1 from @count ;
Execute stmt1;

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `usp_get_products` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`urbanedg_innov`@`%.%.%.%` PROCEDURE `usp_get_products`(IN  product_id int(11), 
product_no varchar(45), product_name varchar(45),unit_price decimal(14,2), segment_name varchar(45), 
supplier_name varchar(45), orderby varchar(500), page_no int(11), page_size int(11))
BEGIN
/*
  version : 0.1
  Author  : Nirmalraj
  date    : 22 April 2019 5:47 pm
  usage   : Getlist,filtering and pagination for products 
  sample1 : call usp_get_products(NULL,NULL,null,null,null,null,1,1000000);
  sample2 : call usp_get_products(null,null,'curtain',null,null,null,1,1000);
 */
   set @product_id=(select product_id);
   set @product_no=(select product_no);
   set @product_name=(select product_name);
   set @unit_price=(select unit_price);
   set @segment_name=(select segment_name);
   set @supplier_name=(select supplier_name);
   set @orderby=(select orderby);
   set @page_no=(select page_no);
   set @page_size=(select page_size);
   set @limitstart= ((@page_no*@page_size)-@page_size);
   set @limitend=@page_size;
   set @where_con="";
   set @order_by_con="";

   
   
   if @product_id is not null or @product_id !='' then 
	set @where_con = concat(@where_con, ' and product_id like "%', @product_id,'%"'); 
  end if;
  
   if @product_no is not null or @product_no !='' then 
	set @where_con = concat(@where_con, ' and product_no like "%', @product_no,'%"'); 
  end if;
  
   if @product_name is not null or @product_name !='' then 
	set @where_con = concat(@where_con, ' and product_name like "%', @product_name,'%"'); 
   end if;


  if @unit_price is not null or @unit_price !='' then 
	set @where_con = concat(@where_con, ' and unit_price like "%', @unit_price,'%"'); 
   end if;

   if @segment_name is not null or @segment_name !='' then 
	set @where_con = concat(@where_con, ' and segment_name like "%', @segment_name,'%"');     
   end if;
   
   if @supplier_name is not null or @supplier_name !='' then 
	set @where_con = concat(@where_con, ' and supplier_name like "%', @supplier_name,'%"');     
   end if;
   
    if @orderby is not null or @orderby !='' then 
	set @order_by_con = concat( ' order by  ', @orderby); 
  end if;
  
  drop temporary table if exists product_temp;
   
 create temporary table product_temp (product_id int(11), 
								         product_no int(11),
									     product_name varchar(45),
								 unit_price varchar(45),
								 segment_id	int(11) , 
								segment_name varchar(45),
								supplier_id int(15),
								supplier_name varchar(45)); 
   
                            
   
set @sql = concat('Insert into product_temp (product_id, product_no, 
		   product_name, unit_price, segment_id, segment_name, supplier_id, supplier_name)
select
    p.product_id, p.product_no, p.product_name, p.unit_price ,se.segment_id, 
    se.segment_name, s.supplier_id, s.supplier_name
    FROM
    products p
     LEFT JOIN
    suppliers s ON s.supplier_id = p.supplier_id  
        LEFT JOIN
    segments se ON p.segment_id = se.segment_id where (1=1)');
       
        
   set @output  = concat(@sql ,@where_con,@order_by_con);
  
    if @page_no is not null && @page_size is not null then 
    set @result  = concat(@output,' limit ',@limitstart,',',@limitend);
    else 
    set @result  = concat(@output);
    end if; 
      prepare stmt from @result;
      Execute stmt;

  set @sql1 = concat('select 
  * 
  from product_temp where (1=1)');
  
     
     prepare stmt from @sql1;
     
     Execute stmt;
     
   set @count = concat('select count(*) as count
    FROM
    products p
     LEFT JOIN
    suppliers s ON s.supplier_id = p.supplier_id  
        LEFT JOIN
    segments se ON p.segment_id = se.segment_id where (1=1)');
   prepare stmt1 from @count ;
   
   Execute stmt1;
   
   set @sql2 = concat('select
   s.supplier_id, s.supplier_name, s.email_id, s.address, s.mob_no, s.odered_on	
   from suppliers s 
   INNER JOIN
   product_temp pt ON pt.supplier_id = s.supplier_id ');
  
    prepare stmt from @sql2;
     
	Execute stmt;
END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!50003 DROP PROCEDURE IF EXISTS `usp_get_quotations` */;
/*!50003 SET @saved_cs_client      = @@character_set_client */ ;
/*!50003 SET @saved_cs_results     = @@character_set_results */ ;
/*!50003 SET @saved_col_connection = @@collation_connection */ ;
/*!50003 SET character_set_client  = utf8 */ ;
/*!50003 SET character_set_results = utf8 */ ;
/*!50003 SET collation_connection  = utf8_general_ci */ ;
/*!50003 SET @saved_sql_mode       = @@sql_mode */ ;
/*!50003 SET sql_mode              = 'NO_ENGINE_SUBSTITUTION' */ ;
DELIMITER ;;
CREATE DEFINER=`urbanedg_innov`@`%.%.%.%` PROCEDURE `usp_get_quotations`(IN name varchar(45), email varchar(45), mob varchar(10),
 quotation_id int(11), customer_id int(11), measurement_id int(11), from_date datetime, 
 to_date datetime,grand_total varchar(500), orderby varchar(500), page_no int(11), page_size int(11))
BEGIN
 /*
  version : 0.1
  Author  : Nirmalraj
  date    : 26 April 2019 5:47 pm
  usage   : Getlist,filtering and pagination for quotations 
  sample1 : call usp_get_quotations(null,null,null,null,null,null,null,null,null);
  sample2 : call usp_get_quotations('raj',null,null,null,null,null,null,null,null);
 */
  
   set @name=(select name);
   set @email=(select email);
   set @mobile=(select mob);
   set @quotation_id=(select quotation_id); 
   set @customer_id=(select customer_id); 
   set @measurement_id=(select measurement_id);
   set @from_date=(select from_date);
   set @to_date=(select to_date);
   set @grand_total=(select grand_total);
   set @orderby=(select orderby);
   set @page_no=(select page_no);
   set @page_size=(select page_size);
   set @limitstart= ((@page_no*@page_size)-@page_size);
   set @limitend=@page_size;
   set @where_con="";
   set @order_by_con="";
   
   if @name is not null or @name !='' then 
	set @where_con = concat(@where_con, ' and c.name like "%', @name,'%"'); 
   end if;
    
   if @email is not null or @email !='' then 
	set @where_con = concat(@where_con, ' and c.email like "%', @email,'%"'); 
  end if;
	
     if @mobile is not null or @mobile !='' then 
	set @where_con = concat(@where_con, ' and c.mobile like "%', @mobile,'%"'); 
  end if;
   
  
  if @customer_id is not null or @customer_id !='' then 
	 set @where_con = concat(@where_con, ' and c.customer_id like "%', @customer_id,'%"'); 
  end if;
  
   if @measurement_id is not null or @measurement_id !='' then 
	set @where_con = concat(@where_con, ' and q.measurement_id like "%', @measurement_id,'%"'); 
   end if;   
   
   if @quotation_id is not null or @quotation_id !='' then 
	set @where_con = concat(@where_con, ' and q.quotation_id like "%', @quotation_id,'%"'); 
   end if;  
   
   if @grand_total is not null or @grand_total !='' then 
	set @where_con = concat(@where_con, ' and q.grand_total like "%', @grand_total,'%"'); 
   end if;
   
   if @from_date is not null and @to_date is not null then
		set @where_con = concat(@where_con, ' and q.quotation_on  >= ''',@from_date,''' and shipping_date <= ''',@to_date,'''' ); 
   end if;
   
   if @from_date is not null and @to_date is null then 
	set @where_con = concat(@where_con, ' and q.quotation_on  >= ''',@from_date,''''); 
   end if;
   
   if @from_date is null and @to_date is not null then 
	set @where_con = concat(@where_con, ' and shipping_date  <= ''',@to_date,''''); 
   end if; 
   
   if @orderby is not null or @orderby !='' then 
	set @order_by_con = concat( ' order by  ', @orderby); 
  end if;
   
   /* if @page_no is null or @page_no ='' then 
      set @where_con = concat(@where_con, ' and page_no like "%', @page_no,'%"');     
   end if;
   
   if @page_size is null or @page_size ='' then 
      set @where_con = concat(@where_con, ' and page_size like "%', @page_size,'%"');     
   end if;    */
 drop temporary table if exists quotation_temp;
 drop temporary table if exists quotation_temp_limit;
 
 create temporary table quotation_temp(customer_id int(11), measurement_id int(11), 
 quotation_id int(11),  name varchar(45), email varchar(45), 
 mobile varchar(45), address1 varchar(45), address2 varchar(45), address3 varchar(45),
 quotation_on datetime, shipping_date datetime,payment_terms datetime,gst int(11),gst_percentage int(11),grand_total int(11),sub_total int(11),shipping_amount int(11),sales_person varchar(250)); 
   
                            
   
set @sql = concat('Insert into quotation_temp (customer_id, measurement_id, 
  quotation_id, name, email, mobile, address1, address2, address3,
           quotation_on,shipping_date,payment_terms, gst, gst_percentage,grand_total, sub_total, shipping_amount,sales_person)
select
    c.customer_id, q.measurement_id, q.quotation_id, c.name, 
    c.email, c.mobile, c.address1, c.address2, c.address3, q.quotation_on,q.shipping_date,q.payment_terms, q.gst,q.gst_percentage,
   q.grand_total, q.sub_total, q.shipping_amount,q.sales_person
    FROM
    quotations q
        LEFT JOIN
    measurements m ON m.measurement_id = q.measurement_id  
        LEFT JOIN
customers c ON c.customer_id = m.customer_id where (1=1)');
        
   set @output  = concat(@sql ,@where_con,@order_by_con); 
   
    prepare stmt1 from @output;
   Execute stmt1;
   
  set @sql_tmp = 'Create temporary table quotation_temp_limit select * from quotation_temp';
    
    -- set @sql_tmp = 'select * from measurement_temp';
   
    if @page_no is not null && @page_size is not null then 
    set @result  = concat(@sql_tmp,' limit ',@limitstart,',',@limitend);
    else 
    set @result  = concat(@sql_tmp);
    end if; 
    prepare stmt from @result;
    Execute stmt;
    
    
    select * from quotation_temp_limit;
    
   set @sql2 = concat('select
    qi.quotation_item_id,qi.quantity, qi.unit_price, qt.quotation_id,mi.measurement_item_id,
    qi.total_amount
    ,mi.measurement_id,mi.item_name,mi.height,mi.width,mi.room,mi.parts,mi.item_number,mi.dimensions
    ,mp.measurement_product_id,mp.color
    ,p.product_no,p.product_name,p.product_id,p.ideal_location
    ,mp.quantity,mp.length
    from quotation_items qi 
    INNER JOIN
    quotation_temp qt ON qt.quotation_id = qi.quotation_id
    INNER JOIN
    measurement_products mp  ON mp.measurement_product_id = qi.measurement_product_id
    INNER JOIN
    measurement_items mi ON mi.measurement_item_id = mp.measurement_item_id
    INNER JOIN
    products p ON p.product_id = qi.product_id');
  
    prepare stmt from @sql2;
     
Execute stmt; 

-- set @count = concat('select count(*) as count from quotation_temp where (1=1)',@where_con);
 set @count = concat('select count(*) as count from quotation_temp');
   prepare stmt1 from @count ;
   
   Execute stmt1;

 
    

END ;;
DELIMITER ;
/*!50003 SET sql_mode              = @saved_sql_mode */ ;
/*!50003 SET character_set_client  = @saved_cs_client */ ;
/*!50003 SET character_set_results = @saved_cs_results */ ;
/*!50003 SET collation_connection  = @saved_col_connection */ ;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2019-10-09  0:26:27
